{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Unsupervised gating of the data via the front and side scattering."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "(c) 2017 the authors. This work is licensed under a [Creative Commons Attribution License CC-BY 4.0](https://creativecommons.org/licenses/by/4.0/). All code contained herein is licensed under an [MIT license](https://opensource.org/licenses/MIT). "
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "--- "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "    <div class=\"bk-root\">\n",
       "        <a href=\"http://bokeh.pydata.org\" target=\"_blank\" class=\"bk-logo bk-logo-small bk-logo-notebook\"></a>\n",
       "        <span id=\"f964d53f-fdbb-42ae-8e37-0bf028adc09a\">Loading BokehJS ...</span>\n",
       "    </div>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "application/javascript": [
       "\n",
       "(function(global) {\n",
       "  function now() {\n",
       "    return new Date();\n",
       "  }\n",
       "\n",
       "  var force = \"1\";\n",
       "\n",
       "  if (typeof (window._bokeh_onload_callbacks) === \"undefined\" || force !== \"\") {\n",
       "    window._bokeh_onload_callbacks = [];\n",
       "    window._bokeh_is_loading = undefined;\n",
       "  }\n",
       "\n",
       "\n",
       "  \n",
       "  if (typeof (window._bokeh_timeout) === \"undefined\" || force !== \"\") {\n",
       "    window._bokeh_timeout = Date.now() + 5000;\n",
       "    window._bokeh_failed_load = false;\n",
       "  }\n",
       "\n",
       "  var NB_LOAD_WARNING = {'data': {'text/html':\n",
       "     \"<div style='background-color: #fdd'>\\n\"+\n",
       "     \"<p>\\n\"+\n",
       "     \"BokehJS does not appear to have successfully loaded. If loading BokehJS from CDN, this \\n\"+\n",
       "     \"may be due to a slow or bad network connection. Possible fixes:\\n\"+\n",
       "     \"</p>\\n\"+\n",
       "     \"<ul>\\n\"+\n",
       "     \"<li>re-rerun `output_notebook()` to attempt to load from CDN again, or</li>\\n\"+\n",
       "     \"<li>use INLINE resources instead, as so:</li>\\n\"+\n",
       "     \"</ul>\\n\"+\n",
       "     \"<code>\\n\"+\n",
       "     \"from bokeh.resources import INLINE\\n\"+\n",
       "     \"output_notebook(resources=INLINE)\\n\"+\n",
       "     \"</code>\\n\"+\n",
       "     \"</div>\"}};\n",
       "\n",
       "  function display_loaded() {\n",
       "    if (window.Bokeh !== undefined) {\n",
       "      Bokeh.$(\"#f964d53f-fdbb-42ae-8e37-0bf028adc09a\").text(\"BokehJS successfully loaded.\");\n",
       "    } else if (Date.now() < window._bokeh_timeout) {\n",
       "      setTimeout(display_loaded, 100)\n",
       "    }\n",
       "  }\n",
       "\n",
       "  function run_callbacks() {\n",
       "    window._bokeh_onload_callbacks.forEach(function(callback) { callback() });\n",
       "    delete window._bokeh_onload_callbacks\n",
       "    console.info(\"Bokeh: all callbacks have finished\");\n",
       "  }\n",
       "\n",
       "  function load_libs(js_urls, callback) {\n",
       "    window._bokeh_onload_callbacks.push(callback);\n",
       "    if (window._bokeh_is_loading > 0) {\n",
       "      console.log(\"Bokeh: BokehJS is being loaded, scheduling callback at\", now());\n",
       "      return null;\n",
       "    }\n",
       "    if (js_urls == null || js_urls.length === 0) {\n",
       "      run_callbacks();\n",
       "      return null;\n",
       "    }\n",
       "    console.log(\"Bokeh: BokehJS not loaded, scheduling load and callback at\", now());\n",
       "    window._bokeh_is_loading = js_urls.length;\n",
       "    for (var i = 0; i < js_urls.length; i++) {\n",
       "      var url = js_urls[i];\n",
       "      var s = document.createElement('script');\n",
       "      s.src = url;\n",
       "      s.async = false;\n",
       "      s.onreadystatechange = s.onload = function() {\n",
       "        window._bokeh_is_loading--;\n",
       "        if (window._bokeh_is_loading === 0) {\n",
       "          console.log(\"Bokeh: all BokehJS libraries loaded\");\n",
       "          run_callbacks()\n",
       "        }\n",
       "      };\n",
       "      s.onerror = function() {\n",
       "        console.warn(\"failed to load library \" + url);\n",
       "      };\n",
       "      console.log(\"Bokeh: injecting script tag for BokehJS library: \", url);\n",
       "      document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "    }\n",
       "  };var element = document.getElementById(\"f964d53f-fdbb-42ae-8e37-0bf028adc09a\");\n",
       "  if (element == null) {\n",
       "    console.log(\"Bokeh: ERROR: autoload.js configured with elementid 'f964d53f-fdbb-42ae-8e37-0bf028adc09a' but no matching script tag was found. \")\n",
       "    return false;\n",
       "  }\n",
       "\n",
       "  var js_urls = ['https://cdn.pydata.org/bokeh/release/bokeh-0.12.3.min.js', 'https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.3.min.js'];\n",
       "\n",
       "  var inline_js = [\n",
       "    function(Bokeh) {\n",
       "      Bokeh.set_log_level(\"info\");\n",
       "    },\n",
       "    \n",
       "    function(Bokeh) {\n",
       "      \n",
       "      Bokeh.$(\"#f964d53f-fdbb-42ae-8e37-0bf028adc09a\").text(\"BokehJS is loading...\");\n",
       "    },\n",
       "    function(Bokeh) {\n",
       "      console.log(\"Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.3.min.css\");\n",
       "      Bokeh.embed.inject_css(\"https://cdn.pydata.org/bokeh/release/bokeh-0.12.3.min.css\");\n",
       "      console.log(\"Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.3.min.css\");\n",
       "      Bokeh.embed.inject_css(\"https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.3.min.css\");\n",
       "    }\n",
       "  ];\n",
       "\n",
       "  function run_inline_js() {\n",
       "    \n",
       "    if ((window.Bokeh !== undefined) || (force === \"1\")) {\n",
       "      for (var i = 0; i < inline_js.length; i++) {\n",
       "        inline_js[i](window.Bokeh);\n",
       "      }if (force === \"1\") {\n",
       "        display_loaded();\n",
       "      }} else if (Date.now() < window._bokeh_timeout) {\n",
       "      setTimeout(run_inline_js, 100);\n",
       "    } else if (!window._bokeh_failed_load) {\n",
       "      console.log(\"Bokeh: BokehJS failed to load within specified timeout.\");\n",
       "      window._bokeh_failed_load = true;\n",
       "    } else if (!force) {\n",
       "      var cell = $(\"#f964d53f-fdbb-42ae-8e37-0bf028adc09a\").parents('.cell').data().cell;\n",
       "      cell.output_area.append_execute_result(NB_LOAD_WARNING)\n",
       "    }\n",
       "\n",
       "  }\n",
       "\n",
       "  if (window._bokeh_is_loading === 0) {\n",
       "    console.log(\"Bokeh: BokehJS loaded, going straight to plotting\");\n",
       "    run_inline_js();\n",
       "  } else {\n",
       "    load_libs(js_urls, function() {\n",
       "      console.log(\"Bokeh: BokehJS plotting callback run at\", now());\n",
       "      run_inline_js();\n",
       "    });\n",
       "  }\n",
       "}(this));"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "    <div class=\"bk-root\">\n",
       "        <a href=\"http://bokeh.pydata.org\" target=\"_blank\" class=\"bk-logo bk-logo-small bk-logo-notebook\"></a>\n",
       "        <span id=\"c85fb501-ac4d-4459-a1b8-db2d566a95c2\">Loading BokehJS ...</span>\n",
       "    </div>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "application/javascript": [
       "\n",
       "(function(global) {\n",
       "  function now() {\n",
       "    return new Date();\n",
       "  }\n",
       "\n",
       "  var force = \"1\";\n",
       "\n",
       "  if (typeof (window._bokeh_onload_callbacks) === \"undefined\" || force !== \"\") {\n",
       "    window._bokeh_onload_callbacks = [];\n",
       "    window._bokeh_is_loading = undefined;\n",
       "  }\n",
       "\n",
       "\n",
       "  \n",
       "  if (typeof (window._bokeh_timeout) === \"undefined\" || force !== \"\") {\n",
       "    window._bokeh_timeout = Date.now() + 5000;\n",
       "    window._bokeh_failed_load = false;\n",
       "  }\n",
       "\n",
       "  var NB_LOAD_WARNING = {'data': {'text/html':\n",
       "     \"<div style='background-color: #fdd'>\\n\"+\n",
       "     \"<p>\\n\"+\n",
       "     \"BokehJS does not appear to have successfully loaded. If loading BokehJS from CDN, this \\n\"+\n",
       "     \"may be due to a slow or bad network connection. Possible fixes:\\n\"+\n",
       "     \"</p>\\n\"+\n",
       "     \"<ul>\\n\"+\n",
       "     \"<li>re-rerun `output_notebook()` to attempt to load from CDN again, or</li>\\n\"+\n",
       "     \"<li>use INLINE resources instead, as so:</li>\\n\"+\n",
       "     \"</ul>\\n\"+\n",
       "     \"<code>\\n\"+\n",
       "     \"from bokeh.resources import INLINE\\n\"+\n",
       "     \"output_notebook(resources=INLINE)\\n\"+\n",
       "     \"</code>\\n\"+\n",
       "     \"</div>\"}};\n",
       "\n",
       "  function display_loaded() {\n",
       "    if (window.Bokeh !== undefined) {\n",
       "      Bokeh.$(\"#c85fb501-ac4d-4459-a1b8-db2d566a95c2\").text(\"BokehJS successfully loaded.\");\n",
       "    } else if (Date.now() < window._bokeh_timeout) {\n",
       "      setTimeout(display_loaded, 100)\n",
       "    }\n",
       "  }\n",
       "\n",
       "  function run_callbacks() {\n",
       "    window._bokeh_onload_callbacks.forEach(function(callback) { callback() });\n",
       "    delete window._bokeh_onload_callbacks\n",
       "    console.info(\"Bokeh: all callbacks have finished\");\n",
       "  }\n",
       "\n",
       "  function load_libs(js_urls, callback) {\n",
       "    window._bokeh_onload_callbacks.push(callback);\n",
       "    if (window._bokeh_is_loading > 0) {\n",
       "      console.log(\"Bokeh: BokehJS is being loaded, scheduling callback at\", now());\n",
       "      return null;\n",
       "    }\n",
       "    if (js_urls == null || js_urls.length === 0) {\n",
       "      run_callbacks();\n",
       "      return null;\n",
       "    }\n",
       "    console.log(\"Bokeh: BokehJS not loaded, scheduling load and callback at\", now());\n",
       "    window._bokeh_is_loading = js_urls.length;\n",
       "    for (var i = 0; i < js_urls.length; i++) {\n",
       "      var url = js_urls[i];\n",
       "      var s = document.createElement('script');\n",
       "      s.src = url;\n",
       "      s.async = false;\n",
       "      s.onreadystatechange = s.onload = function() {\n",
       "        window._bokeh_is_loading--;\n",
       "        if (window._bokeh_is_loading === 0) {\n",
       "          console.log(\"Bokeh: all BokehJS libraries loaded\");\n",
       "          run_callbacks()\n",
       "        }\n",
       "      };\n",
       "      s.onerror = function() {\n",
       "        console.warn(\"failed to load library \" + url);\n",
       "      };\n",
       "      console.log(\"Bokeh: injecting script tag for BokehJS library: \", url);\n",
       "      document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "    }\n",
       "  };var element = document.getElementById(\"c85fb501-ac4d-4459-a1b8-db2d566a95c2\");\n",
       "  if (element == null) {\n",
       "    console.log(\"Bokeh: ERROR: autoload.js configured with elementid 'c85fb501-ac4d-4459-a1b8-db2d566a95c2' but no matching script tag was found. \")\n",
       "    return false;\n",
       "  }\n",
       "\n",
       "  var js_urls = ['https://cdn.pydata.org/bokeh/release/bokeh-0.12.3.min.js', 'https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.3.min.js'];\n",
       "\n",
       "  var inline_js = [\n",
       "    function(Bokeh) {\n",
       "      Bokeh.set_log_level(\"info\");\n",
       "    },\n",
       "    \n",
       "    function(Bokeh) {\n",
       "      \n",
       "      Bokeh.$(\"#c85fb501-ac4d-4459-a1b8-db2d566a95c2\").text(\"BokehJS is loading...\");\n",
       "    },\n",
       "    function(Bokeh) {\n",
       "      console.log(\"Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.3.min.css\");\n",
       "      Bokeh.embed.inject_css(\"https://cdn.pydata.org/bokeh/release/bokeh-0.12.3.min.css\");\n",
       "      console.log(\"Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.3.min.css\");\n",
       "      Bokeh.embed.inject_css(\"https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.3.min.css\");\n",
       "    }\n",
       "  ];\n",
       "\n",
       "  function run_inline_js() {\n",
       "    \n",
       "    if ((window.Bokeh !== undefined) || (force === \"1\")) {\n",
       "      for (var i = 0; i < inline_js.length; i++) {\n",
       "        inline_js[i](window.Bokeh);\n",
       "      }if (force === \"1\") {\n",
       "        display_loaded();\n",
       "      }} else if (Date.now() < window._bokeh_timeout) {\n",
       "      setTimeout(run_inline_js, 100);\n",
       "    } else if (!window._bokeh_failed_load) {\n",
       "      console.log(\"Bokeh: BokehJS failed to load within specified timeout.\");\n",
       "      window._bokeh_failed_load = true;\n",
       "    } else if (!force) {\n",
       "      var cell = $(\"#c85fb501-ac4d-4459-a1b8-db2d566a95c2\").parents('.cell').data().cell;\n",
       "      cell.output_area.append_execute_result(NB_LOAD_WARNING)\n",
       "    }\n",
       "\n",
       "  }\n",
       "\n",
       "  if (window._bokeh_is_loading === 0) {\n",
       "    console.log(\"Bokeh: BokehJS loaded, going straight to plotting\");\n",
       "    run_inline_js();\n",
       "  } else {\n",
       "    load_libs(js_urls, function() {\n",
       "      console.log(\"Bokeh: BokehJS plotting callback run at\", now());\n",
       "      run_inline_js();\n",
       "    });\n",
       "  }\n",
       "}(this));"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "import os\n",
    "import glob\n",
    "import numpy as np\n",
    "import pandas as pd\n",
    "import scipy\n",
    "\n",
    "import mwc_induction_utils as mwc\n",
    "\n",
    "# Import matplotlib stuff for plotting\n",
    "import matplotlib.pyplot as plt\n",
    "import matplotlib.cm as cm\n",
    "\n",
    "# Seaborn, useful for graphics\n",
    "import seaborn as sns\n",
    "\n",
    "mwc.set_plotting_style()\n",
    "\n",
    "# Import Bokeh modules for interactive plotting\n",
    "import bokeh.io\n",
    "import bokeh.mpl\n",
    "import bokeh.plotting\n",
    "\n",
    "# Magic function to make matplotlib inline; other style specs must come AFTER\n",
    "%matplotlib inline\n",
    "\n",
    "# This enables SVG graphics inline (only use with static plots (non-Bokeh))\n",
    "%config InlineBackend.figure_format = 'svg'\n",
    "\n",
    "# Datashader to plot lots of datapoints\n",
    "import datashader as ds\n",
    "from datashader.bokeh_ext import InteractiveImage\n",
    "from datashader.utils import export_image\n",
    "from IPython.core.display import HTML, display\n",
    "\n",
    "# Set up Bokeh for inline viewing\n",
    "bokeh.io.output_notebook()\n",
    "bokeh.plotting.output_notebook()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Plotting all of the data with datashader\n",
    "\n",
    "In this notebook we will develop an automatic procedure to gate the flow cytometry data based on the front and side scattering lectures returned by the equipment. \n",
    "We will use the [`datashader`](http://datashader.readthedocs.io/en/latest/) library in combination with [`Bokeh`](http://bokeh.pydata.org/en/latest/) to generate interactive plots with an arbitrary number of data points really easily\n",
    "\n",
    "Let's first read an example data set. We will be working with the LacI titration data set generated on `20160804`."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Unnamed: 0</th>\n",
       "      <th>HDR-T</th>\n",
       "      <th>FSC-A</th>\n",
       "      <th>FSC-H</th>\n",
       "      <th>FSC-W</th>\n",
       "      <th>SSC-A</th>\n",
       "      <th>SSC-H</th>\n",
       "      <th>SSC-W</th>\n",
       "      <th>FITC-A</th>\n",
       "      <th>FITC-H</th>\n",
       "      <th>FITC-W</th>\n",
       "      <th>APC-Cy7-A</th>\n",
       "      <th>APC-Cy7-H</th>\n",
       "      <th>APC-Cy7-W</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>0</td>\n",
       "      <td>5.234742</td>\n",
       "      <td>4931.073730</td>\n",
       "      <td>7329.625000</td>\n",
       "      <td>88179.914062</td>\n",
       "      <td>24927.375000</td>\n",
       "      <td>21066.142578</td>\n",
       "      <td>155096.312500</td>\n",
       "      <td>3863.893066</td>\n",
       "      <td>5620.254883</td>\n",
       "      <td>90111.250000</td>\n",
       "      <td>198.227966</td>\n",
       "      <td>303.540833</td>\n",
       "      <td>85596.835938</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>1</td>\n",
       "      <td>9.376796</td>\n",
       "      <td>6684.469727</td>\n",
       "      <td>7270.852539</td>\n",
       "      <td>120501.250000</td>\n",
       "      <td>29407.791016</td>\n",
       "      <td>22308.511719</td>\n",
       "      <td>172783.281250</td>\n",
       "      <td>1327.978760</td>\n",
       "      <td>6212.779785</td>\n",
       "      <td>28016.578125</td>\n",
       "      <td>56.292591</td>\n",
       "      <td>269.903198</td>\n",
       "      <td>27337.144531</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>2</td>\n",
       "      <td>11.028535</td>\n",
       "      <td>47620.460938</td>\n",
       "      <td>34441.476562</td>\n",
       "      <td>181226.515625</td>\n",
       "      <td>126428.734375</td>\n",
       "      <td>83701.867188</td>\n",
       "      <td>197979.656250</td>\n",
       "      <td>9810.027344</td>\n",
       "      <td>6209.653320</td>\n",
       "      <td>207067.906250</td>\n",
       "      <td>131.344498</td>\n",
       "      <td>370.191162</td>\n",
       "      <td>46504.585938</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>3</td>\n",
       "      <td>14.696243</td>\n",
       "      <td>6008.482422</td>\n",
       "      <td>6114.314453</td>\n",
       "      <td>128803.289062</td>\n",
       "      <td>7114.638672</td>\n",
       "      <td>5086.319336</td>\n",
       "      <td>183340.812500</td>\n",
       "      <td>-1113.539673</td>\n",
       "      <td>3575.527588</td>\n",
       "      <td>-40820.234375</td>\n",
       "      <td>52.552475</td>\n",
       "      <td>162.486893</td>\n",
       "      <td>42392.082031</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>4</td>\n",
       "      <td>17.847254</td>\n",
       "      <td>9215.087891</td>\n",
       "      <td>6789.694336</td>\n",
       "      <td>177893.140625</td>\n",
       "      <td>43032.671875</td>\n",
       "      <td>28439.339844</td>\n",
       "      <td>198330.140625</td>\n",
       "      <td>-1728.413940</td>\n",
       "      <td>2786.592529</td>\n",
       "      <td>-81298.812500</td>\n",
       "      <td>-0.379246</td>\n",
       "      <td>235.683441</td>\n",
       "      <td>-210.912140</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "   Unnamed: 0      HDR-T         FSC-A         FSC-H          FSC-W  \\\n",
       "0           0   5.234742   4931.073730   7329.625000   88179.914062   \n",
       "1           1   9.376796   6684.469727   7270.852539  120501.250000   \n",
       "2           2  11.028535  47620.460938  34441.476562  181226.515625   \n",
       "3           3  14.696243   6008.482422   6114.314453  128803.289062   \n",
       "4           4  17.847254   9215.087891   6789.694336  177893.140625   \n",
       "\n",
       "           SSC-A         SSC-H          SSC-W       FITC-A       FITC-H  \\\n",
       "0   24927.375000  21066.142578  155096.312500  3863.893066  5620.254883   \n",
       "1   29407.791016  22308.511719  172783.281250  1327.978760  6212.779785   \n",
       "2  126428.734375  83701.867188  197979.656250  9810.027344  6209.653320   \n",
       "3    7114.638672   5086.319336  183340.812500 -1113.539673  3575.527588   \n",
       "4   43032.671875  28439.339844  198330.140625 -1728.413940  2786.592529   \n",
       "\n",
       "          FITC-W   APC-Cy7-A   APC-Cy7-H     APC-Cy7-W  \n",
       "0   90111.250000  198.227966  303.540833  85596.835938  \n",
       "1   28016.578125   56.292591  269.903198  27337.144531  \n",
       "2  207067.906250  131.344498  370.191162  46504.585938  \n",
       "3  -40820.234375   52.552475  162.486893  42392.082031  \n",
       "4  -81298.812500   -0.379246  235.683441   -210.912140  "
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "# define the date to find the experiment files\n",
    "date = 20160804\n",
    "\n",
    "# list the directory with the data\n",
    "datadir = '../../data/flow/csv/'\n",
    "files = np.array(os.listdir(datadir))\n",
    "\n",
    "# select the files from the chosen date\n",
    "csv_bool = np.array([str(date) in f and 'csv' in f for f in files])\n",
    "files = files[np.array(csv_bool)]\n",
    "\n",
    "# Read files into a pandas Data Frame\n",
    "df_example = pd.read_csv(datadir + files[1])\n",
    "df_example.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now in order to use `datashader` in an interactive `Bokeh` plot we need to define a `base_plot` function to initialize a `Bokeh` plot canvas."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "def base_plot(df, x_col, y_col, log=False):\n",
    "    '''\n",
    "    Initialize canvas to plot the flow cytometry raw data with Bokeh.\n",
    "    Parameters\n",
    "    ----------\n",
    "    df : Pandas dataframe.\n",
    "        Data frame containing the data to be plotted.\n",
    "    x_col, y_col : str.\n",
    "        Name of the dataframe columns containing the x and y data \n",
    "        respectively to be plotted.\n",
    "    log : bool.\n",
    "        Boolean indicating if the data should be plotted in log_10 scale.\n",
    "        NOTE: Since Bokeh is known to have issues with plotting in log scale\n",
    "        rather than changing the axis to log scale the function computes\n",
    "        explicitly the log base 10 value of each datum.\n",
    "    '''\n",
    "\n",
    "    x_range = (df[x_col].min(), df[x_col].max())\n",
    "    y_range = (df[y_col].min(), df[y_col].max())\n",
    "        \n",
    "    # Initialize the Bokeh plot\n",
    "    p = bokeh.plotting.figure(\n",
    "        x_range=x_range,\n",
    "        y_range=y_range,\n",
    "        tools='save,pan,wheel_zoom,box_zoom,reset', \n",
    "        plot_width=500, \n",
    "        plot_height=500,\n",
    "    )\n",
    "    \n",
    "    # Add all the features to the plot\n",
    "    p.xgrid.grid_line_color = '#a6a6a6'\n",
    "    p.ygrid.grid_line_color = '#a6a6a6'\n",
    "    p.ygrid.grid_line_dash = [6, 4]\n",
    "    p.xgrid.grid_line_dash = [6, 4]\n",
    "    if log:\n",
    "        p.xaxis.axis_label = 'log ' + x_col\n",
    "        p.yaxis.axis_label = 'log ' + y_col\n",
    "    else:\n",
    "        p.xaxis.axis_label = x_col\n",
    "        p.yaxis.axis_label = y_col\n",
    "    p.xaxis.axis_label_text_font_size = '15pt'\n",
    "    p.yaxis.axis_label_text_font_size = '15pt'\n",
    "    p.background_fill_color = '#E3DCD0'\n",
    "    return p"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "With this in hand we define a simple function that takes one of our data frames and plot whichever columns we want on a 2-D scatter plot."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "def ds_plot(df, x_col, y_col, log=False):\n",
    "    if log:\n",
    "        data = np.log10(df[[x_col, y_col]])\n",
    "    else:\n",
    "        data = df[[x_col, y_col]]\n",
    "    p = base_plot(data, x_col, y_col, log=log)\n",
    "    pipeline = ds.Pipeline(data, ds.Point(x_col, y_col))\n",
    "    return p, pipeline"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now let's plot the front and side scattering channels we will use for the gating. \n",
    "The amaing features about `datashader` is that we can plot **all of the data points** (>100,000) basically instantly."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/razo/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:3: RuntimeWarning: invalid value encountered in log10\n",
      "  app.launch_new_instance()\n"
     ]
    },
    {
     "data": {
      "text/html": [
       "\n",
       "\n",
       "    <div class=\"bk-root\">\n",
       "        <div class=\"plotdiv\" id=\"44a91f00-3440-41a4-9931-f288648b5229\"></div>\n",
       "    </div>\n",
       "<script type=\"text/javascript\">\n",
       "  \n",
       "  (function(global) {\n",
       "    function now() {\n",
       "      return new Date();\n",
       "    }\n",
       "  \n",
       "    var force = \"\";\n",
       "  \n",
       "    if (typeof (window._bokeh_onload_callbacks) === \"undefined\" || force !== \"\") {\n",
       "      window._bokeh_onload_callbacks = [];\n",
       "      window._bokeh_is_loading = undefined;\n",
       "    }\n",
       "  \n",
       "  \n",
       "    \n",
       "    if (typeof (window._bokeh_timeout) === \"undefined\" || force !== \"\") {\n",
       "      window._bokeh_timeout = Date.now() + 0;\n",
       "      window._bokeh_failed_load = false;\n",
       "    }\n",
       "  \n",
       "    var NB_LOAD_WARNING = {'data': {'text/html':\n",
       "       \"<div style='background-color: #fdd'>\\n\"+\n",
       "       \"<p>\\n\"+\n",
       "       \"BokehJS does not appear to have successfully loaded. If loading BokehJS from CDN, this \\n\"+\n",
       "       \"may be due to a slow or bad network connection. Possible fixes:\\n\"+\n",
       "       \"</p>\\n\"+\n",
       "       \"<ul>\\n\"+\n",
       "       \"<li>re-rerun `output_notebook()` to attempt to load from CDN again, or</li>\\n\"+\n",
       "       \"<li>use INLINE resources instead, as so:</li>\\n\"+\n",
       "       \"</ul>\\n\"+\n",
       "       \"<code>\\n\"+\n",
       "       \"from bokeh.resources import INLINE\\n\"+\n",
       "       \"output_notebook(resources=INLINE)\\n\"+\n",
       "       \"</code>\\n\"+\n",
       "       \"</div>\"}};\n",
       "  \n",
       "    function display_loaded() {\n",
       "      if (window.Bokeh !== undefined) {\n",
       "        Bokeh.$(\"#44a91f00-3440-41a4-9931-f288648b5229\").text(\"BokehJS successfully loaded.\");\n",
       "      } else if (Date.now() < window._bokeh_timeout) {\n",
       "        setTimeout(display_loaded, 100)\n",
       "      }\n",
       "    }if ((window.Jupyter !== undefined) && Jupyter.notebook.kernel) {\n",
       "      comm_manager = Jupyter.notebook.kernel.comm_manager\n",
       "      comm_manager.register_target(\"4eda6e22-e9d6-4dba-af32-d4dca6e9eb66\", function () {});\n",
       "    }\n",
       "  \n",
       "    function run_callbacks() {\n",
       "      window._bokeh_onload_callbacks.forEach(function(callback) { callback() });\n",
       "      delete window._bokeh_onload_callbacks\n",
       "      console.info(\"Bokeh: all callbacks have finished\");\n",
       "    }\n",
       "  \n",
       "    function load_libs(js_urls, callback) {\n",
       "      window._bokeh_onload_callbacks.push(callback);\n",
       "      if (window._bokeh_is_loading > 0) {\n",
       "        console.log(\"Bokeh: BokehJS is being loaded, scheduling callback at\", now());\n",
       "        return null;\n",
       "      }\n",
       "      if (js_urls == null || js_urls.length === 0) {\n",
       "        run_callbacks();\n",
       "        return null;\n",
       "      }\n",
       "      console.log(\"Bokeh: BokehJS not loaded, scheduling load and callback at\", now());\n",
       "      window._bokeh_is_loading = js_urls.length;\n",
       "      for (var i = 0; i < js_urls.length; i++) {\n",
       "        var url = js_urls[i];\n",
       "        var s = document.createElement('script');\n",
       "        s.src = url;\n",
       "        s.async = false;\n",
       "        s.onreadystatechange = s.onload = function() {\n",
       "          window._bokeh_is_loading--;\n",
       "          if (window._bokeh_is_loading === 0) {\n",
       "            console.log(\"Bokeh: all BokehJS libraries loaded\");\n",
       "            run_callbacks()\n",
       "          }\n",
       "        };\n",
       "        s.onerror = function() {\n",
       "          console.warn(\"failed to load library \" + url);\n",
       "        };\n",
       "        console.log(\"Bokeh: injecting script tag for BokehJS library: \", url);\n",
       "        document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "      }\n",
       "    };var element = document.getElementById(\"44a91f00-3440-41a4-9931-f288648b5229\");\n",
       "    if (element == null) {\n",
       "      console.log(\"Bokeh: ERROR: autoload.js configured with elementid '44a91f00-3440-41a4-9931-f288648b5229' but no matching script tag was found. \")\n",
       "      return false;\n",
       "    }\n",
       "  \n",
       "    var js_urls = [];\n",
       "  \n",
       "    var inline_js = [\n",
       "      function(Bokeh) {\n",
       "        Bokeh.$(function() {\n",
       "            var docs_json = {\"075263a8-2e59-45dd-9808-541ce3fc0db8\":{\"roots\":{\"references\":[{\"attributes\":{},\"id\":\"deb0c824-04ca-4be9-bd90-8c50acdd13b4\",\"type\":\"BasicTickFormatter\"},{\"attributes\":{\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"646d7113-8cc8-4244-8c3d-fde98cf8a70e\",\"type\":\"ResetTool\"},{\"attributes\":{\"dimension\":1,\"grid_line_color\":{\"value\":\"#a6a6a6\"},\"grid_line_dash\":[6,4],\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"8631d4b6-e481-4d00-b5f8-4bb4bd924fca\",\"type\":\"BasicTicker\"}},\"id\":\"8f938a4b-9fca-486b-9d76-8be08da49b69\",\"type\":\"Grid\"},{\"attributes\":{\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"d64b602f-19dc-4961-b28e-c872d3f1882a\",\"type\":\"WheelZoomTool\"},{\"attributes\":{\"grid_line_color\":{\"value\":\"#a6a6a6\"},\"grid_line_dash\":[6,4],\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"b60eb916-1635-469d-935b-82abde067a81\",\"type\":\"BasicTicker\"}},\"id\":\"c6f22682-fa4e-4fe3-8fd0-4a627cbb2ea0\",\"type\":\"Grid\"},{\"attributes\":{\"plot\":null,\"text\":null},\"id\":\"db75a22f-c441-4a2c-bfc3-9d4234da2978\",\"type\":\"Title\"},{\"attributes\":{\"active_drag\":\"auto\",\"active_scroll\":\"auto\",\"active_tap\":\"auto\",\"tools\":[{\"id\":\"c19998ef-b434-4b70-88dd-7f52d2910695\",\"type\":\"SaveTool\"},{\"id\":\"3f0976c3-37a0-4b97-a9d6-e13fff99e524\",\"type\":\"PanTool\"},{\"id\":\"d64b602f-19dc-4961-b28e-c872d3f1882a\",\"type\":\"WheelZoomTool\"},{\"id\":\"5e015d29-5deb-45ae-9809-6250141967c6\",\"type\":\"BoxZoomTool\"},{\"id\":\"646d7113-8cc8-4244-8c3d-fde98cf8a70e\",\"type\":\"ResetTool\"}]},\"id\":\"46770a11-69e0-4807-b07b-798011fdf60b\",\"type\":\"Toolbar\"},{\"attributes\":{\"bottom_units\":\"screen\",\"fill_alpha\":{\"value\":0.5},\"fill_color\":{\"value\":\"lightgrey\"},\"left_units\":\"screen\",\"level\":\"overlay\",\"line_alpha\":{\"value\":1.0},\"line_color\":{\"value\":\"black\"},\"line_dash\":[4,4],\"line_width\":{\"value\":2},\"plot\":null,\"render_mode\":\"css\",\"right_units\":\"screen\",\"top_units\":\"screen\"},\"id\":\"de301e3b-be1c-4b3e-aa07-72492d71e302\",\"type\":\"BoxAnnotation\"},{\"attributes\":{\"dh\":{\"field\":\"dh\",\"units\":\"data\"},\"dw\":{\"field\":\"dw\",\"units\":\"data\"},\"image\":{\"field\":\"image\"},\"x\":{\"field\":\"x\"},\"y\":{\"field\":\"y\"}},\"id\":\"ec5985d0-67f4-4d12-82b1-391edc980fa7\",\"type\":\"ImageRGBA\"},{\"attributes\":{\"callback\":{\"id\":\"aee0df2a-1812-4cbe-a9c6-0a5e87597001\",\"type\":\"CustomJS\"},\"end\":5.418539870179722,\"start\":1.778807167749611},\"id\":\"7ea1807d-4477-4f3f-944d-10752b32c67d\",\"type\":\"Range1d\"},{\"attributes\":{\"axis_label\":\"log SSC-A\",\"axis_label_text_font_size\":{\"value\":\"15pt\"},\"formatter\":{\"id\":\"deb0c824-04ca-4be9-bd90-8c50acdd13b4\",\"type\":\"BasicTickFormatter\"},\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"8631d4b6-e481-4d00-b5f8-4bb4bd924fca\",\"type\":\"BasicTicker\"}},\"id\":\"9f3368cc-4fcd-470a-a32b-ad03cee5a35e\",\"type\":\"LinearAxis\"},{\"attributes\":{},\"id\":\"0765281b-6c9c-49af-ac8e-22191343e679\",\"type\":\"BasicTickFormatter\"},{\"attributes\":{\"callback\":null,\"column_names\":[\"y\",\"x\",\"dh\",\"dw\",\"image\"],\"data\":{\"dh\":[3.639732702430111],\"dw\":[2.800178494362553],\"image\":[[[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4291930246,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291202160,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4291930246,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,4291930246,0,4293318829,0,0,0,4293318829,0,4291930246,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,4291930246,0,0,0,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,4291930246,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4291202160,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4291930246,4293318829,4293318829,4293318829,4293318829,0,4291930246,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,4293318829,0,4291930246,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4291930246,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,4291930246,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,4291930246,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4291930246,4293318829,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4291930246,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4291930246,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,4293318829,0,4293318829,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,4293318829,4291202160,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,4293318829,0,4293318829,0,4293318829,4291930246,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,4293318829,0,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,4291930246,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,4291202160,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,4291930246,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,4293318829,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4291930246,0,4293318829,0,4293318829,4293318829,0,0,0,4291930246,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,4291202160,0,4293318829,4293318829,4293318829,4293318829,0,4291930246,0,0,0,0,4293318829,4293318829,4291930246,0,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,4291930246,0,4290606944,4291930246,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,0,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,4293318829,0,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4291930246,0,0,0,0,4293318829,4293318829,0,4291930246,0,4293318829,0,0,0,4293318829,4293318829,0,4291930246,4291930246,0,4293318829,0,0,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,4293318829,4293318829,0,4293318829,4293318829,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,4291930246,4293318829,4291930246,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,4290606944,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,4293318829,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4291930246,0,0,0,4291202160,4291930246,4293318829,4291930246,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,0,0,4293318829,0,4291930246,0,4293318829,0,4291202160,0,0,0,4293318829,0,0,0,4291930246,0,4291202160,0,0,4293318829,4293318829,4293318829,0,4293318829,0,4293318829,4293318829,4293318829,0,4291202160,0,4293318829,4291202160,4293318829,4291930246,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,4291930246,0,0,0,4291930246,0,0,0,0,0,4291202160,0,0,0,4293318829,4291930246,4293318829,4291930246,0,0,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,4291202160,4293318829,0,0,0,4291202160,0,0,4293318829,4293318829,4293318829,0,0,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4291202160,4293318829,4293318829,0,4291930246,4293318829,4291202160,0,0,4291930246,4293318829,4291930246,4293318829,0,4293318829,4291930246,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4291930246,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,4291930246,4293318829,0,0,4293318829,0,4291930246,4293318829,4291930246,0,4291930246,4291930246,4293318829,4291930246,0,0,0,4293318829,0,0,4291930246,4291930246,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4291930246,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,4291930246,4291930246,0,0,0,4293318829,0,4293318829,4293318829,4291930246,0,4293318829,4291930246,0,0,0,0,4293318829,4293318829,0,4293318829,4293318829,4291930246,4291930246,4291930246,0,0,4293318829,0,4293318829,4291930246,0,4293318829,4291930246,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,4291930246,4293318829,0,0,0,4293318829,0,4291930246,0,4291930246,4293318829,4291930246,4291930246,4293318829,0,4293318829,4291930246,4293318829,4293318829,4291930246,4291930246,0,0,0,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,4291930246,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,4293318829,4291930246,0,4293318829,4293318829,4293318829,4293318829,0,0,4291202160,0,4290606944,0,4293318829,4291930246,4293318829,0,4291930246,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,4291930246,0,4293318829,0,4291930246,4293318829,0,0,0,4293318829,4293318829,0,4291930246,0,4293318829,4293318829,4291930246,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291202160,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,4291930246,0,4293318829,0,0,0,4293318829,0,4291930246,0,0,4293318829,4293318829,0,4293318829,4291930246,0,4291930246,0,0,4290606944,4291930246,4293318829,4293318829,4293318829,4293318829,4293318829,4291202160,0,4293318829,4291930246,0,4293318829,4293318829,4291930246,0,0,4291930246,4291930246,0,4293318829,4291930246,4293318829,4291930246,4293318829,0,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,4293318829,0,0,0,4293318829,4293318829,4290606944,4291930246,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,4293318829,4293318829,4291202160,4291930246,4293318829,4293318829,4291202160,0,4293318829,4293318829,4293318829,4293318829,0,4291930246,0,4293318829,4291930246,0,4293318829,0,0,4293318829,4291930246,4291930246,4291930246,0,4291930246,0,4291930246,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4291930246,4291930246,0,0,4291930246,0,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,4293318829,0,4293318829,0,4291930246,4293318829,4293318829,4291202160,0,4293318829,4291930246,4291930246,0,4293318829,4293318829,4291202160,4293318829,4291930246,0,0,4293318829,0,4293318829,4291930246,0,4293318829,0,4291930246,4293318829,0,4293318829,4293318829,4291930246,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4291930246,4291930246,0,4293318829,4293318829,4291202160,0,0,0,4293318829,4293318829,4291930246,4291202160,4293318829,0,0,0,4293318829,4290606944,4291930246,4291930246,4291930246,4291930246,4293318829,4291930246,4291930246,0,0,4291202160,0,0,0,0,4291930246,0,4293318829,0,0,4291930246,0,0,4291930246,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4291930246,0,0,0,4291930246,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,4293318829,4290606944,4293318829,0,0,0,4291930246,4293318829,0,4291930246,4293318829,4293318829,4291930246,4293318829,4293318829,4293318829,4291202160,0,4290606944,4290606944,0,0,4291930246,4291930246,4293318829,0,0,4293318829,0,0,4291930246,4293318829,0,0,4291930246,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,4291930246,0,4293318829,4293318829,0,0,4291930246,4293318829,4293318829,0,0,0,4291930246,0,4291930246,4291202160,4291202160,4291930246,0,4290210132,0,0,4293318829,0,4293318829,4291930246,4293318829,4293318829,0,0,4291202160,4291930246,4293318829,0,0,0,0,0,0,4291930246,4293318829,4291930246,0,4293318829,4293318829,0,0,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,4291930246,0,0,0,0,4293318829,4293318829,0,4291930246,4293318829,4293318829,0,0,4291202160,4291930246,4291930246,4291202160,0,4291930246,4291930246,4290606944,4293318829,4291202160,0,4291930246,4293318829,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,4291202160,4293318829,0,4293318829,0,4293318829,0,4293318829,4291930246,0,4293318829,4291202160,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4291930246,0,4293318829,0,4293318829,0,0,4291930246,0,4293318829,0,0,0,0,0,4291930246,4291930246,4291930246,4293318829,4293318829,4293318829,4293318829,0,0,4291930246,0,0,4291930246,4293318829,0,4293318829,4293318829,4293318829,4293318829,4291930246,0,0,4291202160,4291202160,4291930246,4291202160,4293318829,4290606944,4293318829,4293318829,4293318829,4291930246,4293318829,4293318829,0,4291930246,4291202160,4291202160,4291930246,4293318829,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4291930246,0,4291930246,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,4293318829,4290606944,0,4293318829,4291202160,0,4293318829,4291930246,0,4291930246,0,4291930246,4293318829,4293318829,4293318829,4291930246,4291930246,0,4293318829,4291202160,4293318829,4293318829,4293318829,4291930246,0,4293318829,0,4291930246,0,4291930246,0,4293318829,4291930246,0,4291930246,0,4293318829,4291930246,4291930246,4291930246,0,0,4293318829,0,4293318829,4291930246,4293318829,4293318829,0,4293318829,4291930246,4293318829,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,0,4291930246,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4291930246,4293318829,4293318829,0,4291930246,4293318829,4293318829,0,4291930246,4293318829,0,0,0,4293318829,4293318829,4291930246,4293318829,0,0,4293318829,4293318829,4291202160,4291930246,4293318829,4291930246,0,4293318829,4291202160,4291930246,0,0,4293318829,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,0,0,0,0,0,0,4291202160,4291930246,0,0,4291202160,0,4293318829,0,4291930246,0,4293318829,0,0,4291930246,0,4293318829,0,4291930246,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,4291202160,0,4293318829,4290606944,0,0,4291930246,0,4291930246,0,4291930246,4293318829,4293318829,4291930246,4293318829,4293318829,0,4293318829,4291930246,0,4293318829,4291202160,4291930246,4291930246,4293318829,4291202160,0,4293318829,0,4291930246,4291202160,4293318829,4293318829,0,4293318829,4291202160,0,4291202160,0,4290606944,4293318829,0,0,0,4291202160,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,4293318829,4293318829,4291930246,4293318829,0,4293318829,4291930246,0,0,4293318829,0,4293318829,4293318829,0,0,0,4293318829,0,4291930246,0,4293318829,0,4293318829,0,4293318829,4293318829,0,4291202160,0,4291930246,4291202160,4291202160,4293318829,4293318829,4290606944,4291202160,4291930246,4291202160,4291930246,4291930246,4291930246,4293318829,4291930246,4293318829,4293318829,0,4293318829,0,0,0,4291930246,4293318829,4293318829,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4291930246,0,0,0,4291930246,0,4293318829,0,4291930246,4293318829,4291930246,0,4293318829,0,4293318829,4290606944,4291930246,4291930246,4293318829,4291930246,4291930246,4291930246,4291930246,0,0,4293318829,4291930246,0,0,0,4293318829,4291202160,0,4293318829,4293318829,4291930246,0,0,0,4291930246,0,4291930246,4291930246,0,4291930246,4291930246,0,4293318829,4293318829,0,0,4291930246,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4291930246,0,0,0,0,4293318829,4293318829,0,0,4293318829,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4291930246,0,0,0,4293318829,4291930246,4291202160,4293318829,4290606944,4291930246,0,4293318829,4291930246,4290606944,4293318829,4290606944,4293318829,4290606944,4293318829,4293318829,4291930246,4291930246,4293318829,0,4291930246,4291930246,4291930246,0,4291930246,4293318829,0,4291202160,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,0,0,4291202160,0,4291930246,0,4293318829,0,4293318829,0,4291930246,4291930246,0,4291930246,4293318829,4291930246,4293318829,4291930246,4293318829,0,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,4291202160,4290606944,4293318829,4291930246,4293318829,4290606944,4291930246,4293318829,0,4291202160,0,4293318829,4291202160,4291930246,0,4291930246,0,4291930246,4293318829,0,4291930246,4291930246,0,0,4293318829,4293318829,4291930246,4293318829,0,0,4293318829,4291930246,0,0,0,4293318829,0,4293318829,0,4291202160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,4291202160,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,4293318829,4293318829,4291930246,0,4293318829,4293318829,4291930246,4291930246,0,0,0,4291930246,4290606944,4293318829,4293318829,4291930246,4291930246,0,0,4291202160,4293318829,4290606944,0,0,4293318829,4293318829,4291202160,0,0,0,4290606944,0,4291930246,4293318829,0,0,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4291930246,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4291930246,0,0,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4290606944,4293318829,4290606944,4293318829,4293318829,4293318829,0,4293318829,4291930246,0,4293318829,0,4291930246,0,4290606944,4289879627,0,4293318829,0,4293318829,0,0,4293318829,4291930246,4293318829,4291930246,0,4291202160,0,0,4290606944,0,0,4293318829,4293318829,4293318829,4291930246,0,4293318829,0,4293318829,4291202160,0,0,4293318829,4291202160,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,0,4293318829,0,0,4293318829,0,4291202160,4291930246,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,4291930246,4293318829,4291930246,0,4293318829,4290210132,4291930246,0,0,4291930246,4293318829,4293318829,4293318829,4293318829,0,4291930246,4293318829,0,4291202160,4291930246,4293318829,4291202160,0,4293318829,4291930246,4293318829,0,0,4291202160,4293318829,4293318829,4291930246,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,4291930246,4293318829,4291930246,4293318829,0,0,4293318829,0,0,4291930246,4291930246,4293318829,4293318829,0,0,4293318829,4291930246,4293318829,4293318829,0,0,4291930246,4291202160,4291930246,4290210132,0,0,4291202160,4293318829,4293318829,4291930246,4290210132,0,4293318829,4293318829,4291930246,4293318829,4293318829,4293318829,4291930246,4293318829,4291202160,0,0,0,4290210132,4293318829,0,4291930246,0,4291202160,0,0,0,4291930246,0,4291930246,4293318829,0,4293318829,4291930246,4293318829,0,0,4291930246,0,4293318829,0,0,4291930246,4291930246,4293318829,0,0,0,0,0,4291202160,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4291930246,0,4293318829,4293318829,0,4291930246,4293318829,4293318829,0,4290606944,0,0,4291202160,4291930246,0,0,4291930246,0,4293318829,0,0,4291930246,4291202160,4290606944,4293318829,0,4291930246,4290606944,0,4291930246,0,4291202160,4291202160,4291930246,4290606944,4291930246,4289879627,4291930246,4293318829,4291202160,0,4291930246,4293318829,4293318829,4290606944,4293318829,4291202160,0,0,4291930246,4291930246,4291930246,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4291930246,0,4291930246,0,0,0,4291930246,4293318829,0,0,0,4293318829,4291930246,4291930246,4291930246,4291930246,4291930246,4290210132,4293318829,4291930246,4290606944,4290606944,4293318829,4293318829,4290210132,4291930246,0,4291930246,4291930246,4293318829,4290210132,0,4293318829,4291930246,4293318829,4293318829,4290606944,4291930246,4291930246,4291930246,4290606944,4291930246,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4291930246,0,4291202160,0,4291930246,4291930246,0,4291202160,0,4293318829,4291930246,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,0,4291930246,0,4293318829,4291202160,4290606944,4293318829,4291930246,4293318829,4291930246,4290606944,4293318829,4291202160,4293318829,4291930246,0,4291930246,4291202160,4291930246,4291202160,4291202160,4291930246,4290606944,4290210132,4290606944,0,4291930246,4293318829,4293318829,4291202160,4290606944,4293318829,4291202160,4293318829,4291930246,4293318829,4293318829,4290606944,4291202160,4293318829,0,4291202160,0,0,4291202160,4291930246,0,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,4293318829,4291930246,4291930246,4293318829,4293318829,4293318829,0,4293318829,0,0,0,4291930246,0,0,4293318829,4291930246,4291930246,0,0,0,0,4293318829,0,4291202160,4293318829,4293318829,0,0,4291202160,4291202160,4291930246,4291930246,4293318829,4293318829,4291930246,4293318829,0,4291930246,4291930246,4290606944,4293318829,4290606944,4291930246,4293318829,4291930246,4291202160,4293318829,4291202160,4291930246,4291930246,4293318829,0,4293318829,0,4293318829,4291930246,4293318829,4291202160,0,4293318829,4291930246,0,4293318829,4293318829,0,4291930246,4291930246,4291930246,0,4293318829,0,0,4293318829,4290606944,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,4291930246,0,0,0,0,4291930246,4293318829,4293318829,4293318829,0,4293318829,4293318829,4291930246,4291930246,0,4291930246,4291930246,4291930246,0,4291930246,4291930246,4293318829,4291202160,4291202160,4291202160,4291202160,4293318829,4291930246,4290606944,4291930246,4293318829,0,4291930246,4291930246,4293318829,4290606944,4293318829,4293318829,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,4291930246,0,4293318829,0,0,4293318829,4293318829,0,4291930246,0,4293318829,0,4291930246,0,4293318829,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4291930246,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,4293318829,0,4293318829,4291202160,4291930246,0,4291202160,0,0,4293318829,4293318829,4293318829,4291930246,4291202160,4293318829,4293318829,4291930246,4291930246,4293318829,0,4291930246,4290606944,0,0,4291202160,0,0,4293318829,0,4291930246,4290606944,4291202160,4293318829,0,4293318829,4293318829,4291930246,4291930246,0,4291930246,4291202160,4291930246,0,4291202160,4293318829,0,0,4293318829,4293318829,4291930246,4293318829,0,4293318829,0,4293318829,4291930246,4291930246,0,0,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4291202160,0,0,0,0,0,0,0,0,0,0,0,4291202160,0,4293318829,0,4293318829,0,4293318829,4291930246,0,4293318829,4291930246,4291202160,4293318829,4293318829,4291202160,0,4291930246,4291202160,4293318829,0,4293318829,4290606944,4291202160,4290606944,4291930246,4293318829,4291930246,4290606944,4291930246,4293318829,4291202160,4293318829,0,4291202160,0,4291202160,4291930246,4293318829,4291930246,4293318829,4291930246,4291930246,4290210132,4291930246,4293318829,4291930246,4293318829,0,4291930246,0,0,4293318829,4291930246,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,4291202160,0,4293318829,4293318829,0,0,0,4293318829,0,0,4291202160,0,4293318829,4293318829,0,4291930246,0,0,0,4291930246,4289416510,4291930246,4293318829,4293318829,4293318829,4291930246,4293318829,4293318829,4293318829,0,4293318829,4291930246,4291202160,4293318829,4291930246,4291930246,4291930246,4291930246,4293318829,4290210132,4293318829,0,4293318829,4291930246,4291202160,4293318829,0,4291930246,4291930246,0,0,4291202160,4291930246,4291930246,4293318829,0,4293318829,4293318829,4291930246,4291930246,4291930246,4291930246,0,4293318829,0,0,4293318829,4291202160,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4291930246,4293318829,0,0,4291930246,0,4293318829,0,4293318829,0,4291202160,4291930246,4293318829,4291930246,4291930246,0,4293318829,4290606944,4290210132,4291930246,4291930246,4291202160,4291930246,4291930246,4291202160,4291930246,4291930246,4293318829,4293318829,4291202160,4291930246,4290606944,4291202160,4291202160,4291202160,0,4293318829,4291930246,0,4291930246,4293318829,4293318829,4293318829,0,4293318829,0,4291930246,0,4291930246,4293318829,0,4291202160,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4291930246,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,4291202160,4293318829,4291202160,4291930246,4290606944,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4291202160,4293318829,0,0,4291930246,4291930246,4290606944,4291930246,4291930246,4290606944,4290606944,4290606944,4291202160,4291202160,4291930246,4293318829,4291930246,4293318829,4291202160,4293318829,4291930246,4289879627,4290210132,4291930246,4290210132,4291202160,4291930246,4290606944,4291202160,4291202160,4291930246,4291202160,4293318829,4293318829,4293318829,4291930246,4291930246,4291930246,4293318829,4290606944,4291930246,0,4293318829,0,4291930246,4293318829,4293318829,4293318829,4293318829,4291202160,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4291930246,0,0,0,4291930246,4293318829,4293318829,4291930246,0,4293318829,4293318829,0,4293318829,4291930246,0,4293318829,4290606944,4293318829,4291202160,4291930246,4293318829,4291930246,4291930246,4293318829,0,4290606944,4291202160,4291930246,4293318829,4291930246,4290606944,4293318829,4293318829,4291202160,4291930246,4290606944,4293318829,0,4291202160,0,4293318829,4291202160,4293318829,4291202160,4291930246,0,0,4293318829,4290606944,4291930246,4291202160,4293318829,4293318829,4293318829,4291930246,4293318829,4291930246,4291930246,0,0,4293318829,4293318829,0,4291202160,4291202160,4293318829,4293318829,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,0,4291202160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4291930246,0,0,0,4293318829,0,0,4291930246,4293318829,0,4293318829,0,0,0,4291930246,0,4293318829,4293318829,0,4293318829,4291930246,0,0,4293318829,4291930246,4293318829,4291202160,4293318829,4291930246,4291202160,4291930246,4293318829,4293318829,4291202160,4291202160,4291930246,0,4293318829,4293318829,4290606944,4291930246,4293318829,4291930246,4290210132,4290606944,4291930246,4291202160,4291202160,4293318829,4291930246,4291930246,4291930246,0,4291930246,4293318829,4293318829,4290606944,4291202160,4291930246,4290606944,4293318829,4293318829,4291930246,4293318829,4290606944,0,4293318829,4293318829,4291930246,4290606944,4293318829,0,0,0,4291930246,0,4293318829,0,4293318829,4291930246,0,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,4293318829,4293318829,0,0,4291930246,0,0,4293318829,0,0,4290606944,4291202160,4293318829,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,4291202160,4293318829,4291202160,4290606944,0,0,4290606944,0,4291202160,4291930246,4293318829,4291930246,4291930246,4293318829,4291202160,0,4291202160,4293318829,4291930246,4291930246,4293318829,0,4291930246,4291202160,4289680708,4293318829,4290606944,4291930246,4289879627,0,4291202160,4290606944,0,4291930246,4293318829,4291930246,0,4293318829,4291202160,4291202160,4291202160,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,0,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4291930246,4291930246,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4291930246,0,4291930246,4291202160,4293318829,4291202160,0,4291202160,0,4293318829,4293318829,4291202160,4291930246,4293318829,0,4291930246,4290606944,4291930246,4291930246,4290606944,4291202160,4293318829,4291930246,4291930246,4293318829,4291930246,4291930246,4293318829,4291202160,0,4291930246,4291930246,0,4291930246,4293318829,4291930246,0,4291930246,0,4293318829,4291930246,4291930246,4293318829,4291202160,4293318829,0,4291930246,0,4293318829,0,4293318829,4293318829,0,4291930246,4293318829,0,0,0,4293318829,0,0,4291930246,0,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4291930246,0,0,4293318829,0,4293318829,0,0,0,4291930246,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,4290606944,4293318829,0,0,4293318829,4291202160,4291202160,4291202160,4291930246,4291930246,0,4293318829,4291930246,4293318829,0,4291930246,4290606944,4291930246,4291202160,4293318829,4293318829,4291930246,4290210132,4291930246,4291202160,4290606944,0,4291930246,4291202160,4290606944,4291202160,4293318829,4291930246,4291930246,4291202160,4291930246,4291202160,4293318829,4291202160,4293318829,4291930246,4293318829,4293318829,4293318829,4291930246,0,4293318829,4291202160,0,4291930246,0,4291202160,4293318829,4291930246,4293318829,0,4293318829,0,4291930246,4293318829,0,4293318829,4293318829,4293318829,4293318829,4291930246,4293318829,0,0,0,0,4293318829,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,4291930246,0,0,4293318829,0,0,4293318829,4291930246,0,4291202160,4293318829,4293318829,4293318829,0,0,4291930246,4291930246,4291930246,4291930246,0,0,4291930246,0,4293318829,4291930246,4291930246,4291930246,4293318829,4290606944,4290606944,4291930246,4290606944,4291930246,4293318829,4290210132,4291202160,4291930246,4291202160,4291930246,4293318829,4291202160,4291930246,4293318829,4293318829,4293318829,4291930246,4290606944,4291930246,4289680708,0,4293318829,4293318829,4293318829,4291202160,4293318829,0,4293318829,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,4291930246,0,0,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,0,4291930246,4293318829,4291930246,0,4293318829,0,0,0,0,4291930246,4291930246,4290606944,4293318829,4293318829,4293318829,0,4293318829,4293318829,4290606944,4291202160,4293318829,4291930246,4293318829,4291930246,4291930246,4291930246,4293318829,4289416510,4291930246,4290606944,4291930246,4291202160,4291202160,4291930246,4291202160,4291202160,4290606944,4293318829,4291202160,4290606944,4289879627,4290606944,4291202160,4291930246,4293318829,0,4290606944,4293318829,0,4291202160,4291930246,4291930246,4293318829,4293318829,4291202160,4293318829,4293318829,4290606944,4291930246,4290210132,4291930246,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4291930246,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,0,4291930246,4293318829,4293318829,4291930246,4293318829,4293318829,0,4293318829,4291930246,0,4291202160,4293318829,4291930246,0,4291930246,4291202160,4291930246,4290606944,4291202160,0,4290606944,4291930246,4293318829,4290606944,4291930246,4291930246,4291202160,4291930246,4291930246,4290606944,4291202160,4290210132,4291202160,4290606944,4290606944,0,4293318829,4293318829,4293318829,4291202160,4293318829,0,4290606944,4291930246,0,4290606944,4291202160,4290606944,4290210132,0,4293318829,0,4293318829,4291202160,4291930246,4293318829,4291930246,4293318829,0,4291930246,4291930246,4293318829,4291930246,4293318829,0,4291930246,0,4293318829,4293318829,0,4293318829,4293318829,4291930246,4291930246,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,4291930246,4291202160,4291202160,4293318829,4291930246,4293318829,0,4293318829,4293318829,4289879627,4293318829,4291930246,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,0,4291930246,4291930246,4291202160,4293318829,4291930246,4291930246,4291202160,4291930246,4293318829,4291930246,4293318829,4291930246,4291930246,4291202160,4291930246,0,4291930246,4291930246,4290606944,4291930246,4290210132,4291202160,4291930246,4291930246,4291202160,4291202160,4291930246,4289879627,4290606944,4291202160,4290606944,0,4293318829,4293318829,0,0,4291202160,4293318829,4293318829,0,0,0,0,4293318829,4293318829,0,4291930246,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,4293318829,0,4293318829,4291930246,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,4291930246,4291930246,0,4290606944,4291930246,4291930246,4291202160,4291930246,4291930246,4290606944,4291930246,4293318829,4293318829,4290210132,4293318829,4293318829,4290606944,0,4293318829,4289879627,4291930246,0,4290606944,4291202160,4289879627,4290606944,4291202160,4291930246,4289680708,4290606944,4291202160,4293318829,4291930246,4289879627,4291930246,4291202160,4291930246,4291930246,4290606944,4291202160,4290606944,4291930246,0,0,4293318829,0,4293318829,0,4293318829,0,4290210132,0,4293318829,4293318829,4291930246,4291202160,0,4293318829,4291930246,0,4293318829,0,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4291930246,0,0,4293318829,0,0,4293318829,0,4293318829,0,4293318829,0,4293318829,4293318829,4293318829,0,4291930246,4291930246,0,0,4293318829,4293318829,4293318829,4291202160,4293318829,4291930246,4293318829,4291930246,4293318829,0,4293318829,4291202160,4291202160,0,4293318829,4291202160,4291930246,4291930246,4293318829,4291202160,4289680708,4290210132,4293318829,4291930246,4291930246,4290606944,4291202160,4290210132,4291202160,4290210132,4293318829,4289680708,4291202160,4290210132,4293318829,4291202160,0,4290210132,4293318829,4291930246,4293318829,4293318829,4291930246,4290210132,4293318829,4291202160,4291202160,4293318829,0,4291202160,4293318829,0,4293318829,0,4291930246,0,4291930246,4293318829,0,4291930246,4291930246,0,4293318829,4293318829,4293318829,0,4293318829,0,4291930246,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4290606944,0,4291930246,4291930246,4293318829,4293318829,4291930246,4291930246,0,4291202160,4293318829,4293318829,4290606944,4291930246,4291930246,4291202160,4290210132,4291202160,4293318829,0,0,4293318829,4293318829,4291930246,4291202160,4291202160,4291930246,4290606944,4289879627,4289680708,4291202160,4290210132,4293318829,0,4293318829,4289879627,4290606944,4293318829,4290606944,4291930246,4293318829,4290606944,4291930246,4290606944,4291930246,4291930246,0,4291202160,4293318829,4290606944,4293318829,4291930246,4293318829,4290606944,4291930246,4293318829,4291930246,4293318829,4293318829,4291930246,4293318829,0,4291930246,4293318829,0,4293318829,4291202160,4291930246,0,4293318829,4293318829,0,0,4291930246,0,4293318829,4291930246,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,4293318829,0,4291930246,0,0,4291930246,0,4291930246,4293318829,4293318829,0,0,4293318829,4291930246,4293318829,4293318829,0,0,4291930246,0,4291930246,4291202160,4291930246,0,4291202160,4290606944,4291202160,4291202160,4293318829,4291202160,4291202160,4290606944,4291930246,4291930246,4291930246,4290210132,4291930246,4293318829,4290210132,0,4291202160,4291202160,4290210132,4291930246,4291202160,4291930246,0,4290606944,4290606944,4291202160,4290606944,4291202160,4293318829,4291930246,4290606944,4293318829,4290210132,4290210132,4291202160,0,4291930246,4291930246,4290606944,4289680708,4291202160,4290606944,4291930246,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4291202160,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4291202160,0,0,0,4291930246,0,4293318829,0,4293318829,0,4293318829,0,4293318829,4291930246,4291930246,0,4293318829,4290210132,4291202160,4291202160,4293318829,4293318829,4291930246,4291202160,4290606944,4290606944,4293318829,0,4290606944,4291202160,4293318829,4291930246,4293318829,4290606944,4293318829,4290606944,4291930246,4293318829,4291202160,4293318829,4291202160,4289879627,4291202160,4290606944,4291202160,4290606944,4290606944,4291202160,4289879627,4291202160,4289217848,4291930246,4291202160,4291202160,4291930246,0,4291930246,4291930246,4291202160,4291930246,4291202160,4291930246,4293318829,4290606944,0,4291930246,4291930246,4290210132,4290606944,4291930246,4290210132,4293318829,4293318829,4291930246,4293318829,4293318829,0,4291930246,4291930246,4291930246,4291930246,4293318829,4293318829,4291930246,4293318829,0,0,4291930246,4293318829,4293318829,0,4293318829,0,4291930246,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,4291930246,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,0,4291930246,4293318829,0,0,0,0,0,4291930246,4293318829,0,4293318829,4293318829,4291930246,0,0,0,4293318829,0,4293318829,4291930246,4291930246,4291930246,4290210132,4293318829,4291202160,4293318829,4290210132,4291930246,4291930246,4291202160,4290210132,4290210132,4290210132,4291930246,4291930246,4291202160,4291202160,4290606944,4291930246,4293318829,4293318829,4291202160,4291930246,4293318829,4291202160,4293318829,4289879627,4290606944,4290210132,0,4290210132,4293318829,4290210132,4290606944,4290210132,4290210132,4291930246,4291202160,4291202160,4291930246,4290606944,4290210132,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,0,4293318829,4291930246,4291930246,0,0,4293318829,0,0,4290606944,0,4293318829,4293318829,0,0,4291930246,0,0,4291930246,0,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4291930246,0,0,4291202160,4293318829,0,0,0,4293318829,4293318829,0,4293318829,4293318829,4291930246,0,4291930246,0,4293318829,4293318829,0,4293318829,4293318829,0,4291202160,4291930246,4291202160,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,4289879627,4291202160,0,4293318829,4291202160,4291930246,4293318829,4291202160,4289879627,4291930246,4289680708,4291202160,4291202160,4291202160,4291930246,4289879627,4290606944,4291202160,4291930246,4289019698,4290210132,4290210132,4291202160,4291202160,4291930246,4289879627,4290606944,4290606944,4290606944,4290606944,4291202160,4290606944,4290606944,4290210132,4291202160,4291202160,4291930246,4290606944,4290210132,0,0,4291202160,0,4291930246,4293318829,0,0,4291930246,4291202160,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,4291930246,0,4293318829,0,4293318829,4293318829,0,4291930246,4291202160,0,0,0,0,0,0,0,4293318829,4290606944,4291930246,4290606944,4291202160,4291930246,4291930246,4291930246,4291930246,0,4290210132,4291930246,4293318829,4290210132,0,4291202160,4291930246,0,4293318829,4291202160,4291202160,0,4291202160,4290210132,4290606944,4291930246,4291930246,4290606944,4289416510,4291202160,4291202160,4291202160,4291202160,4290210132,4291930246,4290606944,4289680708,4291930246,4290606944,4291202160,4290606944,4293318829,4291930246,4290606944,4291202160,4291930246,4290606944,4290606944,4290606944,4290606944,4291202160,4291930246,4291930246,4291930246,4291202160,4293318829,4290210132,4291202160,4293318829,4291930246,4293318829,4291930246,4290606944,0,0,4293318829,4291202160,4291930246,4291930246,4293318829,0,0,0,0,0,4291930246,0,4291930246,0,4293318829,0,4291930246,0,0,4293318829,4293318829,0,0,0,0,4291930246,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,4293318829,4291202160,0,4293318829,4291930246,0,4293318829,0,0,4291930246,4293318829,4290606944,4293318829,4290606944,0,4291930246,4291930246,4291202160,4291930246,4291202160,4291930246,4290210132,4291202160,0,4289879627,4293318829,4291202160,4293318829,4291930246,4289879627,4291202160,4290210132,4291930246,4289680708,4293318829,4290606944,4293318829,4290606944,4291930246,4291202160,4290606944,4290606944,4289680708,4290210132,4291202160,4291202160,0,4293318829,4290606944,4290606944,4290210132,4291930246,4290606944,4290210132,4293318829,4289680708,0,4290210132,4291202160,4291202160,4291930246,4291202160,4293318829,4291930246,4290606944,0,4291930246,4290606944,4293318829,4291930246,4291202160,4290606944,4291930246,4293318829,4291930246,4291930246,4293318829,4291930246,4291930246,0,0,0,4293318829,4291930246,4293318829,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4291930246,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4291202160,4293318829,4293318829,0,4293318829,4293318829,4293318829,4291930246,4293318829,4290606944,4293318829,4293318829,0,4293318829,4293318829,4291202160,0,4293318829,4291930246,4293318829,4291202160,4291202160,4291930246,4291202160,4293318829,4291930246,4291930246,4291930246,4291202160,0,4291930246,4293318829,4290606944,4290606944,4291930246,4291202160,4291202160,4291930246,4291202160,4291930246,4290606944,4290606944,4291930246,4290210132,4290606944,4291202160,4290606944,4290210132,4290606944,4290210132,4289879627,4291930246,4291930246,4289879627,4291202160,4289416510,4293318829,4293318829,4290210132,4291930246,4291202160,4290210132,4289416510,4291930246,4289879627,4290210132,4293318829,4290210132,4289879627,4293318829,4290606944,4293318829,4291930246,4291930246,4291930246,4293318829,0,0,4291202160,4293318829,4291930246,0,0,4291930246,4293318829,0,0,4291930246,4291202160,4291930246,4291930246,0,0,0,0,4293318829,4291930246,4291930246,4291930246,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4291930246,4293318829,0,0,0,0,0,4293318829,4293318829,0,4293318829,4291202160,0,4293318829,4291930246,4293318829,0,4293318829,0,0,0,4291930246,4291930246,4293318829,4293318829,0,4291202160,4291930246,4291930246,4291930246,4290210132,4293318829,4293318829,4293318829,4291930246,0,4289416510,4291930246,4289416510,4290606944,0,4291202160,4293318829,4290606944,4291930246,4290606944,4290210132,4290606944,4291202160,4291202160,4290210132,4289879627,4290210132,4290210132,4290210132,4289879627,4291930246,4290606944,4291930246,4290210132,4291930246,4289879627,4289217848,4289680708,4291930246,4290210132,4291930246,4290606944,4289217848,4290210132,4290210132,4290210132,4291930246,0,4290606944,4290210132,4290606944,4291930246,4290606944,4291202160,4291930246,4291202160,4291930246,4293318829,4291202160,0,4290606944,4291930246,4291930246,4291930246,4290606944,4291202160,4293318829,4291930246,4291202160,4291930246,0,4291930246,0,4293318829,0,4293318829,0,0,4291930246,0,4293318829,0,4293318829,4291930246,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,4293318829,0,0,4291930246,4293318829,4291930246,0,4293318829,4293318829,0,4290606944,4293318829,4291202160,4291930246,4293318829,4291930246,4291930246,4291930246,4290606944,4291202160,0,4291202160,4290210132,4293318829,4290606944,4291930246,4293318829,4290210132,4291202160,4293318829,4291930246,4291202160,4290210132,4290606944,4290606944,4290606944,4291202160,4290606944,0,4289879627,4291202160,4290606944,4289680708,4291202160,4291930246,4291930246,4290210132,4289416510,4289879627,4290606944,4290606944,4289416510,4289680708,4290210132,4291930246,4291930246,4289879627,4289680708,4291202160,4289879627,4290606944,4289680708,4291930246,4291930246,4291202160,4289217848,4291202160,4293318829,4291202160,4290606944,4290210132,4293318829,4291930246,4291930246,4293318829,0,0,4293318829,4291930246,4291202160,0,4291930246,4291930246,4293318829,0,4293318829,0,4291930246,4293318829,4293318829,0,4291930246,0,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,4291202160,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,4291930246,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,4291930246,4293318829,0,4291930246,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,4293318829,4293318829,4291930246,0,4293318829,4291202160,4291202160,4291202160,4291202160,0,4291930246,4291930246,4291930246,4291930246,4290606944,4291930246,4291930246,4291930246,4290606944,4290606944,4291202160,4290210132,4290210132,4290210132,4291202160,0,4291202160,4290210132,4291930246,4289879627,4290606944,4290606944,4290606944,4290606944,4289680708,4289879627,4290210132,4291202160,4290210132,4288688937,4290606944,4291930246,4290210132,4291202160,4290210132,4293318829,4290210132,4290606944,4289680708,4291202160,4289217848,4290210132,4291202160,4289416510,4291930246,4290606944,4290606944,4290606944,4289680708,4289879627,4289879627,4291930246,4293318829,4291930246,4289416510,4291930246,0,4291930246,4289416510,0,4293318829,4291930246,4291202160,4291930246,4291930246,4293318829,4293318829,4291930246,4293318829,4293318829,4293318829,0,4293318829,4291202160,4293318829,4293318829,4291930246,0,0,4293318829,4293318829,0,0,0,0,4291930246,0,0,0,4293318829,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,4293318829,0,0,0,4291930246,0,0,4291202160,4293318829,0,4291930246,4293318829,4293318829,4293318829,4291202160,4293318829,4293318829,0,4291930246,4293318829,4289879627,4291930246,4291930246,4291930246,4291202160,4291930246,4291202160,4290606944,4291202160,4291930246,4293318829,4293318829,0,4291930246,4290606944,4293318829,4291930246,4291930246,4290606944,4291202160,4289416510,4290606944,4289879627,4291930246,4291930246,4290210132,4291202160,4291930246,4291202160,4290606944,4291930246,4290606944,4289680708,4289217848,4290210132,4289416510,4290210132,4291202160,4290210132,4290210132,4290606944,4291202160,4289680708,4289416510,4290606944,4290606944,4289879627,4290606944,4290210132,4291930246,4291202160,4289680708,4290606944,4291930246,4290606944,4290606944,4289217848,4290606944,4290606944,4290606944,4290210132,4291930246,4291930246,4290210132,4290210132,0,4291930246,4290210132,4290606944,4293318829,4293318829,4293318829,0,4291930246,4293318829,0,4293318829,0,4293318829,0,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4291930246,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,4293318829,4293318829,0,0,4293318829,4293318829,4291930246,4293318829,4291202160,4290210132,4291202160,4293318829,0,4291930246,4293318829,4291930246,4291202160,4291202160,4291930246,4291202160,4291930246,4290606944,4293318829,0,4291930246,4291930246,4291930246,4290606944,4291202160,4289879627,4290606944,4289416510,4289680708,4290606944,4290210132,4289680708,4289217848,4289680708,4290606944,4289879627,4290606944,4291202160,4290210132,4289416510,4290606944,4289217848,4289680708,4290210132,4289217848,4290210132,4289879627,4290210132,4291930246,4289217848,4290606944,4290606944,4289879627,4289416510,4289217848,4293318829,4290210132,0,4291202160,4290210132,4290606944,4291202160,4293318829,4291930246,4293318829,4291202160,4290210132,4291202160,4291930246,4291202160,4291930246,4289879627,4290606944,4291202160,4291930246,4293318829,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,0,4291930246,0,0,0,0,0,0,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,4291930246,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,0,4293318829,4291930246,4291202160,4291930246,0,4291930246,4291930246,4291930246,4290606944,4291930246,4291930246,4293318829,0,4293318829,4290210132,4291930246,4291202160,4291202160,4290210132,4291202160,4289416510,4290606944,4290210132,4291930246,4291930246,4290606944,4291930246,4289879627,4293318829,4291202160,4290606944,4290606944,4289879627,4290210132,4290210132,4290606944,4289879627,4290210132,4291202160,4290606944,4289416510,4291202160,4290210132,4289217848,4289879627,4290210132,4290606944,4290210132,4290210132,4289416510,4291202160,4289217848,4290210132,4289019698,4291930246,4290210132,4291202160,4290210132,4290210132,4290210132,4291202160,4291202160,4291202160,4290210132,4291202160,4293318829,4291930246,4291930246,4291930246,4290606944,4291202160,4291930246,4291930246,4293318829,0,4291930246,4291930246,4291930246,4293318829,0,4293318829,4291930246,0,4291930246,4293318829,4293318829,4293318829,4291930246,0,4293318829,4291202160,4293318829,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,4291930246,4293318829,0,4293318829,0,4293318829,0,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4291930246,4291930246,0,4293318829,4293318829,0,4293318829,0,4293318829,0,4293318829,4291930246,4291930246,4291930246,4290606944,4290606944,4290210132,0,4290210132,4293318829,4290606944,4293318829,4293318829,4293318829,4290210132,4290606944,4291202160,4291202160,4291202160,4291202160,4291202160,4290606944,4290210132,4290210132,4291930246,4290210132,4290210132,4290606944,4289416510,4291202160,4291930246,4291202160,4289019698,4291202160,4290606944,4291202160,4290210132,4291202160,4289217848,4289217848,4289680708,4290210132,4291202160,4290606944,4289879627,4289879627,4289680708,4290606944,4290606944,4290606944,4291930246,4290606944,4289416510,4290210132,4289879627,4291202160,4289416510,4291202160,4290606944,4291202160,4293318829,4291202160,4293318829,4293318829,4290606944,4290606944,4293318829,4293318829,4291930246,4291202160,4290606944,4291202160,4291930246,4291202160,4293318829,4293318829,0,0,0,4291930246,0,4293318829,4293318829,4291202160,0,4291930246,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4291930246,0,4293318829,0,4293318829,0,0,0,4291930246,4291202160,0,4293318829,0,4293318829,4291930246,4291930246,0,4293318829,4291930246,4290606944,4291930246,4290210132,4291930246,4291202160,4293318829,0,4293318829,4290210132,4289879627,4293318829,4290210132,4290606944,4289680708,4291202160,4291202160,4291202160,4290606944,4290606944,4289680708,4291202160,4291202160,4290210132,4289879627,4290606944,4288556581,4290210132,4291930246,4290606944,4289217848,4290210132,4291202160,4289680708,4289680708,4289879627,4290210132,4289217848,4290210132,4290606944,4289879627,4289680708,4293318829,4288887085,4289416510,4290210132,4289217848,4289680708,4290210132,4290606944,4290606944,4289879627,4291930246,4289879627,4290606944,4290606944,4291930246,4289879627,4291930246,4293318829,4291202160,4290606944,4291202160,4291202160,4289217848,4291930246,4291202160,4291202160,4293318829,4293318829,0,4291202160,4291930246,4293318829,4291930246,4293318829,4290606944,4293318829,0,4293318829,0,4293318829,4291202160,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,4293318829,4291202160,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4291202160,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,0,4293318829,4291930246,4293318829,0,4291930246,0,4290606944,4291930246,4293318829,4291930246,4290606944,4291930246,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,4291202160,4291202160,4293318829,0,4290606944,4289879627,0,4290210132,4293318829,4290606944,4291202160,4290210132,4290606944,4289879627,4289416510,4289680708,4290210132,4290210132,4291202160,4290210132,4289217848,4290210132,4289680708,4289680708,4289416510,4289879627,4290606944,4289019698,4289879627,4288887085,4289879627,4289416510,4289879627,4289217848,4289019698,4290210132,4289879627,4289416510,4289680708,4291202160,4289680708,4289879627,4290210132,4289680708,4289217848,4289416510,4289416510,4290210132,4289879627,4289879627,4289879627,0,4291202160,4289416510,4291202160,4290606944,4291930246,4288887085,4291930246,4290210132,4290606944,4293318829,4291202160,4291202160,4290210132,4291930246,4291930246,4291930246,4290606944,4293318829,4291202160,4293318829,4291930246,4293318829,4291930246,4290606944,4291202160,4290606944,4291930246,0,4291202160,0,4291930246,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,4291930246,0,0,0,0,0,4293318829,4291930246,0,0,4293318829,4293318829,4291202160,4293318829,4291202160,4293318829,4293318829,4291930246,0,4291202160,4293318829,0,4291930246,0,4291930246,4293318829,4291202160,4291930246,4291930246,4291202160,4291930246,4291202160,4290606944,4291202160,4291930246,4291930246,4291202160,4291930246,4290606944,4290606944,4290210132,4291202160,4290210132,4289217848,4290210132,4288556581,4289879627,4291202160,4290210132,4291202160,4289680708,4291202160,4289680708,4290210132,4290606944,4293318829,4289416510,4289217848,4289879627,4290606944,4289680708,4289416510,4289217848,4290210132,4289879627,4289019698,4289416510,4289416510,4290210132,4290606944,4290210132,4290210132,4289680708,4290210132,4288556581,4289879627,4290210132,4290606944,4289680708,4290210132,4289879627,4289879627,4290210132,4290606944,4290606944,4291930246,4289680708,4289879627,4291930246,4291202160,4290606944,4289879627,4291202160,4291930246,4290606944,4291202160,4291930246,4291930246,0,0,4291930246,4291930246,4291930246,4291930246,4293318829,4291930246,4291930246,4293318829,4291202160,4291930246,4291930246,4293318829,4293318829,4291930246,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4291930246,0,0,0,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,4290606944,0,4291930246,4293318829,4293318829,0,4291930246,4293318829,4290606944,4293318829,4293318829,0,4291202160,4291930246,4291202160,4291930246,4289879627,4293318829,4290210132,4289680708,4290606944,4289879627,4291930246,4290210132,4289680708,4291202160,4289416510,4290210132,4290606944,4289680708,4291202160,4291202160,4291202160,4290606944,4291202160,4290606944,4289879627,4291202160,4289416510,4290210132,4289879627,4289416510,4289879627,4289416510,4288887085,4290210132,4290606944,4289416510,4289680708,4289019698,4289217848,4289879627,4289416510,4289416510,4289680708,4288887085,4289019698,4289879627,4291202160,4290606944,4289416510,4290210132,4289019698,4288887085,4289680708,4289879627,4290606944,4291930246,4290210132,4289879627,4291202160,4291202160,4290210132,4290210132,4293318829,4289416510,4290606944,4291202160,4290210132,4291930246,4289680708,4291930246,4291930246,4291202160,4291930246,4291930246,0,4290606944,4293318829,4291930246,4290606944,0,4293318829,4291930246,4291930246,0,4291930246,4293318829,0,4291930246,0,4293318829,0,0,4291930246,0,0,4291930246,0,0,0,4293318829,0,0,4293318829,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,4293318829,0,4290606944,4293318829,4293318829,4290210132,4290606944,4290210132,4291202160,4289680708,4291202160,4291930246,4291202160,4289879627,4291202160,4290606944,4290606944,4291202160,4290210132,4290606944,4289879627,4290210132,4291202160,4289019698,0,4289416510,4289416510,4289217848,4289680708,4289217848,4289019698,4289416510,4289879627,4290210132,4290210132,4289680708,4289680708,4289217848,4289879627,4288688937,4288887085,4289680708,4289879627,4289680708,4289680708,4290606944,4290210132,4288424481,4289680708,4289416510,4289217848,4288887085,4288887085,4288688937,4289879627,4289680708,4289217848,4289217848,4289217848,4289217848,4288887085,4289680708,4289416510,4290210132,4289680708,4290210132,4290210132,4293318829,4290606944,4289879627,4291202160,4290606944,4290606944,4291930246,4291202160,4290606944,4291930246,0,4291202160,4291930246,4291202160,4289879627,4293318829,4291930246,4293318829,4293318829,0,0,4293318829,0,4293318829,0,4291202160,0,4293318829,4291930246,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,4291930246,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4291930246,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4291202160,4293318829,4293318829,4291930246,4291930246,4291202160,4293318829,4291202160,4291930246,4291930246,4291930246,4290210132,4290606944,4291930246,4289680708,4291202160,4289879627,4291930246,4290606944,4290210132,4293318829,4291202160,4289680708,4289879627,4288688937,4289680708,4289416510,4289879627,4290210132,4291202160,4288688937,4289019698,4289019698,4291202160,4288887085,4288424481,4290606944,4290606944,4289019698,4289019698,4288688937,4289217848,4289019698,4289416510,4289680708,4289019698,4289680708,4288556581,4288688937,4288292125,4288556581,4289019698,4289680708,4289879627,4289879627,4288688937,4289217848,4289879627,4289217848,4289879627,4288556581,4289879627,4289019698,4290210132,4290606944,4293318829,4291202160,4289416510,4290606944,4290210132,4291202160,4293318829,4289879627,4290606944,4291202160,4291202160,4289680708,4289217848,4290606944,4289879627,4293318829,4291202160,0,4290606944,0,4291930246,0,4291930246,4293318829,4291930246,4293318829,4290210132,0,0,0,4291930246,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,4291930246,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,0,4291930246,0,0,4291930246,0,4293318829,4293318829,4291930246,4291202160,4293318829,0,0,4291930246,4290606944,4291202160,4290606944,4291202160,4290210132,4293318829,4291930246,4290606944,4293318829,4290606944,4289879627,4290210132,4291930246,4289416510,4290606944,4289019698,4288292125,4289416510,4289019698,4289879627,4288887085,4291202160,4289416510,4293318829,4289879627,4289680708,4289879627,4288688937,4288292125,4289879627,4289879627,4291202160,4289416510,4288887085,4288225562,4289879627,4288556581,4289680708,4288556581,4288887085,4288556581,4288424481,4289019698,4288688937,4288887085,4290210132,4289217848,4289019698,4289019698,4288688937,4288887085,4289217848,4289217848,4291202160,4289416510,4290606944,4290210132,4289879627,4290210132,4291202160,4293318829,4291930246,4291202160,4293318829,4290606944,4290606944,4289680708,0,4289680708,4290210132,4290606944,4291930246,4293318829,4291930246,4291930246,4291202160,4291202160,4291930246,4290606944,4293318829,4293318829,4289879627,4293318829,4291930246,0,4290606944,4291930246,4293318829,4293318829,4291930246,4293318829,0,4291930246,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4290606944,4293318829,0,0,0,0,0,0,0,0,4291930246,4293318829,4293318829,0,4291930246,0,4291930246,0,4293318829,4291930246,4293318829,0,4293318829,0,4293318829,4291930246,4293318829,4293318829,4290606944,4291930246,4291202160,4291202160,4290606944,0,4290210132,0,4293318829,4289879627,4289416510,4290606944,4291202160,4290210132,0,4290210132,4289680708,4289680708,4289416510,4289416510,4291202160,4289416510,4289680708,4289680708,4289680708,4289019698,4289879627,4291202160,4289680708,4288688937,4289019698,4289680708,4289879627,4289416510,4288688937,4289217848,4289680708,4288556581,4289217848,4288688937,4288887085,4288424481,4289680708,4288093463,4288887085,4288424481,4287961364,4287961364,4288688937,4289879627,4289217848,4289680708,4288225562,4288688937,4288688937,4288887085,4289879627,4289019698,4289019698,4288887085,4289217848,4289416510,4289217848,4290606944,4289879627,4289879627,4290606944,0,4289680708,4290606944,4289217848,4289416510,4289879627,4289879627,4291202160,4290606944,4291202160,4291202160,4291930246,4290210132,4291930246,4291202160,4293318829,4289879627,4291930246,0,4293318829,4293318829,4293318829,4293318829,4291930246,4291202160,4291930246,4291202160,0,4291202160,0,0,0,0,4291930246,0,0,4291930246,0,4291930246,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,4291930246,0,0,0,0,0,0,4293318829,0,4291930246,0,4291930246,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4291202160,4293318829,0,0,4291930246,4293318829,4293318829,4291202160,4291930246,4291930246,0,4290210132,0,4291930246,4291202160,4293318829,4291202160,4290210132,4290210132,4289680708,4290606944,4291202160,4290606944,4289680708,4290606944,4289879627,4291202160,4289416510,4291202160,4288887085,4289680708,4291202160,4293318829,4288887085,4289879627,4289879627,4289879627,4288688937,4289217848,4289217848,4290210132,4289879627,4289416510,4289019698,4288292125,4288556581,4288887085,4287961364,4288688937,4288887085,4288887085,4288688937,4288556581,4288424481,4290606944,4289416510,4288292125,4288688937,4288225562,4288424481,4289416510,4288556581,4288887085,4288424481,4289217848,4289416510,4289879627,4288688937,4288688937,4288292125,4291202160,4289019698,4289879627,4289019698,4289217848,4289879627,4290606944,4290210132,4291930246,4290606944,4290210132,4290210132,4293318829,4289416510,4290606944,4290210132,4290606944,4293318829,4290606944,4291930246,4291930246,4290606944,4290606944,4290606944,4293318829,4293318829,0,4291930246,4291930246,0,4293318829,4293318829,0,4291930246,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4291930246,0,0,0,0,4293318829,0,0,0,0,4291930246,0,0,0,4293318829,0,4293318829,4291930246,0,0,0,4293318829,4291202160,4291930246,0,0,4291202160,4293318829,4291930246,0,4293318829,0,0,4291930246,4291930246,4291202160,4291202160,4293318829,4290210132,4290606944,4293318829,4293318829,4291930246,4290606944,4293318829,4290606944,4290606944,4291202160,4290606944,4290606944,4289416510,4290606944,4290210132,4289680708,4290606944,4289416510,4290606944,4293318829,4290606944,4289416510,4289680708,4290606944,4289879627,4291202160,4289680708,4290606944,4289879627,4288556581,4289217848,4289879627,4289217848,4288887085,4288225562,4288225562,4287961364,4288688937,4290606944,4289879627,4287961364,4287961364,4288556581,4288424481,4288292125,4289680708,4289019698,4288887085,4288688937,4288688937,4288292125,4289019698,4290210132,4288292125,4288887085,4289879627,4288556581,4288887085,4289019698,4289680708,4289416510,4289019698,4288225562,4289680708,4289217848,4288688937,4290606944,4289680708,4289879627,4289680708,4289416510,4291930246,4290210132,4290606944,4289680708,4289879627,4290606944,4293318829,4291930246,4291202160,4293318829,4289879627,4290606944,4289879627,4291930246,4291930246,4291202160,4290606944,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,4291930246,0,0,4293318829,4293318829,0,4291930246,4291930246,4293318829,4291930246,4293318829,4291930246,0,0,4293318829,0,4290606944,4291930246,4291930246,4291202160,4291202160,4290606944,4291202160,4290606944,4290606944,4290606944,4291202160,4293318829,4290210132,4289879627,4291930246,4289879627,4289879627,4289416510,4288556581,4289879627,4289879627,4288887085,4289879627,4289217848,4288225562,4288225562,4288887085,4288424481,4288887085,4289416510,4287762959,4289019698,4288688937,4288556581,4287961364,4288225562,4288093463,4289680708,4288887085,4289416510,4289416510,4288688937,4289416510,4288556581,4288225562,4288225562,4289019698,4288093463,4288093463,4289217848,4288887085,4289416510,4288887085,4288556581,4288093463,4288093463,4288887085,4289019698,4290210132,4289879627,4289680708,4289680708,4290606944,4289680708,4289879627,4291930246,4289416510,4289416510,4290606944,4290210132,4290210132,4291930246,4290210132,4289879627,4291202160,4293318829,4291930246,4291930246,4291202160,4290606944,4293318829,4291930246,4290606944,0,4291202160,0,0,0,4291930246,4291930246,0,0,4291930246,4293318829,0,0,4293318829,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4291930246,4291202160,4293318829,0,4293318829,4291930246,4290606944,4291930246,0,0,4291202160,4291202160,4290606944,4293318829,4291202160,4291202160,4291930246,4291930246,4290606944,4290210132,4289680708,4289416510,4289680708,4291202160,4289416510,4290210132,4290606944,4289217848,4290210132,4289416510,4289416510,4289879627,4291930246,4288556581,4289217848,4289416510,4288424481,4288225562,4289680708,4288688937,4288292125,4288292125,4288556581,4288688937,4288424481,4288688937,4288688937,4289217848,4288688937,4288688937,4288292125,4287961364,4288887085,4287894801,4287696652,4287894801,4288556581,4288556581,4289019698,4288292125,4289019698,4288688937,4288556581,4288093463,4288292125,4287894801,4288225562,4288225562,4288556581,4288688937,4289416510,4288556581,4288887085,4288887085,4289680708,4289680708,4289217848,4289680708,4289416510,4289879627,4288688937,4290606944,0,4291202160,4289680708,4290210132,4291202160,4290210132,4291930246,4291930246,4293318829,4291930246,4290210132,4293318829,4290606944,4289879627,4291202160,4291202160,4293318829,0,4291202160,4293318829,4291930246,4291930246,4291202160,4293318829,0,4290606944,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4291930246,0,0,4293318829,4293318829,4293318829,4291930246,4293318829,0,4291930246,0,4293318829,4291202160,4293318829,4293318829,0,4291930246,4293318829,4291202160,0,4291930246,4293318829,4291930246,4293318829,4290210132,4291202160,4291202160,4291930246,4289680708,4291202160,0,4290210132,4293318829,0,4293318829,4291930246,4289680708,4291202160,4289879627,4289680708,4289879627,4288887085,4289416510,4289879627,4288556581,4291930246,4289680708,4289217848,4289217848,4289217848,4288887085,4289416510,4288556581,4288424481,4288556581,4289680708,4289416510,4289416510,4289019698,4288688937,4289416510,4288225562,4288887085,4288292125,4288292125,4288424481,4289019698,4287762959,4288688937,4288688937,4289019698,4287762959,4288424481,4288093463,4288292125,4288688937,4288292125,4288225562,4288424481,4289680708,4288424481,4288424481,4287961364,4289019698,4289019698,4287894801,4288688937,4289217848,4288887085,4289019698,4288887085,4289019698,4288292125,4288688937,4289217848,4289217848,4289680708,4290606944,4288688937,4289879627,4289217848,4289019698,4293318829,0,4291202160,4290210132,4290210132,4290210132,4291202160,4293318829,4293318829,4291930246,4293318829,4291930246,0,4291930246,4291202160,4291202160,4291930246,4291930246,4293318829,4293318829,0,4291930246,4293318829,4293318829,0,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,4291930246,4293318829,0,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4291930246,0,4290606944,4291930246,4291930246,0,4293318829,4291930246,4293318829,4293318829,4291930246,4293318829,4291930246,4290606944,4291202160,4290606944,4290606944,4290210132,4293318829,4291202160,4291202160,4291202160,4289680708,4290606944,4291202160,4290606944,4290606944,4289879627,4291202160,4290606944,4289416510,4290606944,4289019698,4289680708,4289217848,4289879627,4289680708,4289416510,4288887085,4288887085,4288688937,4288887085,4288292125,4289416510,4289019698,4288292125,4288887085,4288292125,4288556581,4288225562,4288093463,4288556581,4288887085,4287696652,4288292125,4288556581,4288292125,4288093463,4288093463,4288688937,4288887085,4288093463,4287564552,4288225562,4288225562,4288292125,4287630602,4287696652,4288887085,4288225562,4288688937,4287961364,4288556581,4288225562,4287961364,4288556581,4289416510,4287498246,4288556581,4288556581,4288887085,4289217848,4288292125,4289680708,4288887085,4289019698,4289879627,4289019698,4288688937,4288887085,4290210132,4291202160,4291202160,4290210132,4291202160,4291202160,4289879627,4290210132,4291930246,4290606944,4289680708,4291202160,4291930246,4291202160,4291202160,4291930246,4291202160,4291930246,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,0,4293318829,4291930246,0,4293318829,0,4293318829,0,0,0,4291930246,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4290606944,0,0,0,0,4293318829,4293318829,4293318829,0,4291202160,4293318829,4291930246,4293318829,4291930246,4291930246,4293318829,4291930246,4293318829,4293318829,0,4290606944,4290210132,4291930246,4291930246,4290210132,4291930246,4290210132,4291202160,4290606944,4291930246,4290210132,4291930246,4289879627,4290210132,4291202160,4291930246,4290606944,4290606944,4289416510,4289217848,4288556581,4288887085,4288688937,4288556581,4289019698,4288424481,4288887085,4288225562,4288887085,4289879627,4287299840,4288688937,4288424481,4288688937,4288688937,4287432197,4288424481,4287961364,4287762959,4289019698,4288225562,4287894801,4288093463,4287894801,4287365634,4287762959,4287299841,4287696652,4288225562,4288688937,4287630602,4287894801,4287564552,4287498246,4288556581,4288688937,4287762959,4289217848,4288093463,4288225562,4288292125,4289217848,4289879627,4288225562,4288093463,4288688937,4289019698,4289019698,4289217848,4288887085,4288093463,4289416510,4289879627,4291930246,4290606944,4290210132,4289416510,4289879627,4289217848,4290210132,4290210132,4291202160,4293318829,4290210132,4290210132,4291202160,4291202160,4293318829,0,4290210132,4291930246,4293318829,4291930246,4291930246,4291930246,0,0,4291930246,0,4293318829,4291930246,4293318829,4293318829,0,0,0,4291930246,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4291202160,4293318829,4293318829,0,0,0,4291930246,0,4291930246,0,4291930246,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,0,4291930246,4290606944,4291202160,4293318829,4291930246,4291930246,4289879627,4293318829,4290606944,4290606944,4290606944,4290606944,4290606944,4290210132,4290210132,4289879627,4291202160,4290606944,4291930246,4290210132,4289680708,4289416510,4289019698,4289217848,4289680708,4290210132,4289217848,4290210132,4289019698,4289680708,4288292125,4288093463,4288225562,4288292125,4288887085,4288688937,4288225562,4288424481,4288556581,4288292125,4287696652,4288688937,4287564552,4287894801,4288424481,4287762959,4287564552,4287431940,4287961364,4289217848,4288093463,4288225562,4287498246,4287961364,4287564552,4287762959,4288556581,4287894801,4288292125,4288688937,4287696652,4288225562,4288225562,4287762959,4288093463,4288424481,4288887085,4288424481,4288688937,4288688937,4288688937,4287762959,4289217848,4288556581,4288887085,4289879627,4289879627,4288887085,4289217848,4289879627,4291202160,4290210132,4289019698,4291202160,4291930246,4291202160,4290606944,4290606944,4289416510,4290606944,4293318829,4293318829,4290606944,4293318829,0,4291202160,4293318829,4291202160,4291202160,4290606944,0,4291930246,4293318829,0,0,4293318829,4291930246,4293318829,4291930246,0,0,4293318829,4291930246,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4291930246,0,4293318829,0,0,4293318829,4291930246,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,4291930246,0,4293318829,4293318829,4291930246,4293318829,4293318829,0,4293318829,4293318829,4293318829,4291202160,4293318829,4293318829,4291930246,4291930246,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,4291930246,4291930246,4291930246,4290606944,4291930246,4290606944,4289416510,4290606944,4289680708,4289019698,4291202160,4289416510,4289879627,4290210132,4289879627,4293318829,4289680708,4288887085,4289217848,4289879627,4290210132,4289019698,4289019698,4288887085,4289217848,4288556581,4288292125,4288688937,4288688937,4287961364,4287762959,4287762959,4287961364,4288093463,4288556581,4287961364,4288093463,4289019698,4287365634,4288093463,4287894801,4288556581,4287762959,4289019698,4287365891,4287696652,4288225562,4288424481,4288424481,4287564552,4287498246,4287894801,4287762959,4288292125,4287431940,4287498246,4287894801,4287696652,4287630602,4288688937,4287431940,4288424481,4288424481,4288424481,4287961364,4287961364,4289019698,4288887085,4288225562,4288424481,4288887085,4289019698,4289217848,4291202160,4291202160,4289019698,4289019698,4289680708,4289416510,4289879627,4289680708,4289416510,4289879627,4289879627,4291202160,4291202160,4289680708,4291202160,4290606944,4290606944,4293318829,4293318829,4290606944,4293318829,4291930246,0,4291930246,0,4291930246,4293318829,0,0,4291930246,4291930246,0,4293318829,4291930246,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,4291930246,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4290210132,4291930246,4293318829,4291930246,4290606944,0,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,4293318829,4291930246,4293318829,4291930246,4291930246,4290606944,4291202160,4291930246,0,0,4290606944,4293318829,4290606944,4290606944,4289879627,4289217848,4291202160,4289680708,4289680708,4289019698,4291202160,4289680708,4290606944,4288887085,4289019698,4288688937,4288688937,4288887085,4288887085,4288688937,4288292125,4288556581,4287762959,4288424481,4288292125,4288424481,4287630602,4287961364,4288424481,4288292125,4288688937,4288292125,4287894801,4287961364,4287961364,4287894801,4288688937,4287431940,4288292125,4287961364,4288556581,4287630602,4287564552,4287365891,4287498246,4287365891,4287630602,4287365634,4287498246,4288556581,4287630602,4287894801,4288225562,4287894801,4287894801,4289019698,4288556581,4287894801,4289217848,4288556581,4288688937,4288424481,4287894801,4289680708,4288688937,4288556581,4288292125,4288887085,4289879627,4289879627,4289680708,4290210132,4289680708,4289416510,4291202160,4291202160,4289680708,4290606944,4290210132,4289879627,4289879627,4290606944,4291202160,4293318829,4291930246,4291202160,0,4293318829,4293318829,4293318829,0,4291930246,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,4291930246,4293318829,0,0,4291930246,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4291930246,4290606944,4293318829,4293318829,0,4293318829,4293318829,4293318829,4291930246,4291202160,0,4291202160,0,4291930246,4291202160,4291930246,0,4291202160,4291930246,4291930246,4291202160,4289680708,4291202160,4289879627,4291930246,4291930246,4291930246,4289879627,4291202160,4290606944,4289879627,4289416510,4291930246,4291930246,4289680708,4291202160,4289416510,4290606944,4290210132,4289680708,4288424481,4289217848,4288887085,4289019698,4290210132,4288688937,4290606944,4288225562,4289019698,4288688937,4289019698,4288225562,4288292125,4288292125,4287961364,4287894801,4287696652,4288093463,4288688937,4288292125,4289217848,4287894801,4287365891,4288225562,4287696652,4288424481,4287762959,4287299841,4287498246,4287762959,4287696652,4287498246,4287630602,4287299840,4287630602,4288093463,4287299840,4288225562,4287365634,4287564552,4288225562,4288225562,4287961364,4287498246,4287894801,4287961364,4288556581,4289019698,4288556581,4288225562,4290210132,4288688937,4289416510,4288556581,4289680708,4289217848,4289680708,4290606944,4289019698,4288887085,4289680708,4290210132,4290606944,4291930246,4290210132,4290210132,4289217848,4290606944,4291930246,4293318829,4291930246,4290210132,4290606944,4291930246,0,4293318829,4293318829,4293318829,4291930246,4293318829,4291930246,0,0,0,4293318829,4293318829,0,4293318829,0,4291930246,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,4290606944,0,0,0,4291202160,4291930246,0,0,4293318829,0,4293318829,4291930246,4291930246,4291930246,4293318829,4291202160,4293318829,4291930246,4293318829,4290606944,4291930246,4289680708,4291202160,4289879627,4290210132,4290210132,4290606944,4291930246,4289217848,4289680708,4288688937,4288556581,4290210132,4290210132,4289217848,4290210132,4289416510,4289680708,4289416510,4288424481,4288556581,4288556581,4289217848,4288424481,4289217848,4288556581,4288093463,4288887085,4288556581,4287696652,4287696652,4289019698,4288225562,4287630602,4287696652,4288093463,4287630602,4287432197,4288292125,4287961364,4287696652,4287498246,4287431940,4287630602,4287894801,4288424481,4287564552,4287498246,4287564552,4287762959,4287299841,4287630602,4287365634,4287365891,4287432197,4287894801,4287630602,4287431940,4289019698,4287630602,4288887085,4287696652,4288093463,4289019698,4288225562,4289416510,4289680708,4288093463,4289416510,4289019698,4289019698,4289217848,4289416510,4289416510,4290210132,4290606944,4290210132,4291202160,4289680708,4289416510,4290210132,4290606944,4291202160,4290606944,4291202160,4289879627,4291202160,4290606944,4291930246,4290210132,4291930246,4293318829,4293318829,4290210132,4291202160,4290210132,4291930246,4291930246,4293318829,4293318829,4293318829,4291202160,4291930246,0,0,4291930246,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,4293318829,4293318829,0,4293318829,0,0,4291930246,0,4293318829,0,0,4291930246,0,4293318829,0,4293318829,0,4293318829,4290606944,4291930246,0,4291202160,4291930246,4291930246,4291202160,4291202160,4290210132,0,4291202160,4291202160,4290210132,4293318829,4290606944,4293318829,4291202160,4289879627,4291202160,4291930246,4290210132,4293318829,4290606944,4289879627,4290606944,4289879627,4289217848,4290210132,4289879627,4289019698,4289217848,4290606944,4289217848,4289416510,4288688937,4288887085,4289019698,4288292125,4288424481,4288556581,4288093463,4288225562,4288556581,4288556581,4288887085,4288093463,4288424481,4287564552,4287365634,4287961364,4288292125,4287299584,4287564552,4287696652,4287498246,4287365634,4288093463,4287762959,4287432197,4287432197,4288292125,4287299840,4287365891,4287564552,4287961364,4287696652,4287365634,4287299840,4287365891,4287498246,4287299841,4287365634,4287630602,4288688937,4287630602,4287762959,4287762959,4288424481,4288424481,4288424481,4287696652,4288887085,4288688937,4289217848,4288093463,4288556581,4289680708,4289217848,4290210132,4289879627,4289217848,4289019698,4291202160,4290606944,0,4289879627,4290606944,4291202160,4290606944,4290210132,4290606944,4291930246,4293318829,4290606944,4289879627,4291202160,4291202160,4293318829,4291930246,4290606944,4293318829,4293318829,4289879627,0,4291930246,4291930246,0,4291930246,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4291930246,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4291202160,4291202160,4293318829,4291930246,4293318829,4293318829,4291930246,4291202160,4291930246,4293318829,4291930246,4291930246,4290606944,4290606944,4293318829,4291930246,4289879627,4290606944,4290210132,4291202160,4291930246,4290210132,4290606944,4288887085,4290606944,4289879627,4289680708,4289217848,4289217848,4289217848,4289879627,4289680708,4289879627,4289217848,4289416510,4288292125,4288887085,4288292125,4289217848,4288424481,4288556581,4288424481,4288093463,4288292125,4288093463,4288424481,4287762959,4288688937,4287894801,4288225562,4287961364,4288225562,4287365891,4287961364,4287431940,4287961364,4287432197,4287299584,4287365634,4287365634,4288093463,4287696652,4287299841,4287894801,4287432197,4287365634,4287696652,4287299841,4287762959,4287498246,4287762959,4288292125,4287630602,4287762959,4287961364,4287365634,4288424481,4287299840,4287365891,4288225562,4288292125,4288093463,4288688937,4289019698,4288556581,4288688937,4288688937,4288225562,4288887085,4288556581,4289416510,4289680708,4288887085,4289416510,4288887085,4290210132,4290210132,4289680708,4289879627,4290606944,4289416510,4290606944,4291202160,4291930246,4290210132,4289879627,4293318829,4291202160,4293318829,4291930246,4291202160,0,0,4293318829,4291202160,0,0,4293318829,4291930246,0,4293318829,4293318829,4293318829,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,4293318829,0,4290606944,4291930246,4291202160,4293318829,4290606944,4293318829,4291930246,4293318829,4291202160,0,0,4293318829,4290606944,4293318829,4290210132,4293318829,4293318829,4293318829,4291930246,4289879627,4290606944,4290210132,4289879627,4290210132,4289879627,4293318829,4290606944,4290606944,4291930246,4290606944,4289680708,4289019698,4288887085,4290606944,4290606944,4289416510,4289879627,4290210132,4288688937,4289019698,4288887085,4289019698,4289217848,4288556581,4288292125,4289680708,4288292125,4288225562,4288688937,4287762959,4288292125,4287630602,4287696652,4288556581,4287696652,4287299841,4287365634,4288292125,4287762959,4287961364,4287630602,4287365891,4287365891,4287762959,4287432197,4287894801,4287696652,4287696652,4287432197,4287299841,4287432197,4287630602,4287564552,4287299584,4287630602,4287961364,4287630602,4287696652,4287365634,4288093463,4287299840,4287961364,4287762959,4287762959,4288292125,4287630602,4288424481,4289680708,4288887085,4287564552,4288688937,4290210132,4288688937,4289416510,4290210132,4288688937,4289416510,0,4291930246,4290210132,4289879627,4291202160,4290606944,4289416510,4291930246,4289879627,4290210132,4293318829,4293318829,4291930246,4290606944,4291202160,4291930246,4291202160,4291202160,4291202160,0,4291930246,4291202160,4291930246,4293318829,4291930246,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,4291930246,0,0,4293318829,0,4291202160,4293318829,4293318829,4293318829,0,0,4291930246,4291202160,4293318829,4291930246,0,4293318829,4293318829,4291202160,4291202160,4291202160,4291930246,4291202160,4291202160,4291202160,4289019698,4289879627,4291930246,4290210132,4290606944,4290606944,4289217848,4289217848,4289879627,4291202160,4290210132,4289680708,4288887085,4289217848,4288887085,4289680708,4288688937,4289217848,4288424481,4289416510,4288093463,4288556581,4288225562,4288292125,4288225562,4288556581,4287961364,4288225562,4287431940,4288556581,4288424481,4287894801,4287498246,4287762959,4288093463,4287762959,4287299840,4287498246,4287431940,4287299841,4287299840,4287299841,4287630602,4287432197,4287696652,4288225562,4287564552,4287431940,4287762959,4287365634,4287696652,4287299584,4288424481,4288424481,4287365891,4287762959,4287365634,4287762959,4287299584,4287961364,4287894801,4288225562,4288225562,4288556581,4288292125,4289217848,4289680708,4289416510,4288556581,4288688937,4289217848,4289019698,4288887085,4290606944,4289217848,4289416510,4289680708,4289217848,4290606944,4289879627,4290210132,4290606944,4290606944,4290210132,4291930246,4291202160,4293318829,4291202160,4291930246,4291202160,4291930246,4291930246,4293318829,4293318829,4291930246,4291930246,0,4293318829,0,0,4291930246,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,4291930246,4291930246,4293318829,4293318829,4293318829,4291202160,0,0,4293318829,0,0,4291930246,0,4291930246,4290606944,4290606944,4291202160,4291930246,4290210132,4291930246,4291930246,4291930246,0,4290606944,4290606944,4291930246,4291930246,4289879627,4290606944,4289416510,4290210132,4291202160,4290210132,4289680708,4289879627,4290210132,4289217848,4291202160,4290606944,4289217848,4289217848,4288887085,4289416510,4289217848,4289019698,4288556581,4288292125,4288292125,4287894801,4288225562,4288292125,4288887085,4287696652,4288556581,4288093463,4289416510,4287894801,4287431940,4287432197,4287299840,4287432197,4287630602,4287498246,4287564552,4288424481,4287365891,4287894801,4287894801,4287961364,4287365891,4287564552,4287762959,4287299584,4287564552,4287299841,4287431940,4287894801,4288225562,4287431940,4287630602,4287564552,4287696652,4287762959,4288093463,4287961364,4287894801,4287762959,4289019698,4287498246,4288093463,4288556581,4289416510,4288688937,4288292125,4289879627,4288688937,4289416510,4290606944,4289879627,4290606944,4289416510,4290606944,4290210132,4289680708,4289680708,4291930246,4290606944,4290606944,4291202160,4289680708,4291930246,4289879627,4291202160,4291202160,4291930246,4291930246,4293318829,0,4293318829,4290606944,0,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,4293318829,0,0,0,0,0,4293318829,4291930246,4293318829,0,4293318829,4291202160,4293318829,0,0,4293318829,0,4291930246,4291202160,4291930246,4291202160,4293318829,0,4291202160,4293318829,4293318829,4293318829,4291202160,4291202160,4290210132,4291930246,4291202160,4290606944,4289680708,4290606944,4291930246,4290606944,4289416510,4290606944,4290210132,4291202160,4290210132,4289680708,4289416510,4288887085,4289217848,4288887085,4289217848,4290606944,4289019698,4288424481,4287961364,4288093463,4288556581,4288887085,4288688937,4289416510,4287961364,4287961364,4287894801,4288225562,4287432197,4287961364,4288225562,4287431940,4288093463,4287432197,4287696652,4287762959,4287564552,4287564552,4287498246,4287299840,4287299841,4287299584,4287299584,4288093463,4288292125,4287299584,4287961364,4287498246,4287762959,4287498246,4288093463,4288093463,4287365891,4287564552,4287696652,4287696652,4287431940,4287299841,4288292125,4288093463,4287894801,4288292125,4288688937,4289217848,4288556581,4288225562,4288887085,4287696652,4289879627,4289217848,4289416510,4289680708,4289019698,4288887085,4289416510,4289019698,4289416510,4293318829,4291202160,4289879627,4291202160,4290210132,4293318829,4293318829,4293318829,4291930246,4291930246,4291930246,4291930246,4291930246,4293318829,4290606944,4293318829,4291202160,0,0,4291930246,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,4291930246,0,0,4293318829,0,0,0,0,4293318829,4291930246,0,0,0,4293318829,4291930246,4291930246,4290210132,0,4289680708,0,4290210132,4293318829,4293318829,4291202160,4291930246,4293318829,4291930246,4291202160,4291930246,4290210132,4290210132,4290210132,4289680708,4290606944,4289680708,4289680708,4290606944,4289217848,4289416510,4290210132,4289879627,4290210132,4287961364,4289416510,4289416510,4288887085,4288424481,4288292125,4288688937,4287894801,4288688937,4288292125,4288225562,4288292125,4287961364,4287762959,4288292125,4287762959,4287762959,4287432197,4287630602,4287299840,4287762959,4287564552,4287762959,4287432197,4287630602,4287432197,4287365891,4287762959,4287365634,4287894801,4287564552,4287630602,4287696652,4287564552,4287564552,4288424481,4287762959,4287299841,4287894801,4287365634,4287498246,4287894801,4289217848,4287431940,4287365891,4289019698,4288292125,4287564552,4288556581,4289217848,4288225562,4288093463,4287894801,4288556581,4288556581,4289019698,4288887085,4289019698,4289217848,4289680708,4289416510,4290606944,4289680708,4289416510,4291930246,4289680708,4291202160,4291202160,4290210132,4291930246,4291202160,4291202160,4293318829,4291930246,4291930246,4290210132,4291930246,4291202160,0,0,4293318829,4291930246,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,4291202160,4293318829,4293318829,4291930246,4293318829,4293318829,4291202160,4291930246,0,4293318829,4293318829,4291930246,4293318829,4291930246,4291930246,4290606944,4291930246,4291930246,4291202160,4291202160,4293318829,4291202160,4293318829,4289879627,4289416510,4290606944,4289416510,0,4289879627,4289680708,4289416510,4288887085,4290210132,4288688937,4288292125,4288556581,4288556581,4287894801,4288292125,4288887085,4290606944,4288225562,4288556581,4287365634,4288556581,4287299584,4288093463,4287894801,4287961364,4288424481,4287894801,4287630602,4287961364,4287365891,4287961364,4287365891,4287498246,4287894801,4287299840,4287498246,4287696652,4287365891,4287432197,4287432197,4287564552,4287894801,4287299584,4287365891,4287630602,4287432197,4287299584,4288225562,4287432197,4287894801,4287431940,4287498246,4287630602,4287894801,4287894801,4288688937,4288887085,4288556581,4287696652,4287961364,4288688937,4288292125,4288556581,4288292125,4289019698,4289019698,4289019698,4289879627,4291202160,4291202160,4288887085,4290210132,4290210132,4289019698,4290606944,4290210132,4289879627,4290210132,4290606944,4291930246,4291930246,4290210132,4291202160,4291930246,0,4291202160,4293318829,4293318829,4293318829,4291202160,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4291930246,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,4291202160,4291930246,0,4291930246,4293318829,0,4291930246,4293318829,4291202160,4291202160,4291202160,0,4291202160,4291202160,4293318829,4291202160,4289416510,4290606944,4291202160,4291930246,0,4289879627,4291202160,4289217848,4291930246,4290606944,4289879627,4289416510,4290210132,4289879627,4289879627,4289879627,4288424481,4289416510,4289217848,4289019698,4289680708,4288556581,4288688937,4288887085,4289019698,4288225562,4288424481,4289217848,4289217848,4287894801,4288688937,4287894801,4289217848,4288225562,4287696652,4288292125,4287365891,4287498246,4287299584,4287365891,4287564552,4287431940,4287894801,4287762959,4287498246,4288225562,4287894801,4287432197,4287432197,4287365634,4287432197,4287432197,4287432197,4288093463,4287696652,4287696652,4287564552,4287696652,4287696652,4287894801,4287630602,4288556581,4288424481,4288292125,4288292125,4289217848,4288292125,4288688937,4287762959,4288225562,4289217848,4289416510,4288887085,4289879627,4289019698,4289416510,4289879627,4289680708,4289217848,4289680708,4289879627,4291202160,4291202160,4293318829,4289879627,4289879627,4291202160,4290210132,4291930246,4293318829,4291930246,4290606944,4290210132,4293318829,4291202160,4293318829,4289879627,0,0,4293318829,4293318829,4293318829,0,4291930246,4293318829,0,4293318829,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4291930246,4293318829,4291930246,4293318829,0,4291202160,4293318829,4293318829,4293318829,0,4291202160,0,4293318829,4291930246,4293318829,0,4293318829,4291930246,4290606944,4289879627,4290606944,4291202160,4290210132,4289879627,4289879627,4289879627,4290606944,4289680708,4289680708,4290210132,4290210132,4289019698,4289217848,4290210132,4289879627,4289416510,4289416510,4288424481,4289879627,4289019698,4288424481,4289416510,4289217848,4289019698,4289019698,4289019698,4288556581,4288424481,4287961364,4287762959,4287961364,4288556581,4287432197,4287961364,4288225562,4287762959,4287762959,4287894801,4287894801,4287365891,4287630602,4287498246,4287894801,4287299841,4287299584,4287630602,4287564552,4287431940,4287365891,4287630602,4287365891,4287498246,4288093463,4288093463,4288225562,4288292125,4287894801,4287365634,4287961364,4288093463,4287961364,4288887085,4287961364,4287961364,4288292125,4287696652,4289019698,4289879627,4288292125,4289217848,4289680708,4290210132,4288556581,4289680708,4289416510,4289019698,4290606944,4289217848,4290210132,4289416510,4290210132,4290210132,4290210132,4289416510,4290210132,4290606944,0,4290606944,4291202160,4293318829,4290606944,4293318829,4290606944,0,4291202160,4291930246,0,0,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,0,4293318829,4293318829,4291930246,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4291930246,4293318829,0,0,4291202160,4293318829,0,4293318829,4293318829,4293318829,4293318829,4291930246,4293318829,4291202160,4291930246,4293318829,4293318829,0,0,4291930246,4293318829,4291202160,4290606944,4291202160,4291930246,4290210132,4291930246,4291202160,4291930246,4289879627,4291930246,4291202160,4289879627,4289217848,4290606944,4289680708,4289416510,4290210132,4288556581,4288688937,4291202160,4289217848,4289019698,4290606944,4289879627,4289019698,4288688937,4288688937,4288424481,4289416510,4288093463,4288887085,4287630602,4288556581,4287564552,4287961364,4287762959,4287630602,4287961364,4287498246,4287431940,4287630602,4288225562,4287431940,4287431940,4287696652,4288225562,4287431940,4287564552,4287365634,4287299841,4287961364,4287498246,4287365634,4288225562,4287365891,4287961364,4287696652,4287365634,4287498246,4288688937,4288225562,4287630602,4287894801,4288688937,4289879627,4288556581,4289217848,4288093463,4287961364,4289019698,4288887085,4289416510,4288424481,4288424481,4289680708,4288887085,4289879627,4289879627,4289416510,4289879627,4289416510,4289680708,4291202160,4290606944,4291202160,4290210132,4290606944,4290606944,4290606944,4289217848,4293318829,4290210132,4291202160,4291930246,4293318829,4293318829,0,0,4293318829,4293318829,4291930246,0,4291930246,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,4291930246,0,4293318829,4291930246,0,4293318829,4293318829,0,4293318829,4293318829,0,4291202160,4291202160,4293318829,4293318829,4291202160,4291930246,4291930246,4291930246,4291930246,0,4293318829,4290606944,0,4291930246,4291202160,4290606944,4289416510,4290210132,4290606944,4290210132,4289416510,4289217848,4289416510,4289217848,4289680708,4289217848,4289680708,4289217848,4290210132,4289217848,4290210132,4289019698,4288292125,4288556581,4288292125,4287961364,4288688937,4289416510,4287961364,4288424481,4288887085,4287564552,4287564552,4288093463,4288292125,4287961364,4287961364,4288887085,4287498246,4287696652,4287762959,4287762959,4287894801,4287432197,4287630602,4287432197,4287432197,4287431940,4287299584,4288556581,4287365891,4287961364,4288225562,4287894801,4288093463,4287894801,4288292125,4287432197,4288225562,4288424481,4288225562,4287432197,4288292125,4287894801,4288688937,4288292125,4287762959,4288424481,4288093463,4288887085,4289217848,4290606944,4290210132,4289879627,4290606944,4289019698,4291202160,4289019698,4291930246,4289019698,4291202160,4291202160,4291930246,4289879627,4290210132,4290210132,4291930246,4289416510,0,4291202160,4293318829,4290210132,0,4293318829,4291202160,4293318829,4291930246,0,0,0,0,4291930246,4291930246,0,4293318829,0,4293318829,0,4291930246,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4291930246,0,0,4293318829,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,4291930246,4291930246,4293318829,4293318829,4293318829,4291930246,4291930246,4291202160,4293318829,4290606944,4291202160,4290606944,4290606944,4290606944,4291202160,4290210132,4289879627,4291930246,4290606944,4290210132,4290606944,4291202160,4290606944,4289879627,4289680708,4288688937,4288688937,4288887085,4289680708,4288424481,4288556581,4289019698,4289680708,4288093463,4289217848,4288093463,4288887085,4287365891,4289019698,4287630602,4287961364,4287564552,4288093463,4288424481,4288424481,4287630602,4288093463,4288225562,4287696652,4287299584,4288292125,4287564552,4287432197,4287630602,4287630602,4287299584,4287498246,4287299841,4287961364,4287961364,4287498246,4287564552,4288292125,4288424481,4287894801,4287431940,4288225562,4288225562,4287696652,4289217848,4287696652,4288887085,4288556581,4288292125,4288688937,4288887085,4288292125,4288292125,4288424481,4289019698,4288688937,4288556581,4289879627,4289680708,4289019698,4289019698,4289416510,4290606944,4289879627,4289879627,4290606944,4289217848,0,0,4291930246,4291202160,4291930246,4291202160,4293318829,4291202160,4291930246,4291202160,4291930246,0,0,4293318829,0,4293318829,4293318829,4291202160,0,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,4291930246,0,0,4291930246,0,4291202160,4293318829,4291930246,4291202160,0,4291930246,4291202160,4291930246,0,4291930246,4293318829,4291202160,4293318829,4291930246,4291202160,0,4291202160,4290210132,4293318829,4291930246,4290606944,4289879627,4291202160,4289416510,4289879627,4291202160,4293318829,4289879627,4291930246,4291202160,4291202160,4289879627,4289680708,4293318829,4289879627,4289879627,4289416510,4289416510,4289680708,4288887085,4288292125,4288887085,4289217848,4289879627,4289879627,4288424481,4287961364,4287894801,4288556581,4287564552,4287894801,4287894801,4288424481,4288093463,4289019698,4287498246,4287365891,4287961364,4288225562,4287431940,4287762959,4287630602,4287961364,4287564552,4287365891,4287432197,4287431940,4288292125,4288093463,4287762959,4288688937,4287961364,4287365634,4288292125,4287431940,4287762959,4287696652,4287762959,4288424481,4288093463,4287762959,4288688937,4288225562,4287961364,4289217848,4290606944,4288225562,4289217848,4288292125,4289019698,4289217848,4288887085,4288887085,4290606944,4289416510,4291202160,4289217848,4290210132,4290606944,4291930246,4290210132,4290210132,4289879627,4291202160,4291930246,0,4290606944,0,4290606944,4290606944,4291930246,4291930246,0,0,0,4291930246,0,0,0,4291930246,0,4293318829,4291202160,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4291930246,0,0,0,0,0,4291930246,4293318829,0,4293318829,0,0,4293318829,4291930246,0,4293318829,0,0,4293318829,4291930246,4291930246,4291930246,4291930246,4291930246,0,4290606944,4293318829,4291202160,0,4291930246,4291202160,4290606944,4291930246,4290606944,4291930246,4293318829,4290606944,4291202160,4290606944,4291202160,4290606944,4291202160,4290606944,4289217848,4289416510,4291202160,4290210132,4288556581,4291930246,4289217848,4289680708,4288887085,4289680708,4288292125,4287696652,4288887085,4289019698,4288556581,4288424481,4288292125,4287961364,4287630602,4287894801,4288556581,4287961364,4288556581,4287630602,4288093463,4288093463,4287365891,4288556581,4288225562,4288424481,4288225562,4287696652,4288688937,4288093463,4288093463,4288225562,4287894801,4287432197,4287630602,4288093463,4288093463,4287498246,4288292125,4288225562,4287961364,4287431940,4288292125,4288424481,4287630602,4287894801,4288688937,4287696652,4288093463,4287894801,4289019698,4288225562,4288688937,4291202160,4288887085,4289217848,4288887085,4289217848,4289680708,4290210132,4290210132,4290210132,4289416510,4289879627,4291202160,4290210132,4289879627,4291202160,4290210132,4291930246,4290210132,4290210132,4291930246,4291930246,4291202160,0,4293318829,4293318829,0,4293318829,4291930246,0,4291202160,4291930246,4291930246,4293318829,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,4291930246,4293318829,4293318829,4291930246,0,0,4291930246,0,4293318829,4291930246,4293318829,4293318829,4291930246,4293318829,4290606944,4291930246,4293318829,4290210132,4289680708,4291930246,4291202160,4289879627,4291202160,4291930246,4291202160,4290606944,4290210132,4289416510,4291202160,4290210132,4289416510,4290210132,4288225562,4289680708,4289019698,4288225562,4289217848,4288292125,4288688937,4288292125,4288093463,4288556581,4288688937,4289019698,4289019698,4288688937,4287961364,4288556581,4288556581,4288688937,4288225562,4288556581,4289217848,4288292125,4287894801,4287498246,4287894801,4287564552,4287498246,4287762959,4287564552,4287961364,4287564552,4287299841,4287564552,4288292125,4287432197,4287498246,4287696652,4287630602,4287431940,4287961364,4288225562,4287961364,4288424481,4287894801,4287696652,4287431940,4287762959,4288556581,4288292125,4289019698,4288556581,4288225562,4288688937,4288292125,4289879627,4288556581,4288556581,4288556581,4289217848,4289680708,4289680708,4290606944,4288887085,4289680708,4290210132,4288887085,4289879627,4291202160,4291202160,4289680708,4293318829,4289879627,4290210132,4290606944,4290606944,4291930246,4291930246,4290210132,4291930246,4291930246,4293318829,0,4291930246,4293318829,0,4293318829,4290210132,0,0,0,0,0,0,4291202160,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4291930246,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,4291930246,4293318829,0,0,4291202160,4291930246,4291930246,4291202160,4291202160,4290606944,4291930246,4290606944,0,4291930246,4291930246,4290606944,4289879627,4290210132,0,4288887085,4290606944,4290210132,4291202160,4290210132,4290606944,4290606944,4289416510,4289416510,4289879627,4290606944,4290210132,4289680708,4289217848,4288688937,4289217848,4288292125,4288887085,4288556581,4289217848,4288093463,4288424481,4289217848,4287961364,4287431940,4288292125,4287696652,4288093463,4287894801,4287762959,4288688937,4287894801,4288225562,4288887085,4287630602,4287630602,4287498246,4287961364,4287630602,4287299840,4288225562,4287498246,4287564552,4287431940,4287564552,4288093463,4287431940,4287894801,4287630602,4287630602,4287696652,4287432197,4288292125,4288093463,4287564552,4287894801,4288292125,4288887085,4287894801,4289019698,4288292125,4288887085,4288688937,4288688937,4288424481,4289217848,4289680708,4289217848,4289680708,4289680708,4289416510,4289879627,4289680708,4289416510,4290606944,4289879627,4289680708,4290606944,4290606944,0,4289879627,4290606944,4291202160,4291930246,4291930246,4293318829,4293318829,4291930246,0,4291930246,4291930246,0,4291930246,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,0,4293318829,4293318829,0,4291930246,4291202160,4293318829,4291202160,4293318829,4293318829,4291930246,0,4291202160,4291930246,4293318829,4291930246,4290606944,4293318829,4293318829,4291930246,0,4291202160,4290210132,0,4290606944,4291202160,4291202160,4290210132,4289416510,4289680708,4290606944,4290210132,4291202160,4290210132,4288556581,4289416510,4289416510,4290606944,4288556581,4289879627,4288688937,4288225562,4288887085,4288093463,4288887085,4289879627,4288887085,4288093463,4288225562,4288292125,4288556581,4289680708,4288093463,4288887085,4288225562,4287961364,4288225562,4287696652,4287498246,4288688937,4287894801,4287762959,4288556581,4288093463,4288292125,4287630602,4287762959,4287630602,4287498246,4287894801,4287564552,4287894801,4287432197,4287564552,4287498246,4288887085,4288225562,4287894801,4289019698,4288292125,4288093463,4287961364,4288093463,4288556581,4287498246,4288887085,4288688937,4288225562,4288887085,4288688937,4288093463,4288225562,4289680708,4289019698,4289416510,4289680708,4290606944,4289217848,4289680708,4289019698,4289879627,4291930246,4290606944,4290606944,4290210132,4291202160,4290606944,4291930246,4291202160,4291202160,4291930246,4293318829,4291202160,4291930246,4293318829,4291930246,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4291202160,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,4291930246,0,4293318829,0,0,0,0,4293318829,4291930246,4291202160,4291930246,0,4291930246,4291930246,4291930246,4291202160,4293318829,4293318829,4290606944,4293318829,4290606944,4291930246,4290606944,4291202160,4291930246,4291930246,4290606944,4289879627,4289680708,4289879627,4289019698,4289019698,4290606944,4290606944,4288688937,4288292125,4289680708,4289217848,4289217848,4289217848,4289019698,4288424481,4288093463,4288292125,4288688937,4287961364,4288424481,4288292125,4288225562,4287431940,4287762959,4287696652,4287894801,4287762959,4288093463,4287762959,4287431940,4287432197,4287498246,4287432197,4287498246,4287630602,4287762959,4287762959,4288225562,4287498246,4287961364,4287630602,4287894801,4287564552,4287630602,4288093463,4288556581,4287961364,4288424481,4288093463,4287696652,4289416510,4287894801,4288292125,4287762959,4288424481,4287630602,4289416510,4288424481,4287894801,4289019698,4287961364,4288556581,4290210132,4289217848,4289019698,4289416510,4289879627,4289217848,4290606944,4289879627,4289879627,4290210132,4291202160,4290210132,4290606944,4290210132,4291202160,4293318829,4291202160,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,0,0,4291930246,0,0,0,4291930246,4293318829,4293318829,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,4291930246,4293318829,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4291930246,0,4293318829,0,4293318829,0,0,4291930246,4290606944,4293318829,4291202160,0,4289879627,4291930246,4291202160,4291202160,4293318829,4291930246,4290210132,4291202160,4291202160,4290606944,4288887085,4290606944,4289680708,4289879627,4293318829,4288688937,4290210132,4288887085,4288887085,4289879627,4289217848,4288556581,4289416510,4289680708,4289416510,4289680708,4288556581,4289019698,4288424481,4288225562,4287762959,4288292125,4288556581,4288225562,4288292125,4287894801,4287961364,4287961364,4287961364,4288556581,4287762959,4287961364,4287432197,4287894801,4287762959,4287432197,4287894801,4287564552,4287961364,4287432197,4287299584,4288292125,4287498246,4287365634,4288556581,4287894801,4287762959,4288093463,4287564552,4287630602,4287696652,4288292125,4287894801,4288093463,4287696652,4288093463,4287630602,4288556581,4288688937,4287961364,4288292125,4288225562,4288688937,4289217848,4288556581,4289879627,4289680708,4288887085,4288556581,4289217848,4288688937,4290606944,0,4289680708,4291202160,4289879627,4289879627,4293318829,4291930246,4289879627,4293318829,4291930246,4293318829,4290606944,4293318829,4291930246,0,4293318829,0,4293318829,0,4291930246,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,4291202160,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4291930246,4291202160,4293318829,4291930246,4291202160,0,4293318829,4291930246,4291930246,4291930246,4291930246,4291930246,4289680708,4291202160,4290210132,4291202160,4291930246,4290210132,4291202160,4289416510,0,4291930246,4288688937,4289879627,4289879627,4290210132,4288556581,4290210132,4288688937,4289019698,4289879627,4287961364,4289416510,4289217848,4289019698,4288688937,4288225562,4288556581,4288887085,4287894801,4287696652,4288556581,4289019698,4288093463,4287961364,4287961364,4287894801,4287498246,4287894801,4288887085,4287630602,4287365634,4287630602,4287299841,4287299841,4288093463,4287498246,4287498246,4287299584,4287696652,4288292125,4287365891,4287431940,4287498246,4287431940,4288093463,4287498246,4287630602,4287762959,4288292125,4287432197,4287762959,4287762959,4288292125,4287894801,4289019698,4288225562,4288556581,4288424481,4287961364,4289217848,4288292125,4289217848,4288556581,4289019698,4290606944,4289879627,4289019698,4290606944,4290606944,4289416510,4293318829,4291202160,4289879627,4291930246,4290210132,4291202160,4293318829,4290210132,4291930246,4293318829,4291930246,4291930246,4291930246,4291930246,4291930246,4293318829,4293318829,4293318829,0,0,4291930246,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,4291202160,0,0,4293318829,0,0,0,4293318829,4291930246,4293318829,4293318829,0,0,4290606944,4293318829,0,4293318829,4290606944,4290606944,4291202160,0,4291202160,4291930246,4291930246,4290210132,4291930246,4293318829,4291202160,4293318829,4293318829,4290606944,4291202160,4290210132,4289019698,4291930246,4289416510,4291202160,4289217848,4289680708,4289416510,4288688937,4289416510,4288887085,4289019698,4289680708,4289416510,4288688937,4288688937,4289217848,4288887085,4288887085,4288556581,4288225562,4287894801,4288225562,4289019698,4288292125,4288225562,4287365891,4287630602,4287432197,4287498246,4288225562,4287894801,4287365891,4287431940,4287894801,4288887085,4287432197,4287299584,4287630602,4287299584,4287299584,4287696652,4287432197,4288225562,4287894801,4287894801,4287961364,4287498246,4287894801,4287696652,4287564552,4288688937,4288093463,4287498246,4287894801,4288887085,4288093463,4287630602,4288688937,4289680708,4288688937,4288887085,4289217848,4289019698,4288887085,4288887085,4289019698,4289019698,4290606944,4290606944,4293318829,4289416510,4289217848,4289680708,4291930246,4289680708,4293318829,4291930246,4291930246,4291930246,4291202160,0,4291930246,4293318829,4291930246,4291930246,4293318829,4291930246,4291930246,4291930246,0,4293318829,0,4293318829,0,0,0,4291930246,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,4291930246,0,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,0,0,4293318829,4290606944,4291202160,0,4293318829,4289879627,4291202160,4291202160,4291202160,4291202160,4290210132,4293318829,4291202160,4290606944,4289416510,4290606944,4289879627,4289680708,4290606944,4291202160,4289416510,4289019698,4289416510,4290210132,4289680708,4289217848,4289680708,4288887085,4289217848,4288556581,4289217848,4288887085,4288887085,4288424481,4288093463,4288688937,4288225562,4287961364,4287498246,4288093463,4288093463,4288292125,4287696652,4287299584,4288225562,4287431940,4287432197,4287762959,4287299841,4288093463,4287961364,4287564552,4287696652,4287498246,4287564552,4287431940,4288292125,4287630602,4288093463,4287894801,4287564552,4288225562,4287431940,4288093463,4288292125,4287630602,4287762959,4287432197,4287365891,4288093463,4288688937,4288093463,4289416510,4287432197,4288556581,4288688937,4288225562,4288887085,4287894801,4289416510,4288556581,4289217848,4289416510,4289019698,4289680708,4289879627,4289680708,4289217848,4289680708,4291202160,4290606944,4293318829,4291930246,4291930246,4289680708,4291202160,4291202160,4290606944,4293318829,4291930246,4293318829,4293318829,4293318829,4291930246,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,4293318829,4290606944,4293318829,4293318829,4291930246,0,4291930246,4291202160,4291202160,4290606944,0,4291202160,4291930246,4290606944,4290606944,4291202160,0,4291202160,4289879627,4291202160,4291930246,4290210132,4291202160,4290606944,4290210132,4290210132,4290210132,4290210132,4290210132,4288887085,4288688937,4289879627,4290210132,4289879627,4289879627,4289416510,4289217848,4289019698,4289680708,4288424481,4288424481,4288225562,4290606944,4288225562,4288292125,4289416510,4288292125,4289217848,4288093463,4288225562,4288688937,4287894801,4287696652,4287498246,4288424481,4287630602,4287498246,4287431940,4287564552,4287365634,4287762959,4287630602,4287564552,4287696652,4287630602,4287894801,4287762959,4287696652,4287564552,4288093463,4287564552,4287564552,4287431940,4287432197,4287696652,4288688937,4288093463,4289019698,4287630602,4287498246,4287894801,4287762959,4288688937,4288424481,4288556581,4289019698,4287894801,4289019698,4289019698,4290210132,4289680708,4289680708,4289019698,4287961364,4289879627,4290210132,4291202160,4291202160,4289416510,4290606944,4289416510,4290606944,4291202160,4289680708,4289879627,4291202160,4293318829,4291930246,4291930246,4291930246,0,4293318829,0,0,4293318829,0,4293318829,0,0,4291930246,4293318829,0,4293318829,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,0,4293318829,4291930246,4293318829,4293318829,4293318829,4291202160,4290606944,4293318829,4293318829,4290210132,4293318829,4291202160,4291930246,0,4290606944,4291930246,4290606944,4290606944,4289680708,4293318829,4291930246,4290606944,4290210132,4290210132,4290210132,4290210132,4289879627,4290210132,4288887085,4288688937,4289680708,4289217848,4288424481,4289217848,4288887085,4289217848,4288688937,4288556581,4288424481,4288093463,4288688937,4288424481,4287630602,4288556581,4287630602,4287498246,4288424481,4288424481,4287762959,4287498246,4288093463,4287299840,4287696652,4288093463,4287498246,4287432197,4287299840,4287696652,4287365891,4287630602,4287365634,4287696652,4287431940,4287762959,4288093463,4287299841,4287894801,4288292125,4287762959,4287564552,4287696652,4287564552,4288424481,4287762959,4287961364,4287961364,4288556581,4288424481,4288225562,4288225562,4288688937,4288556581,4288887085,4289019698,4288688937,4288688937,4289416510,4290606944,4288688937,4289019698,4289019698,4289680708,4290210132,4289879627,4289879627,4290210132,4289879627,4291202160,4291202160,4291202160,4290210132,4291202160,4291930246,4293318829,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,4293318829,4291930246,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4291202160,0,0,4293318829,0,4293318829,0,4293318829,4291930246,0,0,4293318829,4290210132,4291930246,4291930246,0,0,4290606944,4290210132,0,4293318829,4291930246,4291202160,4290606944,4291930246,4289680708,0,4290210132,4293318829,4290606944,4289217848,4290606944,4289879627,4290210132,4289019698,4290210132,4289217848,4290606944,4289416510,4289879627,4290210132,4288887085,4289019698,4289416510,4289217848,4289019698,4288292125,4288424481,4288688937,4287961364,4288225562,4288225562,4289019698,4288292125,4288292125,4288688937,4287762959,4287894801,4288093463,4287432197,4288225562,4287696652,4287564552,4287961364,4287762959,4287696652,4287630602,4287299841,4288292125,4287498246,4287498246,4287365891,4287696652,4287299841,4287498246,4287432197,4287762959,4287431940,4287762959,4288424481,4287630602,4287696652,4288093463,4287365634,4288292125,4288093463,4288556581,4287432197,4287431940,4288887085,4288556581,4287961364,4288424481,4289680708,4288556581,4289019698,4289416510,4288424481,4288887085,4289680708,4289019698,4289217848,4290210132,4291202160,4291202160,4290210132,4289879627,4291202160,4291930246,4291202160,4293318829,4291202160,4293318829,4289879627,4291202160,4291202160,4293318829,4293318829,4290606944,4293318829,4293318829,4291930246,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4291930246,0,0,0,0,0,0,4293318829,0,0,4290606944,4293318829,4293318829,0,4291930246,4293318829,4293318829,0,4291930246,4293318829,4291930246,4291202160,4291202160,4291930246,4291202160,4290606944,4290606944,4291930246,4290606944,4291202160,4291930246,4291202160,4290210132,4290210132,4290210132,4290606944,4290606944,4289680708,4289879627,4290606944,4289217848,4289680708,4289879627,4289217848,4289217848,4290606944,4288688937,4289416510,4287961364,4288887085,4289217848,4288887085,4289019698,4288225562,4288556581,4288887085,4289217848,4287696652,4288424481,4288424481,4287961364,4287498246,4288424481,4287961364,4287961364,4287762959,4287762959,4287961364,4287299841,4288292125,4287696652,4287894801,4287299840,4287564552,4287696652,4287564552,4287431940,4287299840,4287432197,4287630602,4287299584,4287894801,4287630602,4287299841,4287762959,4287762959,4287630602,4287564552,4287696652,4288093463,4287564552,4287961364,4288292125,4287498246,4287961364,4288292125,4289416510,4288424481,4288225562,4288887085,4287894801,4288887085,4288556581,4289416510,4288292125,4289879627,4289879627,4289217848,4291202160,4289680708,4290606944,4290210132,4290210132,4293318829,4293318829,4291930246,4291202160,4293318829,4291930246,4291930246,4291930246,4291930246,0,4293318829,4293318829,4293318829,4291930246,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4291930246,4293318829,4291930246,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,4293318829,4291202160,0,4291202160,0,4290606944,4291930246,4293318829,4290606944,4291202160,4290606944,4291930246,4291202160,4291930246,4289680708,4291930246,4291930246,4289019698,4293318829,4290210132,4289217848,4289879627,4289680708,4288887085,4289879627,4290210132,4290606944,4290606944,4289019698,4289879627,4289019698,4288688937,4288424481,4288225562,4288292125,4288292125,4288887085,4289019698,4288292125,4290210132,4289019698,4288292125,4287630602,4288424481,4288292125,4287762959,4288424481,4287762959,4288688937,4288225562,4287365634,4287431940,4287564552,4287299841,4287365634,4287564552,4287365634,4287762959,4287564552,4287432197,4287696652,4287431940,4287299840,4288093463,4287564552,4287498246,4287696652,4287365891,4287894801,4287564552,4287432197,4287564552,4287894801,4287961364,4287432197,4287696652,4287762959,4288556581,4288688937,4287961364,4288556581,4288688937,4288424481,4288424481,4288424481,4288556581,4288887085,4288424481,4290606944,4289019698,4288093463,4290606944,4290210132,4289879627,4289680708,4288688937,4289680708,4289217848,4290606944,4290606944,4290210132,4291930246,0,4291202160,4290210132,4291930246,4293318829,4293318829,4291930246,0,0,4293318829,4293318829,4291930246,0,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4291930246,0,0,0,0,0,0,0,4291930246,0,4290606944,4291930246,4291202160,4291930246,4293318829,4291930246,4293318829,4291930246,0,4290606944,4291930246,4291202160,4291930246,4291202160,4291930246,4290606944,4291930246,4290210132,4289217848,4290210132,4289416510,4290606944,0,4289879627,4289217848,4290210132,4291202160,4290210132,4289879627,4289217848,4289217848,4288292125,4288225562,4289680708,4288093463,4289019698,4287762959,4288556581,4289019698,4288093463,4289217848,4287894801,4287564552,4288292125,4287762959,4287894801,4287630602,4287630602,4287630602,4288292125,4287365891,4287762959,4287432197,4287961364,4287894801,4287696652,4287564552,4287365634,4287762959,4287696652,4287299584,4287431940,4287299840,4287432197,4287696652,4287696652,4287365891,4288093463,4287498246,4287696652,4287498246,4288225562,4287299584,4288093463,4287432197,4287564552,4288292125,4287762959,4287762959,4287961364,4289217848,4288688937,4288225562,4288424481,4288556581,4288093463,4289217848,4288556581,4289019698,4289680708,4289217848,4289416510,4288887085,4289416510,4290210132,4290210132,4291930246,4290606944,4290606944,4290606944,4293318829,4291930246,4293318829,4291202160,4293318829,4291930246,4291930246,4291930246,4291930246,4291930246,0,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,0,4293318829,0,4291202160,4293318829,0,4291202160,4293318829,0,4293318829,4291202160,4291930246,4293318829,4290606944,4289879627,4291202160,0,4290606944,4289879627,4293318829,4290210132,4291930246,4291202160,4289680708,4291930246,4289680708,4290210132,4289879627,4289879627,4290210132,4288688937,4289680708,4288688937,4290210132,4289680708,4288556581,4290606944,4289416510,4289217848,4288688937,4289680708,4288688937,4287961364,4288225562,4288424481,4287961364,4288424481,4287894801,4287630602,4287630602,4287762959,4289217848,4287961364,4287431940,4287894801,4287762959,4287894801,4287365891,4287498246,4287365634,4287630602,4287431940,4287894801,4287431940,4287431940,4287299584,4287299584,4287498246,4287299584,4287299584,4287365634,4287299841,4287564552,4287299584,4287365891,4287762959,4287299840,4287630602,4287696652,4287431940,4287894801,4288292125,4288225562,4287630602,4289019698,4288292125,4288688937,4288225562,4288424481,4288556581,4288225562,4288093463,4288887085,4289416510,4288556581,4289879627,4289416510,4289019698,4291930246,4289217848,4289879627,4290606944,4290210132,4289680708,4291202160,4289879627,4291202160,4291202160,4290606944,0,4291930246,4290606944,4291202160,0,4291202160,4291930246,4291930246,0,0,4293318829,4293318829,0,0,4291930246,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,4291930246,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,0,4291930246,0,4291202160,0,4293318829,4293318829,0,4293318829,4290210132,4293318829,4291202160,4293318829,0,4291930246,4293318829,0,0,4291930246,0,4289879627,4293318829,4290210132,4291202160,4293318829,4291930246,0,4291930246,4291202160,4291930246,4291930246,4290210132,4290606944,4289879627,4290606944,4290606944,4290606944,4289217848,4290606944,4290210132,4289416510,4289416510,4288688937,4289019698,4288688937,4288093463,4289680708,4289217848,4288688937,4288688937,4287961364,4288887085,4288688937,4288887085,4289879627,4289217848,4287894801,4287762959,4287630602,4287961364,4288887085,4287564552,4287431940,4288093463,4287365891,4287696652,4287299584,4287564552,4287299841,4287431940,4287432197,4287498246,4287630602,4287431940,4287432197,4287431940,4287299584,4287894801,4287762959,4287961364,4288225562,4287365891,4287299584,4287498246,4287630602,4287432197,4287894801,4287498246,4287365891,4288292125,4288093463,4287498246,4288887085,4288556581,4287961364,4288225562,4288556581,4288093463,4287762959,4288887085,4289217848,4289416510,4289217848,4289680708,4289879627,4288093463,4289217848,4290606944,4289416510,4291930246,4290606944,4289680708,4290210132,4290210132,4289680708,4291202160,4291202160,4291202160,4291202160,0,4293318829,4291930246,0,4293318829,4293318829,4293318829,0,4291930246,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,4293318829,4291930246,4293318829,0,0,4291930246,0,4293318829,4291930246,4293318829,4291202160,4291930246,4290606944,0,4293318829,4290606944,4291202160,4291202160,4291930246,4290606944,4290606944,4293318829,4289680708,4289879627,4291930246,4289680708,4291202160,4289879627,4290606944,4288225562,4290606944,4289680708,4289879627,4290210132,4289879627,4289019698,4288556581,4289879627,4289019698,4289416510,4288887085,4288688937,4289217848,4288688937,4289680708,4287564552,4288292125,4287894801,4287894801,4288424481,4287696652,4288556581,4287630602,4287696652,4287498246,4287432197,4287365634,4287431940,4287431940,4287696652,4287299841,4287894801,4287564552,4287762959,4287299584,4287299584,4287365634,4287762959,4287365634,4287432197,4287630602,4287696652,4287299841,4287894801,4287432197,4287431940,4288225562,4287299584,4287894801,4288093463,4288225562,4287961364,4287564552,4288292125,4288556581,4288093463,4287961364,4288688937,4289019698,4288424481,4289217848,4289879627,4289019698,4288688937,4288688937,4289416510,4289217848,4290210132,4291930246,4291202160,4291202160,4290606944,4291202160,4290210132,4291930246,4289217848,4293318829,4293318829,4291930246,4291930246,4290606944,4291930246,4291930246,4290606944,0,0,4293318829,4291930246,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,4291930246,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,4291930246,0,4291930246,0,4291930246,4293318829,4291930246,4290606944,4293318829,4290606944,4291202160,4291930246,4291930246,4291202160,4290606944,4290606944,4290606944,4289416510,4291202160,4289879627,4290606944,4290210132,4289879627,4289416510,4289680708,4289879627,4290210132,4290606944,4288887085,4289019698,4289879627,4288688937,4288688937,4289680708,4289019698,4289217848,4288093463,4290210132,4288887085,4288225562,4287498246,4288887085,4287961364,4288887085,4287432197,4288225562,4287696652,4288225562,4287696652,4287365634,4287498246,4287564552,4287894801,4287762959,4287299584,4287961364,4287299841,4287299841,4287299841,4287630602,4287299841,4287365891,4287365634,4287365634,4287762959,4287894801,4287762959,4287299584,4287299584,4287365891,4287432197,4287299584,4287894801,4287365891,4288093463,4287432197,4287498246,4287696652,4288093463,4288225562,4288424481,4288887085,4287894801,4289019698,4289217848,4288292125,4288292125,4289680708,4288556581,4289680708,4288556581,4290210132,4289879627,4289879627,4289217848,4293318829,4290606944,4290606944,4290606944,4290210132,4291202160,4290606944,4291930246,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,4291202160,0,4291930246,4293318829,0,0,4293318829,4291930246,4293318829,0,4293318829,0,4291930246,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4291930246,0,4293318829,4291202160,4291930246,0,4291930246,4293318829,4293318829,4293318829,4291930246,4290606944,4291202160,4291202160,4291202160,0,0,4291202160,4291930246,4290210132,4289879627,4291930246,4290606944,4290606944,4291930246,4288887085,4290606944,4291930246,4290606944,4289019698,4289416510,4289217848,4288887085,4289217848,4289019698,4289019698,4289416510,4289416510,4289019698,4287961364,4289217848,4288424481,4288556581,4287961364,4288556581,4289217848,4287961364,4288225562,4288424481,4288688937,4288887085,4287630602,4287762959,4287894801,4287498246,4287431940,4287696652,4287299841,4287299840,4287630602,4287762959,4287432197,4287365891,4287498246,4287299840,4287696652,4287299584,4287299584,4287365891,4287564552,4287299841,4287299841,4287299841,4287431940,4288556581,4287696652,4287365891,4287630602,4287630602,4287365634,4287299584,4287894801,4288093463,4288887085,4288292125,4288093463,4288225562,4288225562,4288093463,4288093463,4288887085,4287894801,4291202160,4288688937,4289416510,4289680708,4289416510,4290210132,4289416510,4290606944,4291202160,4291202160,4290210132,4291202160,4291930246,4290210132,4289879627,4291202160,4291202160,4290606944,4293318829,4293318829,4293318829,4291930246,4293318829,4293318829,4293318829,4293318829,4291930246,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4291930246,0,0,4293318829,4291930246,4293318829,0,0,0,0,0,4293318829,4290210132,4291930246,4291930246,0,4293318829,4291202160,4290606944,4293318829,4291930246,4290606944,4290210132,4291202160,4291202160,4291930246,4289680708,4293318829,4291930246,4291202160,4291202160,4290210132,4293318829,4290210132,4289416510,4290210132,4291202160,4289217848,4288887085,4289680708,4289019698,4288887085,4290210132,4290210132,4289019698,4289019698,4288688937,4288887085,4288556581,4289416510,4287696652,4289019698,4289416510,4287894801,4287961364,4289019698,4287696652,4287564552,4287894801,4287961364,4288225562,4287431940,4287498246,4288093463,4287564552,4287299841,4287431940,4287564552,4287498246,4287365891,4287299584,4287696652,4287431940,4287894801,4287432197,4287365891,4287498246,4287630602,4287431940,4287299584,4287762959,4287498246,4287564552,4287894801,4287365891,4287961364,4287365634,4287762959,4287432197,4287564552,4289217848,4289217848,4288887085,4288556581,4289217848,4288688937,4288292125,4288093463,4288556581,4289680708,4288688937,4290606944,4288887085,4288887085,4289680708,4289680708,4289879627,4289217848,4290210132,4289879627,4289680708,4291930246,4291930246,4291930246,4293318829,4291930246,4291930246,4291930246,4293318829,4291202160,4293318829,4291930246,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,4293318829,0,4291930246,4291930246,4293318829,0,4293318829,4291930246,4291930246,4293318829,0,4291930246,4291202160,4291930246,4293318829,4291202160,0,4291930246,4290606944,4290606944,4291202160,4290606944,4290210132,4291202160,0,4293318829,4290606944,4291202160,4289680708,4291202160,4291202160,4291202160,4291202160,4289217848,4289416510,4289019698,4289879627,4288688937,4288292125,4288688937,4289019698,4289879627,4289416510,4287762959,4289217848,4288292125,4288887085,4289019698,4287365891,4288688937,4288225562,4289217848,4287696652,4287630602,4287961364,4288093463,4287762959,4288093463,4287432197,4287365891,4287365891,4287630602,4287431940,4287299841,4287365891,4287630602,4287365634,4287365891,4287299584,4287432197,4288093463,4287299841,4287299584,4287432197,4287365634,4287498246,4287299584,4287299584,4287431940,4287432197,4287696652,4287432197,4287299584,4289019698,4287696652,4287762959,4287432197,4288424481,4287762959,4287762959,4289217848,4287961364,4288093463,4287961364,4288556581,4289019698,4288424481,4288688937,4289217848,4289879627,4289217848,4289680708,4290210132,4290606944,4290210132,4290210132,4289416510,4290210132,4291930246,4290606944,4291202160,0,4291202160,4293318829,4291930246,4290606944,4291202160,4293318829,0,4291930246,0,0,4293318829,0,4291930246,0,0,4293318829,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,4291930246,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,4291930246,4291930246,4293318829,4291930246,4293318829,0,4290606944,4293318829,4291930246,4291930246,4291202160,4291202160,4291930246,4293318829,4291930246,4289879627,4291202160,4289217848,4290606944,4289879627,4289019698,4291202160,4290210132,4289879627,4289680708,4290606944,4290210132,4289879627,4289217848,4289416510,4290210132,4289019698,4289879627,4288688937,4289217848,4290210132,4289019698,4289416510,4288887085,4288688937,4287894801,4288688937,4288424481,4287630602,4288093463,4289019698,4287894801,4287431940,4287564552,4287432197,4287762959,4287696652,4287696652,4287431940,4287564552,4287432197,4287431940,4287696652,4287299584,4287365891,4287498246,4287432197,4287299584,4287498246,4287299584,4287696652,4287299841,4287564552,4287961364,4287498246,4287696652,4287365891,4287894801,4287432197,4287762959,4287432197,4287630602,4287432197,4287630602,4288424481,4288688937,4288093463,4288225562,4288093463,4288225562,4288093463,4288556581,4288556581,4288887085,4288887085,4289680708,4289680708,4289879627,4290210132,4290606944,4290606944,4289416510,4289879627,4290210132,4290210132,4289680708,4291930246,4293318829,4290606944,4291930246,4293318829,4291930246,0,4290606944,4291930246,4293318829,4293318829,4291202160,4291202160,4291202160,0,0,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4291930246,0,0,4293318829,4293318829,0,4291930246,0,4293318829,4293318829,0,0,0,4290606944,4291930246,4293318829,4293318829,4291930246,4291930246,4293318829,4293318829,4291202160,4290606944,4290210132,4289879627,4291202160,4290606944,4291930246,4290210132,4291202160,4290606944,4289416510,4290606944,4289879627,4289879627,4290210132,4289019698,4289879627,4289879627,4289416510,4288688937,4288556581,4289019698,4288887085,4288292125,4288225562,4288556581,4288556581,4288556581,4288887085,4288225562,4288424481,4287762959,4288093463,4287564552,4287961364,4287762959,4288556581,4287630602,4287498246,4287498246,4287630602,4287696652,4287630602,4288093463,4287696652,4287432197,4287299584,4287299584,4287961364,4287299841,4287299840,4287365891,4287564552,4287299841,4287564552,4287564552,4287299841,4287696652,4287630602,4287498246,4287762959,4288292125,4287961364,4288556581,4287432197,4289019698,4288225562,4288424481,4289019698,4289217848,4288688937,4288292125,4287961364,4288424481,4288688937,4289019698,4288688937,4290210132,4288556581,4289217848,4289680708,4289416510,4289416510,4291930246,4290606944,4291202160,4290606944,4293318829,4291930246,4290606944,0,4291202160,4290606944,4291202160,0,4291930246,4291202160,0,4291930246,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,4291930246,4293318829,4293318829,4293318829,4291930246,4291930246,0,4290606944,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,0,4289879627,4293318829,4293318829,4291930246,4291930246,4291930246,4290606944,4289879627,4289879627,4290606944,4290606944,4289879627,4293318829,4291930246,4291930246,4289680708,4289879627,4289879627,4289680708,4289217848,4289416510,4288688937,4289416510,4287432197,4288887085,4289217848,4289879627,4288424481,4288292125,4289217848,4288093463,4288887085,4287762959,4288556581,4287564552,4287696652,4288887085,4288424481,4287961364,4287762959,4287762959,4287894801,4288225562,4287696652,4287432197,4288093463,4287365634,4287299840,4288093463,4287432197,4287696652,4287365891,4287696652,4287696652,4287630602,4287630602,4287432197,4287498246,4287630602,4287630602,4287498246,4287961364,4287498246,4287365891,4287696652,4288556581,4288292125,4287630602,4288093463,4287894801,4288887085,4288424481,4288424481,4288225562,4287961364,4288424481,4289217848,4288887085,4289680708,4289416510,4288887085,4289416510,4290210132,4289879627,4290606944,4289879627,4289879627,4289680708,4290606944,4291930246,4291202160,4291202160,4291202160,4290606944,4293318829,4291202160,4293318829,0,0,4293318829,4291930246,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4291930246,0,4291930246,0,4293318829,0,4293318829,0,4293318829,0,4291930246,4293318829,4290606944,4291930246,4293318829,4291930246,4291202160,4289680708,4291202160,4290210132,4291930246,4290606944,4290606944,4291202160,4289680708,4291930246,4291202160,4290606944,4289019698,4289680708,4289416510,4289217848,4289680708,4288887085,4289217848,4288556581,4289680708,4289680708,4289217848,4289416510,4288424481,4289217848,4287894801,4289217848,4288424481,4289019698,4288887085,4287762959,4288887085,4288225562,4287961364,4287762959,4287894801,4287365891,4288556581,4287630602,4287630602,4287564552,4287431940,4287299584,4287498246,4287630602,4287299841,4287299584,4287299584,4287365891,4287299584,4287762959,4287762959,4287299841,4287894801,4287762959,4287299840,4287498246,4287299584,4287630602,4287894801,4287630602,4287696652,4287299840,4287564552,4288093463,4287432197,4287630602,4288093463,4288556581,4287498246,4287961364,4287894801,4287498246,4289019698,4288688937,4288688937,4289217848,4290210132,4288225562,4289680708,4290606944,4290210132,4289680708,4291202160,4291202160,4290606944,4291202160,4290606944,4293318829,4289879627,4289879627,4291930246,4293318829,4291930246,4293318829,4293318829,4291930246,4293318829,0,4293318829,4291930246,0,4291930246,4293318829,4291930246,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,4291930246,0,4293318829,4293318829,4293318829,4293318829,4291930246,4291930246,0,4291930246,0,4293318829,4293318829,4291930246,4291930246,4290606944,4289879627,4291202160,4293318829,4293318829,4291202160,4291202160,4291202160,4289879627,4291930246,4289879627,4291202160,4290210132,4290606944,4289416510,4290606944,4289416510,4289019698,4289416510,4288887085,4290606944,4289680708,4289217848,4289680708,4289019698,4289019698,4288292125,4288887085,4288887085,4288556581,4288556581,4288688937,4287894801,4289019698,4288292125,4288556581,4288424481,4288093463,4288556581,4288093463,4287762959,4287762959,4287365891,4288424481,4287564552,4287762959,4287498246,4287365634,4287762959,4287696652,4287299840,4287299584,4287564552,4287894801,4287299841,4287762959,4287498246,4287432197,4287894801,4288093463,4287432197,4287762959,4287961364,4287365634,4287762959,4287762959,4287431940,4287630602,4287299841,4288225562,4288424481,4287961364,4288556581,4288887085,4288093463,4288887085,4288688937,4288887085,4289019698,4289879627,4288556581,4288556581,4289680708,4289019698,4289019698,4289416510,4291202160,4291930246,4291202160,4291202160,4291930246,4291930246,4290606944,4289416510,0,4291930246,4291202160,4293318829,4291930246,4291930246,0,4291930246,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,4293318829,0,0,4291930246,0,4293318829,4293318829,0,0,4293318829,4290606944,4293318829,4293318829,4291930246,4291930246,4293318829,4293318829,4291930246,4290606944,4293318829,4291930246,4289879627,4291202160,4291202160,4291930246,4290606944,4290210132,4290210132,4289416510,4291202160,4289217848,4291930246,4289217848,4289416510,4290606944,4289019698,4289217848,4289416510,4289019698,4289879627,4288887085,4288887085,4289019698,4289879627,4288292125,4288424481,4288292125,4288688937,4287961364,4288292125,4287961364,4288093463,4287696652,4288887085,4288688937,4288424481,4288093463,4288424481,4288093463,4288424481,4287431940,4287894801,4287630602,4287365634,4287431940,4287365634,4287894801,4287564552,4287498246,4288887085,4287762959,4287696652,4287299840,4287762959,4287564552,4287564552,4287762959,4287894801,4288093463,4287365634,4287961364,4287696652,4288887085,4288225562,4288292125,4287762959,4287696652,4288688937,4287498246,4289019698,4288093463,4288424481,4288225562,4289416510,4289019698,4288688937,4289416510,4289217848,4288688937,4289217848,4289416510,4288556581,4290606944,4289680708,4289879627,4293318829,4289680708,4289879627,4293318829,4293318829,4290606944,4290606944,4291930246,0,0,0,4293318829,4291930246,4293318829,4293318829,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,4293318829,4293318829,4291930246,0,0,0,0,4291202160,4293318829,0,4293318829,4291930246,4291930246,4291202160,4293318829,0,0,0,4290606944,4291202160,4291930246,4290210132,4293318829,4293318829,4290210132,4291202160,4289879627,4290606944,4293318829,4289416510,4289416510,4289019698,4291930246,4291202160,4288556581,4288887085,4291930246,4288424481,4288424481,4288688937,4290210132,4289217848,4289416510,4290606944,4288887085,4288887085,4289416510,4289019698,4288424481,4288424481,4288225562,4288556581,4287961364,4288688937,4287894801,4288556581,4287630602,4288292125,4288887085,4288093463,4287431940,4288424481,4287365634,4287365634,4287762959,4287696652,4287894801,4287564552,4287696652,4287299841,4287365891,4287762959,4287432197,4287630602,4287630602,4287564552,4288093463,4287696652,4288292125,4288225562,4287961364,4287498246,4287762959,4287696652,4287630602,4287630602,4287894801,4288225562,4287762959,4288424481,4287894801,4290606944,4288887085,4288556581,4288093463,4290210132,4289019698,4289680708,4288887085,4289879627,4290210132,4289680708,4289680708,4290606944,4289879627,4289879627,4290210132,4290210132,4289879627,4291202160,4290606944,4291930246,4293318829,4291202160,4291202160,4290606944,4293318829,4291930246,4293318829,4291930246,4291930246,4293318829,0,0,0,0,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4290606944,0,4293318829,4293318829,4291930246,0,0,4293318829,0,4291202160,4291930246,4291930246,4291202160,4291202160,4293318829,4290606944,4289416510,4293318829,4291202160,4289879627,4290606944,4290210132,4291202160,4289680708,4290606944,4290210132,4289416510,4289680708,4289416510,4289416510,4288887085,4289680708,4289879627,4290606944,4288688937,4288887085,4289217848,4288424481,4287762959,4288556581,4289680708,4288556581,4288292125,4287894801,4289019698,4288093463,4288424481,4288556581,4287498246,4288093463,4287299584,4288424481,4287762959,4288292125,4287630602,4288093463,4287696652,4287299841,4287432197,4288424481,4287961364,4287498246,4287762959,4287762959,4288292125,4288688937,4287432197,4288556581,4288556581,4287696652,4288556581,4287894801,4287498246,4287894801,4287961364,4287961364,4288225562,4287961364,4289217848,4288424481,4289019698,4288424481,4288292125,4288225562,4289019698,4288424481,4288225562,4288688937,4289416510,4288424481,4289019698,4289416510,4289217848,4290606944,4289680708,4293318829,4291202160,4293318829,4290606944,4291930246,4291930246,4291930246,4289879627,4290210132,4290210132,4291930246,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,4291930246,4293318829,4293318829,0,0,0,4291930246,4291930246,0,0,4293318829,0,4291930246,4293318829,4291202160,4293318829,4291930246,4291202160,4293318829,4291930246,0,0,4293318829,4291202160,4291202160,4293318829,4291202160,4291202160,4290606944,4290606944,4293318829,4290210132,4293318829,4289879627,4293318829,4291202160,4291202160,4290606944,4291202160,4291930246,4289217848,4289416510,4288424481,4289416510,4289680708,4289879627,4289217848,4288887085,4289416510,4288093463,4288688937,4289019698,4288688937,4288292125,4287961364,4288093463,4288556581,4287894801,4288556581,4289019698,4288424481,4287696652,4288556581,4288093463,4288292125,4287564552,4288225562,4287564552,4288225562,4287498246,4287431940,4287961364,4287630602,4287762959,4288688937,4287498246,4287961364,4287961364,4288093463,4288093463,4287961364,4287498246,4287762959,4287630602,4288093463,4288093463,4287630602,4287961364,4288093463,4287498246,4288093463,4288556581,4287961364,4287894801,4289019698,4288093463,4288688937,4289019698,4288887085,4288887085,4289680708,4288556581,4289680708,4291202160,4289879627,4291930246,4289680708,4291202160,4291202160,4290606944,4288887085,4293318829,4291202160,4290606944,4291202160,4293318829,4291930246,4293318829,4291930246,4291202160,4293318829,4291202160,4293318829,4291930246,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,4290606944,0,0,4291202160,4293318829,4293318829,4291202160,4291930246,4291930246,4291930246,4293318829,4290210132,4291202160,4293318829,4290606944,4291202160,4293318829,4291202160,4293318829,4290210132,4289879627,4291202160,4291202160,4290606944,4289879627,4289416510,4289217848,4289217848,4289217848,4289680708,4288887085,4289680708,4289019698,4289680708,4289217848,4289680708,4289416510,4290210132,4289217848,4288688937,4288688937,4287696652,4289019698,4289019698,4287961364,4288688937,4288292125,4288292125,4289019698,4288688937,4289217848,4288556581,4289217848,4287961364,4287365634,4287431940,4288424481,4288093463,4287299584,4287762959,4287894801,4287630602,4287498246,4287299584,4287365891,4288093463,4287431940,4287696652,4287696652,4287894801,4288556581,4287432197,4287365634,4288292125,4287696652,4288292125,4287894801,4288292125,4289217848,4288093463,4288556581,4288556581,4288292125,4288556581,4287894801,4289680708,4288556581,4288887085,4289217848,4288292125,4289416510,4289019698,4290210132,4289680708,4289217848,4290210132,4289217848,4291202160,4289217848,4291202160,4291202160,4291930246,4291930246,4291202160,4293318829,4291930246,4291930246,4291930246,4291202160,0,4293318829,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,4291930246,4291202160,4291930246,4291930246,4293318829,4293318829,4293318829,4289879627,0,4290606944,4291930246,4291930246,4289879627,4293318829,4290606944,4290606944,4290210132,4291930246,0,4290210132,4289879627,4290210132,4291202160,4290606944,4289879627,4289879627,4289879627,4291202160,4289217848,4290210132,4289680708,4288688937,4290210132,4289680708,4289416510,4289019698,4288887085,4289217848,4289019698,4289416510,4288688937,4288887085,4288292125,4288292125,4289019698,4287961364,4289217848,4288225562,4288887085,4287961364,4288292125,4287894801,4287696652,4288688937,4287961364,4287961364,4287630602,4288556581,4287961364,4288292125,4287894801,4288225562,4287498246,4287299841,4287961364,4289019698,4287894801,4289019698,4287630602,4287894801,4287696652,4288424481,4288688937,4288225562,4288424481,4288424481,4288688937,4289019698,4287961364,4288688937,4288688937,4288424481,4288424481,4288556581,4289217848,4290606944,4288424481,4289019698,4291202160,4291202160,4289680708,4289879627,4290606944,4289879627,4293318829,4290606944,4289019698,4290606944,4291202160,4290210132,4289879627,4291930246,4291930246,4291930246,4291930246,0,4291930246,4291930246,4293318829,4291202160,0,4293318829,4291930246,4293318829,4293318829,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,4291930246,4291930246,4293318829,4293318829,0,4290606944,0,0,4290210132,0,4291930246,4291930246,0,4291202160,4293318829,0,0,4291930246,0,4293318829,4291202160,4289879627,4290606944,4291930246,4293318829,4293318829,4291930246,4289879627,4290606944,4291202160,4291202160,4293318829,4291202160,4289217848,4290606944,4291202160,4290606944,4289217848,4289217848,4289217848,4289416510,4290606944,4289680708,4288688937,4288556581,4289019698,4288292125,4289217848,4289019698,4289879627,4289217848,4288093463,4289019698,4288887085,4288556581,4289019698,4287894801,4287961364,4288556581,4288556581,4288556581,4288093463,4288225562,4287696652,4288292125,4289019698,4287894801,4288292125,4287894801,4288424481,4289019698,4287961364,4288292125,4287564552,4287762959,4287961364,4288887085,4288688937,4288093463,4287961364,4288292125,4289019698,4287961364,4288093463,4288556581,4288093463,4288556581,4290210132,4288292125,4287762959,4288556581,4288887085,4289416510,4289019698,4290210132,4289680708,4289217848,4288688937,4289416510,4290606944,4289019698,4289680708,4290606944,4289879627,4289416510,4289879627,4291202160,4290606944,4291202160,4290606944,4291930246,4291930246,0,4293318829,4291202160,4293318829,0,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,4293318829,4293318829,4291202160,4293318829,0,4291202160,4293318829,0,4291202160,4291202160,4291202160,4293318829,4293318829,4293318829,4291202160,4291930246,4291930246,4290606944,4293318829,4291202160,4291202160,4289680708,4290606944,4290210132,4290210132,4291202160,4291930246,4290210132,4289680708,4289879627,4289416510,4290210132,4289019698,4290210132,4289680708,4291202160,4290210132,4289019698,4288887085,4290606944,4289217848,4289019698,4288688937,4288688937,4289217848,4289680708,4289217848,4288887085,4288093463,4288292125,4288556581,4289217848,4287894801,4288225562,4288688937,4288887085,4288225562,4288292125,4288556581,4288093463,4289680708,4287894801,4288292125,4288292125,4288225562,4288225562,4287564552,4287961364,4287894801,4288225562,4288688937,4288887085,4289019698,4287498246,4287961364,4288225562,4288093463,4287894801,4288688937,4288292125,4287961364,4289416510,4288292125,4289019698,4288093463,4289019698,4288292125,4289879627,4289416510,4289416510,4289416510,4289019698,4290210132,4288887085,4290210132,4289217848,4289879627,4290606944,4290210132,4290606944,4291930246,0,4289879627,4291930246,4293318829,4291202160,4291930246,4291930246,4291930246,4293318829,4293318829,4293318829,4291202160,0,0,4291930246,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,0,4291202160,4291930246,0,0,4293318829,4293318829,4293318829,4293318829,4290606944,4291202160,4293318829,4293318829,4293318829,4291202160,4293318829,4291202160,4290606944,4291930246,4291202160,4291202160,4290210132,4289680708,4291202160,4290606944,4290210132,4289680708,4289879627,4290210132,4290606944,4291202160,4289019698,4290606944,4290606944,4289019698,4290606944,4289416510,4290210132,4290210132,4289680708,4288688937,4288887085,4288093463,4288688937,4288688937,4288424481,4289416510,4290210132,4289217848,4288556581,4289019698,4288688937,4287894801,4288887085,4288292125,4287762959,4288556581,4287894801,4288424481,4288424481,4288887085,4287894801,4287696652,4288556581,4288887085,4287894801,4288292125,4287762959,4288556581,4288292125,4287498246,4288292125,4287564552,4288292125,4288292125,4288292125,4288424481,4288556581,4288093463,4288424481,4288225562,4289217848,4290210132,4288556581,4289019698,4289879627,4288424481,4289416510,4288292125,4290606944,4290606944,4290210132,4290606944,4289879627,4289879627,4291202160,4290210132,4291930246,4290210132,4293318829,4293318829,0,4291202160,4291930246,0,4291930246,0,4293318829,0,0,4291930246,4293318829,0,0,4291930246,0,4291930246,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,4293318829,4291202160,0,4291202160,4293318829,4293318829,4293318829,4291202160,4291930246,4291202160,4293318829,0,4293318829,4291202160,4291202160,4290210132,4290210132,4293318829,4290606944,4291202160,4290210132,4290210132,4289879627,4291930246,4290606944,4289217848,4290606944,4291930246,4289680708,4289680708,4289217848,4289680708,4289217848,4289879627,4290210132,4289416510,4290606944,4289680708,4289416510,4288688937,4289416510,4290210132,4288556581,4288887085,4288556581,4287961364,4288887085,4289217848,4288292125,4288093463,4288424481,4288556581,4287762959,4288688937,4287630602,4287498246,4287961364,4287564552,4288225562,4288424481,4287894801,4288292125,4288887085,4288292125,4289019698,4287961364,4287961364,4288093463,4288556581,4288688937,4288093463,4288887085,4288688937,4290210132,4287762959,4288424481,4289019698,4288424481,4288556581,4288887085,4289416510,4289019698,4289217848,4289019698,4290606944,4289879627,4289879627,4289680708,4288292125,4289879627,4289680708,4289019698,4290606944,4291202160,4291202160,4291202160,4291930246,4291930246,4290606944,4293318829,4291202160,4291202160,4291930246,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,4291930246,0,0,0,0,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,4293318829,4293318829,4293318829,4291930246,0,4291930246,4289879627,4291930246,4293318829,4291930246,4290606944,4290210132,4293318829,4290210132,0,4290606944,4290210132,4291930246,4289680708,4291930246,4289680708,4289879627,4290210132,4289680708,4289019698,4290210132,4289019698,4289680708,4289680708,4289879627,4289879627,4289416510,4289416510,4290606944,4290606944,4289217848,4288688937,4289416510,4288688937,4288093463,4289416510,4289680708,4288292125,4288093463,4288292125,4289019698,4288688937,4288424481,4288424481,4288556581,4289217848,4287431940,4287630602,4288424481,4288225562,4288424481,4288292125,4287894801,4289019698,4288424481,4288556581,4287564552,4288887085,4287894801,4287696652,4288292125,4289217848,4288887085,4287696652,4289416510,4289019698,4289217848,4289019698,4287961364,4288688937,4289879627,4288887085,4289680708,4289680708,4289217848,4291202160,4290606944,4290606944,4289416510,4289416510,4289416510,4290210132,4291202160,4291202160,4291930246,4293318829,4291202160,4291930246,4293318829,0,4291930246,4293318829,4290606944,4293318829,4293318829,4293318829,4291930246,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4291930246,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,4293318829,4293318829,4291930246,4291930246,4291202160,4293318829,4293318829,4290606944,4293318829,4293318829,4291930246,4291202160,4291930246,4291202160,0,4293318829,4291930246,4290606944,4291930246,4291202160,4290210132,4291202160,4289879627,4290606944,4290210132,4289879627,4290210132,4293318829,4289680708,4289879627,4290606944,4290210132,4290606944,4289680708,4289217848,4289879627,4289019698,4289217848,4290210132,4290210132,4289019698,4289019698,4289217848,4288688937,4289416510,4288556581,4288556581,4288887085,4288556581,4288424481,4288688937,4288556581,4289416510,4289217848,4288688937,4288688937,4288292125,4287894801,4288424481,4288688937,4288093463,4288093463,4287365634,4288225562,4287961364,4288292125,4288424481,4288292125,4288292125,4288688937,4288424481,4288556581,4289879627,4289019698,4289416510,4289416510,4288292125,4288887085,4290210132,4289879627,4288887085,4289416510,4290210132,4289019698,4291202160,4288556581,4290210132,4289019698,4289680708,4290210132,4289879627,4290606944,4290210132,4290606944,4293318829,4291202160,4290606944,4293318829,4290606944,4293318829,4293318829,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,4291930246,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4291202160,4291930246,4291930246,0,4293318829,4293318829,0,4293318829,0,0,4291930246,0,4291930246,4291202160,4291202160,4293318829,0,4291202160,4290606944,4290210132,4289416510,4293318829,4290606944,4291930246,4289879627,4289680708,4291202160,4291930246,4288887085,4289680708,4290606944,4291202160,4289879627,4289217848,4289217848,4290606944,4289019698,4289416510,4290210132,4288424481,4289680708,4289019698,4289217848,4288556581,4288292125,4289019698,4289019698,4288225562,4289019698,4289217848,4288093463,4288292125,4288225562,4289019698,4288093463,4287696652,4288225562,4287894801,4289019698,4288292125,4288424481,4288093463,4287961364,4288556581,4288093463,4288093463,4288292125,4287961364,4288556581,4288887085,4288292125,4288688937,4288292125,4288887085,4288093463,4288688937,4289217848,4289416510,4288556581,4288887085,4289217848,4289879627,4290606944,4290606944,4288887085,4290210132,4290606944,4291202160,4290606944,4290210132,4291202160,4291930246,4291930246,0,4291202160,4291202160,4293318829,4291930246,4291930246,4293318829,4291202160,4293318829,4291930246,4293318829,4293318829,0,4293318829,4293318829,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,4291930246,4293318829,4293318829,4293318829,4293318829,0,4291202160,4291202160,4293318829,0,4293318829,4290606944,4291202160,4290606944,4291930246,4291930246,4290210132,4291930246,4290210132,4293318829,4291202160,4289217848,4290210132,4291202160,4293318829,4289879627,4289416510,4289680708,4289879627,4289019698,4289879627,4289416510,4290606944,4290210132,4290210132,4288556581,4289217848,4289019698,4289217848,4288887085,4289680708,4289217848,4289019698,4288887085,4288556581,4288225562,4289217848,4289019698,4289019698,4288887085,4288424481,4288556581,4288556581,4287696652,4288093463,4288556581,4288688937,4288424481,4287894801,4289019698,4288424481,4288292125,4287961364,4288225562,4287894801,4289680708,4288556581,4288424481,4288093463,4288688937,4289019698,4288292125,4288688937,4287961364,4288292125,4288292125,4288688937,4289217848,4289217848,4288887085,4290210132,4289217848,4289680708,4289416510,4289879627,4289416510,4290210132,4291202160,4289879627,4289680708,4290210132,4291202160,4291202160,4290606944,4291930246,4291202160,4291930246,4293318829,0,0,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4291930246,4293318829,0,4293318829,0,4293318829,0,4293318829,0,4293318829,4291930246,4291202160,4291930246,4290606944,0,4289680708,4293318829,4290210132,4293318829,4293318829,4289879627,4293318829,4289879627,4291202160,4291202160,4289416510,4289879627,4290210132,4293318829,4289680708,4289879627,4290606944,4291930246,4290606944,4289680708,4290606944,4289416510,4289879627,4289680708,4290210132,4289217848,4288688937,4289416510,4289680708,4288887085,4288887085,4289217848,4288556581,4289680708,4289217848,4288887085,4289019698,4288093463,4288424481,4288887085,4290210132,4288688937,4287961364,4289217848,4288093463,4287894801,4289217848,4288887085,4288292125,4288688937,4288688937,4288887085,4288424481,4289019698,4290210132,4289019698,4289217848,4289019698,4288688937,4288688937,4288688937,4288556581,4289879627,4289416510,4289680708,4288887085,4291202160,4289879627,4289680708,4291202160,4289416510,4289879627,4289217848,4290606944,4289680708,4290210132,4290606944,4291930246,4290210132,4290606944,4291202160,4290606944,4291930246,4289879627,0,4291202160,4291202160,0,0,0,4293318829,4291930246,4291202160,4291930246,0,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,4293318829,0,4291930246,0,0,4293318829,4293318829,0,4293318829,4293318829,4291930246,4291930246,0,4291202160,4291930246,4293318829,4290606944,0,4293318829,4291202160,4291202160,4291930246,4290606944,4293318829,4291202160,4290210132,4290606944,4293318829,4290210132,4291930246,4289680708,4291202160,4290606944,4291930246,4290606944,4291202160,4289879627,4289879627,4289019698,4289680708,4289879627,4289879627,4289019698,4289019698,4289680708,4289680708,4289879627,4289019698,4291930246,4288556581,4289416510,4287961364,4289217848,4289019698,4289416510,4289680708,4289416510,4289416510,4288556581,4289416510,4288093463,4288688937,4288292125,4288887085,4289217848,4288688937,4288292125,4288225562,4287762959,4288225562,4288556581,4289217848,4288688937,4288292125,4289019698,4289416510,4289416510,4289680708,4289416510,4289019698,4291202160,4288424481,4289217848,4288292125,4290606944,4289217848,4288887085,4289879627,4289879627,4289217848,4289879627,4293318829,4290210132,4291202160,4291202160,4289879627,4290606944,4291930246,4293318829,0,4290606944,0,4293318829,4293318829,0,0,4293318829,4291930246,4291930246,4293318829,4291930246,4291202160,4293318829,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,4293318829,4293318829,0,0,0,0,4291930246,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,4291930246,4291930246,4293318829,4293318829,4290606944,4291202160,4291202160,4293318829,4293318829,4290606944,4291202160,0,4290606944,4290210132,4293318829,4291930246,4293318829,4290606944,4291930246,4290210132,4291930246,4290210132,4289879627,4291202160,4291930246,4289879627,4290606944,4290210132,4289680708,4289680708,4290606944,4289680708,4289879627,4289416510,4289217848,4290606944,4289217848,4288688937,4289879627,4289416510,4289217848,4289019698,4288225562,4288688937,4289879627,4288556581,4289217848,4290606944,4288688937,4288556581,4288556581,4288225562,4291202160,4289879627,4288688937,4288556581,4289019698,4288688937,4288292125,4288688937,4288556581,4288292125,4288556581,4288424481,4288556581,4288093463,4289217848,4288887085,4289019698,4289019698,4289217848,4290210132,4289879627,4289879627,4289879627,4290606944,4289879627,4288887085,4290210132,4289019698,4291930246,4290606944,4289879627,4291202160,4291930246,0,4290606944,4291930246,0,4290606944,0,0,4290606944,4291202160,4291930246,0,4293318829,0,4293318829,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4291930246,0,4293318829,4291930246,0,0,4291202160,0,4291930246,4293318829,4290606944,4291930246,4291202160,4293318829,4291930246,4290606944,4291202160,4293318829,4291202160,4290606944,0,4290210132,4290606944,4290606944,4290210132,4291202160,4289019698,4291930246,4289217848,4291930246,4289879627,4293318829,4290210132,4290210132,4291930246,4289680708,4291202160,4289019698,4289217848,4288688937,4289019698,4289217848,4289680708,4289879627,4289217848,4288887085,4288887085,4289879627,4289416510,4288688937,4289217848,4290210132,4289416510,4289416510,4289416510,4288556581,4289416510,4288688937,4289680708,4289019698,4289217848,4289019698,4289879627,4288688937,4288556581,4289680708,4289416510,4288225562,4288424481,4288887085,4289217848,4289217848,4288688937,4288556581,4288688937,4289217848,4288887085,4289680708,4289019698,4291202160,4289019698,4289680708,4293318829,4289879627,4290210132,4289217848,4289879627,4290606944,4289680708,4290606944,4291202160,4290210132,4291202160,4290606944,4289879627,4290606944,4291930246,4291202160,0,0,0,4291202160,4291202160,0,4291930246,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,4291930246,0,4293318829,0,0,4293318829,4290606944,0,4293318829,4291930246,0,4291202160,4293318829,4293318829,4291202160,4291202160,0,4291930246,4293318829,4290210132,4291202160,4293318829,4291202160,0,4289680708,4291202160,4290210132,4291202160,4290210132,4291202160,0,4289680708,4290210132,4291202160,4289019698,4289680708,4291202160,4291202160,4289879627,4289680708,4290606944,4289680708,4289879627,4289217848,4289680708,4289680708,4290606944,4288887085,4289217848,4288292125,4290210132,4290210132,4288887085,4288424481,4288424481,4288887085,4288424481,4289680708,4289879627,4289879627,4289680708,4289019698,4289416510,4290210132,4288225562,4288556581,4288887085,4290210132,4288887085,4288424481,4288424481,4289217848,4289019698,4289019698,4289879627,4289416510,4289217848,4289416510,4289416510,4289879627,0,4289416510,4289416510,4293318829,4290210132,4291202160,4289879627,4291202160,4291930246,4291930246,4289879627,4290210132,4290210132,4291930246,4289879627,4291930246,4291930246,4291930246,4291930246,4290210132,0,4293318829,0,0,0,4293318829,4291930246,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,0,0,4293318829,4291930246,0,0,4293318829,4293318829,4293318829,4293318829,0,4291930246,0,4293318829,0,0,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,4291930246,0,4291930246,4290210132,4290210132,4293318829,4290606944,4291202160,4289680708,4290606944,4291202160,4291202160,4291930246,4290606944,4291202160,4289879627,4291202160,4291930246,4289879627,4290210132,4289680708,4289879627,4290606944,4289680708,4289680708,4289217848,4290210132,4288556581,4290606944,4289680708,4289680708,4288688937,4289217848,4289217848,4288887085,4289416510,4289680708,4288887085,4289680708,4288424481,4289217848,4289680708,4289217848,4288424481,4289019698,4289680708,4289879627,4288225562,4287894801,4289217848,4289019698,4288093463,4289217848,4289416510,4289019698,4289217848,4289217848,4290606944,4289879627,4288688937,4289217848,4291202160,4290606944,4290210132,4289879627,4290210132,4290210132,4290606944,4291202160,4291202160,4290210132,4289879627,4293318829,4290606944,4290606944,4291930246,0,4291930246,4293318829,4291930246,4291930246,4291202160,4291930246,4293318829,4293318829,0,0,4293318829,0,4291930246,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,4293318829,0,4291930246,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,0,4291202160,4289879627,4293318829,4293318829,4291202160,4291202160,4293318829,4290606944,4291930246,4290210132,4291202160,4291930246,4290606944,4291930246,4293318829,4291202160,4289019698,4290606944,4290606944,4290606944,4290210132,4289680708,4290210132,4289416510,4290210132,4289680708,4289217848,4290606944,4291202160,4288292125,4289879627,4291930246,4289217848,4290606944,4291202160,4290210132,4288688937,4289680708,4288556581,4288688937,4289217848,4289879627,4289019698,4288688937,4288887085,4289879627,4289416510,4289416510,4290606944,4289217848,4288424481,4290210132,4288887085,4289416510,4289217848,4289217848,4289416510,4288688937,4288556581,4289680708,4289217848,4289879627,4288887085,4289416510,4289019698,4293318829,4291202160,4289879627,4291202160,4289416510,4290606944,4290210132,4289217848,4289680708,4290606944,4291202160,4290606944,4290606944,4291202160,0,4291202160,4291930246,4293318829,4291930246,4291930246,4293318829,4291930246,4291930246,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,4293318829,0,4293318829,0,0,0,4291930246,4291930246,4291930246,4293318829,4293318829,4293318829,0,4291930246,4291930246,0,4293318829,4293318829,4291202160,4291930246,0,0,4290606944,4290606944,0,4291202160,4290606944,4291930246,4291202160,4290606944,4290606944,4291930246,4291202160,4290606944,4290210132,4290606944,4289879627,4290606944,4290606944,4291930246,4289879627,4290606944,4289680708,4291930246,4290606944,4290606944,4291202160,4289879627,4290210132,4289416510,4289019698,4289019698,4288292125,4289019698,4289680708,4289019698,4290210132,4289217848,4290606944,4290606944,4288556581,4289217848,4289019698,4289416510,4288225562,4289879627,4288556581,4289416510,4289019698,4288887085,4289019698,4288556581,4288688937,4289680708,4290606944,4289680708,4288887085,4289680708,4289019698,4288688937,4288225562,4290606944,4290210132,4289217848,4290606944,4289879627,4290606944,4291930246,4290606944,4289879627,4289680708,4289217848,4289879627,4291930246,4291930246,4290606944,0,4289879627,4291930246,4290606944,4291202160,4290210132,4290606944,0,4290606944,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4291930246,4293318829,0,0,0,4293318829,0,4293318829,4291202160,4293318829,4291202160,4291930246,0,4291202160,0,4291930246,4290606944,4293318829,4293318829,0,4291930246,4290606944,4290606944,4293318829,4293318829,4293318829,4290606944,4291930246,4289879627,4290210132,4289416510,4290210132,4290606944,4289879627,4290606944,4289879627,4291202160,4290210132,4289879627,4290210132,4290606944,4289879627,4290210132,4289019698,4289879627,4289879627,4289416510,4289416510,4289680708,4289416510,4290210132,4291202160,4288887085,4289217848,4290606944,4289879627,4288688937,4289019698,4288887085,4288887085,4288424481,4288887085,4289416510,4289879627,4289217848,4289019698,4290210132,4289019698,4288887085,4289217848,4288093463,4290210132,4289879627,4289680708,4289879627,4290606944,4289217848,4289879627,4289879627,4289416510,4289680708,4289879627,4289879627,4291202160,4291202160,4291202160,4290210132,4293318829,4289879627,4291202160,4291202160,4291202160,4291202160,4291930246,4293318829,4291930246,4290606944,4291930246,4291202160,4293318829,0,4291930246,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,4291930246,4291202160,0,4293318829,4291930246,4293318829,4293318829,4291202160,4291930246,4291202160,4293318829,4293318829,4293318829,4291930246,4291930246,4290606944,0,4289217848,4291930246,4291930246,4291202160,4291930246,4289416510,4289879627,4291202160,4290606944,4290606944,4290210132,4290606944,4290210132,4289879627,4289416510,4289217848,4291202160,4290210132,4290606944,4289019698,4289680708,4291202160,4289416510,4290606944,4289680708,4290606944,4289416510,4289019698,4290210132,4289680708,4289019698,4289416510,4290210132,4289879627,4289019698,4288688937,4289879627,4290210132,4288093463,4289416510,4289680708,4289879627,4289879627,4289217848,4291930246,4288424481,4289416510,4289680708,4289416510,4290210132,4289879627,4290210132,4290210132,4289879627,4289680708,4289019698,4290210132,4291930246,4291930246,4289217848,4290210132,4291930246,4293318829,4293318829,4291930246,4290606944,4293318829,4293318829,0,0,4293318829,4290606944,4291202160,4291930246,4291202160,0,4291930246,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,4291930246,0,0,4293318829,0,4293318829,4291930246,0,0,4293318829,0,4291930246,4293318829,4293318829,0,4291930246,4293318829,4293318829,4293318829,4290606944,4291930246,4293318829,4291930246,0,0,4291202160,4291202160,4291930246,4291930246,4291202160,4293318829,4291930246,4291202160,4291930246,4290210132,4291202160,4291202160,4290210132,4289879627,0,4291202160,4293318829,4291202160,4290210132,4289680708,4291202160,4291202160,4291930246,4289879627,4289680708,4290210132,4289217848,4293318829,4291930246,4289416510,4289217848,4289879627,4288424481,4290606944,4289217848,4291202160,4289680708,4290210132,4289217848,4289217848,4289879627,4288424481,4289416510,4289879627,4289680708,4289680708,4288688937,4289019698,4289416510,4289416510,4289217848,4289680708,4289416510,4291930246,4289416510,4291930246,4290606944,4291202160,4290606944,4289879627,4289879627,4289217848,4290210132,4290210132,4290210132,4293318829,4289879627,4290210132,4291930246,4291202160,4290606944,4291930246,4291930246,4293318829,4293318829,4291202160,4293318829,4291930246,4291930246,4291202160,4293318829,4293318829,0,0,4293318829,4293318829,4291202160,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,4293318829,4291930246,0,4293318829,0,4291930246,4291930246,4293318829,0,0,4291930246,4291202160,4291202160,4291930246,4293318829,4293318829,4289879627,4291202160,4291202160,4293318829,4293318829,4291930246,4293318829,4291202160,4289879627,4291202160,4290210132,4291202160,4290606944,4289217848,4289879627,4293318829,4290210132,4290606944,4289879627,4290210132,4289680708,4289217848,4290606944,4289680708,4290210132,4290606944,4289879627,4290210132,4291930246,4289879627,4291930246,4288887085,4288556581,4290210132,4290210132,4289680708,4290210132,4289217848,4289416510,4290210132,4289879627,4288887085,4290210132,4289416510,4293318829,4289019698,4289680708,4289019698,4290606944,4289879627,4289680708,4291930246,4289680708,4291930246,4289680708,4289416510,4290606944,4291202160,4289879627,4291202160,4290606944,0,4291930246,4291202160,4290606944,4293318829,4293318829,4293318829,4291930246,4291202160,4291930246,0,0,0,4290606944,4291202160,0,0,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4291202160,0,4293318829,4293318829,0,4291202160,4293318829,4293318829,4291930246,4293318829,4291930246,4293318829,4291930246,4290606944,4291930246,4291202160,4291202160,0,0,4291930246,4293318829,4291930246,4293318829,4293318829,4293318829,4293318829,0,4290606944,4291202160,4290210132,4290210132,4291202160,4290210132,4290210132,4290210132,4291202160,4289680708,4291202160,4289879627,4291202160,4289217848,4291202160,4291202160,4288887085,4291202160,4289680708,4291930246,4289879627,4289217848,4289019698,4291202160,4289680708,4289416510,4290606944,4288688937,4290606944,4289217848,4291202160,4289879627,4290210132,4289416510,4289680708,4290210132,4289879627,4293318829,4289416510,4290210132,4289416510,4289879627,4291930246,4290210132,4290606944,4291202160,4290210132,4289879627,4291930246,4290606944,4290606944,4291202160,4293318829,4291930246,4291202160,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4291930246,4291930246,0,0,4291930246,0,4293318829,4293318829,4291202160,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,4291930246,0,0,4293318829,4291930246,4293318829,0,0,4291930246,4293318829,4293318829,4291930246,4293318829,0,4293318829,0,4290606944,4291930246,4290606944,0,4291930246,4291930246,4291930246,4293318829,4290210132,4291930246,4290210132,4291202160,4289879627,4293318829,4290210132,4293318829,4291930246,0,4289416510,4291202160,4293318829,4291930246,4290606944,4293318829,4289680708,4291202160,4289416510,4291930246,4290606944,4290210132,4290606944,4289217848,4290210132,4289217848,4289879627,4289416510,4290210132,4289416510,4291930246,4289217848,4289879627,4290606944,4291930246,4289416510,4290210132,4289680708,4289879627,4290210132,4290606944,4291930246,4290606944,4290606944,4291930246,4291202160,4291202160,4290210132,4289416510,4290210132,4291202160,4289879627,4291202160,4291930246,4291930246,4291202160,4293318829,4291202160,4291930246,4291202160,4293318829,4293318829,4290606944,4293318829,0,4293318829,0,0,4291930246,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,4291202160,0,0,4293318829,4293318829,4291202160,4293318829,4293318829,4293318829,4291930246,0,4293318829,0,4293318829,4293318829,4291930246,4291930246,0,4291930246,4291930246,4291202160,4293318829,4290606944,4290606944,4290606944,4293318829,4291930246,4291202160,4290606944,4291202160,4291930246,4291930246,4291202160,4290606944,4291202160,4289879627,4290606944,4289416510,4290210132,4289680708,4291202160,4291930246,4289879627,4289217848,4289879627,4290606944,4290606944,4291930246,4289879627,4288424481,4289879627,4289217848,4291202160,4289879627,4291202160,4290606944,4289217848,4289879627,4291930246,4289217848,4290606944,4290210132,4290606944,4289879627,4290210132,4291202160,4291930246,4291930246,4289680708,4290210132,4293318829,4290210132,4291202160,4290210132,4290210132,4290606944,4291930246,4291930246,4291930246,4290606944,4293318829,4290606944,4291202160,4290210132,4290606944,4293318829,4293318829,4291930246,4291930246,4293318829,4291202160,4293318829,4291930246,4293318829,4291930246,4293318829,4293318829,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,4291930246,0,0,0,0,0,0,4293318829,4293318829,4291930246,4291930246,0,4293318829,0,0,4293318829,4291930246,4293318829,4293318829,4291202160,4293318829,4291930246,4290210132,4293318829,0,4293318829,4293318829,4291930246,4290606944,4291930246,4293318829,4291202160,0,4293318829,0,4290606944,4291930246,4290210132,4291202160,4289019698,4289680708,4290606944,4289680708,4291202160,4290210132,4291202160,4291202160,4290210132,4290210132,4291202160,4291930246,4289879627,4289879627,4289879627,4289416510,4291930246,4289416510,4289879627,4289217848,4290606944,4289217848,4289416510,4289680708,4290606944,4293318829,4291930246,4290606944,4291202160,4291930246,4290210132,4290210132,4290606944,4290606944,4291930246,4290606944,4290210132,4291202160,4291202160,4289879627,4293318829,4291202160,4291202160,4289879627,0,4291202160,4291202160,4291930246,4291202160,0,4293318829,0,0,4293318829,0,0,0,0,4291930246,4293318829,0,4293318829,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4291930246,0,4293318829,4293318829,4293318829,4291930246,0,4290606944,0,4291202160,4293318829,0,4290606944,4291930246,0,4293318829,4293318829,4293318829,0,4293318829,4291930246,0,0,4293318829,4289879627,4293318829,4291930246,4291930246,4293318829,4290210132,0,4291202160,4290210132,4290210132,4290606944,4291202160,4290210132,0,4293318829,4289680708,4289416510,4289879627,4291930246,4290210132,4290210132,4291202160,4293318829,4290210132,4290210132,4290606944,4290606944,4289416510,4291202160,4290210132,4290210132,4291930246,4293318829,4290606944,4291202160,4290210132,4290210132,4290210132,4290606944,4289217848,4289879627,4289879627,4290606944,4290210132,4290606944,4291930246,4293318829,4291930246,4290606944,4291930246,4290606944,4291930246,4293318829,4291930246,4290606944,4291202160,4293318829,4293318829,0,0,0,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4291930246,0,0,0,0,4293318829,0,0,4293318829,0,0,4291930246,4291930246,4291930246,4291930246,0,0,0,0,4293318829,0,0,0,4291202160,4293318829,0,4291202160,4293318829,4291202160,0,4291930246,4291202160,4289680708,4291930246,4291202160,0,4291930246,4290606944,4291930246,4289879627,4290606944,4291202160,4291930246,4290210132,4291202160,4290606944,4289416510,4291202160,4289879627,4293318829,4291202160,4291930246,4291202160,4291930246,4290210132,4290210132,4290606944,4291930246,4289879627,4290210132,4291930246,4290606944,4290606944,4291202160,4291202160,4291930246,4291202160,4290210132,4290606944,4290210132,4291930246,4290210132,4291930246,4293318829,4290210132,4293318829,4293318829,4291202160,4293318829,4291930246,4293318829,4293318829,0,4293318829,4291930246,4291930246,4293318829,4291930246,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,4293318829,4291930246,0,0,0,4293318829,4291930246,4293318829,4293318829,4291930246,0,4291930246,4291202160,0,4293318829,4293318829,4290210132,4291930246,4291930246,4291930246,0,4293318829,4293318829,4291930246,4291930246,4291202160,0,4293318829,4291930246,4291930246,4290210132,4290606944,4290210132,4291202160,4291202160,4290606944,4291930246,4291930246,4290606944,4290210132,4291930246,4289879627,4290210132,4291202160,4291930246,4289680708,4290606944,4291202160,4291202160,4291930246,4290210132,4290606944,4288887085,4290210132,4290606944,4291930246,4290210132,4290210132,4291202160,4291202160,4290210132,4293318829,4290210132,0,4291930246,4291930246,4291930246,0,4293318829,4293318829,4293318829,0,4291930246,4293318829,4291202160,4291202160,4291930246,4291930246,4291202160,0,0,4293318829,4291202160,4293318829,4293318829,0,4291930246,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4293318829,4291930246,0,4293318829,4291202160,4291930246,4293318829,4293318829,4293318829,4293318829,4291930246,4291202160,0,0,0,4291930246,4290606944,4290210132,4290210132,4291202160,0,4289217848,4289680708,4293318829,4291930246,4289680708,4293318829,4290210132,4290606944,4291202160,4290606944,4291930246,4290606944,4290606944,4290606944,4291202160,4293318829,4290606944,4290606944,4291202160,4291202160,4293318829,4290210132,4290606944,4291930246,4290606944,4293318829,4291202160,4293318829,4290606944,4290210132,4291930246,4293318829,0,4291202160,4293318829,4293318829,0,4291930246,4293318829,4293318829,4293318829,0,4291930246,4291202160,4293318829,4293318829,0,4291202160,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,0,0,4291202160,0,4293318829,0,0,4293318829,4291202160,4291930246,0,0,4291202160,4293318829,4293318829,4293318829,4293318829,0,4291202160,0,4291202160,4291930246,4291202160,4291930246,4290606944,4290210132,4289879627,4291930246,4290606944,4293318829,4290606944,4291930246,4289680708,4291202160,4291202160,4291930246,4291930246,4291202160,4291930246,4291930246,4290210132,4291930246,4290606944,4291930246,4289879627,4291202160,4291930246,4291930246,4289680708,4291930246,4290210132,4293318829,4290210132,4291930246,4293318829,4291930246,4290210132,4289879627,4291202160,4290210132,4289879627,4293318829,0,4291202160,4291202160,4293318829,4291202160,0,4293318829,4293318829,4293318829,4293318829,4291930246,0,0,0,4293318829,0,4290606944,0,0,4291930246,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,4291930246,4293318829,4293318829,4293318829,0,4293318829,0,4293318829,0,4291202160,4293318829,4291202160,4290606944,4293318829,4291930246,0,4293318829,4291930246,0,4291930246,0,0,4290606944,4291202160,4291930246,4293318829,4291930246,4291930246,4291930246,0,4293318829,4293318829,4291930246,4293318829,4290210132,0,0,4291202160,4291202160,4290606944,4293318829,4291930246,4291202160,4293318829,4291930246,4290606944,4290606944,4293318829,4291930246,4291202160,4293318829,4291202160,4291930246,4291930246,4291202160,4291930246,4291202160,4290606944,4293318829,4290606944,0,4291930246,4291202160,4291202160,4291202160,4293318829,4293318829,4293318829,4293318829,4291930246,0,0,0,4291930246,4291202160,4293318829,4293318829,4293318829,4293318829,4291930246,0,4293318829,4291930246,0,4293318829,0,4291202160,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4291930246,4291202160,4291202160,4291930246,4291202160,4291202160,0,0,4291930246,0,4293318829,4291202160,4293318829,0,4293318829,4291202160,4291202160,4290606944,0,4293318829,4291930246,4291930246,4293318829,4291202160,4291930246,4290606944,4293318829,4293318829,4293318829,4293318829,4290606944,4289879627,4293318829,4291930246,4290606944,0,4291930246,0,4290210132,4291930246,4291202160,4291930246,4290606944,4290210132,4293318829,4290606944,4293318829,4291930246,4291930246,0,4291202160,4291930246,0,4293318829,0,4293318829,4293318829,4291202160,4293318829,0,0,4291930246,4291930246,4291930246,0,4291930246,4291930246,4291930246,0,4293318829,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,4293318829,0,0,4291930246,0,4293318829,4290210132,4291930246,4291930246,0,4293318829,4293318829,4293318829,4291202160,4291930246,0,4293318829,0,0,0,4293318829,0,4293318829,4291930246,0,4293318829,4293318829,4291930246,4290606944,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,4293318829,4290210132,4293318829,4291202160,4293318829,4290606944,4291202160,4291202160,4293318829,4290606944,4293318829,4290606944,4291930246,4291930246,0,4293318829,4293318829,0,4291930246,4291930246,4293318829,4293318829,4293318829,4291930246,4291930246,4293318829,4291930246,4290606944,4291930246,0,4291930246,4291930246,4293318829,4291930246,4291930246,0,4291930246,4291930246,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,4293318829,4291930246,0,4291202160,4293318829,0,0,4291930246,4293318829,4291202160,4291930246,4291930246,0,0,4293318829,4291202160,4293318829,4293318829,0,4293318829,4293318829,4293318829,4289879627,4293318829,4291930246,4291930246,4291202160,0,4291930246,4291930246,4291202160,4291202160,4293318829,4290606944,4291202160,4290606944,4290210132,4293318829,4289680708,4291930246,4293318829,4290606944,4293318829,4293318829,4291202160,0,0,4291202160,0,4293318829,4290606944,4293318829,4291930246,0,4291930246,4291202160,4291930246,4293318829,4293318829,0,4291930246,4293318829,0,4291202160,4293318829,0,4293318829,0,0,4291930246,4293318829,0,0,4293318829,4291930246,4291930246,0,4293318829,0,0,0,0,4293318829,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4291930246,0,4291930246,4293318829,0,0,0,0,4291202160,4293318829,4291930246,4293318829,0,0,4293318829,4291930246,0,0,0,4291930246,0,0,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4291930246,4291202160,4293318829,4291202160,4291930246,0,0,4293318829,4291202160,4293318829,4291202160,4291930246,0,4293318829,4293318829,4293318829,4291930246,4293318829,4291202160,4291930246,0,4293318829,4291930246,4291930246,4291930246,4290606944,4293318829,4291930246,4293318829,4291930246,0,0,0,4290606944,4293318829,4290210132,0,4293318829,4293318829,4293318829,4293318829,4291930246,4291202160,0,4293318829,4293318829,0,4293318829,0,4291202160,0,4293318829,0,4293318829,4293318829,0,4291930246,4291930246,4293318829,0,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,4291930246,0,4291202160,0,4291930246,4291202160,4293318829,0,4291930246,4291930246,4293318829,4293318829,4293318829,4293318829,4293318829,4291930246,4293318829,4291202160,4293318829,4293318829,4291930246,4293318829,4291930246,4293318829,4291930246,4293318829,4293318829,4293318829,4291202160,4293318829,4293318829,4293318829,0,4291930246,4293318829,4291930246,4293318829,4291930246,0,4293318829,4293318829,0,4291930246,0,0,0,4291930246,4293318829,0,0,0,4291930246,4293318829,0,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4291930246,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,4291930246,4291202160,0,4291930246,0,0,4293318829,0,0,0,4293318829,4293318829,4291202160,4290606944,0,4293318829,0,0,4291930246,4293318829,0,4293318829,4291202160,4293318829,4291202160,4290210132,4293318829,4293318829,4293318829,4293318829,4291930246,0,4291930246,0,0,4291930246,4291930246,4293318829,4291202160,4293318829,0,4293318829,0,4293318829,4291930246,0,4293318829,0,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4291930246,0,4293318829,4293318829,0,0,0,0,4293318829,0,4293318829,4291930246,4293318829,0,4293318829,0,4293318829,0,0,0,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,0,4291930246,0,4291930246,4291202160,0,4293318829,0,4290606944,4293318829,4291930246,4291930246,4293318829,4291930246,4293318829,0,4291930246,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,4291930246,0,4293318829,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,4293318829,0,4291202160,0,0,0,0,0,0,4293318829,4291930246,0,4293318829,4293318829,0,0,4291930246,0,0,4293318829,0,0,0,4291930246,4291930246,4293318829,4291930246,0,4293318829,0,4293318829,4293318829,4293318829,4291930246,0,4291930246,4291930246,4291930246,4293318829,0,0,4291202160,4293318829,4291930246,4293318829,4291930246,4291202160,0,0,0,4293318829,4293318829,4291930246,0,4293318829,4293318829,4293318829,4291930246,4291202160,4291930246,4293318829,0,0,4293318829,4293318829,0,4293318829,4293318829,4291930246,4291930246,0,0,4293318829,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,4293318829,0,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,4291930246,4293318829,4293318829,0,4291930246,4291930246,4293318829,0,4291930246,0,0,4293318829,0,0,0,4291930246,0,4291930246,4291930246,4293318829,0,4291930246,0,4293318829,4293318829,4290606944,0,4293318829,0,4291930246,4291930246,4291930246,4291930246,4291930246,4293318829,0,4291930246,4293318829,4293318829,0,4293318829,4291202160,4293318829,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4291930246,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4291930246,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,0,0,0,4293318829,0,4293318829,4291930246,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4291202160,4293318829,4293318829,0,4291930246,4293318829,4291930246,4291930246,4293318829,4293318829,4293318829,4293318829,4291930246,0,4291930246,4293318829,0,0,4293318829,4293318829,0,4291930246,0,0,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,4291202160,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4291202160,0,0,0,4293318829,0,4293318829,0,0,0,4291202160,4293318829,4293318829,0,4293318829,4291930246,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4291930246,0,0,0,0,4293318829,4291930246,4293318829,0,0,0,4291930246,4293318829,4293318829,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,0,4293318829,4291930246,4291930246,0,0,0,0,0,0,4291930246,4293318829,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4291930246,0,0,4293318829,0,4293318829,0,0,0,4293318829,4291930246,0,4293318829,0,4293318829,4293318829,4291202160,4291202160,4291930246,4293318829,4293318829,0,4291930246,0,4291930246,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,0,4293318829,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,0,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,4291930246,4293318829,4291202160,0,0,0,0,0,4293318829,0,0,0,4291930246,4293318829,0,4291202160,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,4293318829,0,0,0,0,4293318829,0,0,4293318829,0,4293318829,0,4293318829,4293318829,0,0,0,0,0,4293318829,0,4293318829,4291202160,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4291202160,0,0,4291930246,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,4291930246,0,0,0,4293318829,4293318829,0,4293318829,0,4293318829,0,4293318829,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4291202160,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,4291930246,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4291930246,4291930246,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4291930246,4293318829,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4291930246,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,4293318829,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4291930246,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,4293318829,0,0,0,4293318829,0,0,0,4293318829,4291930246,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,0,0,4291930246,0,0,0,0,0,0,0,0,4291930246,4293318829,0,0,4293318829,0,4291930246,0,0,0,0,0,0,4291930246,0,0,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,4293318829,4293318829,0,4293318829,0,0,0,0,0,0,0,4293318829,0,4293318829,4291930246,0,0,4293318829,0,4291930246,4291930246,4293318829,0,0,4291930246,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,0,4293318829,0,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,0,0,0,4291930246,0,0,0,0,4293318829,0,0,0,4291930246,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,4293318829,0,4293318829,0,0,0,4293318829,4293318829,4291930246,0,0,0,4293318829,4293318829,4291930246,0,4293318829,0,4293318829,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4290606944]]],\"x\":[2.618361375817169],\"y\":[1.778807167749611]}},\"id\":\"8f29bc01-8bf0-4410-afff-03d6dd0e55e8\",\"type\":\"ColumnDataSource\"},{\"attributes\":{\"dh\":{\"field\":\"dh\",\"units\":\"data\"},\"dw\":{\"field\":\"dw\",\"units\":\"data\"},\"image\":{\"field\":\"image\"},\"x\":{\"field\":\"x\"},\"y\":{\"field\":\"y\"}},\"id\":\"3b06682a-785a-4a57-abd3-701c7cdf214c\",\"type\":\"ImageRGBA\"},{\"attributes\":{},\"id\":\"b60eb916-1635-469d-935b-82abde067a81\",\"type\":\"BasicTicker\"},{\"attributes\":{\"axis_label\":\"log FSC-A\",\"axis_label_text_font_size\":{\"value\":\"15pt\"},\"formatter\":{\"id\":\"0765281b-6c9c-49af-ac8e-22191343e679\",\"type\":\"BasicTickFormatter\"},\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"b60eb916-1635-469d-935b-82abde067a81\",\"type\":\"BasicTicker\"}},\"id\":\"761e2739-107c-4f35-9eef-fd62d1a03c29\",\"type\":\"LinearAxis\"},{\"attributes\":{\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"3f0976c3-37a0-4b97-a9d6-e13fff99e524\",\"type\":\"PanTool\"},{\"attributes\":{\"data_source\":{\"id\":\"8f29bc01-8bf0-4410-afff-03d6dd0e55e8\",\"type\":\"ColumnDataSource\"},\"glyph\":{\"id\":\"3b06682a-785a-4a57-abd3-701c7cdf214c\",\"type\":\"ImageRGBA\"},\"hover_glyph\":null,\"nonselection_glyph\":{\"id\":\"ec5985d0-67f4-4d12-82b1-391edc980fa7\",\"type\":\"ImageRGBA\"},\"selection_glyph\":null},\"id\":\"0baddd88-2049-4ff4-af29-1538291f5e9d\",\"type\":\"GlyphRenderer\"},{\"attributes\":{\"overlay\":{\"id\":\"de301e3b-be1c-4b3e-aa07-72492d71e302\",\"type\":\"BoxAnnotation\"},\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"5e015d29-5deb-45ae-9809-6250141967c6\",\"type\":\"BoxZoomTool\"},{\"attributes\":{},\"id\":\"bfe4d1ce-9841-4586-a34d-2c3a622af5d9\",\"type\":\"ToolEvents\"},{\"attributes\":{\"callback\":{\"id\":\"aee0df2a-1812-4cbe-a9c6-0a5e87597001\",\"type\":\"CustomJS\"},\"end\":5.418539870179722,\"start\":2.618361375817169},\"id\":\"17671271-e5b4-4624-a6c8-1632f3905b4e\",\"type\":\"Range1d\"},{\"attributes\":{\"args\":{\"x_range\":{\"id\":\"17671271-e5b4-4624-a6c8-1632f3905b4e\",\"type\":\"Range1d\"},\"y_range\":{\"id\":\"7ea1807d-4477-4f3f-944d-10752b32c67d\",\"type\":\"Range1d\"}},\"code\":\"\\n        // Define a callback to capture errors on the Python side\\n        function callback(msg){\\n          if (msg.msg_type == \\\"execute_result\\\") {\\n            if (msg.content.data['text/plain'] === \\\"'Complete'\\\") {\\n               if (Bokeh._queued.length) {\\n                   update_plot();\\n               } else {\\n                   Bokeh._blocked = false;\\n               }\\n               Bokeh._timeout = Date.now();\\n            }\\n          } else {\\n            console.log(\\\"Python callback returned unexpected message:\\\", msg)\\n          }\\n        }\\n        callbacks = {iopub: {output: callback}};\\n\\n        function update_plot() {\\n            range = Bokeh._queued;\\n            var cmd = \\\"from datashader.bokeh_ext import InteractiveImage; InteractiveImage._callbacks['4eda6e22-e9d6-4dba-af32-d4dca6e9eb66'].update(\\\" + range + \\\")\\\"\\n            // Execute the command on the Python kernel\\n            if (IPython.notebook.kernel !== undefined) {\\n                var kernel = IPython.notebook.kernel;\\n                kernel.execute(cmd, callbacks, {silent : false});\\n            }\\n            Bokeh._queued = [];\\n        }\\n\\n        var plot = x_range.plots[0];\\n        // Generate a command to execute in Python\\n        var ranges = {xmin: x_range.attributes.start,\\n                       ymin: y_range.attributes.start,\\n                       xmax: x_range.attributes.end,\\n                       ymax: y_range.attributes.end,\\n                       w: Math.floor(plot.width),\\n                       h: Math.floor(plot.height)}\\n        var range_str = JSON.stringify(ranges)\\n\\n        if (!Bokeh._queued) {\\n            Bokeh._queued = [];\\n            Bokeh._blocked = false;\\n            Bokeh._timeout = Date.now();\\n        }\\n\\n        timeout = Bokeh._timeout + 2000;\\n        if (typeof _ === \\\"undefined\\\") {\\n        } else if ((Bokeh._blocked && (Date.now() < timeout))) {\\n            Bokeh._queued = [range_str];\\n        } else {\\n            Bokeh._queued = [range_str];\\n            setTimeout(update_plot(), 200);\\n            Bokeh._blocked = true;\\n            Bokeh._timeout = Date.now();\\n        }\\n    \"},\"id\":\"aee0df2a-1812-4cbe-a9c6-0a5e87597001\",\"type\":\"CustomJS\"},{\"attributes\":{\"plot\":{\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"c19998ef-b434-4b70-88dd-7f52d2910695\",\"type\":\"SaveTool\"},{\"attributes\":{},\"id\":\"8631d4b6-e481-4d00-b5f8-4bb4bd924fca\",\"type\":\"BasicTicker\"},{\"attributes\":{\"background_fill_color\":{\"value\":\"#E3DCD0\"},\"below\":[{\"id\":\"761e2739-107c-4f35-9eef-fd62d1a03c29\",\"type\":\"LinearAxis\"}],\"left\":[{\"id\":\"9f3368cc-4fcd-470a-a32b-ad03cee5a35e\",\"type\":\"LinearAxis\"}],\"plot_height\":500,\"plot_width\":500,\"renderers\":[{\"id\":\"761e2739-107c-4f35-9eef-fd62d1a03c29\",\"type\":\"LinearAxis\"},{\"id\":\"c6f22682-fa4e-4fe3-8fd0-4a627cbb2ea0\",\"type\":\"Grid\"},{\"id\":\"9f3368cc-4fcd-470a-a32b-ad03cee5a35e\",\"type\":\"LinearAxis\"},{\"id\":\"8f938a4b-9fca-486b-9d76-8be08da49b69\",\"type\":\"Grid\"},{\"id\":\"de301e3b-be1c-4b3e-aa07-72492d71e302\",\"type\":\"BoxAnnotation\"},{\"id\":\"0baddd88-2049-4ff4-af29-1538291f5e9d\",\"type\":\"GlyphRenderer\"}],\"title\":{\"id\":\"db75a22f-c441-4a2c-bfc3-9d4234da2978\",\"type\":\"Title\"},\"tool_events\":{\"id\":\"bfe4d1ce-9841-4586-a34d-2c3a622af5d9\",\"type\":\"ToolEvents\"},\"toolbar\":{\"id\":\"46770a11-69e0-4807-b07b-798011fdf60b\",\"type\":\"Toolbar\"},\"x_range\":{\"id\":\"17671271-e5b4-4624-a6c8-1632f3905b4e\",\"type\":\"Range1d\"},\"y_range\":{\"id\":\"7ea1807d-4477-4f3f-944d-10752b32c67d\",\"type\":\"Range1d\"}},\"id\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"subtype\":\"Figure\",\"type\":\"Plot\"}],\"root_ids\":[\"398073e4-06e7-4dc7-9576-a5016788ecef\"]},\"title\":\"Bokeh Application\",\"version\":\"0.12.3\"}};\n",
       "            var render_items = [{\"docid\":\"075263a8-2e59-45dd-9808-541ce3fc0db8\",\"elementid\":\"44a91f00-3440-41a4-9931-f288648b5229\",\"modelid\":\"398073e4-06e7-4dc7-9576-a5016788ecef\",\"notebook_comms_target\":\"4eda6e22-e9d6-4dba-af32-d4dca6e9eb66\"}];\n",
       "            \n",
       "            Bokeh.embed.embed_items(docs_json, render_items);\n",
       "        });\n",
       "      },\n",
       "      function(Bokeh) {\n",
       "      }\n",
       "    ];\n",
       "  \n",
       "    function run_inline_js() {\n",
       "      \n",
       "      if ((window.Bokeh !== undefined) || (force === \"1\")) {\n",
       "        for (var i = 0; i < inline_js.length; i++) {\n",
       "          inline_js[i](window.Bokeh);\n",
       "        }if (force === \"1\") {\n",
       "          display_loaded();\n",
       "        }} else if (Date.now() < window._bokeh_timeout) {\n",
       "        setTimeout(run_inline_js, 100);\n",
       "      } else if (!window._bokeh_failed_load) {\n",
       "        console.log(\"Bokeh: BokehJS failed to load within specified timeout.\");\n",
       "        window._bokeh_failed_load = true;\n",
       "      } else if (!force) {\n",
       "        var cell = $(\"#44a91f00-3440-41a4-9931-f288648b5229\").parents('.cell').data().cell;\n",
       "        cell.output_area.append_execute_result(NB_LOAD_WARNING)\n",
       "      }\n",
       "  \n",
       "    }\n",
       "  \n",
       "    if (window._bokeh_is_loading === 0) {\n",
       "      console.log(\"Bokeh: BokehJS loaded, going straight to plotting\");\n",
       "      run_inline_js();\n",
       "    } else {\n",
       "      load_libs(js_urls, function() {\n",
       "        console.log(\"Bokeh: BokehJS plotting callback run at\", now());\n",
       "        run_inline_js();\n",
       "      });\n",
       "    }\n",
       "  }(this));\n",
       "</script>"
      ],
      "text/plain": [
       "<datashader.bokeh_ext.InteractiveImage at 0x1191ecac8>"
      ]
     },
     "execution_count": 5,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "p, pipeline = ds_plot(df_example, 'FSC-A', 'SSC-A', log=True)\n",
    "InteractiveImage(p, pipeline)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Applying the unsupervised gating procedure \n",
    "\n",
    "To get some sense of potentials ways to automatically gate the data let's first plot a Kernel Density Estimation to get a sense of where does most of the data-points density is."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "We will use the convenient `jointplot` from `seaborn` to make a KDE plot of these scattering.\n",
    "\n",
    "First let's take a look at the linear scattering data..."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/razo/anaconda/lib/python3.5/site-packages/statsmodels/nonparametric/kdetools.py:20: VisibleDeprecationWarning: using a non-integer number instead of an integer will result in an error in the future\n",
      "  y = X[:m/2+1] + np.r_[0,X[m/2+1:],0]*1j\n"
     ]
    },
    {
     "data": {
      "image/svg+xml": [
       "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"no\"?>\n",
       "<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\"\n",
       "  \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n",
       "<!-- Created with matplotlib (http://matplotlib.org/) -->\n",
       "<svg height=\"423pt\" version=\"1.1\" viewBox=\"0 0 452 423\" width=\"452pt\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n",
       " <defs>\n",
       "  <style type=\"text/css\">\n",
       "*{stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:100000;}\n",
       "  </style>\n",
       " </defs>\n",
       " <g id=\"figure_1\">\n",
       "  <g id=\"patch_1\">\n",
       "   <path d=\"M 0 423.7125 \n",
       "L 452.845312 423.7125 \n",
       "L 452.845312 0 \n",
       "L 0 0 \n",
       "L 0 423.7125 \n",
       "z\n",
       "\" style=\"fill:none;\"/>\n",
       "  </g>\n",
       "  <g id=\"axes_1\">\n",
       "   <g id=\"patch_2\">\n",
       "    <path d=\"M 85.870313 375.6 \n",
       "L 383.969598 375.6 \n",
       "L 383.969598 70.354286 \n",
       "L 85.870313 70.354286 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_1\">\n",
       "    <g id=\"xtick_1\">\n",
       "     <g id=\"line2d_1\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 87.586323 375.6 \n",
       "L 87.586323 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_2\">\n",
       "      <defs>\n",
       "       <path d=\"M 0 0 \n",
       "L 0 0 \n",
       "\" id=\"m45a712a037\" style=\"stroke:#262626;\"/>\n",
       "      </defs>\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"87.586323357\" xlink:href=\"#m45a712a037\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_1\">\n",
       "      <!-- 0 -->\n",
       "      <defs>\n",
       "       <path d=\"M 31.640625 -1.8125 \n",
       "Q 20.265625 -1.8125 13.296875 8.609375 \n",
       "Q 6.34375 19.046875 6.34375 36.140625 \n",
       "Q 6.34375 53.21875 13.296875 63.640625 \n",
       "Q 20.265625 74.078125 31.640625 74.078125 \n",
       "Q 43.0625 74.078125 50 63.671875 \n",
       "Q 56.9375 53.265625 56.9375 36.140625 \n",
       "Q 56.9375 19.046875 50 8.609375 \n",
       "Q 43.0625 -1.8125 31.640625 -1.8125 \n",
       "M 31.640625 5.421875 \n",
       "Q 46.734375 5.421875 46.734375 36.140625 \n",
       "Q 46.734375 66.84375 31.640625 66.84375 \n",
       "Q 16.609375 66.84375 16.609375 36.140625 \n",
       "Q 16.609375 5.421875 31.640625 5.421875 \n",
       "\" id=\"LucidaSansUnicode-30\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(83.792260857 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_2\">\n",
       "     <g id=\"line2d_3\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 143.898045 375.6 \n",
       "L 143.898045 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_4\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"143.898045491\" xlink:href=\"#m45a712a037\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_2\">\n",
       "      <!-- 50000 -->\n",
       "      <defs>\n",
       "       <path d=\"M 12.15625 -0.296875 \n",
       "L 12.15625 8.296875 \n",
       "Q 19.34375 5.421875 25.828125 5.421875 \n",
       "Q 32.953125 5.421875 37.03125 9.609375 \n",
       "Q 41.109375 13.8125 41.109375 21.1875 \n",
       "Q 41.109375 29.109375 35.34375 33.28125 \n",
       "Q 29.59375 37.453125 18.703125 37.453125 \n",
       "Q 16.15625 37.453125 13.375 37.109375 \n",
       "L 13.375 72.265625 \n",
       "L 49.953125 72.265625 \n",
       "L 49.953125 63.875 \n",
       "L 21.828125 63.875 \n",
       "L 21.828125 44.828125 \n",
       "Q 35.75 44.828125 43.5625 38.421875 \n",
       "Q 51.375 32.03125 51.375 20.703125 \n",
       "Q 51.375 10.15625 44.265625 4.171875 \n",
       "Q 37.15625 -1.8125 24.65625 -1.8125 \n",
       "Q 19.09375 -1.8125 12.15625 -0.296875 \n",
       "\" id=\"LucidaSansUnicode-35\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(124.927732991 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_3\">\n",
       "     <g id=\"line2d_5\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 200.209768 375.6 \n",
       "L 200.209768 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_6\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"200.209767625\" xlink:href=\"#m45a712a037\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_3\">\n",
       "      <!-- 100000 -->\n",
       "      <defs>\n",
       "       <path d=\"M 26.171875 0 \n",
       "L 26.171875 65.046875 \n",
       "L 14.75 65.046875 \n",
       "L 14.75 71.09375 \n",
       "L 35.84375 72.90625 \n",
       "L 35.84375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-31\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(177.445392625 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_4\">\n",
       "     <g id=\"line2d_7\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 256.52149 375.6 \n",
       "L 256.52149 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_8\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"256.521489759\" xlink:href=\"#m45a712a037\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_4\">\n",
       "      <!-- 150000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(233.757114759 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_5\">\n",
       "     <g id=\"line2d_9\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 312.833212 375.6 \n",
       "L 312.833212 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_10\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"312.833211893\" xlink:href=\"#m45a712a037\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_5\">\n",
       "      <!-- 200000 -->\n",
       "      <defs>\n",
       "       <path d=\"M 8.296875 0 \n",
       "L 8.296875 8.453125 \n",
       "Q 12.5 18.265625 25.296875 29.828125 \n",
       "L 30.8125 34.765625 \n",
       "Q 41.453125 44.390625 41.453125 53.859375 \n",
       "Q 41.453125 59.90625 37.8125 63.375 \n",
       "Q 34.1875 66.84375 27.78125 66.84375 \n",
       "Q 20.3125 66.84375 10.109375 61.03125 \n",
       "L 10.109375 69.53125 \n",
       "Q 19.734375 74.078125 29.25 74.078125 \n",
       "Q 39.40625 74.078125 45.53125 68.609375 \n",
       "Q 51.65625 63.140625 51.65625 54.109375 \n",
       "Q 51.65625 47.609375 48.546875 42.578125 \n",
       "Q 45.453125 37.546875 37.015625 30.375 \n",
       "L 33.296875 27.203125 \n",
       "Q 21.734375 17.390625 19.921875 8.453125 \n",
       "L 51.3125 8.453125 \n",
       "L 51.3125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-32\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(290.068836893 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_6\">\n",
       "     <g id=\"line2d_11\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 369.144934 375.6 \n",
       "L 369.144934 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_12\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"369.144934027\" xlink:href=\"#m45a712a037\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_6\">\n",
       "      <!-- 250000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(346.380559027 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"text_7\">\n",
       "     <!-- FSC-A -->\n",
       "     <defs>\n",
       "      <path d=\"M 63.625 3.71875 \n",
       "Q 52.9375 -1.8125 40.28125 -1.8125 \n",
       "Q 23.4375 -1.8125 14.25 8.046875 \n",
       "Q 5.078125 17.921875 5.078125 36.078125 \n",
       "Q 5.078125 54.203125 14.421875 64.140625 \n",
       "Q 23.78125 74.078125 40.828125 74.078125 \n",
       "Q 50.484375 74.078125 63.53125 70.90625 \n",
       "L 63.53125 61.28125 \n",
       "Q 48.6875 66.40625 40.625 66.40625 \n",
       "Q 28.859375 66.40625 22.40625 58.4375 \n",
       "Q 15.96875 50.484375 15.96875 35.984375 \n",
       "Q 15.96875 22.125 22.84375 14.15625 \n",
       "Q 29.734375 6.203125 41.703125 6.203125 \n",
       "Q 51.90625 6.203125 63.625 12.5 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-43\"/>\n",
       "      <path d=\"M 7.234375 26.515625 \n",
       "L 7.234375 32.515625 \n",
       "L 50.59375 32.515625 \n",
       "L 50.59375 26.515625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-2d\"/>\n",
       "      <path d=\"M 0.828125 0 \n",
       "L 29.5 72.265625 \n",
       "L 39.65625 72.265625 \n",
       "L 67.875 0 \n",
       "L 56.78125 0 \n",
       "L 48.921875 20.015625 \n",
       "L 18.3125 20.015625 \n",
       "L 10.359375 0 \n",
       "z\n",
       "M 21.296875 27.640625 \n",
       "L 45.953125 27.640625 \n",
       "L 33.640625 58.796875 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-41\"/>\n",
       "      <path d=\"M 9.328125 0 \n",
       "L 9.328125 72.265625 \n",
       "L 49.703125 72.265625 \n",
       "L 49.703125 64.59375 \n",
       "L 19.578125 64.59375 \n",
       "L 19.578125 40.375 \n",
       "L 44.875 40.375 \n",
       "L 44.875 32.8125 \n",
       "L 19.578125 32.8125 \n",
       "L 19.578125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-46\"/>\n",
       "      <path d=\"M 4.890625 1.375 \n",
       "L 4.890625 11.53125 \n",
       "Q 17.09375 5.859375 25 5.859375 \n",
       "Q 31 5.859375 34.6875 9.046875 \n",
       "Q 38.375 12.25 38.375 17.390625 \n",
       "Q 38.375 21.625 35.953125 24.609375 \n",
       "Q 33.546875 27.59375 27.046875 31.25 \n",
       "L 22.078125 34.125 \n",
       "Q 12.84375 39.40625 9.0625 44.0625 \n",
       "Q 5.28125 48.734375 5.28125 54.890625 \n",
       "Q 5.28125 63.28125 11.328125 68.671875 \n",
       "Q 17.390625 74.078125 26.765625 74.078125 \n",
       "Q 35.109375 74.078125 44.390625 71.296875 \n",
       "L 44.390625 61.921875 \n",
       "Q 32.953125 66.40625 27.34375 66.40625 \n",
       "Q 22.015625 66.40625 18.546875 63.578125 \n",
       "Q 15.09375 60.75 15.09375 56.453125 \n",
       "Q 15.09375 52.828125 17.625 50.046875 \n",
       "Q 20.171875 47.265625 26.90625 43.40625 \n",
       "L 32.078125 40.484375 \n",
       "Q 41.453125 35.15625 45.15625 30.421875 \n",
       "Q 48.875 25.6875 48.875 19.046875 \n",
       "Q 48.875 9.625 41.9375 3.90625 \n",
       "Q 35.015625 -1.8125 23.53125 -1.8125 \n",
       "Q 16.21875 -1.8125 4.890625 1.375 \n",
       "\" id=\"LucidaSansUnicode-53\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(207.603549107 413.041875)scale(0.18 -0.18)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-46\"/>\n",
       "      <use x=\"53.61328125\" xlink:href=\"#LucidaSansUnicode-53\"/>\n",
       "      <use x=\"107.470703125\" xlink:href=\"#LucidaSansUnicode-43\"/>\n",
       "      <use x=\"176.66015625\" xlink:href=\"#LucidaSansUnicode-2d\"/>\n",
       "      <use x=\"234.521484375\" xlink:href=\"#LucidaSansUnicode-41\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_2\">\n",
       "    <g id=\"ytick_1\">\n",
       "     <g id=\"line2d_13\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 85.870313 370.136753 \n",
       "L 383.969598 370.136753 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_14\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"85.8703125\" xlink:href=\"#m45a712a037\" y=\"370.136752568\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_8\">\n",
       "      <!-- 0 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(70.64984375 373.894565068)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_2\">\n",
       "     <g id=\"line2d_15\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 85.870313 313.870508 \n",
       "L 383.969598 313.870508 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_16\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"85.8703125\" xlink:href=\"#m45a712a037\" y=\"313.870508367\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_9\">\n",
       "      <!-- 50000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(37.76796875 317.628320867)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_3\">\n",
       "     <g id=\"line2d_17\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 85.870313 257.604264 \n",
       "L 383.969598 257.604264 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_18\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"85.8703125\" xlink:href=\"#m45a712a037\" y=\"257.604264165\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_10\">\n",
       "      <!-- 100000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 261.362076665)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_4\">\n",
       "     <g id=\"line2d_19\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 85.870313 201.33802 \n",
       "L 383.969598 201.33802 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_20\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"85.8703125\" xlink:href=\"#m45a712a037\" y=\"201.338019964\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_11\">\n",
       "      <!-- 150000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 205.095832464)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_5\">\n",
       "     <g id=\"line2d_21\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 85.870313 145.071776 \n",
       "L 383.969598 145.071776 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_22\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"85.8703125\" xlink:href=\"#m45a712a037\" y=\"145.071775763\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_12\">\n",
       "      <!-- 200000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 148.829588263)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_6\">\n",
       "     <g id=\"line2d_23\">\n",
       "      <path clip-path=\"url(#pe712ab4059)\" d=\"M 85.870313 88.805532 \n",
       "L 383.969598 88.805532 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_24\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"85.8703125\" xlink:href=\"#m45a712a037\" y=\"88.8055315621\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_13\">\n",
       "      <!-- 250000 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 92.5633440621)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"126.46484375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"189.697265625\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"252.9296875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use x=\"316.162109375\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"text_14\">\n",
       "     <!-- SSC-A -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(21.076875 250.316049107)rotate(-90.0)scale(0.18 -0.18)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-53\"/>\n",
       "      <use x=\"53.857421875\" xlink:href=\"#LucidaSansUnicode-53\"/>\n",
       "      <use x=\"107.71484375\" xlink:href=\"#LucidaSansUnicode-43\"/>\n",
       "      <use x=\"176.904296875\" xlink:href=\"#LucidaSansUnicode-2d\"/>\n",
       "      <use x=\"234.765625\" xlink:href=\"#LucidaSansUnicode-41\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_1\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 88.881416 375.6 \n",
       "L 91.89252 375.6 \n",
       "L 94.903624 375.6 \n",
       "L 97.914728 375.6 \n",
       "L 100.925832 375.6 \n",
       "L 103.936936 375.6 \n",
       "L 106.94804 375.6 \n",
       "L 109.959144 375.6 \n",
       "L 112.970248 375.6 \n",
       "L 115.981351 375.6 \n",
       "L 118.992455 375.6 \n",
       "L 122.003559 375.6 \n",
       "L 125.014663 375.6 \n",
       "L 128.025767 375.6 \n",
       "L 131.036871 375.6 \n",
       "L 134.047975 375.6 \n",
       "L 137.059079 375.6 \n",
       "L 140.070183 375.6 \n",
       "L 143.081287 375.6 \n",
       "L 146.09239 375.6 \n",
       "L 149.103494 375.6 \n",
       "L 152.114598 375.6 \n",
       "L 155.125702 375.6 \n",
       "L 158.136806 375.6 \n",
       "L 161.14791 375.6 \n",
       "L 164.159014 375.6 \n",
       "L 167.170118 375.6 \n",
       "L 170.181222 375.6 \n",
       "L 173.192325 375.6 \n",
       "L 176.203429 375.6 \n",
       "L 179.214533 375.6 \n",
       "L 182.225637 375.6 \n",
       "L 185.236741 375.6 \n",
       "L 188.247845 375.6 \n",
       "L 191.258949 375.6 \n",
       "L 194.270053 375.6 \n",
       "L 197.281157 375.6 \n",
       "L 200.292261 375.6 \n",
       "L 203.303364 375.6 \n",
       "L 206.314468 375.6 \n",
       "L 209.325572 375.6 \n",
       "L 212.336676 375.6 \n",
       "L 215.34778 375.6 \n",
       "L 218.358884 375.6 \n",
       "L 221.369988 375.6 \n",
       "L 224.381092 375.6 \n",
       "L 227.392196 375.6 \n",
       "L 230.4033 375.6 \n",
       "L 233.414403 375.6 \n",
       "L 236.425507 375.6 \n",
       "L 239.436611 375.6 \n",
       "L 242.447715 375.6 \n",
       "L 245.458819 375.6 \n",
       "L 248.469923 375.6 \n",
       "L 251.481027 375.6 \n",
       "L 254.492131 375.6 \n",
       "L 257.503235 375.6 \n",
       "L 260.514338 375.6 \n",
       "L 263.525442 375.6 \n",
       "L 266.536546 375.6 \n",
       "L 269.54765 375.6 \n",
       "L 272.558754 375.6 \n",
       "L 275.569858 375.6 \n",
       "L 278.580962 375.6 \n",
       "L 281.592066 375.6 \n",
       "L 284.60317 375.6 \n",
       "L 287.614274 375.6 \n",
       "L 290.625377 375.6 \n",
       "L 293.636481 375.6 \n",
       "L 296.647585 375.6 \n",
       "L 299.658689 375.6 \n",
       "L 302.669793 375.6 \n",
       "L 305.680897 375.6 \n",
       "L 308.692001 375.6 \n",
       "L 311.703105 375.6 \n",
       "L 314.714209 375.6 \n",
       "L 317.725312 375.6 \n",
       "L 320.736416 375.6 \n",
       "L 323.74752 375.6 \n",
       "L 326.758624 375.6 \n",
       "L 329.769728 375.6 \n",
       "L 332.780832 375.6 \n",
       "L 335.791936 375.6 \n",
       "L 338.80304 375.6 \n",
       "L 341.814144 375.6 \n",
       "L 344.825248 375.6 \n",
       "L 347.836351 375.6 \n",
       "L 350.847455 375.6 \n",
       "L 353.858559 375.6 \n",
       "L 356.869663 375.6 \n",
       "L 359.880767 375.6 \n",
       "L 362.891871 375.6 \n",
       "L 365.902975 375.6 \n",
       "L 368.914079 375.6 \n",
       "L 371.925183 375.6 \n",
       "L 374.936287 375.6 \n",
       "L 377.94739 375.6 \n",
       "L 380.958494 375.6 \n",
       "L 383.969598 375.6 \n",
       "L 383.969598 372.51671 \n",
       "L 383.969598 369.43342 \n",
       "L 383.969598 366.35013 \n",
       "L 383.969598 363.26684 \n",
       "L 383.969598 360.18355 \n",
       "L 383.969598 357.10026 \n",
       "L 383.969598 354.01697 \n",
       "L 383.969598 350.93368 \n",
       "L 383.969598 347.85039 \n",
       "L 383.969598 344.7671 \n",
       "L 383.969598 341.68381 \n",
       "L 383.969598 338.600519 \n",
       "L 383.969598 335.517229 \n",
       "L 383.969598 332.433939 \n",
       "L 383.969598 329.350649 \n",
       "L 383.969598 326.267359 \n",
       "L 383.969598 323.184069 \n",
       "L 383.969598 320.100779 \n",
       "L 383.969598 317.017489 \n",
       "L 383.969598 313.934199 \n",
       "L 383.969598 310.850909 \n",
       "L 383.969598 307.767619 \n",
       "L 383.969598 304.684329 \n",
       "L 383.969598 301.601039 \n",
       "L 383.969598 298.517749 \n",
       "L 383.969598 295.434459 \n",
       "L 383.969598 292.351169 \n",
       "L 383.969598 289.267879 \n",
       "L 383.969598 286.184589 \n",
       "L 383.969598 283.101299 \n",
       "L 383.969598 280.018009 \n",
       "L 383.969598 276.934719 \n",
       "L 383.969598 273.851429 \n",
       "L 383.969598 270.768139 \n",
       "L 383.969598 267.684848 \n",
       "L 383.969598 264.601558 \n",
       "L 383.969598 261.518268 \n",
       "L 383.969598 258.434978 \n",
       "L 383.969598 255.351688 \n",
       "L 383.969598 252.268398 \n",
       "L 383.969598 249.185108 \n",
       "L 383.969598 246.101818 \n",
       "L 383.969598 243.018528 \n",
       "L 383.969598 239.935238 \n",
       "L 383.969598 236.851948 \n",
       "L 383.969598 233.768658 \n",
       "L 383.969598 230.685368 \n",
       "L 383.969598 227.602078 \n",
       "L 383.969598 224.518788 \n",
       "L 383.969598 221.435498 \n",
       "L 383.969598 218.352208 \n",
       "L 383.969598 215.268918 \n",
       "L 383.969598 212.185628 \n",
       "L 383.969598 209.102338 \n",
       "L 383.969598 206.019048 \n",
       "L 383.969598 202.935758 \n",
       "L 383.969598 199.852468 \n",
       "L 383.969598 196.769177 \n",
       "L 383.969598 193.685887 \n",
       "L 383.969598 190.602597 \n",
       "L 383.969598 187.519307 \n",
       "L 383.969598 184.436017 \n",
       "L 383.969598 181.352727 \n",
       "L 383.969598 178.269437 \n",
       "L 383.969598 175.186147 \n",
       "L 383.969598 172.102857 \n",
       "L 383.969598 169.019567 \n",
       "L 383.969598 165.936277 \n",
       "L 383.969598 162.852987 \n",
       "L 383.969598 159.769697 \n",
       "L 383.969598 156.686407 \n",
       "L 383.969598 153.603117 \n",
       "L 383.969598 150.519827 \n",
       "L 383.969598 147.436537 \n",
       "L 383.969598 144.353247 \n",
       "L 383.969598 141.269957 \n",
       "L 383.969598 138.186667 \n",
       "L 383.969598 135.103377 \n",
       "L 383.969598 132.020087 \n",
       "L 383.969598 128.936797 \n",
       "L 383.969598 125.853506 \n",
       "L 383.969598 122.770216 \n",
       "L 383.969598 119.686926 \n",
       "L 383.969598 116.603636 \n",
       "L 383.969598 113.520346 \n",
       "L 383.969598 110.437056 \n",
       "L 383.969598 107.353766 \n",
       "L 383.969598 104.270476 \n",
       "L 383.969598 101.187186 \n",
       "L 383.969598 98.103896 \n",
       "L 383.969598 95.020606 \n",
       "L 383.969598 91.937316 \n",
       "L 383.969598 88.854026 \n",
       "L 383.969598 85.770736 \n",
       "L 383.969598 82.687446 \n",
       "L 383.969598 79.604156 \n",
       "L 383.969598 76.520866 \n",
       "L 383.969598 73.437576 \n",
       "L 383.969598 70.354286 \n",
       "L 380.958494 70.354286 \n",
       "L 377.94739 70.354286 \n",
       "L 374.936287 70.354286 \n",
       "L 371.925183 70.354286 \n",
       "L 368.914079 70.354286 \n",
       "L 365.902975 70.354286 \n",
       "L 362.891871 70.354286 \n",
       "L 359.880767 70.354286 \n",
       "L 356.869663 70.354286 \n",
       "L 353.858559 70.354286 \n",
       "L 350.847455 70.354286 \n",
       "L 347.836351 70.354286 \n",
       "L 344.825248 70.354286 \n",
       "L 341.814144 70.354286 \n",
       "L 338.80304 70.354286 \n",
       "L 335.791936 70.354286 \n",
       "L 332.780832 70.354286 \n",
       "L 329.769728 70.354286 \n",
       "L 326.758624 70.354286 \n",
       "L 323.74752 70.354286 \n",
       "L 320.736416 70.354286 \n",
       "L 317.725312 70.354286 \n",
       "L 314.714209 70.354286 \n",
       "L 311.703105 70.354286 \n",
       "L 308.692001 70.354286 \n",
       "L 305.680897 70.354286 \n",
       "L 302.669793 70.354286 \n",
       "L 299.658689 70.354286 \n",
       "L 296.647585 70.354286 \n",
       "L 293.636481 70.354286 \n",
       "L 290.625377 70.354286 \n",
       "L 287.614274 70.354286 \n",
       "L 284.60317 70.354286 \n",
       "L 281.592066 70.354286 \n",
       "L 278.580962 70.354286 \n",
       "L 275.569858 70.354286 \n",
       "L 272.558754 70.354286 \n",
       "L 269.54765 70.354286 \n",
       "L 266.536546 70.354286 \n",
       "L 263.525442 70.354286 \n",
       "L 260.514338 70.354286 \n",
       "L 257.503235 70.354286 \n",
       "L 254.492131 70.354286 \n",
       "L 251.481027 70.354286 \n",
       "L 248.469923 70.354286 \n",
       "L 245.458819 70.354286 \n",
       "L 242.447715 70.354286 \n",
       "L 239.436611 70.354286 \n",
       "L 236.425507 70.354286 \n",
       "L 233.414403 70.354286 \n",
       "L 230.4033 70.354286 \n",
       "L 227.392196 70.354286 \n",
       "L 224.381092 70.354286 \n",
       "L 221.369988 70.354286 \n",
       "L 218.358884 70.354286 \n",
       "L 215.34778 70.354286 \n",
       "L 212.336676 70.354286 \n",
       "L 209.325572 70.354286 \n",
       "L 206.314468 70.354286 \n",
       "L 203.303364 70.354286 \n",
       "L 200.292261 70.354286 \n",
       "L 197.281157 70.354286 \n",
       "L 194.270053 70.354286 \n",
       "L 191.258949 70.354286 \n",
       "L 188.247845 70.354286 \n",
       "L 185.236741 70.354286 \n",
       "L 182.225637 70.354286 \n",
       "L 179.214533 70.354286 \n",
       "L 176.203429 70.354286 \n",
       "L 173.192325 70.354286 \n",
       "L 170.181222 70.354286 \n",
       "L 167.170118 70.354286 \n",
       "L 164.159014 70.354286 \n",
       "L 161.14791 70.354286 \n",
       "L 158.136806 70.354286 \n",
       "L 155.125702 70.354286 \n",
       "L 152.114598 70.354286 \n",
       "L 149.103494 70.354286 \n",
       "L 146.09239 70.354286 \n",
       "L 143.081287 70.354286 \n",
       "L 140.070183 70.354286 \n",
       "L 137.059079 70.354286 \n",
       "L 134.047975 70.354286 \n",
       "L 131.036871 70.354286 \n",
       "L 128.025767 70.354286 \n",
       "L 125.014663 70.354286 \n",
       "L 122.003559 70.354286 \n",
       "L 118.992455 70.354286 \n",
       "L 115.981351 70.354286 \n",
       "L 112.970248 70.354286 \n",
       "L 109.959144 70.354286 \n",
       "L 106.94804 70.354286 \n",
       "L 103.936936 70.354286 \n",
       "L 100.925832 70.354286 \n",
       "L 97.914728 70.354286 \n",
       "L 94.903624 70.354286 \n",
       "L 91.89252 70.354286 \n",
       "L 88.881416 70.354286 \n",
       "L 85.870313 70.354286 \n",
       "L 85.870313 73.437576 \n",
       "L 85.870313 76.520866 \n",
       "L 85.870313 79.604156 \n",
       "L 85.870313 82.687446 \n",
       "L 85.870313 85.770736 \n",
       "L 85.870313 88.854026 \n",
       "L 85.870313 91.937316 \n",
       "L 85.870313 95.020606 \n",
       "L 85.870313 98.103896 \n",
       "L 85.870313 101.187186 \n",
       "L 85.870313 104.270476 \n",
       "L 85.870313 107.353766 \n",
       "L 85.870313 110.437056 \n",
       "L 85.870313 113.520346 \n",
       "L 85.870313 116.603636 \n",
       "L 85.870313 119.686926 \n",
       "L 85.870313 122.770216 \n",
       "L 85.870313 125.853506 \n",
       "L 85.870313 128.936797 \n",
       "L 85.870313 132.020087 \n",
       "L 85.870313 135.103377 \n",
       "L 85.870313 138.186667 \n",
       "L 85.870313 141.269957 \n",
       "L 85.870313 144.353247 \n",
       "L 85.870313 147.436537 \n",
       "L 85.870313 150.519827 \n",
       "L 85.870313 153.603117 \n",
       "L 85.870313 156.686407 \n",
       "L 85.870313 159.769697 \n",
       "L 85.870313 162.852987 \n",
       "L 85.870313 165.936277 \n",
       "L 85.870313 169.019567 \n",
       "L 85.870313 172.102857 \n",
       "L 85.870313 175.186147 \n",
       "L 85.870313 178.269437 \n",
       "L 85.870313 181.352727 \n",
       "L 85.870313 184.436017 \n",
       "L 85.870313 187.519307 \n",
       "L 85.870313 190.602597 \n",
       "L 85.870313 193.685887 \n",
       "L 85.870313 196.769177 \n",
       "L 85.870313 199.852468 \n",
       "L 85.870313 202.935758 \n",
       "L 85.870313 206.019048 \n",
       "L 85.870313 209.102338 \n",
       "L 85.870313 212.185628 \n",
       "L 85.870313 215.268918 \n",
       "L 85.870313 218.352208 \n",
       "L 85.870313 221.435498 \n",
       "L 85.870313 224.518788 \n",
       "L 85.870313 227.602078 \n",
       "L 85.870313 230.685368 \n",
       "L 85.870313 233.768658 \n",
       "L 85.870313 236.851948 \n",
       "L 85.870313 239.935238 \n",
       "L 85.870313 243.018528 \n",
       "L 85.870313 246.101818 \n",
       "L 85.870313 249.185108 \n",
       "L 85.870313 252.268398 \n",
       "L 85.870313 255.351688 \n",
       "L 85.870313 258.434978 \n",
       "L 85.870313 261.518268 \n",
       "L 85.870313 264.601558 \n",
       "L 85.870313 267.684848 \n",
       "L 85.870313 270.768139 \n",
       "L 85.870313 273.851429 \n",
       "L 85.870313 276.934719 \n",
       "L 85.870313 280.018009 \n",
       "L 85.870313 283.101299 \n",
       "L 85.870313 286.184589 \n",
       "L 85.870313 289.267879 \n",
       "L 85.870313 292.351169 \n",
       "L 85.870313 295.434459 \n",
       "L 85.870313 298.517749 \n",
       "L 85.870313 301.601039 \n",
       "L 85.870313 304.684329 \n",
       "L 85.870313 307.767619 \n",
       "L 85.870313 310.850909 \n",
       "L 85.870313 313.934199 \n",
       "L 85.870313 317.017489 \n",
       "L 85.870313 320.100779 \n",
       "L 85.870313 323.184069 \n",
       "L 85.870313 326.267359 \n",
       "L 85.870313 329.350649 \n",
       "L 85.870313 332.433939 \n",
       "L 85.870313 335.517229 \n",
       "L 85.870313 338.600519 \n",
       "L 85.870313 341.68381 \n",
       "L 85.870313 344.7671 \n",
       "L 85.870313 347.85039 \n",
       "L 85.870313 350.93368 \n",
       "L 85.870313 354.01697 \n",
       "L 85.870313 357.10026 \n",
       "L 85.870313 360.18355 \n",
       "L 85.870313 363.26684 \n",
       "L 85.870313 366.35013 \n",
       "L 85.870313 369.43342 \n",
       "L 85.870313 372.51671 \n",
       "L 85.870313 375.6 \n",
       "z\n",
       "M 93.01904 363.26684 \n",
       "L 92.482953 360.18355 \n",
       "L 91.89252 358.150341 \n",
       "L 91.460821 357.10026 \n",
       "L 90.378417 354.01697 \n",
       "L 89.988203 350.93368 \n",
       "L 90.189029 347.85039 \n",
       "L 91.432052 344.7671 \n",
       "L 91.89252 343.741095 \n",
       "L 92.142494 341.68381 \n",
       "L 92.400273 338.600519 \n",
       "L 92.598036 335.517229 \n",
       "L 92.917891 332.433939 \n",
       "L 93.348116 329.350649 \n",
       "L 94.062353 326.267359 \n",
       "L 94.903624 324.093071 \n",
       "L 95.280283 323.184069 \n",
       "L 96.444588 320.100779 \n",
       "L 97.601401 317.017489 \n",
       "L 97.914728 316.270388 \n",
       "L 100.367157 313.934199 \n",
       "L 100.925832 313.283003 \n",
       "L 101.888545 313.934199 \n",
       "L 103.876478 317.017489 \n",
       "L 103.936936 317.48842 \n",
       "L 104.179661 320.100779 \n",
       "L 104.45495 323.184069 \n",
       "L 104.432536 326.267359 \n",
       "L 103.936936 328.618639 \n",
       "L 103.867443 329.350649 \n",
       "L 103.567561 332.433939 \n",
       "L 103.354584 335.517229 \n",
       "L 103.055705 338.600519 \n",
       "L 102.483672 341.68381 \n",
       "L 101.621957 344.7671 \n",
       "L 100.925832 346.801185 \n",
       "L 100.822791 347.85039 \n",
       "L 100.388034 350.93368 \n",
       "L 99.649208 354.01697 \n",
       "L 98.3296 357.10026 \n",
       "L 97.914728 358.352766 \n",
       "L 97.562764 360.18355 \n",
       "L 96.770788 363.26684 \n",
       "L 94.903624 365.803065 \n",
       "z\n",
       "\" style=\"fill:#e7f6ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_2\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 365.803065 \n",
       "L 96.770788 363.26684 \n",
       "L 97.562764 360.18355 \n",
       "L 97.914728 358.352766 \n",
       "L 98.3296 357.10026 \n",
       "L 99.649208 354.01697 \n",
       "L 100.388034 350.93368 \n",
       "L 100.822791 347.85039 \n",
       "L 100.925832 346.801185 \n",
       "L 101.621957 344.7671 \n",
       "L 102.483672 341.68381 \n",
       "L 103.055705 338.600519 \n",
       "L 103.354584 335.517229 \n",
       "L 103.567561 332.433939 \n",
       "L 103.867443 329.350649 \n",
       "L 103.936936 328.618639 \n",
       "L 104.432536 326.267359 \n",
       "L 104.45495 323.184069 \n",
       "L 104.179661 320.100779 \n",
       "L 103.936936 317.48842 \n",
       "L 103.876478 317.017489 \n",
       "L 101.888545 313.934199 \n",
       "L 100.925832 313.283003 \n",
       "L 100.367157 313.934199 \n",
       "L 97.914728 316.270388 \n",
       "L 97.601401 317.017489 \n",
       "L 96.444588 320.100779 \n",
       "L 95.280283 323.184069 \n",
       "L 94.903624 324.093071 \n",
       "L 94.062353 326.267359 \n",
       "L 93.348116 329.350649 \n",
       "L 92.917891 332.433939 \n",
       "L 92.598036 335.517229 \n",
       "L 92.400273 338.600519 \n",
       "L 92.142494 341.68381 \n",
       "L 91.89252 343.741095 \n",
       "L 91.432052 344.7671 \n",
       "L 90.189029 347.85039 \n",
       "L 89.988203 350.93368 \n",
       "L 90.378417 354.01697 \n",
       "L 91.460821 357.10026 \n",
       "L 91.89252 358.150341 \n",
       "L 92.482953 360.18355 \n",
       "L 93.01904 363.26684 \n",
       "z\n",
       "M 94.337442 360.18355 \n",
       "L 93.169117 357.10026 \n",
       "L 91.924188 354.01697 \n",
       "L 91.89252 353.858941 \n",
       "L 91.1407 350.93368 \n",
       "L 91.535261 347.85039 \n",
       "L 91.89252 347.09879 \n",
       "L 92.297617 344.7671 \n",
       "L 92.84794 341.68381 \n",
       "L 93.305488 338.600519 \n",
       "L 93.671165 335.517229 \n",
       "L 94.273175 332.433939 \n",
       "L 94.903624 329.853517 \n",
       "L 95.035217 329.350649 \n",
       "L 96.166294 326.267359 \n",
       "L 97.872184 323.184069 \n",
       "L 97.914728 323.097025 \n",
       "L 100.665899 323.184069 \n",
       "L 100.925832 323.1948 \n",
       "L 101.944278 326.267359 \n",
       "L 102.166284 329.350649 \n",
       "L 101.974029 332.433939 \n",
       "L 101.665911 335.517229 \n",
       "L 101.202955 338.600519 \n",
       "L 100.925832 339.633897 \n",
       "L 100.654763 341.68381 \n",
       "L 100.29033 344.7671 \n",
       "L 99.96428 347.85039 \n",
       "L 99.161325 350.93368 \n",
       "L 97.914728 353.434178 \n",
       "L 97.713971 354.01697 \n",
       "L 96.598375 357.10026 \n",
       "L 95.525583 360.18355 \n",
       "L 94.903624 362.065734 \n",
       "z\n",
       "\" style=\"fill:#b3e4ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_3\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 362.065734 \n",
       "L 95.525583 360.18355 \n",
       "L 96.598375 357.10026 \n",
       "L 97.713971 354.01697 \n",
       "L 97.914728 353.434178 \n",
       "L 99.161325 350.93368 \n",
       "L 99.96428 347.85039 \n",
       "L 100.29033 344.7671 \n",
       "L 100.654763 341.68381 \n",
       "L 100.925832 339.633897 \n",
       "L 101.202955 338.600519 \n",
       "L 101.665911 335.517229 \n",
       "L 101.974029 332.433939 \n",
       "L 102.166284 329.350649 \n",
       "L 101.944278 326.267359 \n",
       "L 100.925832 323.1948 \n",
       "L 100.665899 323.184069 \n",
       "L 97.914728 323.097025 \n",
       "L 97.872184 323.184069 \n",
       "L 96.166294 326.267359 \n",
       "L 95.035217 329.350649 \n",
       "L 94.903624 329.853517 \n",
       "L 94.273175 332.433939 \n",
       "L 93.671165 335.517229 \n",
       "L 93.305488 338.600519 \n",
       "L 92.84794 341.68381 \n",
       "L 92.297617 344.7671 \n",
       "L 91.89252 347.09879 \n",
       "L 91.535261 347.85039 \n",
       "L 91.1407 350.93368 \n",
       "L 91.89252 353.858941 \n",
       "L 91.924188 354.01697 \n",
       "L 93.169117 357.10026 \n",
       "L 94.337442 360.18355 \n",
       "z\n",
       "M 94.696937 357.10026 \n",
       "L 92.822802 354.01697 \n",
       "L 92.06899 350.93368 \n",
       "L 92.192056 347.85039 \n",
       "L 92.789668 344.7671 \n",
       "L 93.553387 341.68381 \n",
       "L 94.210703 338.600519 \n",
       "L 94.744295 335.517229 \n",
       "L 94.903624 334.847266 \n",
       "L 95.601866 332.433939 \n",
       "L 96.486824 329.350649 \n",
       "L 97.914728 326.543115 \n",
       "L 100.275795 329.350649 \n",
       "L 100.438335 332.433939 \n",
       "L 100.31598 335.517229 \n",
       "L 100.057229 338.600519 \n",
       "L 99.741183 341.68381 \n",
       "L 99.462113 344.7671 \n",
       "L 99.105769 347.85039 \n",
       "L 97.934617 350.93368 \n",
       "L 97.914728 350.973574 \n",
       "L 96.866355 354.01697 \n",
       "L 95.105574 357.10026 \n",
       "L 94.903624 357.602821 \n",
       "z\n",
       "\" style=\"fill:#7fd1ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_4\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 357.602821 \n",
       "L 95.105574 357.10026 \n",
       "L 96.866355 354.01697 \n",
       "L 97.914728 350.973574 \n",
       "L 97.934617 350.93368 \n",
       "L 99.105769 347.85039 \n",
       "L 99.462113 344.7671 \n",
       "L 99.741183 341.68381 \n",
       "L 100.057229 338.600519 \n",
       "L 100.31598 335.517229 \n",
       "L 100.438335 332.433939 \n",
       "L 100.275795 329.350649 \n",
       "L 97.914728 326.543115 \n",
       "L 96.486824 329.350649 \n",
       "L 95.601866 332.433939 \n",
       "L 94.903624 334.847266 \n",
       "L 94.744295 335.517229 \n",
       "L 94.210703 338.600519 \n",
       "L 93.553387 341.68381 \n",
       "L 92.789668 344.7671 \n",
       "L 92.192056 347.85039 \n",
       "L 92.06899 350.93368 \n",
       "L 92.822802 354.01697 \n",
       "L 94.696937 357.10026 \n",
       "z\n",
       "M 93.721416 354.01697 \n",
       "L 92.576585 350.93368 \n",
       "L 92.599796 347.85039 \n",
       "L 93.281719 344.7671 \n",
       "L 94.258833 341.68381 \n",
       "L 94.903624 339.230104 \n",
       "L 95.43371 338.600519 \n",
       "L 96.14629 335.517229 \n",
       "L 96.907425 332.433939 \n",
       "L 97.914728 329.414551 \n",
       "L 99.013815 332.433939 \n",
       "L 99.23033 335.517229 \n",
       "L 99.035855 338.600519 \n",
       "L 98.827604 341.68381 \n",
       "L 98.633896 344.7671 \n",
       "L 98.247259 347.85039 \n",
       "L 97.914728 348.721402 \n",
       "L 97.38273 350.93368 \n",
       "L 96.018739 354.01697 \n",
       "L 94.903624 355.877417 \n",
       "z\n",
       "\" style=\"fill:#4dbfff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_5\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 355.877417 \n",
       "L 96.018739 354.01697 \n",
       "L 97.38273 350.93368 \n",
       "L 97.914728 348.721402 \n",
       "L 98.247259 347.85039 \n",
       "L 98.633896 344.7671 \n",
       "L 98.827604 341.68381 \n",
       "L 99.035855 338.600519 \n",
       "L 99.23033 335.517229 \n",
       "L 99.013815 332.433939 \n",
       "L 97.914728 329.414551 \n",
       "L 96.907425 332.433939 \n",
       "L 96.14629 335.517229 \n",
       "L 95.43371 338.600519 \n",
       "L 94.903624 339.230104 \n",
       "L 94.258833 341.68381 \n",
       "L 93.281719 344.7671 \n",
       "L 92.599796 347.85039 \n",
       "L 92.576585 350.93368 \n",
       "L 93.721416 354.01697 \n",
       "z\n",
       "M 94.62003 354.01697 \n",
       "L 93.08418 350.93368 \n",
       "L 93.007537 347.85039 \n",
       "L 93.773771 344.7671 \n",
       "L 94.903624 341.795096 \n",
       "L 97.751431 344.7671 \n",
       "L 97.564199 347.85039 \n",
       "L 96.841965 350.93368 \n",
       "L 95.171123 354.01697 \n",
       "L 94.903624 354.463263 \n",
       "z\n",
       "M 97.693977 338.600519 \n",
       "L 97.605626 335.517229 \n",
       "L 97.914728 334.033856 \n",
       "L 98.14468 335.517229 \n",
       "L 98.014481 338.600519 \n",
       "L 97.914728 341.659656 \n",
       "z\n",
       "\" style=\"fill:#19acff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_6\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 354.463263 \n",
       "L 95.171123 354.01697 \n",
       "L 96.841965 350.93368 \n",
       "L 97.564199 347.85039 \n",
       "L 97.751431 344.7671 \n",
       "L 94.903624 341.795096 \n",
       "L 93.773771 344.7671 \n",
       "L 93.007537 347.85039 \n",
       "L 93.08418 350.93368 \n",
       "L 94.62003 354.01697 \n",
       "z\n",
       "M 93.591775 350.93368 \n",
       "L 93.415277 347.85039 \n",
       "L 94.265822 344.7671 \n",
       "L 94.903624 343.089404 \n",
       "L 96.51121 344.7671 \n",
       "L 96.99206 347.85039 \n",
       "L 96.3012 350.93368 \n",
       "L 94.903624 353.371412 \n",
       "z\n",
       "\" style=\"fill:#0093e6;\"/>\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 97.914728 341.659656 \n",
       "L 98.014481 338.600519 \n",
       "L 98.14468 335.517229 \n",
       "L 97.914728 334.033856 \n",
       "L 97.605626 335.517229 \n",
       "L 97.693977 338.600519 \n",
       "z\n",
       "\" style=\"fill:#0093e6;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_7\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 353.371412 \n",
       "L 96.3012 350.93368 \n",
       "L 96.99206 347.85039 \n",
       "L 96.51121 344.7671 \n",
       "L 94.903624 343.089404 \n",
       "L 94.265822 344.7671 \n",
       "L 93.415277 347.85039 \n",
       "L 93.591775 350.93368 \n",
       "z\n",
       "M 94.09937 350.93368 \n",
       "L 93.823018 347.85039 \n",
       "L 94.757874 344.7671 \n",
       "L 94.903624 344.383713 \n",
       "L 95.27099 344.7671 \n",
       "L 96.419922 347.85039 \n",
       "L 95.760435 350.93368 \n",
       "L 94.903624 352.428178 \n",
       "z\n",
       "\" style=\"fill:#0072b2;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_8\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 352.428178 \n",
       "L 95.760435 350.93368 \n",
       "L 96.419922 347.85039 \n",
       "L 95.27099 344.7671 \n",
       "L 94.903624 344.383713 \n",
       "L 94.757874 344.7671 \n",
       "L 93.823018 347.85039 \n",
       "L 94.09937 350.93368 \n",
       "z\n",
       "M 94.606964 350.93368 \n",
       "L 94.230758 347.85039 \n",
       "L 94.903624 345.688922 \n",
       "L 95.847784 347.85039 \n",
       "L 95.21967 350.93368 \n",
       "L 94.903624 351.484945 \n",
       "z\n",
       "\" style=\"fill:#00517e;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_9\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 351.484945 \n",
       "L 95.21967 350.93368 \n",
       "L 95.847784 347.85039 \n",
       "L 94.903624 345.688922 \n",
       "L 94.230758 347.85039 \n",
       "L 94.606964 350.93368 \n",
       "z\n",
       "M 94.638499 347.85039 \n",
       "L 94.903624 346.998719 \n",
       "L 95.275646 347.85039 \n",
       "L 94.903624 349.731485 \n",
       "z\n",
       "\" style=\"fill:#00314c;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_10\">\n",
       "    <path clip-path=\"url(#pe712ab4059)\" d=\"M 94.903624 349.731485 \n",
       "L 95.275646 347.85039 \n",
       "L 94.903624 346.998719 \n",
       "L 94.638499 347.85039 \n",
       "z\n",
       "\" style=\"fill:#000f18;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_3\">\n",
       "    <path d=\"M 85.870313 375.6 \n",
       "L 85.870313 70.354286 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_4\">\n",
       "    <path d=\"M 85.870313 375.6 \n",
       "L 383.969598 375.6 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"legend_1\">\n",
       "    <g id=\"patch_5\">\n",
       "     <path d=\"M 184.218504 99.783036 \n",
       "L 377.469598 99.783036 \n",
       "L 377.469598 76.854286 \n",
       "L 184.218504 76.854286 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;stroke:#ffffff;stroke-linejoin:miter;stroke-width:0.3;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_25\"/>\n",
       "    <g id=\"line2d_26\"/>\n",
       "    <g id=\"text_15\">\n",
       "     <!-- pearsonr = 0.65; p = 0 -->\n",
       "     <defs>\n",
       "      <path d=\"M 9.765625 0 \n",
       "L 9.765625 12.0625 \n",
       "L 21.828125 12.0625 \n",
       "L 21.828125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-2e\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 26.859375 54.203125 37.890625 54.203125 \n",
       "Q 44.828125 54.203125 48.90625 49.828125 \n",
       "Q 52.984375 45.453125 52.984375 38.09375 \n",
       "L 52.984375 0 \n",
       "L 43.359375 0 \n",
       "L 43.359375 34.96875 \n",
       "Q 43.359375 40.875 41.625 43.390625 \n",
       "Q 39.890625 45.90625 35.890625 45.90625 \n",
       "Q 27.046875 45.90625 19.234375 34.328125 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-6e\"/>\n",
       "      <path d=\"M 36.96875 6.734375 \n",
       "Q 28.328125 -1.21875 20.3125 -1.21875 \n",
       "Q 13.71875 -1.21875 9.375 2.90625 \n",
       "Q 5.03125 7.03125 5.03125 13.328125 \n",
       "Q 5.03125 22.015625 12.328125 26.671875 \n",
       "Q 19.625 31.34375 33.296875 31.34375 \n",
       "L 35.546875 31.34375 \n",
       "L 35.546875 37.75 \n",
       "Q 35.546875 46.96875 25.921875 46.96875 \n",
       "Q 18.453125 46.96875 9.625 42.28125 \n",
       "L 9.625 50.25 \n",
       "Q 19.34375 54.203125 27.9375 54.203125 \n",
       "Q 36.765625 54.203125 40.96875 50.171875 \n",
       "Q 45.171875 46.140625 45.171875 37.75 \n",
       "L 45.171875 13.71875 \n",
       "Q 45.171875 5.46875 50.25 5.46875 \n",
       "Q 50.875 5.46875 52.09375 5.671875 \n",
       "L 52.78125 0.34375 \n",
       "Q 49.515625 -1.21875 45.5625 -1.21875 \n",
       "Q 38.8125 -1.21875 36.96875 6.734375 \n",
       "M 35.546875 11.96875 \n",
       "L 35.546875 25.6875 \n",
       "L 32.46875 25.78125 \n",
       "Q 24.46875 25.78125 19.5625 22.796875 \n",
       "Q 14.65625 19.828125 14.65625 14.890625 \n",
       "Q 14.65625 11.421875 17.09375 9.03125 \n",
       "Q 19.53125 6.640625 23.046875 6.640625 \n",
       "Q 29.046875 6.640625 35.546875 11.96875 \n",
       "\" id=\"LucidaSansUnicode-61\"/>\n",
       "      <path d=\"M 30.71875 -1.21875 \n",
       "Q 19.046875 -1.21875 12.234375 6.25 \n",
       "Q 5.421875 13.71875 5.421875 26.515625 \n",
       "Q 5.421875 39.3125 12.234375 46.75 \n",
       "Q 19.046875 54.203125 30.71875 54.203125 \n",
       "Q 42.390625 54.203125 49.1875 46.75 \n",
       "Q 56 39.3125 56 26.515625 \n",
       "Q 56 13.71875 49.1875 6.25 \n",
       "Q 42.390625 -1.21875 30.71875 -1.21875 \n",
       "M 30.71875 6 \n",
       "Q 37.890625 6 41.84375 11.375 \n",
       "Q 45.796875 16.75 45.796875 26.515625 \n",
       "Q 45.796875 36.28125 41.84375 41.625 \n",
       "Q 37.890625 46.96875 30.71875 46.96875 \n",
       "Q 23.53125 46.96875 19.59375 41.625 \n",
       "Q 15.671875 36.28125 15.671875 26.515625 \n",
       "Q 15.671875 16.75 19.59375 11.375 \n",
       "Q 23.53125 6 30.71875 6 \n",
       "\" id=\"LucidaSansUnicode-6f\"/>\n",
       "      <path d=\"M 17.1875 37.453125 \n",
       "Q 24.078125 46.390625 34.515625 46.390625 \n",
       "Q 44 46.390625 50.03125 40.109375 \n",
       "Q 56.0625 33.84375 56.0625 24.03125 \n",
       "Q 56.0625 12.75 49.296875 5.46875 \n",
       "Q 42.53125 -1.8125 32.078125 -1.8125 \n",
       "Q 20.171875 -1.8125 13.421875 7.828125 \n",
       "Q 6.6875 17.484375 6.6875 34.515625 \n",
       "Q 6.6875 57.46875 18.453125 68.21875 \n",
       "Q 24.859375 74.125 36.140625 74.125 \n",
       "Q 42.671875 74.125 52.34375 71.390625 \n",
       "L 52.34375 62.984375 \n",
       "Q 42.140625 66.890625 35.546875 66.890625 \n",
       "Q 17.1875 66.890625 17.1875 37.453125 \n",
       "M 46.390625 22.125 \n",
       "Q 46.390625 30.125 42.671875 34.78125 \n",
       "Q 38.96875 39.453125 32.515625 39.453125 \n",
       "Q 26.375 39.453125 21.96875 35.34375 \n",
       "Q 17.578125 31.25 17.578125 25.484375 \n",
       "Q 17.578125 16.40625 21.75 10.90625 \n",
       "Q 25.921875 5.421875 32.8125 5.421875 \n",
       "Q 39.0625 5.421875 42.71875 9.90625 \n",
       "Q 46.390625 14.40625 46.390625 22.125 \n",
       "\" id=\"LucidaSansUnicode-36\"/>\n",
       "      <path d=\"M 9.625 -19.28125 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 25.140625 54.203125 36.96875 54.203125 \n",
       "Q 46.53125 54.203125 52.015625 47.21875 \n",
       "Q 57.515625 40.234375 57.515625 28.125 \n",
       "Q 57.515625 14.9375 51.28125 6.859375 \n",
       "Q 45.0625 -1.21875 34.90625 -1.21875 \n",
       "Q 25.484375 -1.21875 19.234375 6 \n",
       "L 19.234375 -19.28125 \n",
       "z\n",
       "M 19.234375 12.640625 \n",
       "Q 26.65625 6 33.40625 6 \n",
       "Q 40.046875 6 43.65625 11.546875 \n",
       "Q 47.265625 17.09375 47.265625 27.15625 \n",
       "Q 47.265625 45.796875 34.96875 45.796875 \n",
       "Q 26.90625 45.796875 19.234375 37.0625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-70\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 24.953125 54.203125 35.84375 54.203125 \n",
       "Q 37.3125 54.203125 38.921875 53.953125 \n",
       "L 38.921875 44.96875 \n",
       "Q 36.421875 45.796875 34.515625 45.796875 \n",
       "Q 25.390625 45.796875 19.234375 34.96875 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-72\"/>\n",
       "      <path d=\"M 48.484375 1.703125 \n",
       "Q 38.8125 -1.21875 31.9375 -1.21875 \n",
       "Q 20.171875 -1.21875 12.796875 6.5625 \n",
       "Q 5.421875 14.359375 5.421875 26.765625 \n",
       "Q 5.421875 38.8125 11.9375 46.53125 \n",
       "Q 18.453125 54.25 28.609375 54.25 \n",
       "Q 38.234375 54.25 43.484375 47.390625 \n",
       "Q 48.734375 40.53125 48.734375 27.9375 \n",
       "L 48.6875 25 \n",
       "L 15.234375 25 \n",
       "Q 17.328125 6.109375 33.734375 6.109375 \n",
       "Q 39.75 6.109375 48.484375 9.328125 \n",
       "z\n",
       "M 15.671875 32.234375 \n",
       "L 39.0625 32.234375 \n",
       "Q 39.0625 47.015625 28.03125 47.015625 \n",
       "Q 16.9375 47.015625 15.671875 32.234375 \n",
       "\" id=\"LucidaSansUnicode-65\"/>\n",
       "      <path id=\"LucidaSansUnicode-20\"/>\n",
       "      <path d=\"M 10.984375 -15.671875 \n",
       "L 10.984375 -12.0625 \n",
       "Q 14.453125 -10.25 14.453125 -1.125 \n",
       "L 14.453125 0 \n",
       "L 10.984375 0 \n",
       "L 10.984375 9.625 \n",
       "L 20.609375 9.625 \n",
       "L 20.609375 1.515625 \n",
       "Q 20.609375 -13.28125 10.984375 -15.671875 \n",
       "M 10.984375 43.359375 \n",
       "L 10.984375 53.03125 \n",
       "L 20.609375 53.03125 \n",
       "L 20.609375 43.359375 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-3b\"/>\n",
       "      <path d=\"M 7.671875 1.859375 \n",
       "L 7.671875 10.6875 \n",
       "Q 17.09375 6 24.078125 6 \n",
       "Q 28.21875 6 30.953125 8.25 \n",
       "Q 33.6875 10.5 33.6875 13.875 \n",
       "Q 33.6875 18.796875 26.03125 22.015625 \n",
       "L 20.40625 24.421875 \n",
       "Q 7.953125 29.59375 7.953125 39.3125 \n",
       "Q 7.953125 46.234375 12.859375 50.21875 \n",
       "Q 17.78125 54.203125 26.3125 54.203125 \n",
       "Q 30.765625 54.203125 37.3125 52.984375 \n",
       "L 39.3125 52.59375 \n",
       "L 39.3125 44.578125 \n",
       "Q 31.25 46.96875 26.46875 46.96875 \n",
       "Q 22.265625 46.96875 19.75 45.140625 \n",
       "Q 17.234375 43.3125 17.234375 40.234375 \n",
       "Q 17.234375 35.890625 24.265625 32.90625 \n",
       "L 28.90625 30.953125 \n",
       "Q 36.765625 27.640625 40.03125 23.953125 \n",
       "Q 43.3125 20.265625 43.3125 14.75 \n",
       "Q 43.3125 7.765625 37.796875 3.265625 \n",
       "Q 32.28125 -1.21875 23.6875 -1.21875 \n",
       "Q 17.09375 -1.21875 7.671875 1.859375 \n",
       "\" id=\"LucidaSansUnicode-73\"/>\n",
       "      <path d=\"M 10.84375 17.484375 \n",
       "L 10.84375 22.265625 \n",
       "L 68.65625 22.265625 \n",
       "L 68.65625 17.484375 \n",
       "z\n",
       "M 10.84375 35.546875 \n",
       "L 10.84375 40.375 \n",
       "L 68.65625 40.375 \n",
       "L 68.65625 35.546875 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-3d\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(225.818504464 92.0764732143)scale(0.13 -0.13)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-70\"/>\n",
       "      <use x=\"62.939453125\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"118.65234375\" xlink:href=\"#LucidaSansUnicode-61\"/>\n",
       "      <use x=\"173.876953125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"214.794921875\" xlink:href=\"#LucidaSansUnicode-73\"/>\n",
       "      <use x=\"265.771484375\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"327.197265625\" xlink:href=\"#LucidaSansUnicode-6e\"/>\n",
       "      <use x=\"389.2578125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"430.17578125\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"461.81640625\" xlink:href=\"#LucidaSansUnicode-3d\"/>\n",
       "      <use x=\"541.30859375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"572.94921875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      <use x=\"636.181640625\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "      <use x=\"667.822265625\" xlink:href=\"#LucidaSansUnicode-36\"/>\n",
       "      <use x=\"731.0546875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      <use x=\"794.287109375\" xlink:href=\"#LucidaSansUnicode-3b\"/>\n",
       "      <use x=\"825.927734375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"857.568359375\" xlink:href=\"#LucidaSansUnicode-70\"/>\n",
       "      <use x=\"920.5078125\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"952.1484375\" xlink:href=\"#LucidaSansUnicode-3d\"/>\n",
       "      <use x=\"1031.640625\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"1063.28125\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "  </g>\n",
       "  <g id=\"axes_2\">\n",
       "   <g id=\"patch_6\">\n",
       "    <path d=\"M 85.870313 59.828571 \n",
       "L 383.969598 59.828571 \n",
       "L 383.969598 7.2 \n",
       "L 85.870313 7.2 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_3\">\n",
       "    <g id=\"xtick_7\">\n",
       "     <g id=\"line2d_27\">\n",
       "      <path clip-path=\"url(#pca70e12304)\" d=\"M 87.586323 59.828571 \n",
       "L 87.586323 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_28\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"87.586323357\" xlink:href=\"#m45a712a037\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_8\">\n",
       "     <g id=\"line2d_29\">\n",
       "      <path clip-path=\"url(#pca70e12304)\" d=\"M 143.898045 59.828571 \n",
       "L 143.898045 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_30\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"143.898045491\" xlink:href=\"#m45a712a037\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_9\">\n",
       "     <g id=\"line2d_31\">\n",
       "      <path clip-path=\"url(#pca70e12304)\" d=\"M 200.209768 59.828571 \n",
       "L 200.209768 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_32\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"200.209767625\" xlink:href=\"#m45a712a037\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_10\">\n",
       "     <g id=\"line2d_33\">\n",
       "      <path clip-path=\"url(#pca70e12304)\" d=\"M 256.52149 59.828571 \n",
       "L 256.52149 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_34\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"256.521489759\" xlink:href=\"#m45a712a037\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_11\">\n",
       "     <g id=\"line2d_35\">\n",
       "      <path clip-path=\"url(#pca70e12304)\" d=\"M 312.833212 59.828571 \n",
       "L 312.833212 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_36\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"312.833211893\" xlink:href=\"#m45a712a037\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_12\">\n",
       "     <g id=\"line2d_37\">\n",
       "      <path clip-path=\"url(#pca70e12304)\" d=\"M 369.144934 59.828571 \n",
       "L 369.144934 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_38\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"369.144934027\" xlink:href=\"#m45a712a037\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_4\">\n",
       "    <g id=\"ytick_7\"/>\n",
       "    <g id=\"ytick_8\"/>\n",
       "    <g id=\"ytick_9\"/>\n",
       "    <g id=\"ytick_10\"/>\n",
       "    <g id=\"ytick_11\"/>\n",
       "    <g id=\"ytick_12\"/>\n",
       "    <g id=\"ytick_13\"/>\n",
       "    <g id=\"ytick_14\"/>\n",
       "   </g>\n",
       "   <g id=\"PolyCollection_1\">\n",
       "    <defs>\n",
       "     <path d=\"M 85.870313 -363.883929 \n",
       "L 85.870313 -363.883929 \n",
       "L 88.217551 -363.883929 \n",
       "L 90.564789 -363.883929 \n",
       "L 92.912028 -363.883929 \n",
       "L 95.259266 -363.883929 \n",
       "L 97.606505 -363.883929 \n",
       "L 99.953743 -363.883929 \n",
       "L 102.300982 -363.883929 \n",
       "L 104.64822 -363.883929 \n",
       "L 106.995459 -363.883929 \n",
       "L 109.342697 -363.883929 \n",
       "L 111.689936 -363.883929 \n",
       "L 114.037174 -363.883929 \n",
       "L 116.384413 -363.883929 \n",
       "L 118.731651 -363.883929 \n",
       "L 121.07889 -363.883929 \n",
       "L 123.426128 -363.883929 \n",
       "L 125.773366 -363.883929 \n",
       "L 128.120605 -363.883929 \n",
       "L 130.467843 -363.883929 \n",
       "L 132.815082 -363.883929 \n",
       "L 135.16232 -363.883929 \n",
       "L 137.509559 -363.883929 \n",
       "L 139.856797 -363.883929 \n",
       "L 142.204036 -363.883929 \n",
       "L 144.551274 -363.883929 \n",
       "L 146.898513 -363.883929 \n",
       "L 149.245751 -363.883929 \n",
       "L 151.59299 -363.883929 \n",
       "L 153.940228 -363.883929 \n",
       "L 156.287467 -363.883929 \n",
       "L 158.634705 -363.883929 \n",
       "L 160.981944 -363.883929 \n",
       "L 163.329182 -363.883929 \n",
       "L 165.67642 -363.883929 \n",
       "L 168.023659 -363.883929 \n",
       "L 170.370897 -363.883929 \n",
       "L 172.718136 -363.883929 \n",
       "L 175.065374 -363.883929 \n",
       "L 177.412613 -363.883929 \n",
       "L 179.759851 -363.883929 \n",
       "L 182.10709 -363.883929 \n",
       "L 184.454328 -363.883929 \n",
       "L 186.801567 -363.883929 \n",
       "L 189.148805 -363.883929 \n",
       "L 191.496044 -363.883929 \n",
       "L 193.843282 -363.883929 \n",
       "L 196.190521 -363.883929 \n",
       "L 198.537759 -363.883929 \n",
       "L 200.884998 -363.883929 \n",
       "L 203.232236 -363.883929 \n",
       "L 205.579474 -363.883929 \n",
       "L 207.926713 -363.883929 \n",
       "L 210.273951 -363.883929 \n",
       "L 212.62119 -363.883929 \n",
       "L 214.968428 -363.883929 \n",
       "L 217.315667 -363.883929 \n",
       "L 219.662905 -363.883929 \n",
       "L 222.010144 -363.883929 \n",
       "L 224.357382 -363.883929 \n",
       "L 226.704621 -363.883929 \n",
       "L 229.051859 -363.883929 \n",
       "L 231.399098 -363.883929 \n",
       "L 233.746336 -363.883929 \n",
       "L 236.093575 -363.883929 \n",
       "L 238.440813 -363.883929 \n",
       "L 240.788052 -363.883929 \n",
       "L 243.13529 -363.883929 \n",
       "L 245.482528 -363.883929 \n",
       "L 247.829767 -363.883929 \n",
       "L 250.177005 -363.883929 \n",
       "L 252.524244 -363.883929 \n",
       "L 254.871482 -363.883929 \n",
       "L 257.218721 -363.883929 \n",
       "L 259.565959 -363.883929 \n",
       "L 261.913198 -363.883929 \n",
       "L 264.260436 -363.883929 \n",
       "L 266.607675 -363.883929 \n",
       "L 268.954913 -363.883929 \n",
       "L 271.302152 -363.883929 \n",
       "L 273.64939 -363.883929 \n",
       "L 275.996629 -363.883929 \n",
       "L 278.343867 -363.883929 \n",
       "L 280.691106 -363.883929 \n",
       "L 283.038344 -363.883929 \n",
       "L 285.385582 -363.883929 \n",
       "L 287.732821 -363.883929 \n",
       "L 290.080059 -363.883929 \n",
       "L 292.427298 -363.883929 \n",
       "L 294.774536 -363.883929 \n",
       "L 297.121775 -363.883929 \n",
       "L 299.469013 -363.883929 \n",
       "L 301.816252 -363.883929 \n",
       "L 304.16349 -363.883929 \n",
       "L 306.510729 -363.883929 \n",
       "L 308.857967 -363.883929 \n",
       "L 311.205206 -363.883929 \n",
       "L 313.552444 -363.883929 \n",
       "L 315.899683 -363.883929 \n",
       "L 318.246921 -363.883929 \n",
       "L 320.59416 -363.883929 \n",
       "L 322.941398 -363.883929 \n",
       "L 325.288636 -363.883929 \n",
       "L 327.635875 -363.883929 \n",
       "L 329.983113 -363.883929 \n",
       "L 332.330352 -363.883929 \n",
       "L 334.67759 -363.883929 \n",
       "L 337.024829 -363.883929 \n",
       "L 339.372067 -363.883929 \n",
       "L 341.719306 -363.883929 \n",
       "L 344.066544 -363.883929 \n",
       "L 346.413783 -363.883929 \n",
       "L 348.761021 -363.883929 \n",
       "L 351.10826 -363.883929 \n",
       "L 353.455498 -363.883929 \n",
       "L 355.802737 -363.883929 \n",
       "L 358.149975 -363.883929 \n",
       "L 360.497214 -363.883929 \n",
       "L 362.844452 -363.883929 \n",
       "L 365.19169 -363.883929 \n",
       "L 367.538929 -363.883929 \n",
       "L 369.886167 -363.883929 \n",
       "L 372.233406 -363.883929 \n",
       "L 374.580644 -363.883929 \n",
       "L 376.927883 -363.883929 \n",
       "L 379.275121 -363.883929 \n",
       "L 381.62236 -363.883929 \n",
       "L 383.969598 -363.883929 \n",
       "L 383.969598 -363.898718 \n",
       "L 383.969598 -363.898718 \n",
       "L 381.62236 -363.894223 \n",
       "L 379.275121 -363.883929 \n",
       "L 376.927883 -363.901675 \n",
       "L 374.580644 -363.883929 \n",
       "L 372.233406 -363.90247 \n",
       "L 369.886167 -363.883929 \n",
       "L 367.538929 -363.900896 \n",
       "L 365.19169 -363.883929 \n",
       "L 362.844452 -363.898896 \n",
       "L 360.497214 -363.883929 \n",
       "L 358.149975 -363.897017 \n",
       "L 355.802737 -363.883929 \n",
       "L 353.455498 -363.895392 \n",
       "L 351.10826 -363.883929 \n",
       "L 348.761021 -363.894022 \n",
       "L 346.413783 -363.883929 \n",
       "L 344.066544 -363.892874 \n",
       "L 341.719306 -363.883929 \n",
       "L 339.372067 -363.8919 \n",
       "L 337.024829 -363.883929 \n",
       "L 334.67759 -363.891036 \n",
       "L 332.330352 -363.883929 \n",
       "L 329.983113 -363.890072 \n",
       "L 327.635875 -363.883929 \n",
       "L 325.288636 -363.89009 \n",
       "L 322.941398 -363.883929 \n",
       "L 320.59416 -363.88943 \n",
       "L 318.246921 -363.883929 \n",
       "L 315.899683 -363.889092 \n",
       "L 313.552444 -363.883929 \n",
       "L 311.205206 -363.888795 \n",
       "L 308.857967 -363.883929 \n",
       "L 306.510729 -363.888548 \n",
       "L 304.16349 -363.883929 \n",
       "L 301.816252 -363.888364 \n",
       "L 299.469013 -363.883929 \n",
       "L 297.121775 -363.888299 \n",
       "L 294.774536 -363.883929 \n",
       "L 292.427298 -363.889767 \n",
       "L 290.080059 -363.883929 \n",
       "L 287.732821 -363.887755 \n",
       "L 285.385582 -363.883929 \n",
       "L 283.038344 -363.888805 \n",
       "L 280.691106 -363.883929 \n",
       "L 278.343867 -363.888245 \n",
       "L 275.996629 -363.883929 \n",
       "L 273.64939 -363.890739 \n",
       "L 271.302152 -363.883929 \n",
       "L 268.954913 -363.889713 \n",
       "L 266.607675 -363.883929 \n",
       "L 264.260436 -363.88775 \n",
       "L 261.913198 -363.883929 \n",
       "L 259.565959 -363.891319 \n",
       "L 257.218721 -363.883929 \n",
       "L 254.871482 -363.889478 \n",
       "L 252.524244 -363.883929 \n",
       "L 250.177005 -363.888068 \n",
       "L 247.829767 -363.883929 \n",
       "L 245.482528 -363.888178 \n",
       "L 243.13529 -363.883929 \n",
       "L 240.788052 -363.886503 \n",
       "L 238.440813 -363.883929 \n",
       "L 236.093575 -363.8863 \n",
       "L 233.746336 -363.883929 \n",
       "L 231.399098 -363.886799 \n",
       "L 229.051859 -363.883929 \n",
       "L 226.704621 -363.886174 \n",
       "L 224.357382 -363.883929 \n",
       "L 222.010144 -363.886667 \n",
       "L 219.662905 -363.883929 \n",
       "L 217.315667 -363.888682 \n",
       "L 214.968428 -363.883929 \n",
       "L 212.62119 -363.890093 \n",
       "L 210.273951 -363.883929 \n",
       "L 207.926713 -363.887821 \n",
       "L 205.579474 -363.883929 \n",
       "L 203.232236 -363.890841 \n",
       "L 200.884998 -363.883929 \n",
       "L 198.537759 -363.887539 \n",
       "L 196.190521 -363.885326 \n",
       "L 193.843282 -363.892483 \n",
       "L 191.496044 -363.883929 \n",
       "L 189.148805 -363.891028 \n",
       "L 186.801567 -363.883929 \n",
       "L 184.454328 -363.89084 \n",
       "L 182.10709 -363.883929 \n",
       "L 179.759851 -363.894207 \n",
       "L 177.412613 -363.883929 \n",
       "L 175.065374 -363.893035 \n",
       "L 172.718136 -363.883929 \n",
       "L 170.370897 -363.896 \n",
       "L 168.023659 -363.883929 \n",
       "L 165.67642 -363.895065 \n",
       "L 163.329182 -363.883929 \n",
       "L 160.981944 -363.897242 \n",
       "L 158.634705 -363.883929 \n",
       "L 156.287467 -363.896118 \n",
       "L 153.940228 -363.883929 \n",
       "L 151.59299 -363.898695 \n",
       "L 149.245751 -363.883929 \n",
       "L 146.898513 -363.902433 \n",
       "L 144.551274 -363.883929 \n",
       "L 142.204036 -363.914275 \n",
       "L 139.856797 -363.883929 \n",
       "L 137.509559 -363.913907 \n",
       "L 135.16232 -363.883929 \n",
       "L 132.815082 -363.935344 \n",
       "L 130.467843 -363.891735 \n",
       "L 128.120605 -363.950517 \n",
       "L 125.773366 -363.896941 \n",
       "L 123.426128 -363.972111 \n",
       "L 121.07889 -363.927886 \n",
       "L 118.731651 -364.058999 \n",
       "L 116.384413 -364.046764 \n",
       "L 114.037174 -364.468821 \n",
       "L 111.689936 -364.617972 \n",
       "L 109.342697 -365.853131 \n",
       "L 106.995459 -367.572915 \n",
       "L 104.64822 -372.105252 \n",
       "L 102.300982 -379.515981 \n",
       "L 99.953743 -392.399338 \n",
       "L 97.606505 -407.511626 \n",
       "L 95.259266 -415.041407 \n",
       "L 92.912028 -386.970093 \n",
       "L 90.564789 -365.605773 \n",
       "L 88.217551 -363.979963 \n",
       "L 85.870313 -363.883929 \n",
       "z\n",
       "\" id=\"mca6f9ca5ae\" style=\"stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#pca70e12304)\">\n",
       "     <use style=\"fill:#0072b2;fill-opacity:0.25;stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\" x=\"0.0\" xlink:href=\"#mca6f9ca5ae\" y=\"423.7125\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"line2d_39\">\n",
       "    <path clip-path=\"url(#pca70e12304)\" d=\"M 85.870313 59.828571 \n",
       "L 88.217551 59.732537 \n",
       "L 90.564789 58.106727 \n",
       "L 92.912028 36.742407 \n",
       "L 95.259266 8.671093 \n",
       "L 97.606505 16.200874 \n",
       "L 99.953743 31.313162 \n",
       "L 102.300982 44.196519 \n",
       "L 104.64822 51.607248 \n",
       "L 106.995459 56.139585 \n",
       "L 109.342697 57.859369 \n",
       "L 111.689936 59.094528 \n",
       "L 114.037174 59.243679 \n",
       "L 116.384413 59.665736 \n",
       "L 118.731651 59.653501 \n",
       "L 121.07889 59.784614 \n",
       "L 123.426128 59.740389 \n",
       "L 125.773366 59.815559 \n",
       "L 128.120605 59.761983 \n",
       "L 135.16232 59.828571 \n",
       "L 142.204036 59.798225 \n",
       "L 151.59299 59.813805 \n",
       "L 168.023659 59.828571 \n",
       "L 189.148805 59.821472 \n",
       "L 226.704621 59.826326 \n",
       "L 337.024829 59.828571 \n",
       "L 367.538929 59.811604 \n",
       "L 381.62236 59.818277 \n",
       "L 383.969598 59.813782 \n",
       "L 383.969598 59.813782 \n",
       "\" style=\"fill:none;stroke:#0072b2;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_7\">\n",
       "    <path d=\"M 85.870313 59.828571 \n",
       "L 383.969598 59.828571 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "  </g>\n",
       "  <g id=\"axes_3\">\n",
       "   <g id=\"patch_8\">\n",
       "    <path d=\"M 394.248884 375.6 \n",
       "L 445.645312 375.6 \n",
       "L 445.645312 70.354286 \n",
       "L 394.248884 70.354286 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_5\">\n",
       "    <g id=\"xtick_13\"/>\n",
       "    <g id=\"xtick_14\"/>\n",
       "    <g id=\"xtick_15\"/>\n",
       "    <g id=\"xtick_16\"/>\n",
       "    <g id=\"xtick_17\"/>\n",
       "    <g id=\"xtick_18\"/>\n",
       "    <g id=\"xtick_19\"/>\n",
       "    <g id=\"xtick_20\"/>\n",
       "    <g id=\"xtick_21\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_6\">\n",
       "    <g id=\"ytick_15\">\n",
       "     <g id=\"line2d_40\">\n",
       "      <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 370.136753 \n",
       "L 445.645312 370.136753 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_41\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"394.248883929\" xlink:href=\"#m45a712a037\" y=\"370.136752568\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_16\">\n",
       "     <g id=\"line2d_42\">\n",
       "      <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 313.870508 \n",
       "L 445.645312 313.870508 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_43\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"394.248883929\" xlink:href=\"#m45a712a037\" y=\"313.870508367\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_17\">\n",
       "     <g id=\"line2d_44\">\n",
       "      <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 257.604264 \n",
       "L 445.645312 257.604264 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_45\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"394.248883929\" xlink:href=\"#m45a712a037\" y=\"257.604264165\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_18\">\n",
       "     <g id=\"line2d_46\">\n",
       "      <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 201.33802 \n",
       "L 445.645312 201.33802 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_47\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"394.248883929\" xlink:href=\"#m45a712a037\" y=\"201.338019964\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_19\">\n",
       "     <g id=\"line2d_48\">\n",
       "      <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 145.071776 \n",
       "L 445.645312 145.071776 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_49\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"394.248883929\" xlink:href=\"#m45a712a037\" y=\"145.071775763\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_20\">\n",
       "     <g id=\"line2d_50\">\n",
       "      <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 88.805532 \n",
       "L 445.645312 88.805532 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_51\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"394.248883929\" xlink:href=\"#m45a712a037\" y=\"88.8055315621\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PolyCollection_2\">\n",
       "    <defs>\n",
       "     <path d=\"M 394.248884 -48.1125 \n",
       "L 394.248885 -48.1125 \n",
       "L 394.248885 -50.51601 \n",
       "L 394.248885 -52.919519 \n",
       "L 394.248885 -55.323029 \n",
       "L 394.248885 -57.726538 \n",
       "L 394.248885 -60.130048 \n",
       "L 394.248885 -62.533557 \n",
       "L 394.248885 -64.937067 \n",
       "L 394.248885 -67.340576 \n",
       "L 394.248885 -69.744086 \n",
       "L 394.248885 -72.147596 \n",
       "L 394.248885 -74.551105 \n",
       "L 394.248885 -76.954615 \n",
       "L 394.248885 -79.358124 \n",
       "L 394.248885 -81.761634 \n",
       "L 394.248885 -84.165143 \n",
       "L 394.248885 -86.568653 \n",
       "L 394.248885 -88.972163 \n",
       "L 394.248885 -91.375672 \n",
       "L 394.248885 -93.779182 \n",
       "L 394.248885 -96.182691 \n",
       "L 394.248885 -98.586201 \n",
       "L 394.248885 -100.98971 \n",
       "L 394.248885 -103.39322 \n",
       "L 394.248885 -105.796729 \n",
       "L 394.248885 -108.200239 \n",
       "L 394.248885 -110.603749 \n",
       "L 394.248885 -113.007258 \n",
       "L 394.248885 -115.410768 \n",
       "L 394.248885 -117.814277 \n",
       "L 394.248885 -120.217787 \n",
       "L 394.248885 -122.621296 \n",
       "L 394.248885 -125.024806 \n",
       "L 394.248885 -127.428316 \n",
       "L 394.248885 -129.831825 \n",
       "L 394.248885 -132.235335 \n",
       "L 394.248885 -134.638844 \n",
       "L 394.248885 -137.042354 \n",
       "L 394.248885 -139.445863 \n",
       "L 394.248885 -141.849373 \n",
       "L 394.248885 -144.252882 \n",
       "L 394.248885 -146.656392 \n",
       "L 394.248885 -149.059902 \n",
       "L 394.248885 -151.463411 \n",
       "L 394.248885 -153.866921 \n",
       "L 394.248885 -156.27043 \n",
       "L 394.248885 -158.67394 \n",
       "L 394.248885 -161.077449 \n",
       "L 394.248885 -163.480959 \n",
       "L 394.248885 -165.884469 \n",
       "L 394.248885 -168.287978 \n",
       "L 394.248885 -170.691488 \n",
       "L 394.248885 -173.094997 \n",
       "L 394.248885 -175.498507 \n",
       "L 394.248885 -177.902016 \n",
       "L 394.248885 -180.305526 \n",
       "L 394.248885 -182.709035 \n",
       "L 394.248885 -185.112545 \n",
       "L 394.248885 -187.516055 \n",
       "L 394.248885 -189.919564 \n",
       "L 394.248885 -192.323074 \n",
       "L 394.248885 -194.726583 \n",
       "L 394.248885 -197.130093 \n",
       "L 394.248885 -199.533602 \n",
       "L 394.248885 -201.937112 \n",
       "L 394.248885 -204.340621 \n",
       "L 394.248885 -206.744131 \n",
       "L 394.248885 -209.147641 \n",
       "L 394.248885 -211.55115 \n",
       "L 394.248885 -213.95466 \n",
       "L 394.248885 -216.358169 \n",
       "L 394.248885 -218.761679 \n",
       "L 394.248885 -221.165188 \n",
       "L 394.248885 -223.568698 \n",
       "L 394.248885 -225.972208 \n",
       "L 394.248885 -228.375717 \n",
       "L 394.248885 -230.779227 \n",
       "L 394.248885 -233.182736 \n",
       "L 394.248885 -235.586246 \n",
       "L 394.248885 -237.989755 \n",
       "L 394.248885 -240.393265 \n",
       "L 394.248885 -242.796774 \n",
       "L 394.248885 -245.200284 \n",
       "L 394.248885 -247.603794 \n",
       "L 394.248885 -250.007303 \n",
       "L 394.248885 -252.410813 \n",
       "L 394.248885 -254.814322 \n",
       "L 394.248885 -257.217832 \n",
       "L 394.248885 -259.621341 \n",
       "L 394.248885 -262.024851 \n",
       "L 394.248885 -264.428361 \n",
       "L 394.248885 -266.83187 \n",
       "L 394.248885 -269.23538 \n",
       "L 394.248885 -271.638889 \n",
       "L 394.248885 -274.042399 \n",
       "L 394.248885 -276.445908 \n",
       "L 394.248885 -278.849418 \n",
       "L 394.248885 -281.252927 \n",
       "L 394.248885 -283.656437 \n",
       "L 394.248885 -286.059947 \n",
       "L 394.248885 -288.463456 \n",
       "L 394.248885 -290.866966 \n",
       "L 394.248885 -293.270475 \n",
       "L 394.248885 -295.673985 \n",
       "L 394.248885 -298.077494 \n",
       "L 394.248885 -300.481004 \n",
       "L 394.248885 -302.884513 \n",
       "L 394.248885 -305.288023 \n",
       "L 394.248885 -307.691533 \n",
       "L 394.248885 -310.095042 \n",
       "L 394.248885 -312.498552 \n",
       "L 394.248885 -314.902061 \n",
       "L 394.248885 -317.305571 \n",
       "L 394.248885 -319.70908 \n",
       "L 394.248885 -322.11259 \n",
       "L 394.248885 -324.5161 \n",
       "L 394.248885 -326.919609 \n",
       "L 394.248885 -329.323119 \n",
       "L 394.248885 -331.726628 \n",
       "L 394.248885 -334.130138 \n",
       "L 394.248885 -336.533647 \n",
       "L 394.248885 -338.937157 \n",
       "L 394.248885 -341.340666 \n",
       "L 394.248885 -343.744176 \n",
       "L 394.248885 -346.147686 \n",
       "L 394.248885 -348.551195 \n",
       "L 394.248885 -350.954705 \n",
       "L 394.248885 -353.358214 \n",
       "L 394.253281 -353.358214 \n",
       "L 394.253281 -353.358214 \n",
       "L 394.319389 -350.954705 \n",
       "L 394.634011 -348.551195 \n",
       "L 394.316912 -346.147686 \n",
       "L 394.253512 -343.744176 \n",
       "L 394.248884 -341.340666 \n",
       "L 394.255467 -338.937157 \n",
       "L 394.250607 -336.533647 \n",
       "L 394.252533 -334.130138 \n",
       "L 394.248884 -331.726628 \n",
       "L 394.251522 -329.323119 \n",
       "L 394.251638 -326.919609 \n",
       "L 394.250243 -324.5161 \n",
       "L 394.248884 -322.11259 \n",
       "L 394.252585 -319.70908 \n",
       "L 394.254377 -317.305571 \n",
       "L 394.251479 -314.902061 \n",
       "L 394.249801 -312.498552 \n",
       "L 394.255732 -310.095042 \n",
       "L 394.258495 -307.691533 \n",
       "L 394.255867 -305.288023 \n",
       "L 394.254397 -302.884513 \n",
       "L 394.253131 -300.481004 \n",
       "L 394.251013 -298.077494 \n",
       "L 394.252296 -295.673985 \n",
       "L 394.256311 -293.270475 \n",
       "L 394.256335 -290.866966 \n",
       "L 394.257468 -288.463456 \n",
       "L 394.256813 -286.059947 \n",
       "L 394.250553 -283.656437 \n",
       "L 394.252757 -281.252927 \n",
       "L 394.256681 -278.849418 \n",
       "L 394.254093 -276.445908 \n",
       "L 394.250482 -274.042399 \n",
       "L 394.254792 -271.638889 \n",
       "L 394.256396 -269.23538 \n",
       "L 394.253706 -266.83187 \n",
       "L 394.253134 -264.428361 \n",
       "L 394.25044 -262.024851 \n",
       "L 394.255212 -259.621341 \n",
       "L 394.260067 -257.217832 \n",
       "L 394.254588 -254.814322 \n",
       "L 394.253708 -252.410813 \n",
       "L 394.253661 -250.007303 \n",
       "L 394.251042 -247.603794 \n",
       "L 394.249126 -245.200284 \n",
       "L 394.24902 -242.796774 \n",
       "L 394.251038 -240.393265 \n",
       "L 394.25867 -237.989755 \n",
       "L 394.254684 -235.586246 \n",
       "L 394.253437 -233.182736 \n",
       "L 394.25732 -230.779227 \n",
       "L 394.258137 -228.375717 \n",
       "L 394.250858 -225.972208 \n",
       "L 394.250254 -223.568698 \n",
       "L 394.257441 -221.165188 \n",
       "L 394.256145 -218.761679 \n",
       "L 394.252434 -216.358169 \n",
       "L 394.254992 -213.95466 \n",
       "L 394.259778 -211.55115 \n",
       "L 394.258237 -209.147641 \n",
       "L 394.265399 -206.744131 \n",
       "L 394.262646 -204.340621 \n",
       "L 394.267378 -201.937112 \n",
       "L 394.262386 -199.533602 \n",
       "L 394.266663 -197.130093 \n",
       "L 394.263537 -194.726583 \n",
       "L 394.259393 -192.323074 \n",
       "L 394.265178 -189.919564 \n",
       "L 394.288129 -187.516055 \n",
       "L 394.283563 -185.112545 \n",
       "L 394.269807 -182.709035 \n",
       "L 394.273357 -180.305526 \n",
       "L 394.277102 -177.902016 \n",
       "L 394.276084 -175.498507 \n",
       "L 394.305185 -173.094997 \n",
       "L 394.316766 -170.691488 \n",
       "L 394.313341 -168.287978 \n",
       "L 394.345851 -165.884469 \n",
       "L 394.366035 -163.480959 \n",
       "L 394.372724 -161.077449 \n",
       "L 394.41645 -158.67394 \n",
       "L 394.433983 -156.27043 \n",
       "L 394.470028 -153.866921 \n",
       "L 394.552629 -151.463411 \n",
       "L 394.58877 -149.059902 \n",
       "L 394.644958 -146.656392 \n",
       "L 394.839797 -144.252882 \n",
       "L 394.932622 -141.849373 \n",
       "L 394.966299 -139.445863 \n",
       "L 395.122833 -137.042354 \n",
       "L 395.502603 -134.638844 \n",
       "L 395.788161 -132.235335 \n",
       "L 396.084832 -129.831825 \n",
       "L 396.535477 -127.428316 \n",
       "L 397.041637 -125.024806 \n",
       "L 397.831401 -122.621296 \n",
       "L 398.566677 -120.217787 \n",
       "L 399.638418 -117.814277 \n",
       "L 400.92239 -115.410768 \n",
       "L 402.076417 -113.007258 \n",
       "L 403.318108 -110.603749 \n",
       "L 404.927658 -108.200239 \n",
       "L 407.061271 -105.796729 \n",
       "L 409.053933 -103.39322 \n",
       "L 411.827201 -100.98971 \n",
       "L 415.429658 -98.586201 \n",
       "L 419.161712 -96.182691 \n",
       "L 422.359461 -93.779182 \n",
       "L 425.206333 -91.375672 \n",
       "L 427.032991 -88.972163 \n",
       "L 427.687673 -86.568653 \n",
       "L 428.244648 -84.165143 \n",
       "L 429.794858 -81.761634 \n",
       "L 434.01969 -79.358124 \n",
       "L 440.558618 -76.954615 \n",
       "L 441.76251 -74.551105 \n",
       "L 433.183519 -72.147596 \n",
       "L 420.959342 -69.744086 \n",
       "L 411.959173 -67.340576 \n",
       "L 406.572888 -64.937067 \n",
       "L 404.030289 -62.533557 \n",
       "L 401.85047 -60.130048 \n",
       "L 398.367061 -57.726538 \n",
       "L 395.440729 -55.323029 \n",
       "L 394.395129 -52.919519 \n",
       "L 394.256457 -50.51601 \n",
       "L 394.248884 -48.1125 \n",
       "z\n",
       "\" id=\"md51f2b6ce6\" style=\"stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#p195e4c90ea)\">\n",
       "     <use style=\"fill:#0072b2;fill-opacity:0.25;stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\" x=\"0.0\" xlink:href=\"#md51f2b6ce6\" y=\"423.7125\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"line2d_52\">\n",
       "    <path clip-path=\"url(#p195e4c90ea)\" d=\"M 394.248884 375.6 \n",
       "L 394.256457 373.19649 \n",
       "L 394.395129 370.792981 \n",
       "L 395.440729 368.389471 \n",
       "L 398.367061 365.985962 \n",
       "L 401.85047 363.582452 \n",
       "L 404.030289 361.178943 \n",
       "L 406.572888 358.775433 \n",
       "L 411.959173 356.371924 \n",
       "L 420.959342 353.968414 \n",
       "L 433.183519 351.564904 \n",
       "L 441.76251 349.161395 \n",
       "L 440.558618 346.757885 \n",
       "L 434.01969 344.354376 \n",
       "L 429.794858 341.950866 \n",
       "L 428.244648 339.547357 \n",
       "L 427.032991 334.740337 \n",
       "L 425.206333 332.336828 \n",
       "L 422.359461 329.933318 \n",
       "L 419.161712 327.529809 \n",
       "L 411.827201 322.72279 \n",
       "L 409.053933 320.31928 \n",
       "L 404.927658 315.512261 \n",
       "L 403.318108 313.108751 \n",
       "L 399.638418 305.898223 \n",
       "L 398.566677 303.494713 \n",
       "L 397.041637 298.687694 \n",
       "L 396.084832 293.880675 \n",
       "L 394.966299 284.266637 \n",
       "L 394.839797 279.459618 \n",
       "L 394.644958 277.056108 \n",
       "L 394.372724 262.635051 \n",
       "L 394.249126 178.512216 \n",
       "L 394.316912 77.564814 \n",
       "L 394.634011 75.161305 \n",
       "L 394.319389 72.757795 \n",
       "L 394.253281 70.354286 \n",
       "L 394.253281 70.354286 \n",
       "\" style=\"fill:none;stroke:#0072b2;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_9\">\n",
       "    <path d=\"M 394.248884 375.6 \n",
       "L 394.248884 70.354286 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "  </g>\n",
       " </g>\n",
       " <defs>\n",
       "  <clipPath id=\"p195e4c90ea\">\n",
       "   <rect height=\"305.245714286\" width=\"51.3964285714\" x=\"394.248883929\" y=\"70.3542857143\"/>\n",
       "  </clipPath>\n",
       "  <clipPath id=\"pe712ab4059\">\n",
       "   <rect height=\"305.245714286\" width=\"298.099285714\" x=\"85.8703125\" y=\"70.3542857143\"/>\n",
       "  </clipPath>\n",
       "  <clipPath id=\"pca70e12304\">\n",
       "   <rect height=\"52.6285714286\" width=\"298.099285714\" x=\"85.8703125\" y=\"7.2\"/>\n",
       "  </clipPath>\n",
       " </defs>\n",
       "</svg>\n"
      ],
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11a637da0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "sns.jointplot(x='FSC-A', y='SSC-A', data=df_example, kind=\"kde\");"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "... and the log scattering values."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "metadata": {
    "collapsed": false,
    "scrolled": true
   },
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/razo/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:2: RuntimeWarning: invalid value encountered in log10\n",
      "  from ipykernel import kernelapp as app\n",
      "/Users/razo/anaconda/lib/python3.5/site-packages/statsmodels/nonparametric/kdetools.py:20: VisibleDeprecationWarning: using a non-integer number instead of an integer will result in an error in the future\n",
      "  y = X[:m/2+1] + np.r_[0,X[m/2+1:],0]*1j\n"
     ]
    },
    {
     "data": {
      "image/svg+xml": [
       "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"no\"?>\n",
       "<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\"\n",
       "  \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n",
       "<!-- Created with matplotlib (http://matplotlib.org/) -->\n",
       "<svg height=\"423pt\" version=\"1.1\" viewBox=\"0 0 424 423\" width=\"424pt\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n",
       " <defs>\n",
       "  <style type=\"text/css\">\n",
       "*{stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:100000;}\n",
       "  </style>\n",
       " </defs>\n",
       " <g id=\"figure_1\">\n",
       "  <g id=\"patch_1\">\n",
       "   <path d=\"M 0 423.7125 \n",
       "L 424.076719 423.7125 \n",
       "L 424.076719 0 \n",
       "L 0 0 \n",
       "L 0 423.7125 \n",
       "z\n",
       "\" style=\"fill:none;\"/>\n",
       "  </g>\n",
       "  <g id=\"axes_1\">\n",
       "   <g id=\"patch_2\">\n",
       "    <path d=\"M 57.101719 375.6 \n",
       "L 355.201004 375.6 \n",
       "L 355.201004 70.354286 \n",
       "L 57.101719 70.354286 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_1\">\n",
       "    <g id=\"xtick_1\">\n",
       "     <g id=\"line2d_1\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 101.579615 375.6 \n",
       "L 101.579615 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_2\">\n",
       "      <defs>\n",
       "       <path d=\"M 0 0 \n",
       "L 0 0 \n",
       "\" id=\"m95da8bfa11\" style=\"stroke:#262626;\"/>\n",
       "      </defs>\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"101.579614805\" xlink:href=\"#m95da8bfa11\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_1\">\n",
       "      <!-- 3.0 -->\n",
       "      <defs>\n",
       "       <path d=\"M 31.640625 -1.8125 \n",
       "Q 20.265625 -1.8125 13.296875 8.609375 \n",
       "Q 6.34375 19.046875 6.34375 36.140625 \n",
       "Q 6.34375 53.21875 13.296875 63.640625 \n",
       "Q 20.265625 74.078125 31.640625 74.078125 \n",
       "Q 43.0625 74.078125 50 63.671875 \n",
       "Q 56.9375 53.265625 56.9375 36.140625 \n",
       "Q 56.9375 19.046875 50 8.609375 \n",
       "Q 43.0625 -1.8125 31.640625 -1.8125 \n",
       "M 31.640625 5.421875 \n",
       "Q 46.734375 5.421875 46.734375 36.140625 \n",
       "Q 46.734375 66.84375 31.640625 66.84375 \n",
       "Q 16.609375 66.84375 16.609375 36.140625 \n",
       "Q 16.609375 5.421875 31.640625 5.421875 \n",
       "\" id=\"LucidaSansUnicode-30\"/>\n",
       "       <path d=\"M 9.765625 0 \n",
       "L 9.765625 12.0625 \n",
       "L 21.828125 12.0625 \n",
       "L 21.828125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-2e\"/>\n",
       "       <path d=\"M 10.15625 0.53125 \n",
       "L 10.15625 9.515625 \n",
       "Q 20.453125 5.421875 26.375 5.421875 \n",
       "Q 33.34375 5.421875 37.671875 9.421875 \n",
       "Q 42 13.421875 42 19.875 \n",
       "Q 42 35.109375 20.65625 35.109375 \n",
       "L 16.84375 35.109375 \n",
       "L 16.84375 41.609375 \n",
       "L 20.21875 41.65625 \n",
       "Q 40.234375 41.65625 40.234375 55.765625 \n",
       "Q 40.234375 66.84375 26.953125 66.84375 \n",
       "Q 19.828125 66.84375 11.140625 62.796875 \n",
       "L 11.140625 71.1875 \n",
       "Q 19.671875 74.078125 27.59375 74.078125 \n",
       "Q 38.375 74.078125 44.140625 69.78125 \n",
       "Q 49.90625 65.484375 49.90625 57.328125 \n",
       "Q 49.90625 44.578125 34.8125 39.15625 \n",
       "Q 52.296875 35.109375 52.296875 20.015625 \n",
       "Q 52.296875 9.8125 45.546875 4 \n",
       "Q 38.8125 -1.8125 27.046875 -1.8125 \n",
       "Q 20.359375 -1.8125 10.15625 0.53125 \n",
       "\" id=\"LucidaSansUnicode-33\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(92.0930523049 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_2\">\n",
       "     <g id=\"line2d_3\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 152.918258 375.6 \n",
       "L 152.918258 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_4\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"152.918258251\" xlink:href=\"#m95da8bfa11\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_2\">\n",
       "      <!-- 3.5 -->\n",
       "      <defs>\n",
       "       <path d=\"M 12.15625 -0.296875 \n",
       "L 12.15625 8.296875 \n",
       "Q 19.34375 5.421875 25.828125 5.421875 \n",
       "Q 32.953125 5.421875 37.03125 9.609375 \n",
       "Q 41.109375 13.8125 41.109375 21.1875 \n",
       "Q 41.109375 29.109375 35.34375 33.28125 \n",
       "Q 29.59375 37.453125 18.703125 37.453125 \n",
       "Q 16.15625 37.453125 13.375 37.109375 \n",
       "L 13.375 72.265625 \n",
       "L 49.953125 72.265625 \n",
       "L 49.953125 63.875 \n",
       "L 21.828125 63.875 \n",
       "L 21.828125 44.828125 \n",
       "Q 35.75 44.828125 43.5625 38.421875 \n",
       "Q 51.375 32.03125 51.375 20.703125 \n",
       "Q 51.375 10.15625 44.265625 4.171875 \n",
       "Q 37.15625 -1.8125 24.65625 -1.8125 \n",
       "Q 19.09375 -1.8125 12.15625 -0.296875 \n",
       "\" id=\"LucidaSansUnicode-35\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(143.431695751 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_3\">\n",
       "     <g id=\"line2d_5\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 204.256902 375.6 \n",
       "L 204.256902 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_6\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"204.256901696\" xlink:href=\"#m95da8bfa11\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_3\">\n",
       "      <!-- 4.0 -->\n",
       "      <defs>\n",
       "       <path d=\"M 37.640625 0 \n",
       "L 37.640625 20.453125 \n",
       "L 5.125 20.453125 \n",
       "L 5.125 27.734375 \n",
       "L 37.640625 72.265625 \n",
       "L 46.6875 72.265625 \n",
       "L 46.6875 28.328125 \n",
       "L 56.34375 28.328125 \n",
       "L 56.34375 20.453125 \n",
       "L 46.6875 20.453125 \n",
       "L 46.6875 0 \n",
       "z\n",
       "M 14.546875 28.328125 \n",
       "L 38.28125 28.328125 \n",
       "L 38.28125 60.453125 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-34\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(194.770339196 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-34\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_4\">\n",
       "     <g id=\"line2d_7\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 255.595545 375.6 \n",
       "L 255.595545 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_8\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"255.595545142\" xlink:href=\"#m95da8bfa11\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_4\">\n",
       "      <!-- 4.5 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(246.108982642 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-34\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_5\">\n",
       "     <g id=\"line2d_9\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 306.934189 375.6 \n",
       "L 306.934189 70.354286 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_10\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"306.934188587\" xlink:href=\"#m95da8bfa11\" y=\"375.6\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_5\">\n",
       "      <!-- 5.0 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(297.447626087 391.85125)scale(0.12 -0.12)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"text_6\">\n",
       "     <!-- FSC-A -->\n",
       "     <defs>\n",
       "      <path d=\"M 63.625 3.71875 \n",
       "Q 52.9375 -1.8125 40.28125 -1.8125 \n",
       "Q 23.4375 -1.8125 14.25 8.046875 \n",
       "Q 5.078125 17.921875 5.078125 36.078125 \n",
       "Q 5.078125 54.203125 14.421875 64.140625 \n",
       "Q 23.78125 74.078125 40.828125 74.078125 \n",
       "Q 50.484375 74.078125 63.53125 70.90625 \n",
       "L 63.53125 61.28125 \n",
       "Q 48.6875 66.40625 40.625 66.40625 \n",
       "Q 28.859375 66.40625 22.40625 58.4375 \n",
       "Q 15.96875 50.484375 15.96875 35.984375 \n",
       "Q 15.96875 22.125 22.84375 14.15625 \n",
       "Q 29.734375 6.203125 41.703125 6.203125 \n",
       "Q 51.90625 6.203125 63.625 12.5 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-43\"/>\n",
       "      <path d=\"M 7.234375 26.515625 \n",
       "L 7.234375 32.515625 \n",
       "L 50.59375 32.515625 \n",
       "L 50.59375 26.515625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-2d\"/>\n",
       "      <path d=\"M 0.828125 0 \n",
       "L 29.5 72.265625 \n",
       "L 39.65625 72.265625 \n",
       "L 67.875 0 \n",
       "L 56.78125 0 \n",
       "L 48.921875 20.015625 \n",
       "L 18.3125 20.015625 \n",
       "L 10.359375 0 \n",
       "z\n",
       "M 21.296875 27.640625 \n",
       "L 45.953125 27.640625 \n",
       "L 33.640625 58.796875 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-41\"/>\n",
       "      <path d=\"M 9.328125 0 \n",
       "L 9.328125 72.265625 \n",
       "L 49.703125 72.265625 \n",
       "L 49.703125 64.59375 \n",
       "L 19.578125 64.59375 \n",
       "L 19.578125 40.375 \n",
       "L 44.875 40.375 \n",
       "L 44.875 32.8125 \n",
       "L 19.578125 32.8125 \n",
       "L 19.578125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-46\"/>\n",
       "      <path d=\"M 4.890625 1.375 \n",
       "L 4.890625 11.53125 \n",
       "Q 17.09375 5.859375 25 5.859375 \n",
       "Q 31 5.859375 34.6875 9.046875 \n",
       "Q 38.375 12.25 38.375 17.390625 \n",
       "Q 38.375 21.625 35.953125 24.609375 \n",
       "Q 33.546875 27.59375 27.046875 31.25 \n",
       "L 22.078125 34.125 \n",
       "Q 12.84375 39.40625 9.0625 44.0625 \n",
       "Q 5.28125 48.734375 5.28125 54.890625 \n",
       "Q 5.28125 63.28125 11.328125 68.671875 \n",
       "Q 17.390625 74.078125 26.765625 74.078125 \n",
       "Q 35.109375 74.078125 44.390625 71.296875 \n",
       "L 44.390625 61.921875 \n",
       "Q 32.953125 66.40625 27.34375 66.40625 \n",
       "Q 22.015625 66.40625 18.546875 63.578125 \n",
       "Q 15.09375 60.75 15.09375 56.453125 \n",
       "Q 15.09375 52.828125 17.625 50.046875 \n",
       "Q 20.171875 47.265625 26.90625 43.40625 \n",
       "L 32.078125 40.484375 \n",
       "Q 41.453125 35.15625 45.15625 30.421875 \n",
       "Q 48.875 25.6875 48.875 19.046875 \n",
       "Q 48.875 9.625 41.9375 3.90625 \n",
       "Q 35.015625 -1.8125 23.53125 -1.8125 \n",
       "Q 16.21875 -1.8125 4.890625 1.375 \n",
       "\" id=\"LucidaSansUnicode-53\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(178.834955357 413.041875)scale(0.18 -0.18)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-46\"/>\n",
       "      <use x=\"53.61328125\" xlink:href=\"#LucidaSansUnicode-53\"/>\n",
       "      <use x=\"107.470703125\" xlink:href=\"#LucidaSansUnicode-43\"/>\n",
       "      <use x=\"176.66015625\" xlink:href=\"#LucidaSansUnicode-2d\"/>\n",
       "      <use x=\"234.521484375\" xlink:href=\"#LucidaSansUnicode-41\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_2\">\n",
       "    <g id=\"ytick_1\">\n",
       "     <g id=\"line2d_11\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 352.205038 \n",
       "L 355.201004 352.205038 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_12\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"352.205038283\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_7\">\n",
       "      <!-- 2.0 -->\n",
       "      <defs>\n",
       "       <path d=\"M 8.296875 0 \n",
       "L 8.296875 8.453125 \n",
       "Q 12.5 18.265625 25.296875 29.828125 \n",
       "L 30.8125 34.765625 \n",
       "Q 41.453125 44.390625 41.453125 53.859375 \n",
       "Q 41.453125 59.90625 37.8125 63.375 \n",
       "Q 34.1875 66.84375 27.78125 66.84375 \n",
       "Q 20.3125 66.84375 10.109375 61.03125 \n",
       "L 10.109375 69.53125 \n",
       "Q 19.734375 74.078125 29.25 74.078125 \n",
       "Q 39.40625 74.078125 45.53125 68.609375 \n",
       "Q 51.65625 63.140625 51.65625 54.109375 \n",
       "Q 51.65625 47.609375 48.546875 42.578125 \n",
       "Q 45.453125 37.546875 37.015625 30.375 \n",
       "L 33.296875 27.203125 \n",
       "Q 21.734375 17.390625 19.921875 8.453125 \n",
       "L 51.3125 8.453125 \n",
       "L 51.3125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-32\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 355.962850783)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_2\">\n",
       "     <g id=\"line2d_13\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 311.787813 \n",
       "L 355.201004 311.787813 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_14\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"311.787813036\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_8\">\n",
       "      <!-- 2.5 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 315.545625536)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_3\">\n",
       "     <g id=\"line2d_15\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 271.370588 \n",
       "L 355.201004 271.370588 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_16\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"271.370587788\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_9\">\n",
       "      <!-- 3.0 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 275.128400288)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_4\">\n",
       "     <g id=\"line2d_17\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 230.953363 \n",
       "L 355.201004 230.953363 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_18\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"230.953362541\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_10\">\n",
       "      <!-- 3.5 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 234.711175041)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_5\">\n",
       "     <g id=\"line2d_19\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 190.536137 \n",
       "L 355.201004 190.536137 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_20\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"190.536137294\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_11\">\n",
       "      <!-- 4.0 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 194.293949794)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-34\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_6\">\n",
       "     <g id=\"line2d_21\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 150.118912 \n",
       "L 355.201004 150.118912 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_22\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"150.118912046\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_12\">\n",
       "      <!-- 4.5 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 153.876724546)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-34\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_7\">\n",
       "     <g id=\"line2d_23\">\n",
       "      <path clip-path=\"url(#pfbefe607b7)\" d=\"M 57.101719 109.701687 \n",
       "L 355.201004 109.701687 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_24\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"57.10171875\" xlink:href=\"#m95da8bfa11\" y=\"109.701686799\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_13\">\n",
       "      <!-- 5.0 -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.5475 113.459499299)scale(0.13 -0.13)\">\n",
       "       <use xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "       <use x=\"63.232421875\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "       <use x=\"94.873046875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"text_14\">\n",
       "     <!-- SSC-A -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(21.076875 250.316049107)rotate(-90.0)scale(0.18 -0.18)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-53\"/>\n",
       "      <use x=\"53.857421875\" xlink:href=\"#LucidaSansUnicode-53\"/>\n",
       "      <use x=\"107.71484375\" xlink:href=\"#LucidaSansUnicode-43\"/>\n",
       "      <use x=\"176.904296875\" xlink:href=\"#LucidaSansUnicode-2d\"/>\n",
       "      <use x=\"234.765625\" xlink:href=\"#LucidaSansUnicode-41\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_1\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 60.112823 375.6 \n",
       "L 63.123927 375.6 \n",
       "L 66.13503 375.6 \n",
       "L 69.146134 375.6 \n",
       "L 72.157238 375.6 \n",
       "L 75.168342 375.6 \n",
       "L 78.179446 375.6 \n",
       "L 81.19055 375.6 \n",
       "L 84.201654 375.6 \n",
       "L 87.212758 375.6 \n",
       "L 90.223862 375.6 \n",
       "L 93.234966 375.6 \n",
       "L 96.246069 375.6 \n",
       "L 99.257173 375.6 \n",
       "L 102.268277 375.6 \n",
       "L 105.279381 375.6 \n",
       "L 108.290485 375.6 \n",
       "L 111.301589 375.6 \n",
       "L 114.312693 375.6 \n",
       "L 117.323797 375.6 \n",
       "L 120.334901 375.6 \n",
       "L 123.346004 375.6 \n",
       "L 126.357108 375.6 \n",
       "L 129.368212 375.6 \n",
       "L 132.379316 375.6 \n",
       "L 135.39042 375.6 \n",
       "L 138.401524 375.6 \n",
       "L 141.412628 375.6 \n",
       "L 144.423732 375.6 \n",
       "L 147.434836 375.6 \n",
       "L 150.44594 375.6 \n",
       "L 153.457043 375.6 \n",
       "L 156.468147 375.6 \n",
       "L 159.479251 375.6 \n",
       "L 162.490355 375.6 \n",
       "L 165.501459 375.6 \n",
       "L 168.512563 375.6 \n",
       "L 171.523667 375.6 \n",
       "L 174.534771 375.6 \n",
       "L 177.545875 375.6 \n",
       "L 180.556978 375.6 \n",
       "L 183.568082 375.6 \n",
       "L 186.579186 375.6 \n",
       "L 189.59029 375.6 \n",
       "L 192.601394 375.6 \n",
       "L 195.612498 375.6 \n",
       "L 198.623602 375.6 \n",
       "L 201.634706 375.6 \n",
       "L 204.64581 375.6 \n",
       "L 207.656914 375.6 \n",
       "L 210.668017 375.6 \n",
       "L 213.679121 375.6 \n",
       "L 216.690225 375.6 \n",
       "L 219.701329 375.6 \n",
       "L 222.712433 375.6 \n",
       "L 225.723537 375.6 \n",
       "L 228.734641 375.6 \n",
       "L 231.745745 375.6 \n",
       "L 234.756849 375.6 \n",
       "L 237.767953 375.6 \n",
       "L 240.779056 375.6 \n",
       "L 243.79016 375.6 \n",
       "L 246.801264 375.6 \n",
       "L 249.812368 375.6 \n",
       "L 252.823472 375.6 \n",
       "L 255.834576 375.6 \n",
       "L 258.84568 375.6 \n",
       "L 261.856784 375.6 \n",
       "L 264.867888 375.6 \n",
       "L 267.878991 375.6 \n",
       "L 270.890095 375.6 \n",
       "L 273.901199 375.6 \n",
       "L 276.912303 375.6 \n",
       "L 279.923407 375.6 \n",
       "L 282.934511 375.6 \n",
       "L 285.945615 375.6 \n",
       "L 288.956719 375.6 \n",
       "L 291.967823 375.6 \n",
       "L 294.978927 375.6 \n",
       "L 297.99003 375.6 \n",
       "L 301.001134 375.6 \n",
       "L 304.012238 375.6 \n",
       "L 307.023342 375.6 \n",
       "L 310.034446 375.6 \n",
       "L 313.04555 375.6 \n",
       "L 316.056654 375.6 \n",
       "L 319.067758 375.6 \n",
       "L 322.078862 375.6 \n",
       "L 325.089966 375.6 \n",
       "L 328.101069 375.6 \n",
       "L 331.112173 375.6 \n",
       "L 334.123277 375.6 \n",
       "L 337.134381 375.6 \n",
       "L 340.145485 375.6 \n",
       "L 343.156589 375.6 \n",
       "L 346.167693 375.6 \n",
       "L 349.178797 375.6 \n",
       "L 352.189901 375.6 \n",
       "L 355.201004 375.6 \n",
       "L 355.201004 372.51671 \n",
       "L 355.201004 369.43342 \n",
       "L 355.201004 366.35013 \n",
       "L 355.201004 363.26684 \n",
       "L 355.201004 360.18355 \n",
       "L 355.201004 357.10026 \n",
       "L 355.201004 354.01697 \n",
       "L 355.201004 350.93368 \n",
       "L 355.201004 347.85039 \n",
       "L 355.201004 344.7671 \n",
       "L 355.201004 341.68381 \n",
       "L 355.201004 338.600519 \n",
       "L 355.201004 335.517229 \n",
       "L 355.201004 332.433939 \n",
       "L 355.201004 329.350649 \n",
       "L 355.201004 326.267359 \n",
       "L 355.201004 323.184069 \n",
       "L 355.201004 320.100779 \n",
       "L 355.201004 317.017489 \n",
       "L 355.201004 313.934199 \n",
       "L 355.201004 310.850909 \n",
       "L 355.201004 307.767619 \n",
       "L 355.201004 304.684329 \n",
       "L 355.201004 301.601039 \n",
       "L 355.201004 298.517749 \n",
       "L 355.201004 295.434459 \n",
       "L 355.201004 292.351169 \n",
       "L 355.201004 289.267879 \n",
       "L 355.201004 286.184589 \n",
       "L 355.201004 283.101299 \n",
       "L 355.201004 280.018009 \n",
       "L 355.201004 276.934719 \n",
       "L 355.201004 273.851429 \n",
       "L 355.201004 270.768139 \n",
       "L 355.201004 267.684848 \n",
       "L 355.201004 264.601558 \n",
       "L 355.201004 261.518268 \n",
       "L 355.201004 258.434978 \n",
       "L 355.201004 255.351688 \n",
       "L 355.201004 252.268398 \n",
       "L 355.201004 249.185108 \n",
       "L 355.201004 246.101818 \n",
       "L 355.201004 243.018528 \n",
       "L 355.201004 239.935238 \n",
       "L 355.201004 236.851948 \n",
       "L 355.201004 233.768658 \n",
       "L 355.201004 230.685368 \n",
       "L 355.201004 227.602078 \n",
       "L 355.201004 224.518788 \n",
       "L 355.201004 221.435498 \n",
       "L 355.201004 218.352208 \n",
       "L 355.201004 215.268918 \n",
       "L 355.201004 212.185628 \n",
       "L 355.201004 209.102338 \n",
       "L 355.201004 206.019048 \n",
       "L 355.201004 202.935758 \n",
       "L 355.201004 199.852468 \n",
       "L 355.201004 196.769177 \n",
       "L 355.201004 193.685887 \n",
       "L 355.201004 190.602597 \n",
       "L 355.201004 187.519307 \n",
       "L 355.201004 184.436017 \n",
       "L 355.201004 181.352727 \n",
       "L 355.201004 178.269437 \n",
       "L 355.201004 175.186147 \n",
       "L 355.201004 172.102857 \n",
       "L 355.201004 169.019567 \n",
       "L 355.201004 165.936277 \n",
       "L 355.201004 162.852987 \n",
       "L 355.201004 159.769697 \n",
       "L 355.201004 156.686407 \n",
       "L 355.201004 153.603117 \n",
       "L 355.201004 150.519827 \n",
       "L 355.201004 147.436537 \n",
       "L 355.201004 144.353247 \n",
       "L 355.201004 141.269957 \n",
       "L 355.201004 138.186667 \n",
       "L 355.201004 135.103377 \n",
       "L 355.201004 132.020087 \n",
       "L 355.201004 128.936797 \n",
       "L 355.201004 125.853506 \n",
       "L 355.201004 122.770216 \n",
       "L 355.201004 119.686926 \n",
       "L 355.201004 116.603636 \n",
       "L 355.201004 113.520346 \n",
       "L 355.201004 110.437056 \n",
       "L 355.201004 107.353766 \n",
       "L 355.201004 104.270476 \n",
       "L 355.201004 101.187186 \n",
       "L 355.201004 98.103896 \n",
       "L 355.201004 95.020606 \n",
       "L 355.201004 91.937316 \n",
       "L 355.201004 88.854026 \n",
       "L 355.201004 85.770736 \n",
       "L 355.201004 82.687446 \n",
       "L 355.201004 79.604156 \n",
       "L 355.201004 76.520866 \n",
       "L 355.201004 73.437576 \n",
       "L 355.201004 70.354286 \n",
       "L 352.189901 70.354286 \n",
       "L 349.178797 70.354286 \n",
       "L 346.167693 70.354286 \n",
       "L 343.156589 70.354286 \n",
       "L 340.145485 70.354286 \n",
       "L 337.134381 70.354286 \n",
       "L 334.123277 70.354286 \n",
       "L 331.112173 70.354286 \n",
       "L 328.101069 70.354286 \n",
       "L 325.089966 70.354286 \n",
       "L 322.078862 70.354286 \n",
       "L 319.067758 70.354286 \n",
       "L 316.056654 70.354286 \n",
       "L 313.04555 70.354286 \n",
       "L 310.034446 70.354286 \n",
       "L 307.023342 70.354286 \n",
       "L 304.012238 70.354286 \n",
       "L 301.001134 70.354286 \n",
       "L 297.99003 70.354286 \n",
       "L 294.978927 70.354286 \n",
       "L 291.967823 70.354286 \n",
       "L 288.956719 70.354286 \n",
       "L 285.945615 70.354286 \n",
       "L 282.934511 70.354286 \n",
       "L 279.923407 70.354286 \n",
       "L 276.912303 70.354286 \n",
       "L 273.901199 70.354286 \n",
       "L 270.890095 70.354286 \n",
       "L 267.878991 70.354286 \n",
       "L 264.867888 70.354286 \n",
       "L 261.856784 70.354286 \n",
       "L 258.84568 70.354286 \n",
       "L 255.834576 70.354286 \n",
       "L 252.823472 70.354286 \n",
       "L 249.812368 70.354286 \n",
       "L 246.801264 70.354286 \n",
       "L 243.79016 70.354286 \n",
       "L 240.779056 70.354286 \n",
       "L 237.767953 70.354286 \n",
       "L 234.756849 70.354286 \n",
       "L 231.745745 70.354286 \n",
       "L 228.734641 70.354286 \n",
       "L 225.723537 70.354286 \n",
       "L 222.712433 70.354286 \n",
       "L 219.701329 70.354286 \n",
       "L 216.690225 70.354286 \n",
       "L 213.679121 70.354286 \n",
       "L 210.668017 70.354286 \n",
       "L 207.656914 70.354286 \n",
       "L 204.64581 70.354286 \n",
       "L 201.634706 70.354286 \n",
       "L 198.623602 70.354286 \n",
       "L 195.612498 70.354286 \n",
       "L 192.601394 70.354286 \n",
       "L 189.59029 70.354286 \n",
       "L 186.579186 70.354286 \n",
       "L 183.568082 70.354286 \n",
       "L 180.556978 70.354286 \n",
       "L 177.545875 70.354286 \n",
       "L 174.534771 70.354286 \n",
       "L 171.523667 70.354286 \n",
       "L 168.512563 70.354286 \n",
       "L 165.501459 70.354286 \n",
       "L 162.490355 70.354286 \n",
       "L 159.479251 70.354286 \n",
       "L 156.468147 70.354286 \n",
       "L 153.457043 70.354286 \n",
       "L 150.44594 70.354286 \n",
       "L 147.434836 70.354286 \n",
       "L 144.423732 70.354286 \n",
       "L 141.412628 70.354286 \n",
       "L 138.401524 70.354286 \n",
       "L 135.39042 70.354286 \n",
       "L 132.379316 70.354286 \n",
       "L 129.368212 70.354286 \n",
       "L 126.357108 70.354286 \n",
       "L 123.346004 70.354286 \n",
       "L 120.334901 70.354286 \n",
       "L 117.323797 70.354286 \n",
       "L 114.312693 70.354286 \n",
       "L 111.301589 70.354286 \n",
       "L 108.290485 70.354286 \n",
       "L 105.279381 70.354286 \n",
       "L 102.268277 70.354286 \n",
       "L 99.257173 70.354286 \n",
       "L 96.246069 70.354286 \n",
       "L 93.234966 70.354286 \n",
       "L 90.223862 70.354286 \n",
       "L 87.212758 70.354286 \n",
       "L 84.201654 70.354286 \n",
       "L 81.19055 70.354286 \n",
       "L 78.179446 70.354286 \n",
       "L 75.168342 70.354286 \n",
       "L 72.157238 70.354286 \n",
       "L 69.146134 70.354286 \n",
       "L 66.13503 70.354286 \n",
       "L 63.123927 70.354286 \n",
       "L 60.112823 70.354286 \n",
       "L 57.101719 70.354286 \n",
       "L 57.101719 73.437576 \n",
       "L 57.101719 76.520866 \n",
       "L 57.101719 79.604156 \n",
       "L 57.101719 82.687446 \n",
       "L 57.101719 85.770736 \n",
       "L 57.101719 88.854026 \n",
       "L 57.101719 91.937316 \n",
       "L 57.101719 95.020606 \n",
       "L 57.101719 98.103896 \n",
       "L 57.101719 101.187186 \n",
       "L 57.101719 104.270476 \n",
       "L 57.101719 107.353766 \n",
       "L 57.101719 110.437056 \n",
       "L 57.101719 113.520346 \n",
       "L 57.101719 116.603636 \n",
       "L 57.101719 119.686926 \n",
       "L 57.101719 122.770216 \n",
       "L 57.101719 125.853506 \n",
       "L 57.101719 128.936797 \n",
       "L 57.101719 132.020087 \n",
       "L 57.101719 135.103377 \n",
       "L 57.101719 138.186667 \n",
       "L 57.101719 141.269957 \n",
       "L 57.101719 144.353247 \n",
       "L 57.101719 147.436537 \n",
       "L 57.101719 150.519827 \n",
       "L 57.101719 153.603117 \n",
       "L 57.101719 156.686407 \n",
       "L 57.101719 159.769697 \n",
       "L 57.101719 162.852987 \n",
       "L 57.101719 165.936277 \n",
       "L 57.101719 169.019567 \n",
       "L 57.101719 172.102857 \n",
       "L 57.101719 175.186147 \n",
       "L 57.101719 178.269437 \n",
       "L 57.101719 181.352727 \n",
       "L 57.101719 184.436017 \n",
       "L 57.101719 187.519307 \n",
       "L 57.101719 190.602597 \n",
       "L 57.101719 193.685887 \n",
       "L 57.101719 196.769177 \n",
       "L 57.101719 199.852468 \n",
       "L 57.101719 202.935758 \n",
       "L 57.101719 206.019048 \n",
       "L 57.101719 209.102338 \n",
       "L 57.101719 212.185628 \n",
       "L 57.101719 215.268918 \n",
       "L 57.101719 218.352208 \n",
       "L 57.101719 221.435498 \n",
       "L 57.101719 224.518788 \n",
       "L 57.101719 227.602078 \n",
       "L 57.101719 230.685368 \n",
       "L 57.101719 233.768658 \n",
       "L 57.101719 236.851948 \n",
       "L 57.101719 239.935238 \n",
       "L 57.101719 243.018528 \n",
       "L 57.101719 246.101818 \n",
       "L 57.101719 249.185108 \n",
       "L 57.101719 252.268398 \n",
       "L 57.101719 255.351688 \n",
       "L 57.101719 258.434978 \n",
       "L 57.101719 261.518268 \n",
       "L 57.101719 264.601558 \n",
       "L 57.101719 267.684848 \n",
       "L 57.101719 270.768139 \n",
       "L 57.101719 273.851429 \n",
       "L 57.101719 276.934719 \n",
       "L 57.101719 280.018009 \n",
       "L 57.101719 283.101299 \n",
       "L 57.101719 286.184589 \n",
       "L 57.101719 289.267879 \n",
       "L 57.101719 292.351169 \n",
       "L 57.101719 295.434459 \n",
       "L 57.101719 298.517749 \n",
       "L 57.101719 301.601039 \n",
       "L 57.101719 304.684329 \n",
       "L 57.101719 307.767619 \n",
       "L 57.101719 310.850909 \n",
       "L 57.101719 313.934199 \n",
       "L 57.101719 317.017489 \n",
       "L 57.101719 320.100779 \n",
       "L 57.101719 323.184069 \n",
       "L 57.101719 326.267359 \n",
       "L 57.101719 329.350649 \n",
       "L 57.101719 332.433939 \n",
       "L 57.101719 335.517229 \n",
       "L 57.101719 338.600519 \n",
       "L 57.101719 341.68381 \n",
       "L 57.101719 344.7671 \n",
       "L 57.101719 347.85039 \n",
       "L 57.101719 350.93368 \n",
       "L 57.101719 354.01697 \n",
       "L 57.101719 357.10026 \n",
       "L 57.101719 360.18355 \n",
       "L 57.101719 363.26684 \n",
       "L 57.101719 366.35013 \n",
       "L 57.101719 369.43342 \n",
       "L 57.101719 372.51671 \n",
       "L 57.101719 375.6 \n",
       "z\n",
       "M 181.738601 190.602597 \n",
       "L 180.556978 189.504167 \n",
       "L 177.775143 187.519307 \n",
       "L 177.545875 187.402698 \n",
       "L 174.534771 186.371478 \n",
       "L 172.038086 184.436017 \n",
       "L 171.523667 184.146257 \n",
       "L 168.512563 181.984241 \n",
       "L 167.623956 181.352727 \n",
       "L 165.501459 180.142675 \n",
       "L 163.921895 178.269437 \n",
       "L 162.490355 176.103298 \n",
       "L 161.761145 175.186147 \n",
       "L 159.479251 172.513776 \n",
       "L 159.182469 172.102857 \n",
       "L 158.562912 169.019567 \n",
       "L 159.479251 167.20651 \n",
       "L 160.175181 165.936277 \n",
       "L 162.490355 164.183582 \n",
       "L 163.876454 162.852987 \n",
       "L 165.501459 160.902334 \n",
       "L 166.564639 159.769697 \n",
       "L 168.512563 157.1059 \n",
       "L 168.865356 156.686407 \n",
       "L 169.829577 153.603117 \n",
       "L 171.044945 150.519827 \n",
       "L 171.523667 149.803104 \n",
       "L 173.170008 147.436537 \n",
       "L 174.534771 145.951777 \n",
       "L 175.800487 144.353247 \n",
       "L 177.545875 142.645041 \n",
       "L 179.076603 141.269957 \n",
       "L 180.556978 140.155145 \n",
       "L 183.568082 138.35331 \n",
       "L 183.815499 138.186667 \n",
       "L 186.579186 135.73378 \n",
       "L 187.541035 135.103377 \n",
       "L 189.59029 133.731858 \n",
       "L 192.519772 132.020087 \n",
       "L 192.601394 131.971541 \n",
       "L 195.612498 130.445888 \n",
       "L 198.623602 129.192087 \n",
       "L 199.610325 128.936797 \n",
       "L 201.634706 128.313719 \n",
       "L 204.64581 127.005499 \n",
       "L 207.656914 126.045714 \n",
       "L 208.16052 125.853506 \n",
       "L 210.668017 124.56615 \n",
       "L 213.679121 123.743175 \n",
       "L 216.690225 123.089849 \n",
       "L 219.701329 122.846098 \n",
       "L 220.304338 122.770216 \n",
       "L 222.712433 122.309291 \n",
       "L 225.723537 122.332931 \n",
       "L 228.008022 122.770216 \n",
       "L 228.734641 122.895097 \n",
       "L 231.745745 123.828189 \n",
       "L 234.113891 125.853506 \n",
       "L 234.756849 126.890668 \n",
       "L 235.910603 128.936797 \n",
       "L 235.571983 132.020087 \n",
       "L 234.756849 133.475475 \n",
       "L 234.131255 135.103377 \n",
       "L 232.667795 138.186667 \n",
       "L 231.745745 140.487845 \n",
       "L 231.550766 141.269957 \n",
       "L 229.969189 144.353247 \n",
       "L 228.734641 145.940325 \n",
       "L 227.657392 147.436537 \n",
       "L 225.879229 150.519827 \n",
       "L 225.723537 150.728685 \n",
       "L 223.876366 153.603117 \n",
       "L 222.712433 155.158293 \n",
       "L 221.630207 156.686407 \n",
       "L 219.701329 159.745537 \n",
       "L 219.687294 159.769697 \n",
       "L 217.744834 162.852987 \n",
       "L 216.690225 164.35359 \n",
       "L 215.293597 165.936277 \n",
       "L 213.679121 167.821333 \n",
       "L 212.80643 169.019567 \n",
       "L 210.668017 171.387763 \n",
       "L 210.067273 172.102857 \n",
       "L 207.72825 175.186147 \n",
       "L 207.656914 175.281311 \n",
       "L 205.261015 178.269437 \n",
       "L 204.64581 178.911544 \n",
       "L 202.211787 181.352727 \n",
       "L 201.634706 182.004388 \n",
       "L 199.075586 184.436017 \n",
       "L 198.623602 184.975769 \n",
       "L 196.184357 187.519307 \n",
       "L 195.612498 188.177526 \n",
       "L 192.601394 189.55695 \n",
       "L 189.786641 190.602597 \n",
       "L 189.59029 190.776924 \n",
       "L 186.579186 193.236256 \n",
       "L 183.568082 192.990843 \n",
       "z\n",
       "\" style=\"fill:#e9f7ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_2\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 183.568082 192.990843 \n",
       "L 186.579186 193.236256 \n",
       "L 189.59029 190.776924 \n",
       "L 189.786641 190.602597 \n",
       "L 192.601394 189.55695 \n",
       "L 195.612498 188.177526 \n",
       "L 196.184357 187.519307 \n",
       "L 198.623602 184.975769 \n",
       "L 199.075586 184.436017 \n",
       "L 201.634706 182.004388 \n",
       "L 202.211787 181.352727 \n",
       "L 204.64581 178.911544 \n",
       "L 205.261015 178.269437 \n",
       "L 207.656914 175.281311 \n",
       "L 207.72825 175.186147 \n",
       "L 210.067273 172.102857 \n",
       "L 210.668017 171.387763 \n",
       "L 212.80643 169.019567 \n",
       "L 213.679121 167.821333 \n",
       "L 215.293597 165.936277 \n",
       "L 216.690225 164.35359 \n",
       "L 217.744834 162.852987 \n",
       "L 219.687294 159.769697 \n",
       "L 219.701329 159.745537 \n",
       "L 221.630207 156.686407 \n",
       "L 222.712433 155.158293 \n",
       "L 223.876366 153.603117 \n",
       "L 225.723537 150.728685 \n",
       "L 225.879229 150.519827 \n",
       "L 227.657392 147.436537 \n",
       "L 228.734641 145.940325 \n",
       "L 229.969189 144.353247 \n",
       "L 231.550766 141.269957 \n",
       "L 231.745745 140.487845 \n",
       "L 232.667795 138.186667 \n",
       "L 234.131255 135.103377 \n",
       "L 234.756849 133.475475 \n",
       "L 235.571983 132.020087 \n",
       "L 235.910603 128.936797 \n",
       "L 234.756849 126.890668 \n",
       "L 234.113891 125.853506 \n",
       "L 231.745745 123.828189 \n",
       "L 228.734641 122.895097 \n",
       "L 228.008022 122.770216 \n",
       "L 225.723537 122.332931 \n",
       "L 222.712433 122.309291 \n",
       "L 220.304338 122.770216 \n",
       "L 219.701329 122.846098 \n",
       "L 216.690225 123.089849 \n",
       "L 213.679121 123.743175 \n",
       "L 210.668017 124.56615 \n",
       "L 208.16052 125.853506 \n",
       "L 207.656914 126.045714 \n",
       "L 204.64581 127.005499 \n",
       "L 201.634706 128.313719 \n",
       "L 199.610325 128.936797 \n",
       "L 198.623602 129.192087 \n",
       "L 195.612498 130.445888 \n",
       "L 192.601394 131.971541 \n",
       "L 192.519772 132.020087 \n",
       "L 189.59029 133.731858 \n",
       "L 187.541035 135.103377 \n",
       "L 186.579186 135.73378 \n",
       "L 183.815499 138.186667 \n",
       "L 183.568082 138.35331 \n",
       "L 180.556978 140.155145 \n",
       "L 179.076603 141.269957 \n",
       "L 177.545875 142.645041 \n",
       "L 175.800487 144.353247 \n",
       "L 174.534771 145.951777 \n",
       "L 173.170008 147.436537 \n",
       "L 171.523667 149.803104 \n",
       "L 171.044945 150.519827 \n",
       "L 169.829577 153.603117 \n",
       "L 168.865356 156.686407 \n",
       "L 168.512563 157.1059 \n",
       "L 166.564639 159.769697 \n",
       "L 165.501459 160.902334 \n",
       "L 163.876454 162.852987 \n",
       "L 162.490355 164.183582 \n",
       "L 160.175181 165.936277 \n",
       "L 159.479251 167.20651 \n",
       "L 158.562912 169.019567 \n",
       "L 159.182469 172.102857 \n",
       "L 159.479251 172.513776 \n",
       "L 161.761145 175.186147 \n",
       "L 162.490355 176.103298 \n",
       "L 163.921895 178.269437 \n",
       "L 165.501459 180.142675 \n",
       "L 167.623956 181.352727 \n",
       "L 168.512563 181.984241 \n",
       "L 171.523667 184.146257 \n",
       "L 172.038086 184.436017 \n",
       "L 174.534771 186.371478 \n",
       "L 177.545875 187.402698 \n",
       "L 177.775143 187.519307 \n",
       "L 180.556978 189.504167 \n",
       "L 181.738601 190.602597 \n",
       "z\n",
       "M 180.032511 181.352727 \n",
       "L 177.545875 180.684795 \n",
       "L 174.534771 179.729609 \n",
       "L 172.08265 178.269437 \n",
       "L 171.523667 177.898847 \n",
       "L 168.512563 175.286859 \n",
       "L 168.385803 175.186147 \n",
       "L 166.011909 172.102857 \n",
       "L 165.501459 170.483621 \n",
       "L 164.952195 169.019567 \n",
       "L 165.501459 167.991939 \n",
       "L 166.483739 165.936277 \n",
       "L 168.512563 163.920006 \n",
       "L 169.422826 162.852987 \n",
       "L 171.523667 160.945472 \n",
       "L 172.892568 159.769697 \n",
       "L 174.534771 157.496168 \n",
       "L 174.98894 156.686407 \n",
       "L 176.132311 153.603117 \n",
       "L 177.459302 150.519827 \n",
       "L 177.545875 150.384007 \n",
       "L 179.326586 147.436537 \n",
       "L 180.556978 146.006683 \n",
       "L 181.718109 144.353247 \n",
       "L 183.568082 142.681303 \n",
       "L 185.274467 141.269957 \n",
       "L 186.579186 140.25393 \n",
       "L 189.59029 138.357259 \n",
       "L 189.943278 138.186667 \n",
       "L 192.601394 136.554035 \n",
       "L 195.612498 135.238495 \n",
       "L 195.882585 135.103377 \n",
       "L 198.623602 133.379441 \n",
       "L 201.019251 132.020087 \n",
       "L 201.634706 131.731106 \n",
       "L 204.64581 130.619421 \n",
       "L 207.656914 129.338433 \n",
       "L 209.195398 128.936797 \n",
       "L 210.668017 128.412429 \n",
       "L 213.679121 127.551614 \n",
       "L 216.690225 126.772196 \n",
       "L 219.701329 126.372273 \n",
       "L 222.712433 126.508595 \n",
       "L 225.723537 127.413563 \n",
       "L 228.322941 128.936797 \n",
       "L 228.734641 129.863357 \n",
       "L 229.618374 132.020087 \n",
       "L 229.602439 135.103377 \n",
       "L 229.035946 138.186667 \n",
       "L 228.734641 139.026439 \n",
       "L 227.774323 141.269957 \n",
       "L 225.723537 143.989547 \n",
       "L 225.544863 144.353247 \n",
       "L 223.624032 147.436537 \n",
       "L 222.712433 148.884496 \n",
       "L 221.85378 150.519827 \n",
       "L 219.850387 153.603117 \n",
       "L 219.701329 153.7925 \n",
       "L 217.467139 156.686407 \n",
       "L 216.690225 157.830333 \n",
       "L 215.281638 159.769697 \n",
       "L 213.679121 161.60773 \n",
       "L 212.615025 162.852987 \n",
       "L 210.668017 165.313627 \n",
       "L 210.183599 165.936277 \n",
       "L 207.656914 168.780043 \n",
       "L 207.443238 169.019567 \n",
       "L 204.64581 171.798012 \n",
       "L 204.365894 172.102857 \n",
       "L 201.634706 174.874874 \n",
       "L 201.067913 175.186147 \n",
       "L 198.623602 176.844785 \n",
       "L 196.71907 178.269437 \n",
       "L 195.612498 179.39423 \n",
       "L 192.601394 181.32656 \n",
       "L 192.515636 181.352727 \n",
       "L 189.59029 182.781691 \n",
       "L 186.579186 183.225581 \n",
       "L 183.568082 182.760812 \n",
       "L 180.556978 181.548701 \n",
       "z\n",
       "\" style=\"fill:#bbe7ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_3\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 180.556978 181.548701 \n",
       "L 183.568082 182.760812 \n",
       "L 186.579186 183.225581 \n",
       "L 189.59029 182.781691 \n",
       "L 192.515636 181.352727 \n",
       "L 192.601394 181.32656 \n",
       "L 195.612498 179.39423 \n",
       "L 196.71907 178.269437 \n",
       "L 198.623602 176.844785 \n",
       "L 201.067913 175.186147 \n",
       "L 201.634706 174.874874 \n",
       "L 204.365894 172.102857 \n",
       "L 204.64581 171.798012 \n",
       "L 207.443238 169.019567 \n",
       "L 207.656914 168.780043 \n",
       "L 210.183599 165.936277 \n",
       "L 210.668017 165.313627 \n",
       "L 212.615025 162.852987 \n",
       "L 213.679121 161.60773 \n",
       "L 215.281638 159.769697 \n",
       "L 216.690225 157.830333 \n",
       "L 217.467139 156.686407 \n",
       "L 219.701329 153.7925 \n",
       "L 219.850387 153.603117 \n",
       "L 221.85378 150.519827 \n",
       "L 222.712433 148.884496 \n",
       "L 223.624032 147.436537 \n",
       "L 225.544863 144.353247 \n",
       "L 225.723537 143.989547 \n",
       "L 227.774323 141.269957 \n",
       "L 228.734641 139.026439 \n",
       "L 229.035946 138.186667 \n",
       "L 229.602439 135.103377 \n",
       "L 229.618374 132.020087 \n",
       "L 228.734641 129.863357 \n",
       "L 228.322941 128.936797 \n",
       "L 225.723537 127.413563 \n",
       "L 222.712433 126.508595 \n",
       "L 219.701329 126.372273 \n",
       "L 216.690225 126.772196 \n",
       "L 213.679121 127.551614 \n",
       "L 210.668017 128.412429 \n",
       "L 209.195398 128.936797 \n",
       "L 207.656914 129.338433 \n",
       "L 204.64581 130.619421 \n",
       "L 201.634706 131.731106 \n",
       "L 201.019251 132.020087 \n",
       "L 198.623602 133.379441 \n",
       "L 195.882585 135.103377 \n",
       "L 195.612498 135.238495 \n",
       "L 192.601394 136.554035 \n",
       "L 189.943278 138.186667 \n",
       "L 189.59029 138.357259 \n",
       "L 186.579186 140.25393 \n",
       "L 185.274467 141.269957 \n",
       "L 183.568082 142.681303 \n",
       "L 181.718109 144.353247 \n",
       "L 180.556978 146.006683 \n",
       "L 179.326586 147.436537 \n",
       "L 177.545875 150.384007 \n",
       "L 177.459302 150.519827 \n",
       "L 176.132311 153.603117 \n",
       "L 174.98894 156.686407 \n",
       "L 174.534771 157.496168 \n",
       "L 172.892568 159.769697 \n",
       "L 171.523667 160.945472 \n",
       "L 169.422826 162.852987 \n",
       "L 168.512563 163.920006 \n",
       "L 166.483739 165.936277 \n",
       "L 165.501459 167.991939 \n",
       "L 164.952195 169.019567 \n",
       "L 165.501459 170.483621 \n",
       "L 166.011909 172.102857 \n",
       "L 168.385803 175.186147 \n",
       "L 168.512563 175.286859 \n",
       "L 171.523667 177.898847 \n",
       "L 172.08265 178.269437 \n",
       "L 174.534771 179.729609 \n",
       "L 177.545875 180.684795 \n",
       "L 180.032511 181.352727 \n",
       "z\n",
       "M 181.498699 178.269437 \n",
       "L 180.556978 178.103411 \n",
       "L 177.545875 177.269624 \n",
       "L 174.534771 176.262583 \n",
       "L 173.120909 175.186147 \n",
       "L 171.523667 173.855866 \n",
       "L 169.932997 172.102857 \n",
       "L 169.155305 169.019567 \n",
       "L 170.492836 165.936277 \n",
       "L 171.523667 164.756087 \n",
       "L 172.946671 162.852987 \n",
       "L 174.534771 161.41386 \n",
       "L 176.378234 159.769697 \n",
       "L 177.545875 157.851362 \n",
       "L 178.291617 156.686407 \n",
       "L 180.211484 153.603117 \n",
       "L 180.556978 152.778302 \n",
       "L 181.191241 150.519827 \n",
       "L 182.910448 147.436537 \n",
       "L 183.568082 146.56916 \n",
       "L 185.303865 144.353247 \n",
       "L 186.579186 143.245781 \n",
       "L 189.533691 141.269957 \n",
       "L 189.59029 141.231496 \n",
       "L 192.601394 139.450361 \n",
       "L 195.612498 138.243526 \n",
       "L 195.753768 138.186667 \n",
       "L 198.623602 136.478911 \n",
       "L 200.778057 135.103377 \n",
       "L 201.634706 134.504956 \n",
       "L 204.64581 133.260625 \n",
       "L 207.497822 132.020087 \n",
       "L 207.656914 131.944101 \n",
       "L 210.668017 131.152786 \n",
       "L 213.679121 130.518326 \n",
       "L 216.690225 129.70358 \n",
       "L 219.701329 129.218449 \n",
       "L 222.712433 129.880533 \n",
       "L 224.846715 132.020087 \n",
       "L 225.521569 135.103377 \n",
       "L 225.457873 138.186667 \n",
       "L 224.530123 141.269957 \n",
       "L 223.060011 144.353247 \n",
       "L 222.712433 144.851876 \n",
       "L 221.019851 147.436537 \n",
       "L 219.701329 149.650977 \n",
       "L 219.24936 150.519827 \n",
       "L 217.260824 153.603117 \n",
       "L 216.690225 154.289933 \n",
       "L 214.683689 156.686407 \n",
       "L 213.679121 157.928948 \n",
       "L 212.02441 159.769697 \n",
       "L 210.668017 161.304825 \n",
       "L 209.297057 162.852987 \n",
       "L 207.656914 164.847486 \n",
       "L 206.905578 165.936277 \n",
       "L 204.64581 168.387935 \n",
       "L 204.025205 169.019567 \n",
       "L 201.634706 171.583651 \n",
       "L 201.127233 172.102857 \n",
       "L 198.623602 173.97123 \n",
       "L 196.664778 175.186147 \n",
       "L 195.612498 176.076202 \n",
       "L 192.601394 178.028549 \n",
       "L 191.571668 178.269437 \n",
       "L 189.59029 178.931137 \n",
       "L 186.579186 179.338463 \n",
       "L 183.568082 178.891893 \n",
       "z\n",
       "\" style=\"fill:#8bd5ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_4\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 183.568082 178.891893 \n",
       "L 186.579186 179.338463 \n",
       "L 189.59029 178.931137 \n",
       "L 191.571668 178.269437 \n",
       "L 192.601394 178.028549 \n",
       "L 195.612498 176.076202 \n",
       "L 196.664778 175.186147 \n",
       "L 198.623602 173.97123 \n",
       "L 201.127233 172.102857 \n",
       "L 201.634706 171.583651 \n",
       "L 204.025205 169.019567 \n",
       "L 204.64581 168.387935 \n",
       "L 206.905578 165.936277 \n",
       "L 207.656914 164.847486 \n",
       "L 209.297057 162.852987 \n",
       "L 210.668017 161.304825 \n",
       "L 212.02441 159.769697 \n",
       "L 213.679121 157.928948 \n",
       "L 214.683689 156.686407 \n",
       "L 216.690225 154.289933 \n",
       "L 217.260824 153.603117 \n",
       "L 219.24936 150.519827 \n",
       "L 219.701329 149.650977 \n",
       "L 221.019851 147.436537 \n",
       "L 222.712433 144.851876 \n",
       "L 223.060011 144.353247 \n",
       "L 224.530123 141.269957 \n",
       "L 225.457873 138.186667 \n",
       "L 225.521569 135.103377 \n",
       "L 224.846715 132.020087 \n",
       "L 222.712433 129.880533 \n",
       "L 219.701329 129.218449 \n",
       "L 216.690225 129.70358 \n",
       "L 213.679121 130.518326 \n",
       "L 210.668017 131.152786 \n",
       "L 207.656914 131.944101 \n",
       "L 207.497822 132.020087 \n",
       "L 204.64581 133.260625 \n",
       "L 201.634706 134.504956 \n",
       "L 200.778057 135.103377 \n",
       "L 198.623602 136.478911 \n",
       "L 195.753768 138.186667 \n",
       "L 195.612498 138.243526 \n",
       "L 192.601394 139.450361 \n",
       "L 189.59029 141.231496 \n",
       "L 189.533691 141.269957 \n",
       "L 186.579186 143.245781 \n",
       "L 185.303865 144.353247 \n",
       "L 183.568082 146.56916 \n",
       "L 182.910448 147.436537 \n",
       "L 181.191241 150.519827 \n",
       "L 180.556978 152.778302 \n",
       "L 180.211484 153.603117 \n",
       "L 178.291617 156.686407 \n",
       "L 177.545875 157.851362 \n",
       "L 176.378234 159.769697 \n",
       "L 174.534771 161.41386 \n",
       "L 172.946671 162.852987 \n",
       "L 171.523667 164.756087 \n",
       "L 170.492836 165.936277 \n",
       "L 169.155305 169.019567 \n",
       "L 169.932997 172.102857 \n",
       "L 171.523667 173.855866 \n",
       "L 173.120909 175.186147 \n",
       "L 174.534771 176.262583 \n",
       "L 177.545875 177.269624 \n",
       "L 180.556978 178.103411 \n",
       "L 181.498699 178.269437 \n",
       "z\n",
       "M 178.015677 175.186147 \n",
       "L 177.545875 175.00213 \n",
       "L 174.534771 173.622629 \n",
       "L 172.83615 172.102857 \n",
       "L 171.91755 169.019567 \n",
       "L 173.072005 165.936277 \n",
       "L 174.534771 164.114895 \n",
       "L 176.024229 162.852987 \n",
       "L 177.545875 161.512531 \n",
       "L 179.057449 159.769697 \n",
       "L 180.556978 157.653487 \n",
       "L 181.413101 156.686407 \n",
       "L 182.937863 153.603117 \n",
       "L 183.568082 151.518985 \n",
       "L 183.941317 150.519827 \n",
       "L 186.084774 147.436537 \n",
       "L 186.579186 146.809045 \n",
       "L 188.719325 144.353247 \n",
       "L 189.59029 143.734634 \n",
       "L 192.601394 141.670438 \n",
       "L 193.218007 141.269957 \n",
       "L 195.612498 139.933485 \n",
       "L 198.623602 138.70889 \n",
       "L 199.643345 138.186667 \n",
       "L 201.634706 136.824633 \n",
       "L 204.64581 135.526391 \n",
       "L 205.794437 135.103377 \n",
       "L 207.656914 134.26543 \n",
       "L 210.668017 133.420798 \n",
       "L 213.679121 132.965991 \n",
       "L 216.690225 132.408621 \n",
       "L 219.701329 132.07351 \n",
       "L 222.511686 135.103377 \n",
       "L 222.503071 138.186667 \n",
       "L 222.066326 141.269957 \n",
       "L 220.854478 144.353247 \n",
       "L 219.701329 146.051861 \n",
       "L 218.93262 147.436537 \n",
       "L 217.209911 150.519827 \n",
       "L 216.690225 151.282182 \n",
       "L 214.935228 153.603117 \n",
       "L 213.679121 155.074467 \n",
       "L 212.346296 156.686407 \n",
       "L 210.668017 158.516751 \n",
       "L 209.488102 159.769697 \n",
       "L 207.656914 161.793339 \n",
       "L 206.824363 162.852987 \n",
       "L 204.64581 165.784484 \n",
       "L 204.520216 165.936277 \n",
       "L 201.634706 168.875715 \n",
       "L 201.507452 169.019567 \n",
       "L 198.623602 171.970753 \n",
       "L 198.448894 172.102857 \n",
       "L 195.612498 173.994283 \n",
       "L 193.38677 175.186147 \n",
       "L 192.601394 175.732064 \n",
       "L 189.59029 176.599402 \n",
       "L 186.579186 176.978279 \n",
       "L 183.568082 176.738394 \n",
       "L 180.556978 176.159512 \n",
       "z\n",
       "\" style=\"fill:#5dc5ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_5\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 180.556978 176.159512 \n",
       "L 183.568082 176.738394 \n",
       "L 186.579186 176.978279 \n",
       "L 189.59029 176.599402 \n",
       "L 192.601394 175.732064 \n",
       "L 193.38677 175.186147 \n",
       "L 195.612498 173.994283 \n",
       "L 198.448894 172.102857 \n",
       "L 198.623602 171.970753 \n",
       "L 201.507452 169.019567 \n",
       "L 201.634706 168.875715 \n",
       "L 204.520216 165.936277 \n",
       "L 204.64581 165.784484 \n",
       "L 206.824363 162.852987 \n",
       "L 207.656914 161.793339 \n",
       "L 209.488102 159.769697 \n",
       "L 210.668017 158.516751 \n",
       "L 212.346296 156.686407 \n",
       "L 213.679121 155.074467 \n",
       "L 214.935228 153.603117 \n",
       "L 216.690225 151.282182 \n",
       "L 217.209911 150.519827 \n",
       "L 218.93262 147.436537 \n",
       "L 219.701329 146.051861 \n",
       "L 220.854478 144.353247 \n",
       "L 222.066326 141.269957 \n",
       "L 222.503071 138.186667 \n",
       "L 222.511686 135.103377 \n",
       "L 219.701329 132.07351 \n",
       "L 216.690225 132.408621 \n",
       "L 213.679121 132.965991 \n",
       "L 210.668017 133.420798 \n",
       "L 207.656914 134.26543 \n",
       "L 205.794437 135.103377 \n",
       "L 204.64581 135.526391 \n",
       "L 201.634706 136.824633 \n",
       "L 199.643345 138.186667 \n",
       "L 198.623602 138.70889 \n",
       "L 195.612498 139.933485 \n",
       "L 193.218007 141.269957 \n",
       "L 192.601394 141.670438 \n",
       "L 189.59029 143.734634 \n",
       "L 188.719325 144.353247 \n",
       "L 186.579186 146.809045 \n",
       "L 186.084774 147.436537 \n",
       "L 183.941317 150.519827 \n",
       "L 183.568082 151.518985 \n",
       "L 182.937863 153.603117 \n",
       "L 181.413101 156.686407 \n",
       "L 180.556978 157.653487 \n",
       "L 179.057449 159.769697 \n",
       "L 177.545875 161.512531 \n",
       "L 176.024229 162.852987 \n",
       "L 174.534771 164.114895 \n",
       "L 173.072005 165.936277 \n",
       "L 171.91755 169.019567 \n",
       "L 172.83615 172.102857 \n",
       "L 174.534771 173.622629 \n",
       "L 177.545875 175.00213 \n",
       "L 178.015677 175.186147 \n",
       "z\n",
       "M 175.850991 172.102857 \n",
       "L 174.534771 169.849125 \n",
       "L 174.231531 169.019567 \n",
       "L 174.534771 168.162306 \n",
       "L 175.393897 165.936277 \n",
       "L 177.545875 164.039315 \n",
       "L 178.734258 162.852987 \n",
       "L 180.556978 160.778734 \n",
       "L 181.547711 159.769697 \n",
       "L 183.568082 157.533421 \n",
       "L 184.311666 156.686407 \n",
       "L 185.568885 153.603117 \n",
       "L 186.579186 151.507407 \n",
       "L 187.001017 150.519827 \n",
       "L 188.733641 147.436537 \n",
       "L 189.59029 146.485063 \n",
       "L 191.619173 144.353247 \n",
       "L 192.601394 143.636967 \n",
       "L 195.612498 141.618376 \n",
       "L 196.439704 141.269957 \n",
       "L 198.623602 140.358821 \n",
       "L 201.634706 138.767428 \n",
       "L 203.095701 138.186667 \n",
       "L 204.64581 137.419546 \n",
       "L 207.656914 136.279591 \n",
       "L 210.668017 135.508336 \n",
       "L 213.679121 135.177344 \n",
       "L 216.690225 135.268545 \n",
       "L 219.609474 138.186667 \n",
       "L 219.701329 138.91956 \n",
       "L 219.882326 141.269957 \n",
       "L 219.701329 141.735363 \n",
       "L 218.832342 144.353247 \n",
       "L 217.16618 147.436537 \n",
       "L 216.690225 148.255331 \n",
       "L 215.135507 150.519827 \n",
       "L 213.679121 152.403167 \n",
       "L 212.745111 153.603117 \n",
       "L 210.668017 156.096428 \n",
       "L 210.201461 156.686407 \n",
       "L 207.656914 159.377077 \n",
       "L 207.247166 159.769697 \n",
       "L 204.8705 162.852987 \n",
       "L 204.64581 163.155335 \n",
       "L 202.344863 165.936277 \n",
       "L 201.634706 166.659706 \n",
       "L 199.547133 169.019567 \n",
       "L 198.623602 169.964663 \n",
       "L 195.795836 172.102857 \n",
       "L 195.612498 172.225115 \n",
       "L 192.601394 173.928038 \n",
       "L 189.59029 174.715203 \n",
       "L 186.579186 175.017709 \n",
       "L 183.568082 174.889504 \n",
       "L 180.556978 174.228321 \n",
       "L 177.545875 173.014217 \n",
       "z\n",
       "\" style=\"fill:#2fb4ff;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_6\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 177.545875 173.014217 \n",
       "L 180.556978 174.228321 \n",
       "L 183.568082 174.889504 \n",
       "L 186.579186 175.017709 \n",
       "L 189.59029 174.715203 \n",
       "L 192.601394 173.928038 \n",
       "L 195.612498 172.225115 \n",
       "L 195.795836 172.102857 \n",
       "L 198.623602 169.964663 \n",
       "L 199.547133 169.019567 \n",
       "L 201.634706 166.659706 \n",
       "L 202.344863 165.936277 \n",
       "L 204.64581 163.155335 \n",
       "L 204.8705 162.852987 \n",
       "L 207.247166 159.769697 \n",
       "L 207.656914 159.377077 \n",
       "L 210.201461 156.686407 \n",
       "L 210.668017 156.096428 \n",
       "L 212.745111 153.603117 \n",
       "L 213.679121 152.403167 \n",
       "L 215.135507 150.519827 \n",
       "L 216.690225 148.255331 \n",
       "L 217.16618 147.436537 \n",
       "L 218.832342 144.353247 \n",
       "L 219.701329 141.735363 \n",
       "L 219.882326 141.269957 \n",
       "L 219.701329 138.91956 \n",
       "L 219.609474 138.186667 \n",
       "L 216.690225 135.268545 \n",
       "L 213.679121 135.177344 \n",
       "L 210.668017 135.508336 \n",
       "L 207.656914 136.279591 \n",
       "L 204.64581 137.419546 \n",
       "L 203.095701 138.186667 \n",
       "L 201.634706 138.767428 \n",
       "L 198.623602 140.358821 \n",
       "L 196.439704 141.269957 \n",
       "L 195.612498 141.618376 \n",
       "L 192.601394 143.636967 \n",
       "L 191.619173 144.353247 \n",
       "L 189.59029 146.485063 \n",
       "L 188.733641 147.436537 \n",
       "L 187.001017 150.519827 \n",
       "L 186.579186 151.507407 \n",
       "L 185.568885 153.603117 \n",
       "L 184.311666 156.686407 \n",
       "L 183.568082 157.533421 \n",
       "L 181.547711 159.769697 \n",
       "L 180.556978 160.778734 \n",
       "L 178.734258 162.852987 \n",
       "L 177.545875 164.039315 \n",
       "L 175.393897 165.936277 \n",
       "L 174.534771 168.162306 \n",
       "L 174.231531 169.019567 \n",
       "L 174.534771 169.849125 \n",
       "L 175.850991 172.102857 \n",
       "z\n",
       "M 180.056678 172.102857 \n",
       "L 177.545875 169.935037 \n",
       "L 176.918509 169.019567 \n",
       "L 177.545875 167.145871 \n",
       "L 177.876256 165.936277 \n",
       "L 180.556978 163.260443 \n",
       "L 180.912293 162.852987 \n",
       "L 183.568082 160.14496 \n",
       "L 184.102379 159.769697 \n",
       "L 186.579186 156.893962 \n",
       "L 186.732108 156.686407 \n",
       "L 188.049639 153.603117 \n",
       "L 189.339428 150.519827 \n",
       "L 189.59029 150.091077 \n",
       "L 191.024781 147.436537 \n",
       "L 192.601394 145.788511 \n",
       "L 194.099778 144.353247 \n",
       "L 195.612498 143.284104 \n",
       "L 198.623602 141.899841 \n",
       "L 199.856661 141.269957 \n",
       "L 201.634706 140.288094 \n",
       "L 204.64581 139.068074 \n",
       "L 207.494418 138.186667 \n",
       "L 207.656914 138.124084 \n",
       "L 210.668017 137.537749 \n",
       "L 213.679121 137.509445 \n",
       "L 215.54302 138.186667 \n",
       "L 216.690225 139.920504 \n",
       "L 217.086793 141.269957 \n",
       "L 216.968209 144.353247 \n",
       "L 216.690225 144.875923 \n",
       "L 215.048203 147.436537 \n",
       "L 213.679121 149.497959 \n",
       "L 213.12842 150.519827 \n",
       "L 210.668017 153.578334 \n",
       "L 210.648102 153.603117 \n",
       "L 208.207953 156.686407 \n",
       "L 207.656914 157.269091 \n",
       "L 205.047223 159.769697 \n",
       "L 204.64581 160.296733 \n",
       "L 202.499179 162.852987 \n",
       "L 201.634706 163.919925 \n",
       "L 200.557506 165.936277 \n",
       "L 198.623602 168.081355 \n",
       "L 197.588191 169.019567 \n",
       "L 195.612498 170.623421 \n",
       "L 192.908869 172.102857 \n",
       "L 192.601394 172.277587 \n",
       "L 189.59029 173.264171 \n",
       "L 186.579186 173.457464 \n",
       "L 183.568082 173.208159 \n",
       "L 180.556978 172.309874 \n",
       "z\n",
       "\" style=\"fill:#0ba0f3;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_7\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 180.556978 172.309874 \n",
       "L 183.568082 173.208159 \n",
       "L 186.579186 173.457464 \n",
       "L 189.59029 173.264171 \n",
       "L 192.601394 172.277587 \n",
       "L 192.908869 172.102857 \n",
       "L 195.612498 170.623421 \n",
       "L 197.588191 169.019567 \n",
       "L 198.623602 168.081355 \n",
       "L 200.557506 165.936277 \n",
       "L 201.634706 163.919925 \n",
       "L 202.499179 162.852987 \n",
       "L 204.64581 160.296733 \n",
       "L 205.047223 159.769697 \n",
       "L 207.656914 157.269091 \n",
       "L 208.207953 156.686407 \n",
       "L 210.648102 153.603117 \n",
       "L 210.668017 153.578334 \n",
       "L 213.12842 150.519827 \n",
       "L 213.679121 149.497959 \n",
       "L 215.048203 147.436537 \n",
       "L 216.690225 144.875923 \n",
       "L 216.968209 144.353247 \n",
       "L 217.086793 141.269957 \n",
       "L 216.690225 139.920504 \n",
       "L 215.54302 138.186667 \n",
       "L 213.679121 137.509445 \n",
       "L 210.668017 137.537749 \n",
       "L 207.656914 138.124084 \n",
       "L 207.494418 138.186667 \n",
       "L 204.64581 139.068074 \n",
       "L 201.634706 140.288094 \n",
       "L 199.856661 141.269957 \n",
       "L 198.623602 141.899841 \n",
       "L 195.612498 143.284104 \n",
       "L 194.099778 144.353247 \n",
       "L 192.601394 145.788511 \n",
       "L 191.024781 147.436537 \n",
       "L 189.59029 150.091077 \n",
       "L 189.339428 150.519827 \n",
       "L 188.049639 153.603117 \n",
       "L 186.732108 156.686407 \n",
       "L 186.579186 156.893962 \n",
       "L 184.102379 159.769697 \n",
       "L 183.568082 160.14496 \n",
       "L 180.912293 162.852987 \n",
       "L 180.556978 163.260443 \n",
       "L 177.876256 165.936277 \n",
       "L 177.545875 167.145871 \n",
       "L 176.918509 169.019567 \n",
       "L 177.545875 169.935037 \n",
       "L 180.056678 172.102857 \n",
       "z\n",
       "M 179.779902 169.019567 \n",
       "L 180.114032 165.936277 \n",
       "L 180.556978 165.494138 \n",
       "L 182.860146 162.852987 \n",
       "L 183.568082 162.131126 \n",
       "L 186.579186 159.998787 \n",
       "L 186.9743 159.769697 \n",
       "L 189.151212 156.686407 \n",
       "L 189.59029 155.640063 \n",
       "L 190.337273 153.603117 \n",
       "L 191.414273 150.519827 \n",
       "L 192.601394 148.41474 \n",
       "L 193.099412 147.436537 \n",
       "L 195.612498 144.995061 \n",
       "L 196.590905 144.353247 \n",
       "L 198.623602 143.306542 \n",
       "L 201.634706 141.713448 \n",
       "L 202.904521 141.269957 \n",
       "L 204.64581 140.549948 \n",
       "L 207.656914 140.057936 \n",
       "L 210.668017 140.099113 \n",
       "L 213.679121 141.014552 \n",
       "L 213.887752 141.269957 \n",
       "L 214.807494 144.353247 \n",
       "L 213.679121 146.098674 \n",
       "L 213.03288 147.436537 \n",
       "L 211.304591 150.519827 \n",
       "L 210.668017 151.311147 \n",
       "L 208.826206 153.603117 \n",
       "L 207.656914 155.052421 \n",
       "L 205.758142 156.686407 \n",
       "L 204.64581 157.739205 \n",
       "L 202.451645 159.769697 \n",
       "L 201.634706 160.759705 \n",
       "L 200.238363 162.852987 \n",
       "L 198.958205 165.936277 \n",
       "L 198.623602 166.307417 \n",
       "L 195.630473 169.019567 \n",
       "L 195.612498 169.034159 \n",
       "L 192.601394 170.843812 \n",
       "L 189.59029 171.824977 \n",
       "L 186.579186 171.884779 \n",
       "L 183.568082 171.410493 \n",
       "L 180.556978 169.732445 \n",
       "z\n",
       "\" style=\"fill:#0085d0;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_8\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 180.556978 169.732445 \n",
       "L 183.568082 171.410493 \n",
       "L 186.579186 171.884779 \n",
       "L 189.59029 171.824977 \n",
       "L 192.601394 170.843812 \n",
       "L 195.612498 169.034159 \n",
       "L 195.630473 169.019567 \n",
       "L 198.623602 166.307417 \n",
       "L 198.958205 165.936277 \n",
       "L 200.238363 162.852987 \n",
       "L 201.634706 160.759705 \n",
       "L 202.451645 159.769697 \n",
       "L 204.64581 157.739205 \n",
       "L 205.758142 156.686407 \n",
       "L 207.656914 155.052421 \n",
       "L 208.826206 153.603117 \n",
       "L 210.668017 151.311147 \n",
       "L 211.304591 150.519827 \n",
       "L 213.03288 147.436537 \n",
       "L 213.679121 146.098674 \n",
       "L 214.807494 144.353247 \n",
       "L 213.887752 141.269957 \n",
       "L 213.679121 141.014552 \n",
       "L 210.668017 140.099113 \n",
       "L 207.656914 140.057936 \n",
       "L 204.64581 140.549948 \n",
       "L 202.904521 141.269957 \n",
       "L 201.634706 141.713448 \n",
       "L 198.623602 143.306542 \n",
       "L 196.590905 144.353247 \n",
       "L 195.612498 144.995061 \n",
       "L 193.099412 147.436537 \n",
       "L 192.601394 148.41474 \n",
       "L 191.414273 150.519827 \n",
       "L 190.337273 153.603117 \n",
       "L 189.59029 155.640063 \n",
       "L 189.151212 156.686407 \n",
       "L 186.9743 159.769697 \n",
       "L 186.579186 159.998787 \n",
       "L 183.568082 162.131126 \n",
       "L 182.860146 162.852987 \n",
       "L 180.556978 165.494138 \n",
       "L 180.114032 165.936277 \n",
       "L 179.779902 169.019567 \n",
       "z\n",
       "M 182.965352 169.019567 \n",
       "L 182.28798 165.936277 \n",
       "L 183.568082 164.449067 \n",
       "L 185.187895 162.852987 \n",
       "L 186.579186 161.844074 \n",
       "L 189.59029 160.216032 \n",
       "L 190.321302 159.769697 \n",
       "L 191.770032 156.686407 \n",
       "L 192.451337 153.603117 \n",
       "L 192.601394 153.156442 \n",
       "L 193.39007 150.519827 \n",
       "L 194.943985 147.436537 \n",
       "L 195.612498 146.787073 \n",
       "L 198.623602 144.793618 \n",
       "L 199.18816 144.353247 \n",
       "L 201.634706 142.965116 \n",
       "L 204.64581 142.048496 \n",
       "L 207.656914 142.094707 \n",
       "L 210.668017 143.166187 \n",
       "L 211.953999 144.353247 \n",
       "L 211.379572 147.436537 \n",
       "L 210.668017 148.6637 \n",
       "L 209.551076 150.519827 \n",
       "L 207.656914 152.847762 \n",
       "L 206.559044 153.603117 \n",
       "L 204.64581 155.206559 \n",
       "L 202.352793 156.686407 \n",
       "L 201.634706 157.321407 \n",
       "L 199.070221 159.769697 \n",
       "L 198.623602 160.760812 \n",
       "L 197.944116 162.852987 \n",
       "L 196.95451 165.936277 \n",
       "L 195.612498 167.141471 \n",
       "L 193.293155 169.019567 \n",
       "L 192.601394 169.435693 \n",
       "L 189.59029 170.433232 \n",
       "L 186.579186 170.230148 \n",
       "L 183.568082 169.389631 \n",
       "z\n",
       "\" style=\"fill:#0068a2;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_9\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 183.568082 169.389631 \n",
       "L 186.579186 170.230148 \n",
       "L 189.59029 170.433232 \n",
       "L 192.601394 169.435693 \n",
       "L 193.293155 169.019567 \n",
       "L 195.612498 167.141471 \n",
       "L 196.95451 165.936277 \n",
       "L 197.944116 162.852987 \n",
       "L 198.623602 160.760812 \n",
       "L 199.070221 159.769697 \n",
       "L 201.634706 157.321407 \n",
       "L 202.352793 156.686407 \n",
       "L 204.64581 155.206559 \n",
       "L 206.559044 153.603117 \n",
       "L 207.656914 152.847762 \n",
       "L 209.551076 150.519827 \n",
       "L 210.668017 148.6637 \n",
       "L 211.379572 147.436537 \n",
       "L 211.953999 144.353247 \n",
       "L 210.668017 143.166187 \n",
       "L 207.656914 142.094707 \n",
       "L 204.64581 142.048496 \n",
       "L 201.634706 142.965116 \n",
       "L 199.18816 144.353247 \n",
       "L 198.623602 144.793618 \n",
       "L 195.612498 146.787073 \n",
       "L 194.943985 147.436537 \n",
       "L 193.39007 150.519827 \n",
       "L 192.601394 153.156442 \n",
       "L 192.451337 153.603117 \n",
       "L 191.770032 156.686407 \n",
       "L 190.321302 159.769697 \n",
       "L 189.59029 160.216032 \n",
       "L 186.579186 161.844074 \n",
       "L 185.187895 162.852987 \n",
       "L 183.568082 164.449067 \n",
       "L 182.28798 165.936277 \n",
       "L 182.965352 169.019567 \n",
       "z\n",
       "M 189.423375 169.019567 \n",
       "L 186.579186 167.868329 \n",
       "L 184.9972 165.936277 \n",
       "L 186.579186 164.399517 \n",
       "L 189.281517 162.852987 \n",
       "L 189.59029 162.723146 \n",
       "L 192.601394 161.38696 \n",
       "L 194.910821 162.852987 \n",
       "L 193.998351 165.936277 \n",
       "L 192.601394 166.88933 \n",
       "L 189.656135 169.019567 \n",
       "L 189.59029 169.041486 \n",
       "z\n",
       "M 195.314333 153.603117 \n",
       "L 195.272438 150.519827 \n",
       "L 195.612498 149.839076 \n",
       "L 197.248505 147.436537 \n",
       "L 198.623602 146.514383 \n",
       "L 201.394192 144.353247 \n",
       "L 201.634706 144.216783 \n",
       "L 204.64581 143.562801 \n",
       "L 207.656914 144.298298 \n",
       "L 207.770743 144.353247 \n",
       "L 209.342606 147.436537 \n",
       "L 207.83526 150.519827 \n",
       "L 207.656914 150.739016 \n",
       "L 204.64581 152.677917 \n",
       "L 203.113595 153.603117 \n",
       "L 201.634706 154.548994 \n",
       "L 198.623602 156.524521 \n",
       "L 195.612498 156.251795 \n",
       "z\n",
       "\" style=\"fill:#004a74;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_10\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 189.59029 169.041486 \n",
       "L 189.656135 169.019567 \n",
       "L 192.601394 166.88933 \n",
       "L 193.998351 165.936277 \n",
       "L 194.910821 162.852987 \n",
       "L 192.601394 161.38696 \n",
       "L 189.59029 162.723146 \n",
       "L 189.281517 162.852987 \n",
       "L 186.579186 164.399517 \n",
       "L 184.9972 165.936277 \n",
       "L 186.579186 167.868329 \n",
       "L 189.423375 169.019567 \n",
       "z\n",
       "\" style=\"fill:#002c44;\"/>\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 195.612498 156.251795 \n",
       "L 198.623602 156.524521 \n",
       "L 201.634706 154.548994 \n",
       "L 203.113595 153.603117 \n",
       "L 204.64581 152.677917 \n",
       "L 207.656914 150.739016 \n",
       "L 207.83526 150.519827 \n",
       "L 209.342606 147.436537 \n",
       "L 207.770743 144.353247 \n",
       "L 207.656914 144.298298 \n",
       "L 204.64581 143.562801 \n",
       "L 201.634706 144.216783 \n",
       "L 201.394192 144.353247 \n",
       "L 198.623602 146.514383 \n",
       "L 197.248505 147.436537 \n",
       "L 195.612498 149.839076 \n",
       "L 195.272438 150.519827 \n",
       "L 195.314333 153.603117 \n",
       "z\n",
       "M 198.505789 150.519827 \n",
       "L 198.623602 150.313042 \n",
       "L 200.305859 147.436537 \n",
       "L 201.634706 146.53771 \n",
       "L 204.64581 146.057357 \n",
       "L 206.404379 147.436537 \n",
       "L 204.64581 149.773773 \n",
       "L 203.981561 150.519827 \n",
       "L 201.634706 151.772839 \n",
       "L 198.623602 150.736122 \n",
       "z\n",
       "\" style=\"fill:#002c44;\"/>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_11\">\n",
       "    <path clip-path=\"url(#pfbefe607b7)\" d=\"M 198.623602 150.736122 \n",
       "L 201.634706 151.772839 \n",
       "L 203.981561 150.519827 \n",
       "L 204.64581 149.773773 \n",
       "L 206.404379 147.436537 \n",
       "L 204.64581 146.057357 \n",
       "L 201.634706 146.53771 \n",
       "L 200.305859 147.436537 \n",
       "L 198.623602 150.313042 \n",
       "L 198.505789 150.519827 \n",
       "z\n",
       "\" style=\"fill:#000e16;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_3\">\n",
       "    <path d=\"M 57.101719 375.6 \n",
       "L 57.101719 70.354286 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_4\">\n",
       "    <path d=\"M 57.101719 375.6 \n",
       "L 355.201004 375.6 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"legend_1\">\n",
       "    <g id=\"patch_5\">\n",
       "     <path d=\"M 155.449911 99.783036 \n",
       "L 348.701004 99.783036 \n",
       "L 348.701004 76.854286 \n",
       "L 155.449911 76.854286 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;stroke:#ffffff;stroke-linejoin:miter;stroke-width:0.3;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_25\"/>\n",
       "    <g id=\"line2d_26\"/>\n",
       "    <g id=\"text_15\">\n",
       "     <!-- pearsonr = 0.57; p = 0 -->\n",
       "     <defs>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 26.859375 54.203125 37.890625 54.203125 \n",
       "Q 44.828125 54.203125 48.90625 49.828125 \n",
       "Q 52.984375 45.453125 52.984375 38.09375 \n",
       "L 52.984375 0 \n",
       "L 43.359375 0 \n",
       "L 43.359375 34.96875 \n",
       "Q 43.359375 40.875 41.625 43.390625 \n",
       "Q 39.890625 45.90625 35.890625 45.90625 \n",
       "Q 27.046875 45.90625 19.234375 34.328125 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-6e\"/>\n",
       "      <path d=\"M 48.484375 1.703125 \n",
       "Q 38.8125 -1.21875 31.9375 -1.21875 \n",
       "Q 20.171875 -1.21875 12.796875 6.5625 \n",
       "Q 5.421875 14.359375 5.421875 26.765625 \n",
       "Q 5.421875 38.8125 11.9375 46.53125 \n",
       "Q 18.453125 54.25 28.609375 54.25 \n",
       "Q 38.234375 54.25 43.484375 47.390625 \n",
       "Q 48.734375 40.53125 48.734375 27.9375 \n",
       "L 48.6875 25 \n",
       "L 15.234375 25 \n",
       "Q 17.328125 6.109375 33.734375 6.109375 \n",
       "Q 39.75 6.109375 48.484375 9.328125 \n",
       "z\n",
       "M 15.671875 32.234375 \n",
       "L 39.0625 32.234375 \n",
       "Q 39.0625 47.015625 28.03125 47.015625 \n",
       "Q 16.9375 47.015625 15.671875 32.234375 \n",
       "\" id=\"LucidaSansUnicode-65\"/>\n",
       "      <path id=\"LucidaSansUnicode-20\"/>\n",
       "      <path d=\"M 10.984375 -15.671875 \n",
       "L 10.984375 -12.0625 \n",
       "Q 14.453125 -10.25 14.453125 -1.125 \n",
       "L 14.453125 0 \n",
       "L 10.984375 0 \n",
       "L 10.984375 9.625 \n",
       "L 20.609375 9.625 \n",
       "L 20.609375 1.515625 \n",
       "Q 20.609375 -13.28125 10.984375 -15.671875 \n",
       "M 10.984375 43.359375 \n",
       "L 10.984375 53.03125 \n",
       "L 20.609375 53.03125 \n",
       "L 20.609375 43.359375 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-3b\"/>\n",
       "      <path d=\"M 15.046875 0 \n",
       "Q 16.453125 8.453125 19.0625 14.59375 \n",
       "Q 21.6875 20.75 28.328125 31.5 \n",
       "L 48.046875 63.234375 \n",
       "L 10.84375 63.234375 \n",
       "L 10.84375 72.265625 \n",
       "L 57.234375 72.265625 \n",
       "L 57.234375 63.234375 \n",
       "Q 29.4375 22.265625 26.125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-37\"/>\n",
       "      <path d=\"M 10.84375 17.484375 \n",
       "L 10.84375 22.265625 \n",
       "L 68.65625 22.265625 \n",
       "L 68.65625 17.484375 \n",
       "z\n",
       "M 10.84375 35.546875 \n",
       "L 10.84375 40.375 \n",
       "L 68.65625 40.375 \n",
       "L 68.65625 35.546875 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-3d\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 24.953125 54.203125 35.84375 54.203125 \n",
       "Q 37.3125 54.203125 38.921875 53.953125 \n",
       "L 38.921875 44.96875 \n",
       "Q 36.421875 45.796875 34.515625 45.796875 \n",
       "Q 25.390625 45.796875 19.234375 34.96875 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-72\"/>\n",
       "      <path d=\"M 36.96875 6.734375 \n",
       "Q 28.328125 -1.21875 20.3125 -1.21875 \n",
       "Q 13.71875 -1.21875 9.375 2.90625 \n",
       "Q 5.03125 7.03125 5.03125 13.328125 \n",
       "Q 5.03125 22.015625 12.328125 26.671875 \n",
       "Q 19.625 31.34375 33.296875 31.34375 \n",
       "L 35.546875 31.34375 \n",
       "L 35.546875 37.75 \n",
       "Q 35.546875 46.96875 25.921875 46.96875 \n",
       "Q 18.453125 46.96875 9.625 42.28125 \n",
       "L 9.625 50.25 \n",
       "Q 19.34375 54.203125 27.9375 54.203125 \n",
       "Q 36.765625 54.203125 40.96875 50.171875 \n",
       "Q 45.171875 46.140625 45.171875 37.75 \n",
       "L 45.171875 13.71875 \n",
       "Q 45.171875 5.46875 50.25 5.46875 \n",
       "Q 50.875 5.46875 52.09375 5.671875 \n",
       "L 52.78125 0.34375 \n",
       "Q 49.515625 -1.21875 45.5625 -1.21875 \n",
       "Q 38.8125 -1.21875 36.96875 6.734375 \n",
       "M 35.546875 11.96875 \n",
       "L 35.546875 25.6875 \n",
       "L 32.46875 25.78125 \n",
       "Q 24.46875 25.78125 19.5625 22.796875 \n",
       "Q 14.65625 19.828125 14.65625 14.890625 \n",
       "Q 14.65625 11.421875 17.09375 9.03125 \n",
       "Q 19.53125 6.640625 23.046875 6.640625 \n",
       "Q 29.046875 6.640625 35.546875 11.96875 \n",
       "\" id=\"LucidaSansUnicode-61\"/>\n",
       "      <path d=\"M 7.671875 1.859375 \n",
       "L 7.671875 10.6875 \n",
       "Q 17.09375 6 24.078125 6 \n",
       "Q 28.21875 6 30.953125 8.25 \n",
       "Q 33.6875 10.5 33.6875 13.875 \n",
       "Q 33.6875 18.796875 26.03125 22.015625 \n",
       "L 20.40625 24.421875 \n",
       "Q 7.953125 29.59375 7.953125 39.3125 \n",
       "Q 7.953125 46.234375 12.859375 50.21875 \n",
       "Q 17.78125 54.203125 26.3125 54.203125 \n",
       "Q 30.765625 54.203125 37.3125 52.984375 \n",
       "L 39.3125 52.59375 \n",
       "L 39.3125 44.578125 \n",
       "Q 31.25 46.96875 26.46875 46.96875 \n",
       "Q 22.265625 46.96875 19.75 45.140625 \n",
       "Q 17.234375 43.3125 17.234375 40.234375 \n",
       "Q 17.234375 35.890625 24.265625 32.90625 \n",
       "L 28.90625 30.953125 \n",
       "Q 36.765625 27.640625 40.03125 23.953125 \n",
       "Q 43.3125 20.265625 43.3125 14.75 \n",
       "Q 43.3125 7.765625 37.796875 3.265625 \n",
       "Q 32.28125 -1.21875 23.6875 -1.21875 \n",
       "Q 17.09375 -1.21875 7.671875 1.859375 \n",
       "\" id=\"LucidaSansUnicode-73\"/>\n",
       "      <path d=\"M 9.625 -19.28125 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 25.140625 54.203125 36.96875 54.203125 \n",
       "Q 46.53125 54.203125 52.015625 47.21875 \n",
       "Q 57.515625 40.234375 57.515625 28.125 \n",
       "Q 57.515625 14.9375 51.28125 6.859375 \n",
       "Q 45.0625 -1.21875 34.90625 -1.21875 \n",
       "Q 25.484375 -1.21875 19.234375 6 \n",
       "L 19.234375 -19.28125 \n",
       "z\n",
       "M 19.234375 12.640625 \n",
       "Q 26.65625 6 33.40625 6 \n",
       "Q 40.046875 6 43.65625 11.546875 \n",
       "Q 47.265625 17.09375 47.265625 27.15625 \n",
       "Q 47.265625 45.796875 34.96875 45.796875 \n",
       "Q 26.90625 45.796875 19.234375 37.0625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-70\"/>\n",
       "      <path d=\"M 30.71875 -1.21875 \n",
       "Q 19.046875 -1.21875 12.234375 6.25 \n",
       "Q 5.421875 13.71875 5.421875 26.515625 \n",
       "Q 5.421875 39.3125 12.234375 46.75 \n",
       "Q 19.046875 54.203125 30.71875 54.203125 \n",
       "Q 42.390625 54.203125 49.1875 46.75 \n",
       "Q 56 39.3125 56 26.515625 \n",
       "Q 56 13.71875 49.1875 6.25 \n",
       "Q 42.390625 -1.21875 30.71875 -1.21875 \n",
       "M 30.71875 6 \n",
       "Q 37.890625 6 41.84375 11.375 \n",
       "Q 45.796875 16.75 45.796875 26.515625 \n",
       "Q 45.796875 36.28125 41.84375 41.625 \n",
       "Q 37.890625 46.96875 30.71875 46.96875 \n",
       "Q 23.53125 46.96875 19.59375 41.625 \n",
       "Q 15.671875 36.28125 15.671875 26.515625 \n",
       "Q 15.671875 16.75 19.59375 11.375 \n",
       "Q 23.53125 6 30.71875 6 \n",
       "\" id=\"LucidaSansUnicode-6f\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(197.049910714 92.0764732143)scale(0.13 -0.13)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-70\"/>\n",
       "      <use x=\"62.939453125\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"118.65234375\" xlink:href=\"#LucidaSansUnicode-61\"/>\n",
       "      <use x=\"173.876953125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"214.794921875\" xlink:href=\"#LucidaSansUnicode-73\"/>\n",
       "      <use x=\"265.771484375\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"327.197265625\" xlink:href=\"#LucidaSansUnicode-6e\"/>\n",
       "      <use x=\"389.2578125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"430.17578125\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"461.81640625\" xlink:href=\"#LucidaSansUnicode-3d\"/>\n",
       "      <use x=\"541.30859375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"572.94921875\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      <use x=\"636.181640625\" xlink:href=\"#LucidaSansUnicode-2e\"/>\n",
       "      <use x=\"667.822265625\" xlink:href=\"#LucidaSansUnicode-35\"/>\n",
       "      <use x=\"731.0546875\" xlink:href=\"#LucidaSansUnicode-37\"/>\n",
       "      <use x=\"794.287109375\" xlink:href=\"#LucidaSansUnicode-3b\"/>\n",
       "      <use x=\"825.927734375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"857.568359375\" xlink:href=\"#LucidaSansUnicode-70\"/>\n",
       "      <use x=\"920.5078125\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"952.1484375\" xlink:href=\"#LucidaSansUnicode-3d\"/>\n",
       "      <use x=\"1031.640625\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"1063.28125\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "  </g>\n",
       "  <g id=\"axes_2\">\n",
       "   <g id=\"patch_6\">\n",
       "    <path d=\"M 57.101719 59.828571 \n",
       "L 355.201004 59.828571 \n",
       "L 355.201004 7.2 \n",
       "L 57.101719 7.2 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_3\">\n",
       "    <g id=\"xtick_6\">\n",
       "     <g id=\"line2d_27\">\n",
       "      <path clip-path=\"url(#pe0b69865ec)\" d=\"M 101.579615 59.828571 \n",
       "L 101.579615 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_28\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"101.579614805\" xlink:href=\"#m95da8bfa11\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_7\">\n",
       "     <g id=\"line2d_29\">\n",
       "      <path clip-path=\"url(#pe0b69865ec)\" d=\"M 152.918258 59.828571 \n",
       "L 152.918258 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_30\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"152.918258251\" xlink:href=\"#m95da8bfa11\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_8\">\n",
       "     <g id=\"line2d_31\">\n",
       "      <path clip-path=\"url(#pe0b69865ec)\" d=\"M 204.256902 59.828571 \n",
       "L 204.256902 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_32\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"204.256901696\" xlink:href=\"#m95da8bfa11\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_9\">\n",
       "     <g id=\"line2d_33\">\n",
       "      <path clip-path=\"url(#pe0b69865ec)\" d=\"M 255.595545 59.828571 \n",
       "L 255.595545 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_34\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"255.595545142\" xlink:href=\"#m95da8bfa11\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_10\">\n",
       "     <g id=\"line2d_35\">\n",
       "      <path clip-path=\"url(#pe0b69865ec)\" d=\"M 306.934189 59.828571 \n",
       "L 306.934189 7.2 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_36\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"306.934188587\" xlink:href=\"#m95da8bfa11\" y=\"59.8285714286\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_4\">\n",
       "    <g id=\"ytick_8\"/>\n",
       "    <g id=\"ytick_9\"/>\n",
       "    <g id=\"ytick_10\"/>\n",
       "    <g id=\"ytick_11\"/>\n",
       "    <g id=\"ytick_12\"/>\n",
       "    <g id=\"ytick_13\"/>\n",
       "   </g>\n",
       "   <g id=\"PolyCollection_1\">\n",
       "    <defs>\n",
       "     <path d=\"M 57.101719 -363.883929 \n",
       "L 57.101719 -363.883929 \n",
       "L 59.448957 -363.883929 \n",
       "L 61.796196 -363.883929 \n",
       "L 64.143434 -363.883929 \n",
       "L 66.490673 -363.883929 \n",
       "L 68.837911 -363.883929 \n",
       "L 71.18515 -363.883929 \n",
       "L 73.532388 -363.883929 \n",
       "L 75.879627 -363.883929 \n",
       "L 78.226865 -363.883929 \n",
       "L 80.574103 -363.883929 \n",
       "L 82.921342 -363.883929 \n",
       "L 85.26858 -363.883929 \n",
       "L 87.615819 -363.883929 \n",
       "L 89.963057 -363.883929 \n",
       "L 92.310296 -363.883929 \n",
       "L 94.657534 -363.883929 \n",
       "L 97.004773 -363.883929 \n",
       "L 99.352011 -363.883929 \n",
       "L 101.69925 -363.883929 \n",
       "L 104.046488 -363.883929 \n",
       "L 106.393727 -363.883929 \n",
       "L 108.740965 -363.883929 \n",
       "L 111.088204 -363.883929 \n",
       "L 113.435442 -363.883929 \n",
       "L 115.782681 -363.883929 \n",
       "L 118.129919 -363.883929 \n",
       "L 120.477157 -363.883929 \n",
       "L 122.824396 -363.883929 \n",
       "L 125.171634 -363.883929 \n",
       "L 127.518873 -363.883929 \n",
       "L 129.866111 -363.883929 \n",
       "L 132.21335 -363.883929 \n",
       "L 134.560588 -363.883929 \n",
       "L 136.907827 -363.883929 \n",
       "L 139.255065 -363.883929 \n",
       "L 141.602304 -363.883929 \n",
       "L 143.949542 -363.883929 \n",
       "L 146.296781 -363.883929 \n",
       "L 148.644019 -363.883929 \n",
       "L 150.991258 -363.883929 \n",
       "L 153.338496 -363.883929 \n",
       "L 155.685734 -363.883929 \n",
       "L 158.032973 -363.883929 \n",
       "L 160.380211 -363.883929 \n",
       "L 162.72745 -363.883929 \n",
       "L 165.074688 -363.883929 \n",
       "L 167.421927 -363.883929 \n",
       "L 169.769165 -363.883929 \n",
       "L 172.116404 -363.883929 \n",
       "L 174.463642 -363.883929 \n",
       "L 176.810881 -363.883929 \n",
       "L 179.158119 -363.883929 \n",
       "L 181.505358 -363.883929 \n",
       "L 183.852596 -363.883929 \n",
       "L 186.199835 -363.883929 \n",
       "L 188.547073 -363.883929 \n",
       "L 190.894312 -363.883929 \n",
       "L 193.24155 -363.883929 \n",
       "L 195.588788 -363.883929 \n",
       "L 197.936027 -363.883929 \n",
       "L 200.283265 -363.883929 \n",
       "L 202.630504 -363.883929 \n",
       "L 204.977742 -363.883929 \n",
       "L 207.324981 -363.883929 \n",
       "L 209.672219 -363.883929 \n",
       "L 212.019458 -363.883929 \n",
       "L 214.366696 -363.883929 \n",
       "L 216.713935 -363.883929 \n",
       "L 219.061173 -363.883929 \n",
       "L 221.408412 -363.883929 \n",
       "L 223.75565 -363.883929 \n",
       "L 226.102889 -363.883929 \n",
       "L 228.450127 -363.883929 \n",
       "L 230.797366 -363.883929 \n",
       "L 233.144604 -363.883929 \n",
       "L 235.491842 -363.883929 \n",
       "L 237.839081 -363.883929 \n",
       "L 240.186319 -363.883929 \n",
       "L 242.533558 -363.883929 \n",
       "L 244.880796 -363.883929 \n",
       "L 247.228035 -363.883929 \n",
       "L 249.575273 -363.883929 \n",
       "L 251.922512 -363.883929 \n",
       "L 254.26975 -363.883929 \n",
       "L 256.616989 -363.883929 \n",
       "L 258.964227 -363.883929 \n",
       "L 261.311466 -363.883929 \n",
       "L 263.658704 -363.883929 \n",
       "L 266.005943 -363.883929 \n",
       "L 268.353181 -363.883929 \n",
       "L 270.70042 -363.883929 \n",
       "L 273.047658 -363.883929 \n",
       "L 275.394896 -363.883929 \n",
       "L 277.742135 -363.883929 \n",
       "L 280.089373 -363.883929 \n",
       "L 282.436612 -363.883929 \n",
       "L 284.78385 -363.883929 \n",
       "L 287.131089 -363.883929 \n",
       "L 289.478327 -363.883929 \n",
       "L 291.825566 -363.883929 \n",
       "L 294.172804 -363.883929 \n",
       "L 296.520043 -363.883929 \n",
       "L 298.867281 -363.883929 \n",
       "L 301.21452 -363.883929 \n",
       "L 303.561758 -363.883929 \n",
       "L 305.908997 -363.883929 \n",
       "L 308.256235 -363.883929 \n",
       "L 310.603474 -363.883929 \n",
       "L 312.950712 -363.883929 \n",
       "L 315.29795 -363.883929 \n",
       "L 317.645189 -363.883929 \n",
       "L 319.992427 -363.883929 \n",
       "L 322.339666 -363.883929 \n",
       "L 324.686904 -363.883929 \n",
       "L 327.034143 -363.883929 \n",
       "L 329.381381 -363.883929 \n",
       "L 331.72862 -363.883929 \n",
       "L 334.075858 -363.883929 \n",
       "L 336.423097 -363.883929 \n",
       "L 338.770335 -363.883929 \n",
       "L 341.117574 -363.883929 \n",
       "L 343.464812 -363.883929 \n",
       "L 345.812051 -363.883929 \n",
       "L 348.159289 -363.883929 \n",
       "L 350.506528 -363.883929 \n",
       "L 352.853766 -363.883929 \n",
       "L 355.201004 -363.883929 \n",
       "L 355.201004 -363.884149 \n",
       "L 355.201004 -363.884149 \n",
       "L 352.853766 -363.888819 \n",
       "L 350.506528 -363.902998 \n",
       "L 348.159289 -363.89469 \n",
       "L 345.812051 -363.885861 \n",
       "L 343.464812 -363.885199 \n",
       "L 341.117574 -363.888855 \n",
       "L 338.770335 -363.886509 \n",
       "L 336.423097 -363.885752 \n",
       "L 334.075858 -363.89167 \n",
       "L 331.72862 -363.902705 \n",
       "L 329.381381 -363.911249 \n",
       "L 327.034143 -363.907446 \n",
       "L 324.686904 -363.909322 \n",
       "L 322.339666 -363.902542 \n",
       "L 319.992427 -363.894878 \n",
       "L 317.645189 -363.896708 \n",
       "L 315.29795 -363.895936 \n",
       "L 312.950712 -363.902914 \n",
       "L 310.603474 -363.908081 \n",
       "L 308.256235 -363.90498 \n",
       "L 305.908997 -363.910567 \n",
       "L 303.561758 -363.916471 \n",
       "L 301.21452 -363.903415 \n",
       "L 298.867281 -363.906222 \n",
       "L 296.520043 -363.900299 \n",
       "L 294.172804 -363.905931 \n",
       "L 291.825566 -363.913384 \n",
       "L 289.478327 -363.912905 \n",
       "L 287.131089 -363.906282 \n",
       "L 284.78385 -363.910981 \n",
       "L 282.436612 -363.926313 \n",
       "L 280.089373 -363.938757 \n",
       "L 277.742135 -363.932869 \n",
       "L 275.394896 -363.939772 \n",
       "L 273.047658 -363.927394 \n",
       "L 270.70042 -363.931038 \n",
       "L 268.353181 -363.957088 \n",
       "L 266.005943 -364.014961 \n",
       "L 263.658704 -364.049222 \n",
       "L 261.311466 -364.060754 \n",
       "L 258.964227 -364.078681 \n",
       "L 256.616989 -364.100536 \n",
       "L 254.26975 -364.160788 \n",
       "L 251.922512 -364.240608 \n",
       "L 249.575273 -364.34042 \n",
       "L 247.228035 -364.561444 \n",
       "L 244.880796 -364.871314 \n",
       "L 242.533558 -365.324231 \n",
       "L 240.186319 -365.848851 \n",
       "L 237.839081 -366.387338 \n",
       "L 235.491842 -367.351833 \n",
       "L 233.144604 -368.85218 \n",
       "L 230.797366 -370.598594 \n",
       "L 228.450127 -372.582599 \n",
       "L 226.102889 -374.91902 \n",
       "L 223.75565 -378.161883 \n",
       "L 221.408412 -381.818906 \n",
       "L 219.061173 -385.750598 \n",
       "L 216.713935 -389.746606 \n",
       "L 214.366696 -393.573989 \n",
       "L 212.019458 -397.300645 \n",
       "L 209.672219 -401.704428 \n",
       "L 207.324981 -405.472237 \n",
       "L 204.977742 -408.876535 \n",
       "L 202.630504 -411.553215 \n",
       "L 200.283265 -413.186979 \n",
       "L 197.936027 -414.696694 \n",
       "L 195.588788 -415.790669 \n",
       "L 193.24155 -415.213386 \n",
       "L 190.894312 -413.14304 \n",
       "L 188.547073 -410.336951 \n",
       "L 186.199835 -407.104562 \n",
       "L 183.852596 -402.865972 \n",
       "L 181.505358 -397.608667 \n",
       "L 179.158119 -392.781714 \n",
       "L 176.810881 -388.246343 \n",
       "L 174.463642 -384.229489 \n",
       "L 172.116404 -380.119568 \n",
       "L 169.769165 -376.455341 \n",
       "L 167.421927 -373.870217 \n",
       "L 165.074688 -371.832096 \n",
       "L 162.72745 -369.719417 \n",
       "L 160.380211 -368.316702 \n",
       "L 158.032973 -367.36897 \n",
       "L 155.685734 -366.493059 \n",
       "L 153.338496 -365.868393 \n",
       "L 150.991258 -365.425244 \n",
       "L 148.644019 -365.069529 \n",
       "L 146.296781 -364.759807 \n",
       "L 143.949542 -364.561264 \n",
       "L 141.602304 -364.376626 \n",
       "L 139.255065 -364.255343 \n",
       "L 136.907827 -364.175214 \n",
       "L 134.560588 -364.147272 \n",
       "L 132.21335 -364.119992 \n",
       "L 129.866111 -364.04792 \n",
       "L 127.518873 -363.993308 \n",
       "L 125.171634 -363.956568 \n",
       "L 122.824396 -363.948444 \n",
       "L 120.477157 -363.945483 \n",
       "L 118.129919 -363.927192 \n",
       "L 115.782681 -363.927294 \n",
       "L 113.435442 -363.915809 \n",
       "L 111.088204 -363.904986 \n",
       "L 108.740965 -363.906382 \n",
       "L 106.393727 -363.910713 \n",
       "L 104.046488 -363.913151 \n",
       "L 101.69925 -363.897721 \n",
       "L 99.352011 -363.890272 \n",
       "L 97.004773 -363.898547 \n",
       "L 94.657534 -363.903709 \n",
       "L 92.310296 -363.901881 \n",
       "L 89.963057 -363.89903 \n",
       "L 87.615819 -363.89273 \n",
       "L 85.26858 -363.885872 \n",
       "L 82.921342 -363.885303 \n",
       "L 80.574103 -363.888637 \n",
       "L 78.226865 -363.886737 \n",
       "L 75.879627 -363.885941 \n",
       "L 73.532388 -363.889633 \n",
       "L 71.18515 -363.885695 \n",
       "L 68.837911 -363.884102 \n",
       "L 66.490673 -363.884339 \n",
       "L 64.143434 -363.886692 \n",
       "L 61.796196 -363.888618 \n",
       "L 59.448957 -363.88523 \n",
       "L 57.101719 -363.883929 \n",
       "z\n",
       "\" id=\"m8b8660864a\" style=\"stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#pe0b69865ec)\">\n",
       "     <use style=\"fill:#0072b2;fill-opacity:0.25;stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\" x=\"0.0\" xlink:href=\"#m8b8660864a\" y=\"423.7125\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"line2d_37\">\n",
       "    <path clip-path=\"url(#pe0b69865ec)\" d=\"M 57.101719 59.828571 \n",
       "L 127.518873 59.719192 \n",
       "L 141.602304 59.335874 \n",
       "L 146.296781 58.952693 \n",
       "L 150.991258 58.287256 \n",
       "L 153.338496 57.844107 \n",
       "L 155.685734 57.219441 \n",
       "L 160.380211 55.395798 \n",
       "L 162.72745 53.993083 \n",
       "L 167.421927 49.842283 \n",
       "L 169.769165 47.257159 \n",
       "L 172.116404 43.592932 \n",
       "L 176.810881 35.466157 \n",
       "L 179.158119 30.930786 \n",
       "L 181.505358 26.103833 \n",
       "L 183.852596 20.846528 \n",
       "L 186.199835 16.607938 \n",
       "L 188.547073 13.375549 \n",
       "L 190.894312 10.56946 \n",
       "L 193.24155 8.499114 \n",
       "L 195.588788 7.921831 \n",
       "L 197.936027 9.015806 \n",
       "L 202.630504 12.159285 \n",
       "L 204.977742 14.835965 \n",
       "L 207.324981 18.240263 \n",
       "L 209.672219 22.008072 \n",
       "L 212.019458 26.411855 \n",
       "L 216.713935 33.965894 \n",
       "L 221.408412 41.893594 \n",
       "L 223.75565 45.550617 \n",
       "L 226.102889 48.79348 \n",
       "L 228.450127 51.129901 \n",
       "L 230.797366 53.113906 \n",
       "L 233.144604 54.86032 \n",
       "L 235.491842 56.360667 \n",
       "L 237.839081 57.325162 \n",
       "L 244.880796 58.841186 \n",
       "L 249.575273 59.37208 \n",
       "L 256.616989 59.611964 \n",
       "L 287.131089 59.806218 \n",
       "L 324.686904 59.803178 \n",
       "L 355.201004 59.828351 \n",
       "L 355.201004 59.828351 \n",
       "\" style=\"fill:none;stroke:#0072b2;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_7\">\n",
       "    <path d=\"M 57.101719 59.828571 \n",
       "L 355.201004 59.828571 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "  </g>\n",
       "  <g id=\"axes_3\">\n",
       "   <g id=\"patch_8\">\n",
       "    <path d=\"M 365.48029 375.6 \n",
       "L 416.876719 375.6 \n",
       "L 416.876719 70.354286 \n",
       "L 365.48029 70.354286 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_5\">\n",
       "    <g id=\"xtick_11\"/>\n",
       "    <g id=\"xtick_12\"/>\n",
       "    <g id=\"xtick_13\"/>\n",
       "    <g id=\"xtick_14\"/>\n",
       "    <g id=\"xtick_15\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_6\">\n",
       "    <g id=\"ytick_14\">\n",
       "     <g id=\"line2d_38\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 352.205038 \n",
       "L 416.876719 352.205038 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_39\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"352.205038283\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_15\">\n",
       "     <g id=\"line2d_40\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 311.787813 \n",
       "L 416.876719 311.787813 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_41\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"311.787813036\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_16\">\n",
       "     <g id=\"line2d_42\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 271.370588 \n",
       "L 416.876719 271.370588 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_43\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"271.370587788\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_17\">\n",
       "     <g id=\"line2d_44\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 230.953363 \n",
       "L 416.876719 230.953363 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_45\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"230.953362541\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_18\">\n",
       "     <g id=\"line2d_46\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 190.536137 \n",
       "L 416.876719 190.536137 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_47\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"190.536137294\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_19\">\n",
       "     <g id=\"line2d_48\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 150.118912 \n",
       "L 416.876719 150.118912 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_49\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"150.118912046\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_20\">\n",
       "     <g id=\"line2d_50\">\n",
       "      <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 109.701687 \n",
       "L 416.876719 109.701687 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_51\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"365.480290179\" xlink:href=\"#m95da8bfa11\" y=\"109.701686799\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PolyCollection_2\">\n",
       "    <defs>\n",
       "     <path d=\"M 365.48029 -48.1125 \n",
       "L 365.48029 -48.1125 \n",
       "L 365.48029 -50.51601 \n",
       "L 365.48029 -52.919519 \n",
       "L 365.48029 -55.323029 \n",
       "L 365.48029 -57.726538 \n",
       "L 365.48029 -60.130048 \n",
       "L 365.48029 -62.533557 \n",
       "L 365.48029 -64.937067 \n",
       "L 365.48029 -67.340576 \n",
       "L 365.48029 -69.744086 \n",
       "L 365.48029 -72.147596 \n",
       "L 365.48029 -74.551105 \n",
       "L 365.48029 -76.954615 \n",
       "L 365.48029 -79.358124 \n",
       "L 365.48029 -81.761634 \n",
       "L 365.48029 -84.165143 \n",
       "L 365.48029 -86.568653 \n",
       "L 365.48029 -88.972163 \n",
       "L 365.48029 -91.375672 \n",
       "L 365.48029 -93.779182 \n",
       "L 365.48029 -96.182691 \n",
       "L 365.48029 -98.586201 \n",
       "L 365.48029 -100.98971 \n",
       "L 365.48029 -103.39322 \n",
       "L 365.48029 -105.796729 \n",
       "L 365.48029 -108.200239 \n",
       "L 365.48029 -110.603749 \n",
       "L 365.48029 -113.007258 \n",
       "L 365.48029 -115.410768 \n",
       "L 365.48029 -117.814277 \n",
       "L 365.48029 -120.217787 \n",
       "L 365.48029 -122.621296 \n",
       "L 365.48029 -125.024806 \n",
       "L 365.48029 -127.428316 \n",
       "L 365.48029 -129.831825 \n",
       "L 365.48029 -132.235335 \n",
       "L 365.48029 -134.638844 \n",
       "L 365.48029 -137.042354 \n",
       "L 365.48029 -139.445863 \n",
       "L 365.48029 -141.849373 \n",
       "L 365.48029 -144.252882 \n",
       "L 365.48029 -146.656392 \n",
       "L 365.48029 -149.059902 \n",
       "L 365.48029 -151.463411 \n",
       "L 365.48029 -153.866921 \n",
       "L 365.48029 -156.27043 \n",
       "L 365.48029 -158.67394 \n",
       "L 365.48029 -161.077449 \n",
       "L 365.48029 -163.480959 \n",
       "L 365.48029 -165.884469 \n",
       "L 365.48029 -168.287978 \n",
       "L 365.48029 -170.691488 \n",
       "L 365.48029 -173.094997 \n",
       "L 365.48029 -175.498507 \n",
       "L 365.48029 -177.902016 \n",
       "L 365.48029 -180.305526 \n",
       "L 365.48029 -182.709035 \n",
       "L 365.48029 -185.112545 \n",
       "L 365.48029 -187.516055 \n",
       "L 365.48029 -189.919564 \n",
       "L 365.48029 -192.323074 \n",
       "L 365.48029 -194.726583 \n",
       "L 365.48029 -197.130093 \n",
       "L 365.48029 -199.533602 \n",
       "L 365.48029 -201.937112 \n",
       "L 365.48029 -204.340621 \n",
       "L 365.48029 -206.744131 \n",
       "L 365.48029 -209.147641 \n",
       "L 365.48029 -211.55115 \n",
       "L 365.48029 -213.95466 \n",
       "L 365.48029 -216.358169 \n",
       "L 365.48029 -218.761679 \n",
       "L 365.48029 -221.165188 \n",
       "L 365.48029 -223.568698 \n",
       "L 365.48029 -225.972208 \n",
       "L 365.48029 -228.375717 \n",
       "L 365.48029 -230.779227 \n",
       "L 365.48029 -233.182736 \n",
       "L 365.48029 -235.586246 \n",
       "L 365.48029 -237.989755 \n",
       "L 365.48029 -240.393265 \n",
       "L 365.48029 -242.796774 \n",
       "L 365.48029 -245.200284 \n",
       "L 365.48029 -247.603794 \n",
       "L 365.48029 -250.007303 \n",
       "L 365.48029 -252.410813 \n",
       "L 365.48029 -254.814322 \n",
       "L 365.48029 -257.217832 \n",
       "L 365.48029 -259.621341 \n",
       "L 365.48029 -262.024851 \n",
       "L 365.48029 -264.428361 \n",
       "L 365.48029 -266.83187 \n",
       "L 365.48029 -269.23538 \n",
       "L 365.48029 -271.638889 \n",
       "L 365.48029 -274.042399 \n",
       "L 365.48029 -276.445908 \n",
       "L 365.48029 -278.849418 \n",
       "L 365.48029 -281.252927 \n",
       "L 365.48029 -283.656437 \n",
       "L 365.48029 -286.059947 \n",
       "L 365.48029 -288.463456 \n",
       "L 365.48029 -290.866966 \n",
       "L 365.48029 -293.270475 \n",
       "L 365.48029 -295.673985 \n",
       "L 365.48029 -298.077494 \n",
       "L 365.48029 -300.481004 \n",
       "L 365.48029 -302.884513 \n",
       "L 365.48029 -305.288023 \n",
       "L 365.48029 -307.691533 \n",
       "L 365.48029 -310.095042 \n",
       "L 365.48029 -312.498552 \n",
       "L 365.48029 -314.902061 \n",
       "L 365.48029 -317.305571 \n",
       "L 365.48029 -319.70908 \n",
       "L 365.48029 -322.11259 \n",
       "L 365.48029 -324.5161 \n",
       "L 365.48029 -326.919609 \n",
       "L 365.48029 -329.323119 \n",
       "L 365.48029 -331.726628 \n",
       "L 365.48029 -334.130138 \n",
       "L 365.48029 -336.533647 \n",
       "L 365.48029 -338.937157 \n",
       "L 365.48029 -341.340666 \n",
       "L 365.48029 -343.744176 \n",
       "L 365.48029 -346.147686 \n",
       "L 365.48029 -348.551195 \n",
       "L 365.48029 -350.954705 \n",
       "L 365.48029 -353.358214 \n",
       "L 365.484407 -353.358214 \n",
       "L 365.484407 -353.358214 \n",
       "L 365.580667 -350.954705 \n",
       "L 365.859312 -348.551195 \n",
       "L 365.738637 -346.147686 \n",
       "L 365.564968 -343.744176 \n",
       "L 365.532761 -341.340666 \n",
       "L 365.531667 -338.937157 \n",
       "L 365.525374 -336.533647 \n",
       "L 365.519962 -334.130138 \n",
       "L 365.514448 -331.726628 \n",
       "L 365.521552 -329.323119 \n",
       "L 365.5316 -326.919609 \n",
       "L 365.56029 -324.5161 \n",
       "L 365.581356 -322.11259 \n",
       "L 365.623294 -319.70908 \n",
       "L 365.67597 -317.305571 \n",
       "L 365.834469 -314.902061 \n",
       "L 366.086269 -312.498552 \n",
       "L 366.470245 -310.095042 \n",
       "L 367.073705 -307.691533 \n",
       "L 367.986387 -305.288023 \n",
       "L 369.318305 -302.884513 \n",
       "L 371.285054 -300.481004 \n",
       "L 373.916619 -298.077494 \n",
       "L 377.41593 -295.673985 \n",
       "L 381.586603 -293.270475 \n",
       "L 385.55564 -290.866966 \n",
       "L 389.80932 -288.463456 \n",
       "L 394.45037 -286.059947 \n",
       "L 399.669531 -283.656437 \n",
       "L 405.467055 -281.252927 \n",
       "L 410.199623 -278.849418 \n",
       "L 412.672449 -276.445908 \n",
       "L 412.955265 -274.042399 \n",
       "L 411.454915 -271.638889 \n",
       "L 408.782739 -269.23538 \n",
       "L 407.010868 -266.83187 \n",
       "L 406.137527 -264.428361 \n",
       "L 407.224038 -262.024851 \n",
       "L 409.676756 -259.621341 \n",
       "L 410.136807 -257.217832 \n",
       "L 407.127551 -254.814322 \n",
       "L 401.04497 -252.410813 \n",
       "L 393.341506 -250.007303 \n",
       "L 386.803157 -247.603794 \n",
       "L 381.570938 -245.200284 \n",
       "L 377.820999 -242.796774 \n",
       "L 375.460198 -240.393265 \n",
       "L 373.356288 -237.989755 \n",
       "L 371.86377 -235.586246 \n",
       "L 370.826191 -233.182736 \n",
       "L 370.115161 -230.779227 \n",
       "L 369.657725 -228.375717 \n",
       "L 369.127761 -225.972208 \n",
       "L 368.892342 -223.568698 \n",
       "L 368.475582 -221.165188 \n",
       "L 368.174253 -218.761679 \n",
       "L 367.940952 -216.358169 \n",
       "L 367.696572 -213.95466 \n",
       "L 367.409112 -211.55115 \n",
       "L 367.073952 -209.147641 \n",
       "L 366.759704 -206.744131 \n",
       "L 366.503771 -204.340621 \n",
       "L 366.321132 -201.937112 \n",
       "L 366.218364 -199.533602 \n",
       "L 366.094874 -197.130093 \n",
       "L 365.97593 -194.726583 \n",
       "L 365.955199 -192.323074 \n",
       "L 365.89846 -189.919564 \n",
       "L 365.810667 -187.516055 \n",
       "L 365.76063 -185.112545 \n",
       "L 365.673639 -182.709035 \n",
       "L 365.6059 -180.305526 \n",
       "L 365.581211 -177.902016 \n",
       "L 365.552485 -175.498507 \n",
       "L 365.545365 -173.094997 \n",
       "L 365.526459 -170.691488 \n",
       "L 365.52041 -168.287978 \n",
       "L 365.51946 -165.884469 \n",
       "L 365.511025 -163.480959 \n",
       "L 365.491893 -161.077449 \n",
       "L 365.483325 -158.67394 \n",
       "L 365.485557 -156.27043 \n",
       "L 365.48202 -153.866921 \n",
       "L 365.480549 -151.463411 \n",
       "L 365.48029 -149.059902 \n",
       "L 365.480399 -146.656392 \n",
       "L 365.48029 -144.252882 \n",
       "L 365.4804 -141.849373 \n",
       "L 365.48029 -139.445863 \n",
       "L 365.4804 -137.042354 \n",
       "L 365.48029 -134.638844 \n",
       "L 365.480401 -132.235335 \n",
       "L 365.48029 -129.831825 \n",
       "L 365.480402 -127.428316 \n",
       "L 365.48029 -125.024806 \n",
       "L 365.480404 -122.621296 \n",
       "L 365.48029 -120.217787 \n",
       "L 365.48041 -117.814277 \n",
       "L 365.48029 -115.410768 \n",
       "L 365.481369 -113.007258 \n",
       "L 365.483955 -110.603749 \n",
       "L 365.483559 -108.200239 \n",
       "L 365.480862 -105.796729 \n",
       "L 365.480683 -103.39322 \n",
       "L 365.482184 -100.98971 \n",
       "L 365.485334 -98.586201 \n",
       "L 365.481585 -96.182691 \n",
       "L 365.481192 -93.779182 \n",
       "L 365.483307 -91.375672 \n",
       "L 365.484217 -88.972163 \n",
       "L 365.481105 -86.568653 \n",
       "L 365.48158 -84.165143 \n",
       "L 365.484193 -81.761634 \n",
       "L 365.483332 -79.358124 \n",
       "L 365.480651 -76.954615 \n",
       "L 365.480535 -74.551105 \n",
       "L 365.48029 -72.147596 \n",
       "L 365.48055 -69.744086 \n",
       "L 365.48029 -67.340576 \n",
       "L 365.480603 -64.937067 \n",
       "L 365.48029 -62.533557 \n",
       "L 365.480695 -60.130048 \n",
       "L 365.480369 -57.726538 \n",
       "L 365.483462 -55.323029 \n",
       "L 365.484015 -52.919519 \n",
       "L 365.481925 -50.51601 \n",
       "L 365.48029 -48.1125 \n",
       "z\n",
       "\" id=\"m4fa9e9a9a8\" style=\"stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#p043a665025)\">\n",
       "     <use style=\"fill:#0072b2;fill-opacity:0.25;stroke:#1a1a1a;stroke-opacity:0.25;stroke-width:0.3;\" x=\"0.0\" xlink:href=\"#m4fa9e9a9a8\" y=\"423.7125\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"line2d_52\">\n",
       "    <path clip-path=\"url(#p043a665025)\" d=\"M 365.48029 375.6 \n",
       "L 365.673639 241.003465 \n",
       "L 365.955199 231.389426 \n",
       "L 366.094874 226.582407 \n",
       "L 366.503771 219.371879 \n",
       "L 367.073952 214.564859 \n",
       "L 367.696572 209.75784 \n",
       "L 368.475582 202.547312 \n",
       "L 368.892342 200.143802 \n",
       "L 369.127761 197.740292 \n",
       "L 370.826191 190.529764 \n",
       "L 371.86377 188.126254 \n",
       "L 373.356288 185.722745 \n",
       "L 375.460198 183.319235 \n",
       "L 377.820999 180.915726 \n",
       "L 381.570938 178.512216 \n",
       "L 386.803157 176.108706 \n",
       "L 393.341506 173.705197 \n",
       "L 401.04497 171.301687 \n",
       "L 407.127551 168.898178 \n",
       "L 410.136807 166.494668 \n",
       "L 409.676756 164.091159 \n",
       "L 407.224038 161.687649 \n",
       "L 406.137527 159.284139 \n",
       "L 407.010868 156.88063 \n",
       "L 408.782739 154.47712 \n",
       "L 411.454915 152.073611 \n",
       "L 412.955265 149.670101 \n",
       "L 412.672449 147.266592 \n",
       "L 410.199623 144.863082 \n",
       "L 405.467055 142.459573 \n",
       "L 399.669531 140.056063 \n",
       "L 394.45037 137.652553 \n",
       "L 389.80932 135.249044 \n",
       "L 385.55564 132.845534 \n",
       "L 377.41593 128.038515 \n",
       "L 373.916619 125.635006 \n",
       "L 371.285054 123.231496 \n",
       "L 369.318305 120.827987 \n",
       "L 367.986387 118.424477 \n",
       "L 367.073705 116.020967 \n",
       "L 366.470245 113.617458 \n",
       "L 366.086269 111.213948 \n",
       "L 365.67597 106.406929 \n",
       "L 365.521552 94.389381 \n",
       "L 365.564968 79.968324 \n",
       "L 365.859312 75.161305 \n",
       "L 365.580667 72.757795 \n",
       "L 365.484407 70.354286 \n",
       "L 365.484407 70.354286 \n",
       "\" style=\"fill:none;stroke:#0072b2;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_9\">\n",
       "    <path d=\"M 365.48029 375.6 \n",
       "L 365.48029 70.354286 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "  </g>\n",
       " </g>\n",
       " <defs>\n",
       "  <clipPath id=\"p043a665025\">\n",
       "   <rect height=\"305.245714286\" width=\"51.3964285714\" x=\"365.480290179\" y=\"70.3542857143\"/>\n",
       "  </clipPath>\n",
       "  <clipPath id=\"pfbefe607b7\">\n",
       "   <rect height=\"305.245714286\" width=\"298.099285714\" x=\"57.10171875\" y=\"70.3542857143\"/>\n",
       "  </clipPath>\n",
       "  <clipPath id=\"pe0b69865ec\">\n",
       "   <rect height=\"52.6285714286\" width=\"298.099285714\" x=\"57.10171875\" y=\"7.2\"/>\n",
       "  </clipPath>\n",
       " </defs>\n",
       "</svg>\n"
      ],
      "text/plain": [
       "<matplotlib.figure.Figure at 0x11a637898>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "sns.jointplot(x='FSC-A', y='SSC-A', \n",
    "              data=np.log10(df_example[['FSC-A', 'SSC-A']]), kind=\"kde\");"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "From this last plot, we can see that the marginal distributions look relatively unimodal. The slight bi-modality shown on the side scattering is not a common feature on all data sets and both peaks are relatively close to each other such that the proposed automatic gating procedure will be relatively insensitive to them.\n",
    "\n",
    "We propose setting an automatic gate by **fitting a bivariate Gaussian distribution** to the $\\log$ front and $\\log$ side scattering and then selecting an interval that contains a fraction $\\alpha$ of the total data (for example, an $\\alpha$ of $0.4$ yields 40% of the data).\n",
    "\n",
    "For this we need a robut function to fit a 2D Gaussian matrix to the data. We will take advantage of the `astroML` [`fit_bivariate_normal`](http://www.astroml.org/book_figures/chapter3/fig_robust_pca.html) function to estimate the mean $\\mathbf{\\mu}$ and covariance matrix $\\mathbf{\\Sigma}$."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "def fit_2D_gaussian(df, x_val='FSC-A', y_val='SSC-A', log=False):\n",
    "    '''\n",
    "    This function hacks astroML fit_bivariate_normal to return the mean and\n",
    "    covariance matrix when fitting a 2D gaussian fuction to the data contained\n",
    "    in the x_vall and y_val columns of the DataFrame df.\n",
    "    Parameters\n",
    "    ----------\n",
    "    df : pandas DataFrame.\n",
    "        dataframe containing the data from which to fit the distribution\n",
    "    x_val, y_val : str.\n",
    "        name of the dataframe columns to be used in the function\n",
    "    log : bool.\n",
    "        indicate if the log of the data should be use for the fit or not\n",
    "        \n",
    "    Returns\n",
    "    -------\n",
    "    mu : tuple.\n",
    "        (x, y) location of the best-fit bivariate normal\n",
    "    cov : 2 x 2 array\n",
    "        covariance matrix.\n",
    "        cov[0, 0] = variance of the x_val column\n",
    "        cov[1, 1] = variance of the y_val column\n",
    "        cov[0, 1] = cov[1, 0] = covariance of the data\n",
    "    '''\n",
    "    if log:\n",
    "        x = np.log10(df[x_val])\n",
    "        y = np.log10(df[y_val])\n",
    "    else:\n",
    "        x = df[x_val]\n",
    "        y = df[y_val]\n",
    "        \n",
    "    # Fit the 2D Gaussian distribution using atroML function\n",
    "    mu, sigma_1, sigma_2, alpha = mwc.fit_bivariate_normal(x, y, robust=True)\n",
    "\n",
    "    # compute covariance matrix from the standar deviations and the angle\n",
    "    # that the fit_bivariate_normal function returns\n",
    "    sigma_xx = ((sigma_1 * np.cos(alpha)) ** 2\n",
    "                + (sigma_2 * np.sin(alpha)) ** 2)\n",
    "    sigma_yy = ((sigma_1 * np.sin(alpha)) ** 2\n",
    "                + (sigma_2 * np.cos(alpha)) ** 2)\n",
    "    sigma_xy = (sigma_1 ** 2 - sigma_2 ** 2) * np.sin(alpha) * np.cos(alpha)\n",
    "    \n",
    "    # put elements of the covariance matrix into an actual matrix\n",
    "    cov = np.array([[sigma_xx, sigma_xy], [sigma_xy, sigma_yy]])\n",
    "    \n",
    "    return mu, cov"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Then to compute the interval that contains a fraction $\\alpha$ of the data we follow [this procedure](https://en.wikipedia.org/wiki/Multivariate_normal_distribution#Interval) in which for a 2D Gaussian distributiuon an elliptic region defined by\n",
    "\\begin{equation}\n",
    "\\left(\\mathbf{x} - \\mathbf{\\mu} \\right)^T \\mathbf{\\Sigma}^{-1} \\left(\\mathbf{x} - \\mathbf{\\mu} \\right) \\leq \\chi^2_{2, \\alpha}(p)\n",
    "\\end{equation}\n",
    "contains $\\alpha\\ \\times 100$ % of the data. $\\chi^2_{2, \\alpha}(p)$ is the  quantile function for probability $p$ of the chi-squared distribution with $2$ degrees of freedom.\n",
    "\n",
    "Let's define a function to compute the left hand side of the inequality for our data."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {
    "collapsed": false
   },
   "outputs": [],
   "source": [
    "def gauss_interval(df, mu, cov, x_val='FSC-A', y_val='SSC-A', log=False):\n",
    "    '''\n",
    "    Computes the of the statistic\n",
    "    (x - µx)'∑(x - µx) \n",
    "    for each of the elements in df columns x_val and y_val.\n",
    "    \n",
    "    Parameters\n",
    "    ----------\n",
    "    df : DataFrame.\n",
    "        dataframe containing the data from which to fit the distribution\n",
    "    mu : array-like.\n",
    "        (x, y) location of bivariate normal\n",
    "    cov : 2 x 2 array\n",
    "        covariance matrix\n",
    "    x_val, y_val : str.\n",
    "        name of the dataframe columns to be used in the function\n",
    "    log : bool.\n",
    "        indicate if the log of the data should be use for the fit or not \n",
    "    \n",
    "    Returns\n",
    "    -------\n",
    "    statistic_gauss : array-like.\n",
    "        array containing the result of the linear algebra operation:\n",
    "        (x - µx)'∑(x - µx) \n",
    "    '''\n",
    "    # Determine that the covariance matrix is not singular\n",
    "    det = np.linalg.det(cov)\n",
    "    if det == 0:\n",
    "        raise NameError(\"The covariance matrix can't be singular\")\n",
    "            \n",
    "    # Compute the vector x defined as [[x - mu_x], [y - mu_y]]\n",
    "    if log: \n",
    "        x_vect = np.log10(np.array(df[[x_val, y_val]]))\n",
    "    else:\n",
    "        x_vect = np.array(df[[x_val, y_val]])\n",
    "    x_vect[:, 0] = x_vect[:, 0] - mu[0]\n",
    "    x_vect[:, 1] = x_vect[:, 1] - mu[1]\n",
    "    \n",
    "    # compute the inverse of the covariance matrix\n",
    "    inv_sigma = np.linalg.inv(cov)\n",
    "    \n",
    "    # compute the operation\n",
    "    interval_array = np.zeros(len(df))\n",
    "    for i, x in enumerate(x_vect):\n",
    "        interval_array[i] = np.dot(np.dot(x, inv_sigma), x.T)\n",
    "        \n",
    "    return interval_array"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Now that we defined the functions let's fit a 2D gaussian to our $\\log$ scattering data and then compute the interval statistic."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/razo/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:26: RuntimeWarning: invalid value encountered in log10\n",
      "/Users/razo/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:27: RuntimeWarning: invalid value encountered in log10\n",
      "/Users/razo/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:33: RuntimeWarning: invalid value encountered in log10\n"
     ]
    }
   ],
   "source": [
    "# Fit the bivariate Gaussian distribution\n",
    "mu, cov = fit_2D_gaussian(df_example, log=True)\n",
    "\n",
    "# Compute the statistic for each of the pair of log scattering data\n",
    "interval_array = gauss_interval(df_example, mu, cov, log=True)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Having the statistic allows us to compare it to the $\\chi^2$ quantile function. Just as in the 68-95-99.7% rule for 1D Gaussians let us choose an arbitrary threshold to keep 40% of the data density.\n",
    "\n",
    "To compute the $\\chi^2$ quantile funciton we will use the `scipy.stats.chi2.ppf` function."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 9,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "\n",
      "Fraction of the data kept after the alpha = 0.40 threshold:\n",
      "0.41\n",
      "\n"
     ]
    },
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/razo/anaconda/lib/python3.5/site-packages/ipykernel/__main__.py:4: RuntimeWarning: invalid value encountered in less_equal\n"
     ]
    }
   ],
   "source": [
    "alpha = 0.40\n",
    "\n",
    "# Find which data points fall inside the interval\n",
    "idx = interval_array <= scipy.stats.chi2.ppf(alpha, 2)\n",
    "print('''\n",
    "Fraction of the data kept after the alpha = {0:0.2f} threshold:\n",
    "{1:0.2f}\n",
    "'''.format(alpha, np.sum(idx) / len(interval_array)))"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Let's apply the threshold to our data and plot it again using `datashader`."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 10,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "# Apply the threshold to the data\n",
    "df_thresh_gauss = df_example[idx]"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "### $\\log$ scattering"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "\n",
       "    <div class=\"bk-root\">\n",
       "        <div class=\"plotdiv\" id=\"18d7e2cd-e76e-4e6a-afa1-5c4240b2cf2d\"></div>\n",
       "    </div>\n",
       "<script type=\"text/javascript\">\n",
       "  \n",
       "  (function(global) {\n",
       "    function now() {\n",
       "      return new Date();\n",
       "    }\n",
       "  \n",
       "    var force = \"\";\n",
       "  \n",
       "    if (typeof (window._bokeh_onload_callbacks) === \"undefined\" || force !== \"\") {\n",
       "      window._bokeh_onload_callbacks = [];\n",
       "      window._bokeh_is_loading = undefined;\n",
       "    }\n",
       "  \n",
       "  \n",
       "    \n",
       "    if (typeof (window._bokeh_timeout) === \"undefined\" || force !== \"\") {\n",
       "      window._bokeh_timeout = Date.now() + 0;\n",
       "      window._bokeh_failed_load = false;\n",
       "    }\n",
       "  \n",
       "    var NB_LOAD_WARNING = {'data': {'text/html':\n",
       "       \"<div style='background-color: #fdd'>\\n\"+\n",
       "       \"<p>\\n\"+\n",
       "       \"BokehJS does not appear to have successfully loaded. If loading BokehJS from CDN, this \\n\"+\n",
       "       \"may be due to a slow or bad network connection. Possible fixes:\\n\"+\n",
       "       \"</p>\\n\"+\n",
       "       \"<ul>\\n\"+\n",
       "       \"<li>re-rerun `output_notebook()` to attempt to load from CDN again, or</li>\\n\"+\n",
       "       \"<li>use INLINE resources instead, as so:</li>\\n\"+\n",
       "       \"</ul>\\n\"+\n",
       "       \"<code>\\n\"+\n",
       "       \"from bokeh.resources import INLINE\\n\"+\n",
       "       \"output_notebook(resources=INLINE)\\n\"+\n",
       "       \"</code>\\n\"+\n",
       "       \"</div>\"}};\n",
       "  \n",
       "    function display_loaded() {\n",
       "      if (window.Bokeh !== undefined) {\n",
       "        Bokeh.$(\"#18d7e2cd-e76e-4e6a-afa1-5c4240b2cf2d\").text(\"BokehJS successfully loaded.\");\n",
       "      } else if (Date.now() < window._bokeh_timeout) {\n",
       "        setTimeout(display_loaded, 100)\n",
       "      }\n",
       "    }if ((window.Jupyter !== undefined) && Jupyter.notebook.kernel) {\n",
       "      comm_manager = Jupyter.notebook.kernel.comm_manager\n",
       "      comm_manager.register_target(\"d5e6600a-a00d-4747-8310-07e83d430a2e\", function () {});\n",
       "    }\n",
       "  \n",
       "    function run_callbacks() {\n",
       "      window._bokeh_onload_callbacks.forEach(function(callback) { callback() });\n",
       "      delete window._bokeh_onload_callbacks\n",
       "      console.info(\"Bokeh: all callbacks have finished\");\n",
       "    }\n",
       "  \n",
       "    function load_libs(js_urls, callback) {\n",
       "      window._bokeh_onload_callbacks.push(callback);\n",
       "      if (window._bokeh_is_loading > 0) {\n",
       "        console.log(\"Bokeh: BokehJS is being loaded, scheduling callback at\", now());\n",
       "        return null;\n",
       "      }\n",
       "      if (js_urls == null || js_urls.length === 0) {\n",
       "        run_callbacks();\n",
       "        return null;\n",
       "      }\n",
       "      console.log(\"Bokeh: BokehJS not loaded, scheduling load and callback at\", now());\n",
       "      window._bokeh_is_loading = js_urls.length;\n",
       "      for (var i = 0; i < js_urls.length; i++) {\n",
       "        var url = js_urls[i];\n",
       "        var s = document.createElement('script');\n",
       "        s.src = url;\n",
       "        s.async = false;\n",
       "        s.onreadystatechange = s.onload = function() {\n",
       "          window._bokeh_is_loading--;\n",
       "          if (window._bokeh_is_loading === 0) {\n",
       "            console.log(\"Bokeh: all BokehJS libraries loaded\");\n",
       "            run_callbacks()\n",
       "          }\n",
       "        };\n",
       "        s.onerror = function() {\n",
       "          console.warn(\"failed to load library \" + url);\n",
       "        };\n",
       "        console.log(\"Bokeh: injecting script tag for BokehJS library: \", url);\n",
       "        document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "      }\n",
       "    };var element = document.getElementById(\"18d7e2cd-e76e-4e6a-afa1-5c4240b2cf2d\");\n",
       "    if (element == null) {\n",
       "      console.log(\"Bokeh: ERROR: autoload.js configured with elementid '18d7e2cd-e76e-4e6a-afa1-5c4240b2cf2d' but no matching script tag was found. \")\n",
       "      return false;\n",
       "    }\n",
       "  \n",
       "    var js_urls = [];\n",
       "  \n",
       "    var inline_js = [\n",
       "      function(Bokeh) {\n",
       "        Bokeh.$(function() {\n",
       "            var docs_json = {\"ef2aad4f-9ff9-40db-8926-f0c57cde2a67\":{\"roots\":{\"references\":[{\"attributes\":{\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"5cd0d28f-3b8f-4e67-98af-e2739f127ce5\",\"type\":\"PanTool\"},{\"attributes\":{\"callback\":{\"id\":\"29e299a5-21fe-4216-8be6-46a906b62218\",\"type\":\"CustomJS\"},\"end\":4.090650811073862,\"start\":3.7630535866725685},\"id\":\"b17485b8-8b2e-4fe1-a249-e691c5c8d0a3\",\"type\":\"Range1d\"},{\"attributes\":{\"bottom_units\":\"screen\",\"fill_alpha\":{\"value\":0.5},\"fill_color\":{\"value\":\"lightgrey\"},\"left_units\":\"screen\",\"level\":\"overlay\",\"line_alpha\":{\"value\":1.0},\"line_color\":{\"value\":\"black\"},\"line_dash\":[4,4],\"line_width\":{\"value\":2},\"plot\":null,\"render_mode\":\"css\",\"right_units\":\"screen\",\"top_units\":\"screen\"},\"id\":\"679da887-44d7-4650-9c21-2f4db47b2f90\",\"type\":\"BoxAnnotation\"},{\"attributes\":{\"axis_label\":\"log FSC-A\",\"axis_label_text_font_size\":{\"value\":\"15pt\"},\"formatter\":{\"id\":\"136473ec-2038-4638-a93c-0713cfe54429\",\"type\":\"BasicTickFormatter\"},\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"2a61295e-c890-45c7-bfa5-3fb4bc4ab504\",\"type\":\"BasicTicker\"}},\"id\":\"df48acf0-2fbb-45bd-93ee-34ae88a8cb06\",\"type\":\"LinearAxis\"},{\"attributes\":{\"overlay\":{\"id\":\"679da887-44d7-4650-9c21-2f4db47b2f90\",\"type\":\"BoxAnnotation\"},\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"6d5780af-982a-41f9-8bdb-916499ebfc2c\",\"type\":\"BoxZoomTool\"},{\"attributes\":{\"active_drag\":\"auto\",\"active_scroll\":\"auto\",\"active_tap\":\"auto\",\"tools\":[{\"id\":\"1a634539-617f-4f57-b70a-d3cc240cf170\",\"type\":\"SaveTool\"},{\"id\":\"5cd0d28f-3b8f-4e67-98af-e2739f127ce5\",\"type\":\"PanTool\"},{\"id\":\"b7e855ed-1e70-4e5e-b0d3-2ad05450e2be\",\"type\":\"WheelZoomTool\"},{\"id\":\"6d5780af-982a-41f9-8bdb-916499ebfc2c\",\"type\":\"BoxZoomTool\"},{\"id\":\"5242ac75-113c-4448-934b-6ec556175573\",\"type\":\"ResetTool\"}]},\"id\":\"332d3fcc-1842-409a-bf0f-2931ed7d663a\",\"type\":\"Toolbar\"},{\"attributes\":{\"plot\":null,\"text\":null},\"id\":\"6561c565-c8ac-4ea9-9baf-d41d2a894f8f\",\"type\":\"Title\"},{\"attributes\":{\"dh\":{\"field\":\"dh\",\"units\":\"data\"},\"dw\":{\"field\":\"dw\",\"units\":\"data\"},\"image\":{\"field\":\"image\"},\"x\":{\"field\":\"x\"},\"y\":{\"field\":\"y\"}},\"id\":\"f96020b5-b423-4182-b824-35a0a8c5d6a4\",\"type\":\"ImageRGBA\"},{\"attributes\":{\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"1a634539-617f-4f57-b70a-d3cc240cf170\",\"type\":\"SaveTool\"},{\"attributes\":{},\"id\":\"f7f84b52-f6e1-4ea8-9e2a-f95664611156\",\"type\":\"BasicTicker\"},{\"attributes\":{\"args\":{\"x_range\":{\"id\":\"b17485b8-8b2e-4fe1-a249-e691c5c8d0a3\",\"type\":\"Range1d\"},\"y_range\":{\"id\":\"eb5694d7-95b8-428d-a71a-0dc6b02050e1\",\"type\":\"Range1d\"}},\"code\":\"\\n        // Define a callback to capture errors on the Python side\\n        function callback(msg){\\n          if (msg.msg_type == \\\"execute_result\\\") {\\n            if (msg.content.data['text/plain'] === \\\"'Complete'\\\") {\\n               if (Bokeh._queued.length) {\\n                   update_plot();\\n               } else {\\n                   Bokeh._blocked = false;\\n               }\\n               Bokeh._timeout = Date.now();\\n            }\\n          } else {\\n            console.log(\\\"Python callback returned unexpected message:\\\", msg)\\n          }\\n        }\\n        callbacks = {iopub: {output: callback}};\\n\\n        function update_plot() {\\n            range = Bokeh._queued;\\n            var cmd = \\\"from datashader.bokeh_ext import InteractiveImage; InteractiveImage._callbacks['d5e6600a-a00d-4747-8310-07e83d430a2e'].update(\\\" + range + \\\")\\\"\\n            // Execute the command on the Python kernel\\n            if (IPython.notebook.kernel !== undefined) {\\n                var kernel = IPython.notebook.kernel;\\n                kernel.execute(cmd, callbacks, {silent : false});\\n            }\\n            Bokeh._queued = [];\\n        }\\n\\n        var plot = x_range.plots[0];\\n        // Generate a command to execute in Python\\n        var ranges = {xmin: x_range.attributes.start,\\n                       ymin: y_range.attributes.start,\\n                       xmax: x_range.attributes.end,\\n                       ymax: y_range.attributes.end,\\n                       w: Math.floor(plot.width),\\n                       h: Math.floor(plot.height)}\\n        var range_str = JSON.stringify(ranges)\\n\\n        if (!Bokeh._queued) {\\n            Bokeh._queued = [];\\n            Bokeh._blocked = false;\\n            Bokeh._timeout = Date.now();\\n        }\\n\\n        timeout = Bokeh._timeout + 2000;\\n        if (typeof _ === \\\"undefined\\\") {\\n        } else if ((Bokeh._blocked && (Date.now() < timeout))) {\\n            Bokeh._queued = [range_str];\\n        } else {\\n            Bokeh._queued = [range_str];\\n            setTimeout(update_plot(), 200);\\n            Bokeh._blocked = true;\\n            Bokeh._timeout = Date.now();\\n        }\\n    \"},\"id\":\"29e299a5-21fe-4216-8be6-46a906b62218\",\"type\":\"CustomJS\"},{\"attributes\":{\"callback\":{\"id\":\"29e299a5-21fe-4216-8be6-46a906b62218\",\"type\":\"CustomJS\"},\"end\":4.646982932699938,\"start\":4.213267339819015},\"id\":\"eb5694d7-95b8-428d-a71a-0dc6b02050e1\",\"type\":\"Range1d\"},{\"attributes\":{\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"b7e855ed-1e70-4e5e-b0d3-2ad05450e2be\",\"type\":\"WheelZoomTool\"},{\"attributes\":{\"dimension\":1,\"grid_line_color\":{\"value\":\"#a6a6a6\"},\"grid_line_dash\":[6,4],\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"f7f84b52-f6e1-4ea8-9e2a-f95664611156\",\"type\":\"BasicTicker\"}},\"id\":\"0d9a2872-097a-4f84-9a87-31b343d16ebd\",\"type\":\"Grid\"},{\"attributes\":{\"dh\":{\"field\":\"dh\",\"units\":\"data\"},\"dw\":{\"field\":\"dw\",\"units\":\"data\"},\"image\":{\"field\":\"image\"},\"x\":{\"field\":\"x\"},\"y\":{\"field\":\"y\"}},\"id\":\"4a1b6d1e-e3e0-4adc-9059-e99ff0daac7e\",\"type\":\"ImageRGBA\"},{\"attributes\":{\"callback\":null,\"column_names\":[\"y\",\"x\",\"dh\",\"dw\",\"image\"],\"data\":{\"dh\":[0.4337155928809233],\"dw\":[0.3275972244012939],\"image\":[[[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299584,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,0,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287299841,4287829264,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4287299841,0,0,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287299584,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299584,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299584,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287299584,4287299584,4287299584,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287299584,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299584,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4287299841,4287299841,4287299841,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4287299841,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4287829264,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,0,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299584,4287299584,4287299584,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299584,4287299584,4287299584,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4287299841,4287299841,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4287299841,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0,0,4287299841,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287299841,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4293318829,4293318829,4293318829,0,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,0,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,0,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287299841,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,0,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4287829264,0,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287299841,4287299584,4287299584,4287299584,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299584,4287299584,4287299584,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287299841,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287299841,4287299841,4287299841,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287299841,4287299841,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299841,4293318829,4293318829,4287829264,4287829264,4287829264,4287299841,4287299841,4287299841,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,0,4293318829,4287299841,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,0,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4287829264,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299841,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,0,4287829264,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287829264,4287829264,4287829264,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4287299841,4287299841,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,4293318829,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4287829264,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4287829264,4293318829,4293318829,4293318829,4287829264,4287829264,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]]],\"x\":[3.7630535866725685],\"y\":[4.213267339819015]}},\"id\":\"c0f1e23e-7878-4166-aa76-d013435ff8f7\",\"type\":\"ColumnDataSource\"},{\"attributes\":{\"grid_line_color\":{\"value\":\"#a6a6a6\"},\"grid_line_dash\":[6,4],\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"2a61295e-c890-45c7-bfa5-3fb4bc4ab504\",\"type\":\"BasicTicker\"}},\"id\":\"a8552085-c87c-4769-b146-b065e39dd01e\",\"type\":\"Grid\"},{\"attributes\":{\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"5242ac75-113c-4448-934b-6ec556175573\",\"type\":\"ResetTool\"},{\"attributes\":{},\"id\":\"2a61295e-c890-45c7-bfa5-3fb4bc4ab504\",\"type\":\"BasicTicker\"},{\"attributes\":{\"axis_label\":\"log SSC-A\",\"axis_label_text_font_size\":{\"value\":\"15pt\"},\"formatter\":{\"id\":\"fb28f3d3-d126-40e4-9640-736e23ca2703\",\"type\":\"BasicTickFormatter\"},\"plot\":{\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"f7f84b52-f6e1-4ea8-9e2a-f95664611156\",\"type\":\"BasicTicker\"}},\"id\":\"aec4f6b6-bff5-48fc-81d8-1b55c928e7bf\",\"type\":\"LinearAxis\"},{\"attributes\":{},\"id\":\"fb28f3d3-d126-40e4-9640-736e23ca2703\",\"type\":\"BasicTickFormatter\"},{\"attributes\":{},\"id\":\"136473ec-2038-4638-a93c-0713cfe54429\",\"type\":\"BasicTickFormatter\"},{\"attributes\":{\"data_source\":{\"id\":\"c0f1e23e-7878-4166-aa76-d013435ff8f7\",\"type\":\"ColumnDataSource\"},\"glyph\":{\"id\":\"4a1b6d1e-e3e0-4adc-9059-e99ff0daac7e\",\"type\":\"ImageRGBA\"},\"hover_glyph\":null,\"nonselection_glyph\":{\"id\":\"f96020b5-b423-4182-b824-35a0a8c5d6a4\",\"type\":\"ImageRGBA\"},\"selection_glyph\":null},\"id\":\"1214c8eb-9dd8-46c8-a9be-8b98b9dbee7b\",\"type\":\"GlyphRenderer\"},{\"attributes\":{\"background_fill_color\":{\"value\":\"#E3DCD0\"},\"below\":[{\"id\":\"df48acf0-2fbb-45bd-93ee-34ae88a8cb06\",\"type\":\"LinearAxis\"}],\"left\":[{\"id\":\"aec4f6b6-bff5-48fc-81d8-1b55c928e7bf\",\"type\":\"LinearAxis\"}],\"plot_height\":500,\"plot_width\":500,\"renderers\":[{\"id\":\"df48acf0-2fbb-45bd-93ee-34ae88a8cb06\",\"type\":\"LinearAxis\"},{\"id\":\"a8552085-c87c-4769-b146-b065e39dd01e\",\"type\":\"Grid\"},{\"id\":\"aec4f6b6-bff5-48fc-81d8-1b55c928e7bf\",\"type\":\"LinearAxis\"},{\"id\":\"0d9a2872-097a-4f84-9a87-31b343d16ebd\",\"type\":\"Grid\"},{\"id\":\"679da887-44d7-4650-9c21-2f4db47b2f90\",\"type\":\"BoxAnnotation\"},{\"id\":\"1214c8eb-9dd8-46c8-a9be-8b98b9dbee7b\",\"type\":\"GlyphRenderer\"}],\"title\":{\"id\":\"6561c565-c8ac-4ea9-9baf-d41d2a894f8f\",\"type\":\"Title\"},\"tool_events\":{\"id\":\"65d8e598-ab7e-42d4-834e-e688aa75a3e7\",\"type\":\"ToolEvents\"},\"toolbar\":{\"id\":\"332d3fcc-1842-409a-bf0f-2931ed7d663a\",\"type\":\"Toolbar\"},\"x_range\":{\"id\":\"b17485b8-8b2e-4fe1-a249-e691c5c8d0a3\",\"type\":\"Range1d\"},\"y_range\":{\"id\":\"eb5694d7-95b8-428d-a71a-0dc6b02050e1\",\"type\":\"Range1d\"}},\"id\":\"7150defa-23e8-4497-b091-498a1d464770\",\"subtype\":\"Figure\",\"type\":\"Plot\"},{\"attributes\":{},\"id\":\"65d8e598-ab7e-42d4-834e-e688aa75a3e7\",\"type\":\"ToolEvents\"}],\"root_ids\":[\"7150defa-23e8-4497-b091-498a1d464770\"]},\"title\":\"Bokeh Application\",\"version\":\"0.12.3\"}};\n",
       "            var render_items = [{\"docid\":\"ef2aad4f-9ff9-40db-8926-f0c57cde2a67\",\"elementid\":\"18d7e2cd-e76e-4e6a-afa1-5c4240b2cf2d\",\"modelid\":\"7150defa-23e8-4497-b091-498a1d464770\",\"notebook_comms_target\":\"d5e6600a-a00d-4747-8310-07e83d430a2e\"}];\n",
       "            \n",
       "            Bokeh.embed.embed_items(docs_json, render_items);\n",
       "        });\n",
       "      },\n",
       "      function(Bokeh) {\n",
       "      }\n",
       "    ];\n",
       "  \n",
       "    function run_inline_js() {\n",
       "      \n",
       "      if ((window.Bokeh !== undefined) || (force === \"1\")) {\n",
       "        for (var i = 0; i < inline_js.length; i++) {\n",
       "          inline_js[i](window.Bokeh);\n",
       "        }if (force === \"1\") {\n",
       "          display_loaded();\n",
       "        }} else if (Date.now() < window._bokeh_timeout) {\n",
       "        setTimeout(run_inline_js, 100);\n",
       "      } else if (!window._bokeh_failed_load) {\n",
       "        console.log(\"Bokeh: BokehJS failed to load within specified timeout.\");\n",
       "        window._bokeh_failed_load = true;\n",
       "      } else if (!force) {\n",
       "        var cell = $(\"#18d7e2cd-e76e-4e6a-afa1-5c4240b2cf2d\").parents('.cell').data().cell;\n",
       "        cell.output_area.append_execute_result(NB_LOAD_WARNING)\n",
       "      }\n",
       "  \n",
       "    }\n",
       "  \n",
       "    if (window._bokeh_is_loading === 0) {\n",
       "      console.log(\"Bokeh: BokehJS loaded, going straight to plotting\");\n",
       "      run_inline_js();\n",
       "    } else {\n",
       "      load_libs(js_urls, function() {\n",
       "        console.log(\"Bokeh: BokehJS plotting callback run at\", now());\n",
       "        run_inline_js();\n",
       "      });\n",
       "    }\n",
       "  }(this));\n",
       "</script>"
      ],
      "text/plain": [
       "<datashader.bokeh_ext.InteractiveImage at 0x1140d5c88>"
      ]
     },
     "execution_count": 11,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "p, pipeline = ds_plot(df_thresh_gauss, 'FSC-A', 'SSC-A', log=True)\n",
    "InteractiveImage(p, pipeline)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "This looks pretty good! Let's now plot this thresholded data on a linear scale."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 46,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "\n",
       "    <div class=\"bk-root\">\n",
       "        <div class=\"plotdiv\" id=\"c3189593-0e66-4d3b-aad4-1927cd7a0d68\"></div>\n",
       "    </div>\n",
       "<script type=\"text/javascript\">\n",
       "  \n",
       "  (function(global) {\n",
       "    function now() {\n",
       "      return new Date();\n",
       "    }\n",
       "  \n",
       "    var force = \"\";\n",
       "  \n",
       "    if (typeof (window._bokeh_onload_callbacks) === \"undefined\" || force !== \"\") {\n",
       "      window._bokeh_onload_callbacks = [];\n",
       "      window._bokeh_is_loading = undefined;\n",
       "    }\n",
       "  \n",
       "  \n",
       "    \n",
       "    if (typeof (window._bokeh_timeout) === \"undefined\" || force !== \"\") {\n",
       "      window._bokeh_timeout = Date.now() + 0;\n",
       "      window._bokeh_failed_load = false;\n",
       "    }\n",
       "  \n",
       "    var NB_LOAD_WARNING = {'data': {'text/html':\n",
       "       \"<div style='background-color: #fdd'>\\n\"+\n",
       "       \"<p>\\n\"+\n",
       "       \"BokehJS does not appear to have successfully loaded. If loading BokehJS from CDN, this \\n\"+\n",
       "       \"may be due to a slow or bad network connection. Possible fixes:\\n\"+\n",
       "       \"</p>\\n\"+\n",
       "       \"<ul>\\n\"+\n",
       "       \"<li>re-rerun `output_notebook()` to attempt to load from CDN again, or</li>\\n\"+\n",
       "       \"<li>use INLINE resources instead, as so:</li>\\n\"+\n",
       "       \"</ul>\\n\"+\n",
       "       \"<code>\\n\"+\n",
       "       \"from bokeh.resources import INLINE\\n\"+\n",
       "       \"output_notebook(resources=INLINE)\\n\"+\n",
       "       \"</code>\\n\"+\n",
       "       \"</div>\"}};\n",
       "  \n",
       "    function display_loaded() {\n",
       "      if (window.Bokeh !== undefined) {\n",
       "        Bokeh.$(\"#c3189593-0e66-4d3b-aad4-1927cd7a0d68\").text(\"BokehJS successfully loaded.\");\n",
       "      } else if (Date.now() < window._bokeh_timeout) {\n",
       "        setTimeout(display_loaded, 100)\n",
       "      }\n",
       "    }if ((window.Jupyter !== undefined) && Jupyter.notebook.kernel) {\n",
       "      comm_manager = Jupyter.notebook.kernel.comm_manager\n",
       "      comm_manager.register_target(\"75ec0ca1-175f-4ae0-9513-f6aa8573866b\", function () {});\n",
       "    }\n",
       "  \n",
       "    function run_callbacks() {\n",
       "      window._bokeh_onload_callbacks.forEach(function(callback) { callback() });\n",
       "      delete window._bokeh_onload_callbacks\n",
       "      console.info(\"Bokeh: all callbacks have finished\");\n",
       "    }\n",
       "  \n",
       "    function load_libs(js_urls, callback) {\n",
       "      window._bokeh_onload_callbacks.push(callback);\n",
       "      if (window._bokeh_is_loading > 0) {\n",
       "        console.log(\"Bokeh: BokehJS is being loaded, scheduling callback at\", now());\n",
       "        return null;\n",
       "      }\n",
       "      if (js_urls == null || js_urls.length === 0) {\n",
       "        run_callbacks();\n",
       "        return null;\n",
       "      }\n",
       "      console.log(\"Bokeh: BokehJS not loaded, scheduling load and callback at\", now());\n",
       "      window._bokeh_is_loading = js_urls.length;\n",
       "      for (var i = 0; i < js_urls.length; i++) {\n",
       "        var url = js_urls[i];\n",
       "        var s = document.createElement('script');\n",
       "        s.src = url;\n",
       "        s.async = false;\n",
       "        s.onreadystatechange = s.onload = function() {\n",
       "          window._bokeh_is_loading--;\n",
       "          if (window._bokeh_is_loading === 0) {\n",
       "            console.log(\"Bokeh: all BokehJS libraries loaded\");\n",
       "            run_callbacks()\n",
       "          }\n",
       "        };\n",
       "        s.onerror = function() {\n",
       "          console.warn(\"failed to load library \" + url);\n",
       "        };\n",
       "        console.log(\"Bokeh: injecting script tag for BokehJS library: \", url);\n",
       "        document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "      }\n",
       "    };var element = document.getElementById(\"c3189593-0e66-4d3b-aad4-1927cd7a0d68\");\n",
       "    if (element == null) {\n",
       "      console.log(\"Bokeh: ERROR: autoload.js configured with elementid 'c3189593-0e66-4d3b-aad4-1927cd7a0d68' but no matching script tag was found. \")\n",
       "      return false;\n",
       "    }\n",
       "  \n",
       "    var js_urls = [];\n",
       "  \n",
       "    var inline_js = [\n",
       "      function(Bokeh) {\n",
       "        Bokeh.$(function() {\n",
       "            var docs_json = {\"8093db9c-af8e-4ca8-b488-d42f35a5c232\":{\"roots\":{\"references\":[{\"attributes\":{\"callback\":{\"id\":\"790d3c3c-9e1b-4ef3-8957-f2632683588e\",\"type\":\"CustomJS\"},\"end\":44359.12109375,\"start\":16340.5751953125},\"id\":\"67cbc2e0-0a68-4fd5-8c84-a1571c6f0608\",\"type\":\"Range1d\"},{\"attributes\":{\"axis_label\":\"FSC-A\",\"axis_label_text_font_size\":{\"value\":\"15pt\"},\"formatter\":{\"id\":\"1e0d2aff-99a4-4f94-b76b-60847b58e14a\",\"type\":\"BasicTickFormatter\"},\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"501b869d-3383-48b5-8afb-76694fb29d6b\",\"type\":\"BasicTicker\"}},\"id\":\"18801fe3-2d7a-4631-9fec-33fdac3c4819\",\"type\":\"LinearAxis\"},{\"attributes\":{\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"f381c87d-4c67-492f-b920-9ccce9b4382e\",\"type\":\"SaveTool\"},{\"attributes\":{},\"id\":\"501b869d-3383-48b5-8afb-76694fb29d6b\",\"type\":\"BasicTicker\"},{\"attributes\":{\"bottom_units\":\"screen\",\"fill_alpha\":{\"value\":0.5},\"fill_color\":{\"value\":\"lightgrey\"},\"left_units\":\"screen\",\"level\":\"overlay\",\"line_alpha\":{\"value\":1.0},\"line_color\":{\"value\":\"black\"},\"line_dash\":[4,4],\"line_width\":{\"value\":2},\"plot\":null,\"render_mode\":\"css\",\"right_units\":\"screen\",\"top_units\":\"screen\"},\"id\":\"42a78bf7-3d15-43a6-a376-bfee82f1ebd6\",\"type\":\"BoxAnnotation\"},{\"attributes\":{\"axis_label\":\"SSC-A\",\"axis_label_text_font_size\":{\"value\":\"15pt\"},\"formatter\":{\"id\":\"27b64540-dbd3-49ec-a680-2058eb4f1f09\",\"type\":\"BasicTickFormatter\"},\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"a2fbcfe8-b16a-4f32-870c-196df33519b6\",\"type\":\"BasicTicker\"}},\"id\":\"d598d453-22e3-444c-981d-400ed6d17744\",\"type\":\"LinearAxis\"},{\"attributes\":{\"active_drag\":\"auto\",\"active_scroll\":\"auto\",\"active_tap\":\"auto\",\"tools\":[{\"id\":\"f381c87d-4c67-492f-b920-9ccce9b4382e\",\"type\":\"SaveTool\"},{\"id\":\"51a4a1c8-ffc7-4006-a322-dfbaaa4d0bc3\",\"type\":\"PanTool\"},{\"id\":\"5496055e-a818-4072-b0e8-47549c085f4a\",\"type\":\"WheelZoomTool\"},{\"id\":\"cfaf7b97-9122-4267-bfd3-abb17ba4b5de\",\"type\":\"BoxZoomTool\"},{\"id\":\"d992b79f-6277-438f-b495-35eb976729cf\",\"type\":\"ResetTool\"}]},\"id\":\"fdc083bd-f49b-4e9d-8643-cf7e8fef407d\",\"type\":\"Toolbar\"},{\"attributes\":{},\"id\":\"a2fbcfe8-b16a-4f32-870c-196df33519b6\",\"type\":\"BasicTicker\"},{\"attributes\":{\"callback\":{\"id\":\"790d3c3c-9e1b-4ef3-8957-f2632683588e\",\"type\":\"CustomJS\"},\"end\":12321.1376953125,\"start\":5795.001953125},\"id\":\"cf8216a0-b2a0-4f62-b9a5-67003bbd32af\",\"type\":\"Range1d\"},{\"attributes\":{},\"id\":\"a0c4dab6-14d4-47e2-ac3b-a71094c76208\",\"type\":\"ToolEvents\"},{\"attributes\":{\"data_source\":{\"id\":\"e6384f60-9260-4d94-9e75-45c18b8ee1ec\",\"type\":\"ColumnDataSource\"},\"glyph\":{\"id\":\"cbcb7708-aec4-4ce9-8e87-ad7c562fc2d0\",\"type\":\"ImageRGBA\"},\"hover_glyph\":null,\"nonselection_glyph\":{\"id\":\"d4711f9a-42c7-476f-9aa2-0bacb75be219\",\"type\":\"ImageRGBA\"},\"selection_glyph\":null},\"id\":\"88c0d867-962b-4baf-83e6-6e55159856d2\",\"type\":\"GlyphRenderer\"},{\"attributes\":{\"grid_line_color\":{\"value\":\"#a6a6a6\"},\"grid_line_dash\":[6,4],\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"501b869d-3383-48b5-8afb-76694fb29d6b\",\"type\":\"BasicTicker\"}},\"id\":\"96007873-ebcf-42c4-ba1e-769f012d2d9f\",\"type\":\"Grid\"},{\"attributes\":{\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"51a4a1c8-ffc7-4006-a322-dfbaaa4d0bc3\",\"type\":\"PanTool\"},{\"attributes\":{\"callback\":null,\"column_names\":[\"dh\",\"x\",\"dw\",\"y\",\"image\"],\"data\":{\"dh\":[28018.5458984375],\"dw\":[6526.1357421875],\"image\":[[[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4293318829,4288027156,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,0,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4287365890,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4287299584,4287299584,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4288027156,4293318829,4293318829,4293318829,4287299584,4287299584,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4287299584,4287299584,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287299584,4287299584,4287299584,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287299584,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4287299584,4287299584,4287299584,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4287365890,4287365890,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4287299584,4287299584,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4288027156,4287365890,4287365890,4287365890,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4287365890,4287365890,4287365890,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4287299584,4287299584,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4287299584,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299584,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4287299584,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4288027156,4288027156,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4287299584,4287299584,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4287299584,4287299584,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4287299584,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287365890,4287365890,4287365890,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287365890,4287365890,4287365890,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4287365890,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,4288027156,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4287365890,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287365890,4287365890,4287365890,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,0,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,0,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,4288027156,4288027156,4288027156,4288027156,4287299584,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4287299584,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287299584,4287299584,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,0,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4287299584,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4287365890,4287365890,4287365890,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4287299584,4287299584,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,0,0,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4288027156,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4288027156,4288027156,4288027156,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,4287299584,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,4288027156,4288027156,4288027156,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4287365890,4287365890,4287365890,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4287299584,4287299584,4287299584,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4287299584,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,0,4287299584,4287299584,4287299584,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4287299584,4287299584,4287299584,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287299584,4287299584,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,4287365890,4287365890,4287365890,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4287365890,4287365890,4287365890,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4287365890,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4287365890,4287365890,4287365890,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4287365890,4287365890,4287365890,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4287365890,4287365890,4287365890,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4288027156,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287365890,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,0,0,4287365890,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,4293318829,4288027156,4288027156,4288027156,4293318829,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4288027156,4288027156,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,0,4288027156,4288027156,4288027156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4288027156,4288027156,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4288027156,4288027156,4288027156,0,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,4293318829,4293318829,4293318829,4288027156,4293318829,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,4293318829,4293318829,4293318829,4293318829,0,4293318829,4293318829,4293318829,4293318829,4293318829,4293318829,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]]],\"x\":[5795.001953125],\"y\":[16340.5751953125]}},\"id\":\"e6384f60-9260-4d94-9e75-45c18b8ee1ec\",\"type\":\"ColumnDataSource\"},{\"attributes\":{\"background_fill_color\":{\"value\":\"#E3DCD0\"},\"below\":[{\"id\":\"18801fe3-2d7a-4631-9fec-33fdac3c4819\",\"type\":\"LinearAxis\"}],\"left\":[{\"id\":\"d598d453-22e3-444c-981d-400ed6d17744\",\"type\":\"LinearAxis\"}],\"plot_height\":500,\"plot_width\":500,\"renderers\":[{\"id\":\"18801fe3-2d7a-4631-9fec-33fdac3c4819\",\"type\":\"LinearAxis\"},{\"id\":\"96007873-ebcf-42c4-ba1e-769f012d2d9f\",\"type\":\"Grid\"},{\"id\":\"d598d453-22e3-444c-981d-400ed6d17744\",\"type\":\"LinearAxis\"},{\"id\":\"07dec49f-6c69-4afd-b859-d01f7bef3bb0\",\"type\":\"Grid\"},{\"id\":\"42a78bf7-3d15-43a6-a376-bfee82f1ebd6\",\"type\":\"BoxAnnotation\"},{\"id\":\"88c0d867-962b-4baf-83e6-6e55159856d2\",\"type\":\"GlyphRenderer\"}],\"title\":{\"id\":\"8c80c46b-d071-44a7-a43b-b66248eb2b1a\",\"type\":\"Title\"},\"tool_events\":{\"id\":\"a0c4dab6-14d4-47e2-ac3b-a71094c76208\",\"type\":\"ToolEvents\"},\"toolbar\":{\"id\":\"fdc083bd-f49b-4e9d-8643-cf7e8fef407d\",\"type\":\"Toolbar\"},\"x_range\":{\"id\":\"cf8216a0-b2a0-4f62-b9a5-67003bbd32af\",\"type\":\"Range1d\"},\"y_range\":{\"id\":\"67cbc2e0-0a68-4fd5-8c84-a1571c6f0608\",\"type\":\"Range1d\"}},\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"},{\"attributes\":{\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"d992b79f-6277-438f-b495-35eb976729cf\",\"type\":\"ResetTool\"},{\"attributes\":{\"plot\":null,\"text\":null},\"id\":\"8c80c46b-d071-44a7-a43b-b66248eb2b1a\",\"type\":\"Title\"},{\"attributes\":{\"dimension\":1,\"grid_line_color\":{\"value\":\"#a6a6a6\"},\"grid_line_dash\":[6,4],\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"},\"ticker\":{\"id\":\"a2fbcfe8-b16a-4f32-870c-196df33519b6\",\"type\":\"BasicTicker\"}},\"id\":\"07dec49f-6c69-4afd-b859-d01f7bef3bb0\",\"type\":\"Grid\"},{\"attributes\":{},\"id\":\"27b64540-dbd3-49ec-a680-2058eb4f1f09\",\"type\":\"BasicTickFormatter\"},{\"attributes\":{\"overlay\":{\"id\":\"42a78bf7-3d15-43a6-a376-bfee82f1ebd6\",\"type\":\"BoxAnnotation\"},\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"cfaf7b97-9122-4267-bfd3-abb17ba4b5de\",\"type\":\"BoxZoomTool\"},{\"attributes\":{\"plot\":{\"id\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"subtype\":\"Figure\",\"type\":\"Plot\"}},\"id\":\"5496055e-a818-4072-b0e8-47549c085f4a\",\"type\":\"WheelZoomTool\"},{\"attributes\":{\"dh\":{\"field\":\"dh\",\"units\":\"data\"},\"dw\":{\"field\":\"dw\",\"units\":\"data\"},\"image\":{\"field\":\"image\"},\"x\":{\"field\":\"x\"},\"y\":{\"field\":\"y\"}},\"id\":\"cbcb7708-aec4-4ce9-8e87-ad7c562fc2d0\",\"type\":\"ImageRGBA\"},{\"attributes\":{\"dh\":{\"field\":\"dh\",\"units\":\"data\"},\"dw\":{\"field\":\"dw\",\"units\":\"data\"},\"image\":{\"field\":\"image\"},\"x\":{\"field\":\"x\"},\"y\":{\"field\":\"y\"}},\"id\":\"d4711f9a-42c7-476f-9aa2-0bacb75be219\",\"type\":\"ImageRGBA\"},{\"attributes\":{},\"id\":\"1e0d2aff-99a4-4f94-b76b-60847b58e14a\",\"type\":\"BasicTickFormatter\"},{\"attributes\":{\"args\":{\"x_range\":{\"id\":\"cf8216a0-b2a0-4f62-b9a5-67003bbd32af\",\"type\":\"Range1d\"},\"y_range\":{\"id\":\"67cbc2e0-0a68-4fd5-8c84-a1571c6f0608\",\"type\":\"Range1d\"}},\"code\":\"\\n        // Define a callback to capture errors on the Python side\\n        function callback(msg){\\n          if (msg.msg_type == \\\"execute_result\\\") {\\n            if (msg.content.data['text/plain'] === \\\"'Complete'\\\") {\\n               if (Bokeh._queued.length) {\\n                   update_plot();\\n               } else {\\n                   Bokeh._blocked = false;\\n               }\\n               Bokeh._timeout = Date.now();\\n            }\\n          } else {\\n            console.log(\\\"Python callback returned unexpected message:\\\", msg)\\n          }\\n        }\\n        callbacks = {iopub: {output: callback}};\\n\\n        function update_plot() {\\n            range = Bokeh._queued;\\n            var cmd = \\\"from datashader.bokeh_ext import InteractiveImage; InteractiveImage._callbacks['75ec0ca1-175f-4ae0-9513-f6aa8573866b'].update(\\\" + range + \\\")\\\"\\n            // Execute the command on the Python kernel\\n            if (IPython.notebook.kernel !== undefined) {\\n                var kernel = IPython.notebook.kernel;\\n                kernel.execute(cmd, callbacks, {silent : false});\\n            }\\n            Bokeh._queued = [];\\n        }\\n\\n        var plot = x_range.plots[0];\\n        // Generate a command to execute in Python\\n        var ranges = {xmin: x_range.attributes.start,\\n                       ymin: y_range.attributes.start,\\n                       xmax: x_range.attributes.end,\\n                       ymax: y_range.attributes.end,\\n                       w: Math.floor(plot.width),\\n                       h: Math.floor(plot.height)}\\n        var range_str = JSON.stringify(ranges)\\n\\n        if (!Bokeh._queued) {\\n            Bokeh._queued = [];\\n            Bokeh._blocked = false;\\n            Bokeh._timeout = Date.now();\\n        }\\n\\n        timeout = Bokeh._timeout + 2000;\\n        if (typeof _ === \\\"undefined\\\") {\\n        } else if ((Bokeh._blocked && (Date.now() < timeout))) {\\n            Bokeh._queued = [range_str];\\n        } else {\\n            Bokeh._queued = [range_str];\\n            setTimeout(update_plot(), 200);\\n            Bokeh._blocked = true;\\n            Bokeh._timeout = Date.now();\\n        }\\n    \"},\"id\":\"790d3c3c-9e1b-4ef3-8957-f2632683588e\",\"type\":\"CustomJS\"}],\"root_ids\":[\"f9b5b27d-f480-4017-a9c0-e786cb242195\"]},\"title\":\"Bokeh Application\",\"version\":\"0.12.3\"}};\n",
       "            var render_items = [{\"docid\":\"8093db9c-af8e-4ca8-b488-d42f35a5c232\",\"elementid\":\"c3189593-0e66-4d3b-aad4-1927cd7a0d68\",\"modelid\":\"f9b5b27d-f480-4017-a9c0-e786cb242195\",\"notebook_comms_target\":\"75ec0ca1-175f-4ae0-9513-f6aa8573866b\"}];\n",
       "            \n",
       "            Bokeh.embed.embed_items(docs_json, render_items);\n",
       "        });\n",
       "      },\n",
       "      function(Bokeh) {\n",
       "      }\n",
       "    ];\n",
       "  \n",
       "    function run_inline_js() {\n",
       "      \n",
       "      if ((window.Bokeh !== undefined) || (force === \"1\")) {\n",
       "        for (var i = 0; i < inline_js.length; i++) {\n",
       "          inline_js[i](window.Bokeh);\n",
       "        }if (force === \"1\") {\n",
       "          display_loaded();\n",
       "        }} else if (Date.now() < window._bokeh_timeout) {\n",
       "        setTimeout(run_inline_js, 100);\n",
       "      } else if (!window._bokeh_failed_load) {\n",
       "        console.log(\"Bokeh: BokehJS failed to load within specified timeout.\");\n",
       "        window._bokeh_failed_load = true;\n",
       "      } else if (!force) {\n",
       "        var cell = $(\"#c3189593-0e66-4d3b-aad4-1927cd7a0d68\").parents('.cell').data().cell;\n",
       "        cell.output_area.append_execute_result(NB_LOAD_WARNING)\n",
       "      }\n",
       "  \n",
       "    }\n",
       "  \n",
       "    if (window._bokeh_is_loading === 0) {\n",
       "      console.log(\"Bokeh: BokehJS loaded, going straight to plotting\");\n",
       "      run_inline_js();\n",
       "    } else {\n",
       "      load_libs(js_urls, function() {\n",
       "        console.log(\"Bokeh: BokehJS plotting callback run at\", now());\n",
       "        run_inline_js();\n",
       "      });\n",
       "    }\n",
       "  }(this));\n",
       "</script>"
      ],
      "text/plain": [
       "<datashader.bokeh_ext.InteractiveImage at 0x11c9ff6a0>"
      ]
     },
     "execution_count": 46,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "p, pipeline = ds_plot(df_thresh_gauss, 'FSC-A', 'SSC-A', log=False)\n",
    "InteractiveImage(p, pipeline)"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "It looks much better than the arbitrary thresholds set by eye!"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "After processing the data using a value of $\\alpha = 0.4$ let's look at the results from this experiment.\n",
    "\n",
    "We will read a pre-processed `pandas DataFrame` that contains all the fold changes for these strains."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 54,
   "metadata": {
    "collapsed": false
   },
   "outputs": [
    {
     "data": {
      "image/svg+xml": [
       "<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"no\"?>\n",
       "<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\"\n",
       "  \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n",
       "<!-- Created with matplotlib (http://matplotlib.org/) -->\n",
       "<svg height=\"418pt\" version=\"1.1\" viewBox=\"0 0 423 418\" width=\"423pt\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\">\n",
       " <defs>\n",
       "  <style type=\"text/css\">\n",
       "*{stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:100000;}\n",
       "  </style>\n",
       " </defs>\n",
       " <g id=\"figure_1\">\n",
       "  <g id=\"patch_1\">\n",
       "   <path d=\"M 0 418.60625 \n",
       "L 423.206641 418.60625 \n",
       "L 423.206641 0 \n",
       "L 0 0 \n",
       "L 0 418.60625 \n",
       "z\n",
       "\" style=\"fill:none;\"/>\n",
       "  </g>\n",
       "  <g id=\"axes_1\">\n",
       "   <g id=\"patch_2\">\n",
       "    <path d=\"M 66.880625 370.41875 \n",
       "L 405.506641 370.41875 \n",
       "L 405.506641 27.61875 \n",
       "L 66.880625 27.61875 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;\"/>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_1\">\n",
       "    <g id=\"xtick_1\">\n",
       "     <g id=\"line2d_1\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 370.41875 \n",
       "L 66.880625 27.61875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_2\">\n",
       "      <defs>\n",
       "       <path d=\"M 0 0 \n",
       "L 0 0 \n",
       "\" id=\"m98a30534f3\" style=\"stroke:#262626;\"/>\n",
       "      </defs>\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_3\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_1\">\n",
       "      <!-- $\\mathdefault{10^{0}}$ -->\n",
       "      <defs>\n",
       "       <path d=\"M 26.171875 0 \n",
       "L 26.171875 65.046875 \n",
       "L 14.75 65.046875 \n",
       "L 14.75 71.09375 \n",
       "L 35.84375 72.90625 \n",
       "L 35.84375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-31\"/>\n",
       "       <path d=\"M 31.640625 -1.8125 \n",
       "Q 20.265625 -1.8125 13.296875 8.609375 \n",
       "Q 6.34375 19.046875 6.34375 36.140625 \n",
       "Q 6.34375 53.21875 13.296875 63.640625 \n",
       "Q 20.265625 74.078125 31.640625 74.078125 \n",
       "Q 43.0625 74.078125 50 63.671875 \n",
       "Q 56.9375 53.265625 56.9375 36.140625 \n",
       "Q 56.9375 19.046875 50 8.609375 \n",
       "Q 43.0625 -1.8125 31.640625 -1.8125 \n",
       "M 31.640625 5.421875 \n",
       "Q 46.734375 5.421875 46.734375 36.140625 \n",
       "Q 46.734375 66.84375 31.640625 66.84375 \n",
       "Q 16.609375 66.84375 16.609375 36.140625 \n",
       "Q 16.609375 5.421875 31.640625 5.421875 \n",
       "\" id=\"LucidaSansUnicode-30\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(56.380625 386.745)scale(0.12 -0.12)\">\n",
       "       <use transform=\"translate(0.0 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_2\">\n",
       "     <g id=\"line2d_4\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 179.755964 370.41875 \n",
       "L 179.755964 27.61875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_5\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"179.755963542\" xlink:href=\"#m98a30534f3\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_6\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"179.755963542\" xlink:href=\"#m98a30534f3\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_2\">\n",
       "      <!-- $\\mathdefault{10^{1}}$ -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(169.255963542 386.67)scale(0.12 -0.12)\">\n",
       "       <use transform=\"translate(0.0 0.5406250000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.5406250000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 42.96562500000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_3\">\n",
       "     <g id=\"line2d_7\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 292.631302 370.41875 \n",
       "L 292.631302 27.61875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_8\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"292.631302083\" xlink:href=\"#m98a30534f3\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_9\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"292.631302083\" xlink:href=\"#m98a30534f3\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_3\">\n",
       "      <!-- $\\mathdefault{10^{2}}$ -->\n",
       "      <defs>\n",
       "       <path d=\"M 8.296875 0 \n",
       "L 8.296875 8.453125 \n",
       "Q 12.5 18.265625 25.296875 29.828125 \n",
       "L 30.8125 34.765625 \n",
       "Q 41.453125 44.390625 41.453125 53.859375 \n",
       "Q 41.453125 59.90625 37.8125 63.375 \n",
       "Q 34.1875 66.84375 27.78125 66.84375 \n",
       "Q 20.3125 66.84375 10.109375 61.03125 \n",
       "L 10.109375 69.53125 \n",
       "Q 19.734375 74.078125 29.25 74.078125 \n",
       "Q 39.40625 74.078125 45.53125 68.609375 \n",
       "Q 51.65625 63.140625 51.65625 54.109375 \n",
       "Q 51.65625 47.609375 48.546875 42.578125 \n",
       "Q 45.453125 37.546875 37.015625 30.375 \n",
       "L 33.296875 27.203125 \n",
       "Q 21.734375 17.390625 19.921875 8.453125 \n",
       "L 51.3125 8.453125 \n",
       "L 51.3125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-32\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(282.131302083 386.745)scale(0.12 -0.12)\">\n",
       "       <use transform=\"translate(0.0 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_4\">\n",
       "     <g id=\"line2d_10\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 405.506641 370.41875 \n",
       "L 405.506641 27.61875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_11\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_12\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_4\">\n",
       "      <!-- $\\mathdefault{10^{3}}$ -->\n",
       "      <defs>\n",
       "       <path d=\"M 10.15625 0.53125 \n",
       "L 10.15625 9.515625 \n",
       "Q 20.453125 5.421875 26.375 5.421875 \n",
       "Q 33.34375 5.421875 37.671875 9.421875 \n",
       "Q 42 13.421875 42 19.875 \n",
       "Q 42 35.109375 20.65625 35.109375 \n",
       "L 16.84375 35.109375 \n",
       "L 16.84375 41.609375 \n",
       "L 20.21875 41.65625 \n",
       "Q 40.234375 41.65625 40.234375 55.765625 \n",
       "Q 40.234375 66.84375 26.953125 66.84375 \n",
       "Q 19.828125 66.84375 11.140625 62.796875 \n",
       "L 11.140625 71.1875 \n",
       "Q 19.671875 74.078125 27.59375 74.078125 \n",
       "Q 38.375 74.078125 44.140625 69.78125 \n",
       "Q 49.90625 65.484375 49.90625 57.328125 \n",
       "Q 49.90625 44.578125 34.8125 39.15625 \n",
       "Q 52.296875 35.109375 52.296875 20.015625 \n",
       "Q 52.296875 9.8125 45.546875 4 \n",
       "Q 38.8125 -1.8125 27.046875 -1.8125 \n",
       "Q 20.359375 -1.8125 10.15625 0.53125 \n",
       "\" id=\"LucidaSansUnicode-33\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(395.006640625 386.745)scale(0.12 -0.12)\">\n",
       "       <use transform=\"translate(0.0 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_5\">\n",
       "     <g id=\"line2d_13\">\n",
       "      <defs>\n",
       "       <path d=\"M 0 0 \n",
       "L 0 0 \n",
       "\" id=\"mfc8a2528c4\" style=\"stroke:#262626;stroke-width:0.5;\"/>\n",
       "      </defs>\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"100.859487672\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_14\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"100.859487672\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_6\">\n",
       "     <g id=\"line2d_15\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"120.735848152\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_16\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"120.735848152\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_7\">\n",
       "     <g id=\"line2d_17\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"134.838350344\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_18\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"134.838350344\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_8\">\n",
       "     <g id=\"line2d_19\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"145.77710087\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_20\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"145.77710087\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_9\">\n",
       "     <g id=\"line2d_21\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"154.714710824\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_22\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"154.714710824\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_10\">\n",
       "     <g id=\"line2d_23\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"162.271352368\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_24\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"162.271352368\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_11\">\n",
       "     <g id=\"line2d_25\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"168.817213015\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_26\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"168.817213015\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_12\">\n",
       "     <g id=\"line2d_27\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"174.591071304\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_28\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"174.591071304\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_13\">\n",
       "     <g id=\"line2d_29\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"213.734826213\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_30\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"213.734826213\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_14\">\n",
       "     <g id=\"line2d_31\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"233.611186694\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_32\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"233.611186694\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_15\">\n",
       "     <g id=\"line2d_33\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"247.713688885\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_34\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"247.713688885\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_16\">\n",
       "     <g id=\"line2d_35\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"258.652439412\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_36\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"258.652439412\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_17\">\n",
       "     <g id=\"line2d_37\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"267.590049365\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_38\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"267.590049365\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_18\">\n",
       "     <g id=\"line2d_39\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"275.146690909\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_40\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"275.146690909\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_19\">\n",
       "     <g id=\"line2d_41\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"281.692551557\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_42\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"281.692551557\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_20\">\n",
       "     <g id=\"line2d_43\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"287.466409845\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_44\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"287.466409845\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_21\">\n",
       "     <g id=\"line2d_45\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"326.610164755\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_46\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"326.610164755\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_22\">\n",
       "     <g id=\"line2d_47\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"346.486525235\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_48\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"346.486525235\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_23\">\n",
       "     <g id=\"line2d_49\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"360.589027427\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_50\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"360.589027427\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_24\">\n",
       "     <g id=\"line2d_51\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"371.527777953\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_52\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"371.527777953\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_25\">\n",
       "     <g id=\"line2d_53\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"380.465387907\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_54\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"380.465387907\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_26\">\n",
       "     <g id=\"line2d_55\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"388.022029451\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_56\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"388.022029451\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_27\">\n",
       "     <g id=\"line2d_57\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"394.567890099\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_58\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"394.567890099\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"xtick_28\">\n",
       "     <g id=\"line2d_59\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"400.341748387\" xlink:href=\"#mfc8a2528c4\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_60\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"400.341748387\" xlink:href=\"#mfc8a2528c4\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"text_5\">\n",
       "     <!-- repressor copy number -->\n",
       "     <defs>\n",
       "      <path d=\"M 42.78125 0 \n",
       "L 42.78125 9.96875 \n",
       "Q 35.109375 -1.21875 24.171875 -1.21875 \n",
       "Q 17.234375 -1.21875 13.125 3.140625 \n",
       "Q 9.03125 7.515625 9.03125 14.9375 \n",
       "L 9.03125 53.03125 \n",
       "L 18.65625 53.03125 \n",
       "L 18.65625 18.0625 \n",
       "Q 18.65625 12.109375 20.390625 9.59375 \n",
       "Q 22.125 7.078125 26.171875 7.078125 \n",
       "Q 34.96875 7.078125 42.78125 18.65625 \n",
       "L 42.78125 53.03125 \n",
       "L 52.390625 53.03125 \n",
       "L 52.390625 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-75\"/>\n",
       "      <path d=\"M 46.4375 1.609375 \n",
       "Q 37.109375 -1.21875 30.328125 -1.21875 \n",
       "Q 19.578125 -1.21875 12.5 6.734375 \n",
       "Q 5.421875 14.703125 5.421875 26.8125 \n",
       "Q 5.421875 39.75 12.421875 46.96875 \n",
       "Q 19.4375 54.203125 31.984375 54.203125 \n",
       "Q 38.1875 54.203125 45.84375 52.484375 \n",
       "L 45.84375 44.4375 \n",
       "Q 37.703125 46.828125 32.5625 46.828125 \n",
       "Q 25.140625 46.828125 20.703125 41.28125 \n",
       "Q 16.265625 35.75 16.265625 26.515625 \n",
       "Q 16.265625 17.578125 20.84375 12.0625 \n",
       "Q 25.4375 6.546875 32.859375 6.546875 \n",
       "Q 39.453125 6.546875 46.4375 9.90625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-63\"/>\n",
       "      <path d=\"M 30.71875 -1.21875 \n",
       "Q 19.046875 -1.21875 12.234375 6.25 \n",
       "Q 5.421875 13.71875 5.421875 26.515625 \n",
       "Q 5.421875 39.3125 12.234375 46.75 \n",
       "Q 19.046875 54.203125 30.71875 54.203125 \n",
       "Q 42.390625 54.203125 49.1875 46.75 \n",
       "Q 56 39.3125 56 26.515625 \n",
       "Q 56 13.71875 49.1875 6.25 \n",
       "Q 42.390625 -1.21875 30.71875 -1.21875 \n",
       "M 30.71875 6 \n",
       "Q 37.890625 6 41.84375 11.375 \n",
       "Q 45.796875 16.75 45.796875 26.515625 \n",
       "Q 45.796875 36.28125 41.84375 41.625 \n",
       "Q 37.890625 46.96875 30.71875 46.96875 \n",
       "Q 23.53125 46.96875 19.59375 41.625 \n",
       "Q 15.671875 36.28125 15.671875 26.515625 \n",
       "Q 15.671875 16.75 19.59375 11.375 \n",
       "Q 23.53125 6 30.71875 6 \n",
       "\" id=\"LucidaSansUnicode-6f\"/>\n",
       "      <path d=\"M 9.625 -0.59375 \n",
       "L 9.625 77.09375 \n",
       "L 19.234375 77.09375 \n",
       "L 19.234375 43.0625 \n",
       "Q 25.140625 54.203125 36.96875 54.203125 \n",
       "Q 46.53125 54.203125 52.015625 47.21875 \n",
       "Q 57.515625 40.234375 57.515625 28.125 \n",
       "Q 57.515625 14.9375 51.28125 6.859375 \n",
       "Q 45.0625 -1.21875 34.90625 -1.21875 \n",
       "Q 25.484375 -1.21875 19.234375 6 \n",
       "L 18.0625 -0.59375 \n",
       "z\n",
       "M 19.234375 12.640625 \n",
       "Q 26.65625 6 33.40625 6 \n",
       "Q 40.046875 6 43.65625 11.546875 \n",
       "Q 47.265625 17.09375 47.265625 27.15625 \n",
       "Q 47.265625 45.796875 34.96875 45.796875 \n",
       "Q 26.90625 45.796875 19.234375 37.0625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-62\"/>\n",
       "      <path d=\"M 12.703125 -19.28125 \n",
       "L 21.296875 0 \n",
       "L 0.78125 53.03125 \n",
       "L 11.1875 53.03125 \n",
       "L 26.375 13.09375 \n",
       "L 42.578125 53.03125 \n",
       "L 51.65625 53.03125 \n",
       "L 22.703125 -19.28125 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-79\"/>\n",
       "      <path d=\"M 9.625 -19.28125 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 25.140625 54.203125 36.96875 54.203125 \n",
       "Q 46.53125 54.203125 52.015625 47.21875 \n",
       "Q 57.515625 40.234375 57.515625 28.125 \n",
       "Q 57.515625 14.9375 51.28125 6.859375 \n",
       "Q 45.0625 -1.21875 34.90625 -1.21875 \n",
       "Q 25.484375 -1.21875 19.234375 6 \n",
       "L 19.234375 -19.28125 \n",
       "z\n",
       "M 19.234375 12.640625 \n",
       "Q 26.65625 6 33.40625 6 \n",
       "Q 40.046875 6 43.65625 11.546875 \n",
       "Q 47.265625 17.09375 47.265625 27.15625 \n",
       "Q 47.265625 45.796875 34.96875 45.796875 \n",
       "Q 26.90625 45.796875 19.234375 37.0625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-70\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 26.859375 54.203125 37.890625 54.203125 \n",
       "Q 44.828125 54.203125 48.90625 49.828125 \n",
       "Q 52.984375 45.453125 52.984375 38.09375 \n",
       "L 52.984375 0 \n",
       "L 43.359375 0 \n",
       "L 43.359375 34.96875 \n",
       "Q 43.359375 40.875 41.625 43.390625 \n",
       "Q 39.890625 45.90625 35.890625 45.90625 \n",
       "Q 27.046875 45.90625 19.234375 34.328125 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-6e\"/>\n",
       "      <path d=\"M 48.484375 1.703125 \n",
       "Q 38.8125 -1.21875 31.9375 -1.21875 \n",
       "Q 20.171875 -1.21875 12.796875 6.5625 \n",
       "Q 5.421875 14.359375 5.421875 26.765625 \n",
       "Q 5.421875 38.8125 11.9375 46.53125 \n",
       "Q 18.453125 54.25 28.609375 54.25 \n",
       "Q 38.234375 54.25 43.484375 47.390625 \n",
       "Q 48.734375 40.53125 48.734375 27.9375 \n",
       "L 48.6875 25 \n",
       "L 15.234375 25 \n",
       "Q 17.328125 6.109375 33.734375 6.109375 \n",
       "Q 39.75 6.109375 48.484375 9.328125 \n",
       "z\n",
       "M 15.671875 32.234375 \n",
       "L 39.0625 32.234375 \n",
       "Q 39.0625 47.015625 28.03125 47.015625 \n",
       "Q 16.9375 47.015625 15.671875 32.234375 \n",
       "\" id=\"LucidaSansUnicode-65\"/>\n",
       "      <path id=\"LucidaSansUnicode-20\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 24.953125 54.203125 35.84375 54.203125 \n",
       "Q 37.3125 54.203125 38.921875 53.953125 \n",
       "L 38.921875 44.96875 \n",
       "Q 36.421875 45.796875 34.515625 45.796875 \n",
       "Q 25.390625 45.796875 19.234375 34.96875 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-72\"/>\n",
       "      <path d=\"M 7.671875 1.859375 \n",
       "L 7.671875 10.6875 \n",
       "Q 17.09375 6 24.078125 6 \n",
       "Q 28.21875 6 30.953125 8.25 \n",
       "Q 33.6875 10.5 33.6875 13.875 \n",
       "Q 33.6875 18.796875 26.03125 22.015625 \n",
       "L 20.40625 24.421875 \n",
       "Q 7.953125 29.59375 7.953125 39.3125 \n",
       "Q 7.953125 46.234375 12.859375 50.21875 \n",
       "Q 17.78125 54.203125 26.3125 54.203125 \n",
       "Q 30.765625 54.203125 37.3125 52.984375 \n",
       "L 39.3125 52.59375 \n",
       "L 39.3125 44.578125 \n",
       "Q 31.25 46.96875 26.46875 46.96875 \n",
       "Q 22.265625 46.96875 19.75 45.140625 \n",
       "Q 17.234375 43.3125 17.234375 40.234375 \n",
       "Q 17.234375 35.890625 24.265625 32.90625 \n",
       "L 28.90625 30.953125 \n",
       "Q 36.765625 27.640625 40.03125 23.953125 \n",
       "Q 43.3125 20.265625 43.3125 14.75 \n",
       "Q 43.3125 7.765625 37.796875 3.265625 \n",
       "Q 32.28125 -1.21875 23.6875 -1.21875 \n",
       "Q 17.09375 -1.21875 7.671875 1.859375 \n",
       "\" id=\"LucidaSansUnicode-73\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 43.0625 \n",
       "Q 26.265625 54.203125 37.3125 54.203125 \n",
       "Q 47.953125 54.203125 51.8125 43.0625 \n",
       "Q 58.640625 54.25 69.578125 54.25 \n",
       "Q 76.5625 54.25 80.4375 50.125 \n",
       "Q 84.328125 46 84.328125 38.578125 \n",
       "L 84.328125 0 \n",
       "L 74.65625 0 \n",
       "L 74.65625 37.0625 \n",
       "Q 74.65625 46.140625 67.484375 46.140625 \n",
       "Q 60.015625 46.140625 51.8125 35.546875 \n",
       "L 51.8125 0 \n",
       "L 42.140625 0 \n",
       "L 42.140625 37.0625 \n",
       "Q 42.140625 46.1875 34.8125 46.1875 \n",
       "Q 27.546875 46.1875 19.234375 35.546875 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-6d\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(134.610351563 407.935625)scale(0.18 -0.18)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"40.91796875\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"96.630859375\" xlink:href=\"#LucidaSansUnicode-70\"/>\n",
       "      <use x=\"159.5703125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"200.48828125\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"256.201171875\" xlink:href=\"#LucidaSansUnicode-73\"/>\n",
       "      <use x=\"307.177734375\" xlink:href=\"#LucidaSansUnicode-73\"/>\n",
       "      <use x=\"358.154296875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"419.580078125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "      <use x=\"460.498046875\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"492.138671875\" xlink:href=\"#LucidaSansUnicode-63\"/>\n",
       "      <use x=\"543.359375\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"604.78515625\" xlink:href=\"#LucidaSansUnicode-70\"/>\n",
       "      <use x=\"667.724609375\" xlink:href=\"#LucidaSansUnicode-79\"/>\n",
       "      <use x=\"719.970703125\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"751.611328125\" xlink:href=\"#LucidaSansUnicode-6e\"/>\n",
       "      <use x=\"813.671875\" xlink:href=\"#LucidaSansUnicode-75\"/>\n",
       "      <use x=\"875.732421875\" xlink:href=\"#LucidaSansUnicode-6d\"/>\n",
       "      <use x=\"969.091796875\" xlink:href=\"#LucidaSansUnicode-62\"/>\n",
       "      <use x=\"1032.03125\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"1087.744140625\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"matplotlib.axis_2\">\n",
       "    <g id=\"ytick_1\">\n",
       "     <g id=\"line2d_61\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 370.41875 \n",
       "L 405.506641 370.41875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_62\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_63\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"370.41875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_6\">\n",
       "      <!-- $\\mathdefault{10^{-4}}$ -->\n",
       "      <defs>\n",
       "       <path d=\"M 37.640625 0 \n",
       "L 37.640625 20.453125 \n",
       "L 5.125 20.453125 \n",
       "L 5.125 27.734375 \n",
       "L 37.640625 72.265625 \n",
       "L 46.6875 72.265625 \n",
       "L 46.6875 28.328125 \n",
       "L 56.34375 28.328125 \n",
       "L 56.34375 20.453125 \n",
       "L 46.6875 20.453125 \n",
       "L 46.6875 0 \n",
       "z\n",
       "M 14.546875 28.328125 \n",
       "L 38.28125 28.328125 \n",
       "L 38.28125 60.453125 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-34\"/>\n",
       "       <path d=\"M 10.84375 26.515625 \n",
       "L 10.84375 31.34375 \n",
       "L 68.65625 31.34375 \n",
       "L 68.65625 26.515625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-2212\"/>\n",
       "      </defs>\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.980625 374.1765625)scale(0.13 -0.13)\">\n",
       "       <use transform=\"translate(0.0 0.9890624999999886)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.9890624999999886)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.41406249999999)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-2212\"/>\n",
       "       <use transform=\"translate(183.037421875 43.41406249999999)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-34\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_2\">\n",
       "     <g id=\"line2d_64\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 301.85875 \n",
       "L 405.506641 301.85875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_65\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"301.85875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_66\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"301.85875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_7\">\n",
       "      <!-- $\\mathdefault{10^{-3}}$ -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.980625 305.6571875)scale(0.13 -0.13)\">\n",
       "       <use transform=\"translate(0.0 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-2212\"/>\n",
       "       <use transform=\"translate(183.037421875 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_3\">\n",
       "     <g id=\"line2d_67\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 233.29875 \n",
       "L 405.506641 233.29875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_68\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"233.29875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_69\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"233.29875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_8\">\n",
       "      <!-- $\\mathdefault{10^{-2}}$ -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.980625 237.0971875)scale(0.13 -0.13)\">\n",
       "       <use transform=\"translate(0.0 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-2212\"/>\n",
       "       <use transform=\"translate(183.037421875 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_4\">\n",
       "     <g id=\"line2d_70\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 164.73875 \n",
       "L 405.506641 164.73875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_71\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"164.73875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_72\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"164.73875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_9\">\n",
       "      <!-- $\\mathdefault{10^{-1}}$ -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(29.980625 168.4965625)scale(0.13 -0.13)\">\n",
       "       <use transform=\"translate(0.0 0.5406250000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.5406250000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 42.96562500000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-2212\"/>\n",
       "       <use transform=\"translate(183.037421875 42.96562500000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_5\">\n",
       "     <g id=\"line2d_73\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 96.17875 \n",
       "L 405.506641 96.17875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_74\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"96.17875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_75\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"96.17875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_10\">\n",
       "      <!-- $\\mathdefault{10^{0}}$ -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(37.130625 99.9771875)scale(0.13 -0.13)\">\n",
       "       <use transform=\"translate(0.0 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.7203125000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 43.14531250000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_6\">\n",
       "     <g id=\"line2d_76\">\n",
       "      <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 27.61875 \n",
       "L 405.506641 27.61875 \n",
       "\" style=\"fill:none;stroke:#ffffff;stroke-dasharray:1.000000,3.000000;stroke-dashoffset:0.0;stroke-width:1.5;\"/>\n",
       "     </g>\n",
       "     <g id=\"line2d_77\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"66.880625\" xlink:href=\"#m98a30534f3\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_78\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;\" x=\"405.506640625\" xlink:href=\"#m98a30534f3\" y=\"27.61875\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"text_11\">\n",
       "      <!-- $\\mathdefault{10^{1}}$ -->\n",
       "      <g style=\"fill:#262626;\" transform=\"translate(37.130625 31.3765625)scale(0.13 -0.13)\">\n",
       "       <use transform=\"translate(0.0 0.5406250000000057)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "       <use transform=\"translate(63.232421875 0.5406250000000057)\" xlink:href=\"#LucidaSansUnicode-30\"/>\n",
       "       <use transform=\"translate(127.392890625 42.96562500000001)scale(0.7)\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_7\">\n",
       "     <g id=\"line2d_79\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"349.780133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_80\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"349.780133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_8\">\n",
       "     <g id=\"line2d_81\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"337.707316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_82\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"337.707316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_9\">\n",
       "     <g id=\"line2d_83\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"329.141516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_84\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"329.141516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_10\">\n",
       "     <g id=\"line2d_85\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"322.497366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_86\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"322.497366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_11\">\n",
       "     <g id=\"line2d_87\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"317.068700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_88\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"317.068700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_12\">\n",
       "     <g id=\"line2d_89\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"312.478828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_90\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"312.478828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_13\">\n",
       "     <g id=\"line2d_91\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"308.502900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_92\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"308.502900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_14\">\n",
       "     <g id=\"line2d_93\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"304.995883553\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_94\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"304.995883553\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_15\">\n",
       "     <g id=\"line2d_95\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"281.220133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_96\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"281.220133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_16\">\n",
       "     <g id=\"line2d_97\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"269.147316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_98\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"269.147316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_17\">\n",
       "     <g id=\"line2d_99\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"260.581516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_100\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"260.581516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_18\">\n",
       "     <g id=\"line2d_101\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"253.937366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_102\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"253.937366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_19\">\n",
       "     <g id=\"line2d_103\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"248.508700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_104\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"248.508700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_20\">\n",
       "     <g id=\"line2d_105\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"243.918828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_106\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"243.918828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_21\">\n",
       "     <g id=\"line2d_107\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"239.942900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_108\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"239.942900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_22\">\n",
       "     <g id=\"line2d_109\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"236.435883553\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_110\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"236.435883553\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_23\">\n",
       "     <g id=\"line2d_111\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"212.660133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_112\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"212.660133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_24\">\n",
       "     <g id=\"line2d_113\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"200.587316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_114\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"200.587316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_25\">\n",
       "     <g id=\"line2d_115\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"192.021516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_116\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"192.021516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_26\">\n",
       "     <g id=\"line2d_117\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"185.377366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_118\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"185.377366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_27\">\n",
       "     <g id=\"line2d_119\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"179.948700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_120\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"179.948700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_28\">\n",
       "     <g id=\"line2d_121\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"175.358828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_122\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"175.358828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_29\">\n",
       "     <g id=\"line2d_123\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"171.382900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_124\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"171.382900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_30\">\n",
       "     <g id=\"line2d_125\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"167.875883553\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_126\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"167.875883553\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_31\">\n",
       "     <g id=\"line2d_127\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"144.100133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_128\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"144.100133497\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_32\">\n",
       "     <g id=\"line2d_129\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"132.027316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_130\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"132.027316776\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_33\">\n",
       "     <g id=\"line2d_131\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"123.461516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_132\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"123.461516995\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_34\">\n",
       "     <g id=\"line2d_133\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"116.817366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_134\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"116.817366503\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_35\">\n",
       "     <g id=\"line2d_135\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"111.388700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_136\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"111.388700274\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_36\">\n",
       "     <g id=\"line2d_137\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"106.798828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_138\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"106.798828377\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_37\">\n",
       "     <g id=\"line2d_139\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"102.822900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_140\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"102.822900492\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_38\">\n",
       "     <g id=\"line2d_141\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"99.3158835528\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_142\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"99.3158835528\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_39\">\n",
       "     <g id=\"line2d_143\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"75.5401334973\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_144\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"75.5401334973\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_40\">\n",
       "     <g id=\"line2d_145\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"63.4673167764\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_146\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"63.4673167764\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_41\">\n",
       "     <g id=\"line2d_147\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"54.9015169946\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_148\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"54.9015169946\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_42\">\n",
       "     <g id=\"line2d_149\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"48.2573665027\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_150\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"48.2573665027\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_43\">\n",
       "     <g id=\"line2d_151\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"42.8287002737\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_152\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"42.8287002737\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_44\">\n",
       "     <g id=\"line2d_153\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"38.2388283766\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_154\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"38.2388283766\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_45\">\n",
       "     <g id=\"line2d_155\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"34.2629004918\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_156\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"34.2629004918\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"ytick_46\">\n",
       "     <g id=\"line2d_157\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"66.880625\" xlink:href=\"#mfc8a2528c4\" y=\"30.7558835528\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "     <g id=\"line2d_158\">\n",
       "      <g>\n",
       "       <use style=\"fill:#262626;stroke:#262626;stroke-width:0.5;\" x=\"405.506640625\" xlink:href=\"#mfc8a2528c4\" y=\"30.7558835528\"/>\n",
       "      </g>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"text_12\">\n",
       "     <!-- fold-change -->\n",
       "     <defs>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 77.09375 \n",
       "L 19.234375 77.09375 \n",
       "L 19.234375 43.0625 \n",
       "Q 26.859375 54.203125 37.890625 54.203125 \n",
       "Q 44.828125 54.203125 48.90625 49.828125 \n",
       "Q 52.984375 45.453125 52.984375 38.09375 \n",
       "L 52.984375 0 \n",
       "L 43.359375 0 \n",
       "L 43.359375 34.96875 \n",
       "Q 43.359375 40.875 41.625 43.390625 \n",
       "Q 39.890625 45.90625 35.890625 45.90625 \n",
       "Q 27.046875 45.90625 19.234375 34.328125 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-68\"/>\n",
       "      <path d=\"M 7.234375 26.515625 \n",
       "L 7.234375 32.515625 \n",
       "L 50.59375 32.515625 \n",
       "L 50.59375 26.515625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-2d\"/>\n",
       "      <path d=\"M 43.65625 0 \n",
       "L 43.65625 9.96875 \n",
       "Q 37.796875 -1.21875 25.984375 -1.21875 \n",
       "Q 16.40625 -1.21875 10.90625 5.765625 \n",
       "Q 5.421875 12.75 5.421875 24.859375 \n",
       "Q 5.421875 38.09375 11.640625 46.140625 \n",
       "Q 17.875 54.203125 28.03125 54.203125 \n",
       "Q 37.453125 54.203125 43.65625 46.96875 \n",
       "L 43.65625 77.09375 \n",
       "L 53.328125 77.09375 \n",
       "L 53.328125 0 \n",
       "z\n",
       "M 43.65625 40.375 \n",
       "Q 36.1875 46.96875 29.5 46.96875 \n",
       "Q 22.90625 46.96875 19.28125 41.453125 \n",
       "Q 15.671875 35.9375 15.671875 25.828125 \n",
       "Q 15.671875 7.234375 27.984375 7.234375 \n",
       "Q 35.984375 7.234375 43.65625 15.96875 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-64\"/>\n",
       "      <path d=\"M 36.96875 6.734375 \n",
       "Q 28.328125 -1.21875 20.3125 -1.21875 \n",
       "Q 13.71875 -1.21875 9.375 2.90625 \n",
       "Q 5.03125 7.03125 5.03125 13.328125 \n",
       "Q 5.03125 22.015625 12.328125 26.671875 \n",
       "Q 19.625 31.34375 33.296875 31.34375 \n",
       "L 35.546875 31.34375 \n",
       "L 35.546875 37.75 \n",
       "Q 35.546875 46.96875 25.921875 46.96875 \n",
       "Q 18.453125 46.96875 9.625 42.28125 \n",
       "L 9.625 50.25 \n",
       "Q 19.34375 54.203125 27.9375 54.203125 \n",
       "Q 36.765625 54.203125 40.96875 50.171875 \n",
       "Q 45.171875 46.140625 45.171875 37.75 \n",
       "L 45.171875 13.71875 \n",
       "Q 45.171875 5.46875 50.25 5.46875 \n",
       "Q 50.875 5.46875 52.09375 5.671875 \n",
       "L 52.78125 0.34375 \n",
       "Q 49.515625 -1.21875 45.5625 -1.21875 \n",
       "Q 38.8125 -1.21875 36.96875 6.734375 \n",
       "M 35.546875 11.96875 \n",
       "L 35.546875 25.6875 \n",
       "L 32.46875 25.78125 \n",
       "Q 24.46875 25.78125 19.5625 22.796875 \n",
       "Q 14.65625 19.828125 14.65625 14.890625 \n",
       "Q 14.65625 11.421875 17.09375 9.03125 \n",
       "Q 19.53125 6.640625 23.046875 6.640625 \n",
       "Q 29.046875 6.640625 35.546875 11.96875 \n",
       "\" id=\"LucidaSansUnicode-61\"/>\n",
       "      <path d=\"M 11.421875 0 \n",
       "L 11.421875 45.796875 \n",
       "L 3.90625 45.796875 \n",
       "L 3.90625 53.03125 \n",
       "L 11.421875 53.03125 \n",
       "L 11.421875 59.375 \n",
       "Q 11.421875 78.328125 28.71875 78.328125 \n",
       "Q 33.546875 78.328125 39.703125 76.703125 \n",
       "L 39.703125 69.09375 \n",
       "Q 33.203125 71.09375 29.296875 71.09375 \n",
       "Q 24.5625 71.09375 22.828125 68.8125 \n",
       "Q 21.09375 66.546875 21.09375 60.40625 \n",
       "L 21.09375 53.03125 \n",
       "L 34.328125 53.03125 \n",
       "L 34.328125 45.796875 \n",
       "L 21.09375 45.796875 \n",
       "L 21.09375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-66\"/>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 77.09375 \n",
       "L 19.234375 77.09375 \n",
       "L 19.234375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-6c\"/>\n",
       "      <path d=\"M 9.8125 -17.625 \n",
       "L 10.9375 -9.28125 \n",
       "Q 19.28125 -13.234375 27.4375 -13.234375 \n",
       "Q 43.65625 -13.234375 43.65625 4 \n",
       "L 43.65625 12.359375 \n",
       "Q 41.15625 7.078125 36.546875 4.140625 \n",
       "Q 31.9375 1.21875 26.265625 1.21875 \n",
       "Q 16.65625 1.21875 11.03125 8.125 \n",
       "Q 5.421875 15.046875 5.421875 26.859375 \n",
       "Q 5.421875 38.96875 11.8125 46.578125 \n",
       "Q 18.21875 54.203125 28.375 54.203125 \n",
       "Q 37.25 54.203125 43.65625 46.96875 \n",
       "L 43.65625 53.03125 \n",
       "L 53.328125 53.03125 \n",
       "L 53.328125 14.453125 \n",
       "Q 53.328125 2 52.03125 -3.984375 \n",
       "Q 50.734375 -9.96875 47.171875 -13.765625 \n",
       "Q 40.875 -20.453125 27.484375 -20.453125 \n",
       "Q 18.3125 -20.453125 9.8125 -17.625 \n",
       "M 43.65625 18.359375 \n",
       "L 43.65625 40.375 \n",
       "Q 37.3125 46.96875 29.828125 46.96875 \n",
       "Q 23.1875 46.96875 19.421875 41.640625 \n",
       "Q 15.671875 36.328125 15.671875 26.90625 \n",
       "Q 15.671875 9.625 27.9375 9.625 \n",
       "Q 36.28125 9.625 43.65625 18.359375 \n",
       "\" id=\"LucidaSansUnicode-67\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(21.2990625 252.7065625)rotate(-90.0)scale(0.18 -0.18)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-66\"/>\n",
       "      <use x=\"36.767578125\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"98.193359375\" xlink:href=\"#LucidaSansUnicode-6c\"/>\n",
       "      <use x=\"127.099609375\" xlink:href=\"#LucidaSansUnicode-64\"/>\n",
       "      <use x=\"190.0390625\" xlink:href=\"#LucidaSansUnicode-2d\"/>\n",
       "      <use x=\"247.900390625\" xlink:href=\"#LucidaSansUnicode-63\"/>\n",
       "      <use x=\"299.12109375\" xlink:href=\"#LucidaSansUnicode-68\"/>\n",
       "      <use x=\"361.181640625\" xlink:href=\"#LucidaSansUnicode-61\"/>\n",
       "      <use x=\"416.40625\" xlink:href=\"#LucidaSansUnicode-6e\"/>\n",
       "      <use x=\"478.466796875\" xlink:href=\"#LucidaSansUnicode-67\"/>\n",
       "      <use x=\"540.8203125\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_1\">\n",
       "    <defs>\n",
       "     <path d=\"M 0 2.236068 \n",
       "C 0.593012 2.236068 1.161816 2.000462 1.581139 1.581139 \n",
       "C 2.000462 1.161816 2.236068 0.593012 2.236068 0 \n",
       "C 2.236068 -0.593012 2.000462 -1.161816 1.581139 -1.581139 \n",
       "C 1.161816 -2.000462 0.593012 -2.236068 0 -2.236068 \n",
       "C -0.593012 -2.236068 -1.161816 -2.000462 -1.581139 -1.581139 \n",
       "C -2.000462 -1.161816 -2.236068 -0.593012 -2.236068 0 \n",
       "C -2.236068 0.593012 -2.000462 1.161816 -1.581139 1.581139 \n",
       "C -1.161816 2.000462 -0.593012 2.236068 0 2.236068 \n",
       "z\n",
       "\" id=\"m85a0f8ebac\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#pf345afa094)\">\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m85a0f8ebac\" y=\"229.227025491\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m85a0f8ebac\" y=\"231.412436903\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m85a0f8ebac\" y=\"223.305070235\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m85a0f8ebac\" y=\"227.141982299\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m85a0f8ebac\" y=\"246.683120702\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m85a0f8ebac\" y=\"224.32421018\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m85a0f8ebac\" y=\"224.369874635\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m85a0f8ebac\" y=\"223.681387858\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m85a0f8ebac\" y=\"258.426772742\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m85a0f8ebac\" y=\"215.786654323\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m85a0f8ebac\" y=\"229.262702309\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m85a0f8ebac\" y=\"252.64212719\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m85a0f8ebac\" y=\"212.987767148\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m85a0f8ebac\" y=\"230.405192205\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m85a0f8ebac\" y=\"221.73107332\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m85a0f8ebac\" y=\"177.483787923\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m85a0f8ebac\" y=\"177.709602745\"/>\n",
       "     <use style=\"fill:#8a170f;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m85a0f8ebac\" y=\"181.157089511\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_2\">\n",
       "    <defs>\n",
       "     <path d=\"M 0 2.236068 \n",
       "C 0.593012 2.236068 1.161816 2.000462 1.581139 1.581139 \n",
       "C 2.000462 1.161816 2.236068 0.593012 2.236068 0 \n",
       "C 2.236068 -0.593012 2.000462 -1.161816 1.581139 -1.581139 \n",
       "C 1.161816 -2.000462 0.593012 -2.236068 0 -2.236068 \n",
       "C -0.593012 -2.236068 -1.161816 -2.000462 -1.581139 -1.581139 \n",
       "C -2.000462 -1.161816 -2.236068 -0.593012 -2.236068 0 \n",
       "C -2.236068 0.593012 -2.000462 1.161816 -1.581139 1.581139 \n",
       "C -1.161816 2.000462 -0.593012 2.236068 0 2.236068 \n",
       "z\n",
       "\" id=\"m9c593e51a6\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#pf345afa094)\">\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m9c593e51a6\" y=\"308.899291244\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m9c593e51a6\" y=\"263.258196063\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m9c593e51a6\" y=\"236.657584564\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m9c593e51a6\" y=\"260.757480902\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m9c593e51a6\" y=\"246.472781143\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m9c593e51a6\" y=\"241.248349384\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m9c593e51a6\" y=\"217.685240054\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m9c593e51a6\" y=\"219.745682162\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m9c593e51a6\" y=\"222.850075846\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m9c593e51a6\" y=\"201.165042851\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m9c593e51a6\" y=\"200.544913532\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m9c593e51a6\" y=\"200.704165331\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m9c593e51a6\" y=\"190.506265323\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m9c593e51a6\" y=\"191.570535326\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m9c593e51a6\" y=\"190.192042017\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m9c593e51a6\" y=\"148.541339735\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m9c593e51a6\" y=\"146.723249962\"/>\n",
       "     <use style=\"fill:#458a0f;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m9c593e51a6\" y=\"145.398567585\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_3\">\n",
       "    <defs>\n",
       "     <path d=\"M 0 2.236068 \n",
       "C 0.593012 2.236068 1.161816 2.000462 1.581139 1.581139 \n",
       "C 2.000462 1.161816 2.236068 0.593012 2.236068 0 \n",
       "C 2.236068 -0.593012 2.000462 -1.161816 1.581139 -1.581139 \n",
       "C 1.161816 -2.000462 0.593012 -2.236068 0 -2.236068 \n",
       "C -0.593012 -2.236068 -1.161816 -2.000462 -1.581139 -1.581139 \n",
       "C -2.000462 -1.161816 -2.236068 -0.593012 -2.236068 0 \n",
       "C -2.236068 0.593012 -2.000462 1.161816 -1.581139 1.581139 \n",
       "C -1.161816 2.000462 -0.593012 2.236068 0 2.236068 \n",
       "z\n",
       "\" id=\"mf621acca60\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#pf345afa094)\">\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#mf621acca60\" y=\"141.671838199\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#mf621acca60\" y=\"144.014142495\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#mf621acca60\" y=\"146.848645009\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#mf621acca60\" y=\"138.293577841\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#mf621acca60\" y=\"139.678980148\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#mf621acca60\" y=\"140.546932288\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#mf621acca60\" y=\"108.250204536\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#mf621acca60\" y=\"109.885874983\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#mf621acca60\" y=\"109.310366693\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#mf621acca60\" y=\"102.474202232\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#mf621acca60\" y=\"101.862714986\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#mf621acca60\" y=\"102.752665063\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#mf621acca60\" y=\"99.3710067337\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#mf621acca60\" y=\"100.052073935\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#mf621acca60\" y=\"100.613252397\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#mf621acca60\" y=\"96.7823270859\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#mf621acca60\" y=\"96.8748946262\"/>\n",
       "     <use style=\"fill:#0f828a;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#mf621acca60\" y=\"96.7454273974\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"PathCollection_4\">\n",
       "    <defs>\n",
       "     <path d=\"M 0 2.236068 \n",
       "C 0.593012 2.236068 1.161816 2.000462 1.581139 1.581139 \n",
       "C 2.000462 1.161816 2.236068 0.593012 2.236068 0 \n",
       "C 2.236068 -0.593012 2.000462 -1.161816 1.581139 -1.581139 \n",
       "C 1.161816 -2.000462 0.593012 -2.236068 0 -2.236068 \n",
       "C -0.593012 -2.236068 -1.161816 -2.000462 -1.581139 -1.581139 \n",
       "C -2.000462 -1.161816 -2.236068 -0.593012 -2.236068 0 \n",
       "C -2.236068 0.593012 -2.000462 1.161816 -1.581139 1.581139 \n",
       "C -1.161816 2.000462 -0.593012 2.236068 0 2.236068 \n",
       "z\n",
       "\" id=\"m358ddc394d\"/>\n",
       "    </defs>\n",
       "    <g clip-path=\"url(#pf345afa094)\">\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"398.679855789\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m358ddc394d\" y=\"394.522766259\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"381.275673077\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m358ddc394d\" y=\"333.845588749\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"305.49269655\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"269.197443751\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"233.611186694\" xlink:href=\"#m358ddc394d\" y=\"20732.73875\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m358ddc394d\" y=\"250.440893404\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m358ddc394d\" y=\"278.437725365\"/>\n",
       "     <use style=\"fill:#540f8a;fill-opacity:0.7;\" x=\"184.428176892\" xlink:href=\"#m358ddc394d\" y=\"251.28882163\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"line2d_159\">\n",
       "    <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 126.462281 \n",
       "L 70.30109 127.805119 \n",
       "L 73.721555 129.180742 \n",
       "L 77.142019 130.588417 \n",
       "L 80.562484 132.02736 \n",
       "L 83.982949 133.496742 \n",
       "L 87.403414 134.995696 \n",
       "L 90.823879 136.523321 \n",
       "L 94.244343 138.078694 \n",
       "L 97.664808 139.660866 \n",
       "L 101.085273 141.268879 \n",
       "L 104.505738 142.901764 \n",
       "L 107.926203 144.558548 \n",
       "L 111.346667 146.238259 \n",
       "L 114.767132 147.939931 \n",
       "L 118.187597 149.66261 \n",
       "L 121.608062 151.405351 \n",
       "L 125.028527 153.167229 \n",
       "L 128.448991 154.947337 \n",
       "L 131.869456 156.744789 \n",
       "L 135.289921 158.558723 \n",
       "L 138.710386 160.388305 \n",
       "L 142.130851 162.232725 \n",
       "L 145.551315 164.0912 \n",
       "L 148.97178 165.962979 \n",
       "L 152.392245 167.847338 \n",
       "L 155.81271 169.743582 \n",
       "L 159.233175 171.651046 \n",
       "L 162.65364 173.569094 \n",
       "L 166.074104 175.49712 \n",
       "L 169.494569 177.434545 \n",
       "L 172.915034 179.380818 \n",
       "L 176.335499 181.335417 \n",
       "L 179.755964 183.297844 \n",
       "L 183.176428 185.267629 \n",
       "L 186.596893 187.244326 \n",
       "L 190.017358 189.227513 \n",
       "L 193.437823 191.216791 \n",
       "L 196.858288 193.211784 \n",
       "L 200.278752 195.212135 \n",
       "L 203.699217 197.21751 \n",
       "L 207.119682 199.227593 \n",
       "L 210.540147 201.242086 \n",
       "L 213.960612 203.26071 \n",
       "L 217.381076 205.283202 \n",
       "L 220.801541 207.309315 \n",
       "L 224.222006 209.338816 \n",
       "L 227.642471 211.371486 \n",
       "L 231.062936 213.407122 \n",
       "L 234.4834 215.445532 \n",
       "L 237.903865 217.486534 \n",
       "L 241.32433 219.529961 \n",
       "L 244.744795 221.575654 \n",
       "L 248.16526 223.623466 \n",
       "L 251.585724 225.673256 \n",
       "L 255.006189 227.724895 \n",
       "L 258.426654 229.778263 \n",
       "L 261.847119 231.833244 \n",
       "L 265.267584 233.889732 \n",
       "L 268.688048 235.947628 \n",
       "L 272.108513 238.006839 \n",
       "L 275.528978 240.067277 \n",
       "L 278.949443 242.128862 \n",
       "L 282.369908 244.191516 \n",
       "L 285.790372 246.255169 \n",
       "L 289.210837 248.319755 \n",
       "L 292.631302 250.385211 \n",
       "L 296.051767 252.45148 \n",
       "L 299.472232 254.518506 \n",
       "L 302.892696 256.586241 \n",
       "L 306.313161 258.654635 \n",
       "L 309.733626 260.723646 \n",
       "L 313.154091 262.793232 \n",
       "L 316.574556 264.863355 \n",
       "L 319.995021 266.933978 \n",
       "L 323.415485 269.005068 \n",
       "L 326.83595 271.076594 \n",
       "L 330.256415 273.148527 \n",
       "L 333.67688 275.220839 \n",
       "L 337.097345 277.293505 \n",
       "L 340.517809 279.366501 \n",
       "L 343.938274 281.439805 \n",
       "L 347.358739 283.513396 \n",
       "L 350.779204 285.587256 \n",
       "L 354.199669 287.661366 \n",
       "L 357.620133 289.735708 \n",
       "L 361.040598 291.810269 \n",
       "L 364.461063 293.885032 \n",
       "L 367.881528 295.959985 \n",
       "L 371.301993 298.035114 \n",
       "L 374.722457 300.110408 \n",
       "L 378.142922 302.185856 \n",
       "L 381.563387 304.261446 \n",
       "L 384.983852 306.337171 \n",
       "L 388.404317 308.41302 \n",
       "L 391.824781 310.488986 \n",
       "L 395.245246 312.565059 \n",
       "L 398.665711 314.641235 \n",
       "L 402.086176 316.717504 \n",
       "L 405.506641 318.793861 \n",
       "\" style=\"fill:none;stroke:#8a170f;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"line2d_160\">\n",
       "    <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 106.938005 \n",
       "L 70.30109 107.583513 \n",
       "L 73.721555 108.260467 \n",
       "L 77.142019 108.969641 \n",
       "L 80.562484 109.711755 \n",
       "L 83.982949 110.487471 \n",
       "L 87.403414 111.29739 \n",
       "L 90.823879 112.142039 \n",
       "L 94.244343 113.021876 \n",
       "L 97.664808 113.937276 \n",
       "L 101.085273 114.888537 \n",
       "L 104.505738 115.875869 \n",
       "L 107.926203 116.899397 \n",
       "L 111.346667 117.959158 \n",
       "L 114.767132 119.055101 \n",
       "L 118.187597 120.187088 \n",
       "L 121.608062 121.354895 \n",
       "L 125.028527 122.558211 \n",
       "L 128.448991 123.796647 \n",
       "L 131.869456 125.069735 \n",
       "L 135.289921 126.376936 \n",
       "L 138.710386 127.717638 \n",
       "L 142.130851 129.091171 \n",
       "L 145.551315 130.496805 \n",
       "L 148.97178 131.933759 \n",
       "L 152.392245 133.401206 \n",
       "L 155.81271 134.898282 \n",
       "L 159.233175 136.424089 \n",
       "L 162.65364 137.977702 \n",
       "L 166.074104 139.558177 \n",
       "L 169.494569 141.164556 \n",
       "L 172.915034 142.795868 \n",
       "L 176.335499 144.451141 \n",
       "L 179.755964 146.129405 \n",
       "L 183.176428 147.829692 \n",
       "L 186.596893 149.551046 \n",
       "L 190.017358 151.292523 \n",
       "L 193.437823 153.053196 \n",
       "L 196.858288 154.832157 \n",
       "L 200.278752 156.628518 \n",
       "L 203.699217 158.441417 \n",
       "L 207.119682 160.270015 \n",
       "L 210.540147 162.113503 \n",
       "L 213.960612 163.971096 \n",
       "L 217.381076 165.842041 \n",
       "L 220.801541 167.72561 \n",
       "L 224.222006 169.621109 \n",
       "L 227.642471 171.52787 \n",
       "L 231.062936 173.445255 \n",
       "L 234.4834 175.372656 \n",
       "L 237.903865 177.309492 \n",
       "L 241.32433 179.255212 \n",
       "L 244.744795 181.20929 \n",
       "L 248.16526 183.171227 \n",
       "L 251.585724 185.140552 \n",
       "L 255.006189 187.116817 \n",
       "L 258.426654 189.099598 \n",
       "L 261.847119 191.088496 \n",
       "L 265.267584 193.083131 \n",
       "L 268.688048 195.083147 \n",
       "L 272.108513 197.088208 \n",
       "L 275.528978 199.097997 \n",
       "L 278.949443 201.112215 \n",
       "L 282.369908 203.130581 \n",
       "L 285.790372 205.152832 \n",
       "L 289.210837 207.178719 \n",
       "L 292.631302 209.208008 \n",
       "L 296.051767 211.240481 \n",
       "L 299.472232 213.275932 \n",
       "L 302.892696 215.314168 \n",
       "L 306.313161 217.355009 \n",
       "L 309.733626 219.398284 \n",
       "L 313.154091 221.443836 \n",
       "L 316.574556 223.491515 \n",
       "L 319.995021 225.541182 \n",
       "L 323.415485 227.592706 \n",
       "L 326.83595 229.645966 \n",
       "L 330.256415 231.700846 \n",
       "L 333.67688 233.75724 \n",
       "L 337.097345 235.815049 \n",
       "L 340.517809 237.874177 \n",
       "L 343.938274 239.934539 \n",
       "L 347.358739 241.996052 \n",
       "L 350.779204 244.05864 \n",
       "L 354.199669 246.122231 \n",
       "L 357.620133 248.186758 \n",
       "L 361.040598 250.25216 \n",
       "L 364.461063 252.318378 \n",
       "L 367.881528 254.385358 \n",
       "L 371.301993 256.453048 \n",
       "L 374.722457 258.521401 \n",
       "L 378.142922 260.590374 \n",
       "L 381.563387 262.659924 \n",
       "L 384.983852 264.730013 \n",
       "L 388.404317 266.800605 \n",
       "L 391.824781 268.871666 \n",
       "L 395.245246 270.943165 \n",
       "L 398.665711 273.015072 \n",
       "L 402.086176 275.08736 \n",
       "L 405.506641 277.160004 \n",
       "\" style=\"fill:none;stroke:#458a0f;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"line2d_161\">\n",
       "    <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 96.372463 \n",
       "L 70.30109 96.386413 \n",
       "L 73.721555 96.401364 \n",
       "L 77.142019 96.417388 \n",
       "L 80.562484 96.43456 \n",
       "L 83.982949 96.452961 \n",
       "L 87.403414 96.47268 \n",
       "L 90.823879 96.49381 \n",
       "L 94.244343 96.51645 \n",
       "L 97.664808 96.540707 \n",
       "L 101.085273 96.566694 \n",
       "L 104.505738 96.594535 \n",
       "L 107.926203 96.624359 \n",
       "L 111.346667 96.656305 \n",
       "L 114.767132 96.690522 \n",
       "L 118.187597 96.727168 \n",
       "L 121.608062 96.766412 \n",
       "L 125.028527 96.808434 \n",
       "L 128.448991 96.853428 \n",
       "L 131.869456 96.901598 \n",
       "L 135.289921 96.953162 \n",
       "L 138.710386 97.008354 \n",
       "L 142.130851 97.067421 \n",
       "L 145.551315 97.130627 \n",
       "L 148.97178 97.198252 \n",
       "L 152.392245 97.270593 \n",
       "L 155.81271 97.347968 \n",
       "L 159.233175 97.430712 \n",
       "L 162.65364 97.51918 \n",
       "L 166.074104 97.613751 \n",
       "L 169.494569 97.714823 \n",
       "L 172.915034 97.82282 \n",
       "L 176.335499 97.938188 \n",
       "L 179.755964 98.061399 \n",
       "L 183.176428 98.19295 \n",
       "L 186.596893 98.333364 \n",
       "L 190.017358 98.483194 \n",
       "L 193.437823 98.643019 \n",
       "L 196.858288 98.813446 \n",
       "L 200.278752 98.995112 \n",
       "L 203.699217 99.188683 \n",
       "L 207.119682 99.394854 \n",
       "L 210.540147 99.61435 \n",
       "L 213.960612 99.847924 \n",
       "L 217.381076 100.096359 \n",
       "L 220.801541 100.360464 \n",
       "L 224.222006 100.641077 \n",
       "L 227.642471 100.93906 \n",
       "L 231.062936 101.255298 \n",
       "L 234.4834 101.590699 \n",
       "L 237.903865 101.94619 \n",
       "L 241.32433 102.322715 \n",
       "L 244.744795 102.721229 \n",
       "L 248.16526 103.142698 \n",
       "L 251.585724 103.588095 \n",
       "L 255.006189 104.058391 \n",
       "L 258.426654 104.554555 \n",
       "L 261.847119 105.077547 \n",
       "L 265.267584 105.628313 \n",
       "L 268.688048 106.207778 \n",
       "L 272.108513 106.816839 \n",
       "L 275.528978 107.456365 \n",
       "L 278.949443 108.127181 \n",
       "L 282.369908 108.830072 \n",
       "L 285.790372 109.565768 \n",
       "L 289.210837 110.334943 \n",
       "L 292.631302 111.13821 \n",
       "L 296.051767 111.976111 \n",
       "L 299.472232 112.849117 \n",
       "L 302.892696 113.75762 \n",
       "L 306.313161 114.701933 \n",
       "L 309.733626 115.682282 \n",
       "L 313.154091 116.698811 \n",
       "L 316.574556 117.751573 \n",
       "L 319.995021 118.840534 \n",
       "L 323.415485 119.965571 \n",
       "L 326.83595 121.126478 \n",
       "L 330.256415 122.322961 \n",
       "L 333.67688 123.554646 \n",
       "L 337.097345 124.821079 \n",
       "L 340.517809 126.121734 \n",
       "L 343.938274 127.456014 \n",
       "L 347.358739 128.823259 \n",
       "L 350.779204 130.222749 \n",
       "L 354.199669 131.653714 \n",
       "L 357.620133 133.115336 \n",
       "L 361.040598 134.606756 \n",
       "L 364.461063 136.127083 \n",
       "L 367.881528 137.675397 \n",
       "L 371.301993 139.250757 \n",
       "L 374.722457 140.852205 \n",
       "L 378.142922 142.478776 \n",
       "L 381.563387 144.129495 \n",
       "L 384.983852 145.803392 \n",
       "L 388.404317 147.499499 \n",
       "L 391.824781 149.216857 \n",
       "L 395.245246 150.954519 \n",
       "L 398.665711 152.711554 \n",
       "L 402.086176 154.487051 \n",
       "L 405.506641 156.280118 \n",
       "\" style=\"fill:none;stroke:#0f828a;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"line2d_162\">\n",
       "    <path clip-path=\"url(#pf345afa094)\" d=\"M 66.880625 166.647317 \n",
       "L 70.30109 168.53608 \n",
       "L 73.721555 170.436482 \n",
       "L 77.142019 172.34787 \n",
       "L 80.562484 174.269618 \n",
       "L 83.982949 176.20113 \n",
       "L 87.403414 178.141837 \n",
       "L 90.823879 180.0912 \n",
       "L 94.244343 182.048703 \n",
       "L 97.664808 184.013862 \n",
       "L 101.085273 185.986213 \n",
       "L 104.505738 187.965319 \n",
       "L 107.926203 189.950768 \n",
       "L 111.346667 191.942167 \n",
       "L 114.767132 193.93915 \n",
       "L 118.187597 195.941367 \n",
       "L 121.608062 197.948491 \n",
       "L 125.028527 199.960212 \n",
       "L 128.448991 201.976241 \n",
       "L 131.869456 203.996302 \n",
       "L 135.289921 206.02014 \n",
       "L 138.710386 208.047511 \n",
       "L 142.130851 210.07819 \n",
       "L 145.551315 212.111963 \n",
       "L 148.97178 214.14863 \n",
       "L 152.392245 216.188003 \n",
       "L 155.81271 218.229907 \n",
       "L 159.233175 220.274177 \n",
       "L 162.65364 222.320657 \n",
       "L 166.074104 224.369204 \n",
       "L 169.494569 226.419682 \n",
       "L 172.915034 228.471964 \n",
       "L 176.335499 230.525931 \n",
       "L 179.755964 232.581473 \n",
       "L 183.176428 234.638485 \n",
       "L 186.596893 236.69687 \n",
       "L 190.017358 238.756537 \n",
       "L 193.437823 240.817401 \n",
       "L 196.858288 242.879384 \n",
       "L 200.278752 244.94241 \n",
       "L 203.699217 247.00641 \n",
       "L 207.119682 249.071319 \n",
       "L 210.540147 251.137077 \n",
       "L 213.960612 253.203628 \n",
       "L 217.381076 255.270918 \n",
       "L 220.801541 257.338898 \n",
       "L 224.222006 259.407522 \n",
       "L 227.642471 261.476746 \n",
       "L 231.062936 263.546532 \n",
       "L 234.4834 265.616841 \n",
       "L 237.903865 267.687637 \n",
       "L 241.32433 269.75889 \n",
       "L 244.744795 271.830567 \n",
       "L 248.16526 273.902641 \n",
       "L 251.585724 275.975085 \n",
       "L 255.006189 278.047873 \n",
       "L 258.426654 280.120984 \n",
       "L 261.847119 282.194395 \n",
       "L 265.267584 284.268086 \n",
       "L 268.688048 286.342039 \n",
       "L 272.108513 288.416235 \n",
       "L 275.528978 290.490659 \n",
       "L 278.949443 292.565295 \n",
       "L 282.369908 294.640129 \n",
       "L 285.790372 296.715147 \n",
       "L 289.210837 298.790337 \n",
       "L 292.631302 300.865689 \n",
       "L 296.051767 302.941189 \n",
       "L 299.472232 305.01683 \n",
       "L 302.892696 307.092601 \n",
       "L 306.313161 309.168493 \n",
       "L 309.733626 311.244499 \n",
       "L 313.154091 313.320611 \n",
       "L 316.574556 315.396821 \n",
       "L 319.995021 317.473123 \n",
       "L 323.415485 319.549511 \n",
       "L 326.83595 321.625979 \n",
       "L 330.256415 323.702521 \n",
       "L 333.67688 325.779134 \n",
       "L 337.097345 327.855811 \n",
       "L 340.517809 329.932548 \n",
       "L 343.938274 332.009342 \n",
       "L 347.358739 334.086189 \n",
       "L 350.779204 336.163085 \n",
       "L 354.199669 338.240027 \n",
       "L 357.620133 340.317011 \n",
       "L 361.040598 342.394035 \n",
       "L 364.461063 344.471097 \n",
       "L 367.881528 346.548193 \n",
       "L 371.301993 348.625321 \n",
       "L 374.722457 350.70248 \n",
       "L 378.142922 352.779666 \n",
       "L 381.563387 354.856879 \n",
       "L 384.983852 356.934117 \n",
       "L 388.404317 359.011377 \n",
       "L 391.824781 361.088658 \n",
       "L 395.245246 363.165959 \n",
       "L 398.665711 365.243279 \n",
       "L 402.086176 367.320616 \n",
       "L 405.506641 369.397969 \n",
       "\" style=\"fill:none;stroke:#540f8a;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_3\">\n",
       "    <path d=\"M 66.880625 370.41875 \n",
       "L 66.880625 27.61875 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_4\">\n",
       "    <path d=\"M 66.880625 370.41875 \n",
       "L 405.506641 370.41875 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_5\">\n",
       "    <path d=\"M 66.880625 27.61875 \n",
       "L 405.506641 27.61875 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"patch_6\">\n",
       "    <path d=\"M 405.506641 370.41875 \n",
       "L 405.506641 27.61875 \n",
       "\" style=\"fill:none;\"/>\n",
       "   </g>\n",
       "   <g id=\"text_13\">\n",
       "    <!-- FITC-A -->\n",
       "    <defs>\n",
       "     <path d=\"M 63.625 3.71875 \n",
       "Q 52.9375 -1.8125 40.28125 -1.8125 \n",
       "Q 23.4375 -1.8125 14.25 8.046875 \n",
       "Q 5.078125 17.921875 5.078125 36.078125 \n",
       "Q 5.078125 54.203125 14.421875 64.140625 \n",
       "Q 23.78125 74.078125 40.828125 74.078125 \n",
       "Q 50.484375 74.078125 63.53125 70.90625 \n",
       "L 63.53125 61.28125 \n",
       "Q 48.6875 66.40625 40.625 66.40625 \n",
       "Q 28.859375 66.40625 22.40625 58.4375 \n",
       "Q 15.96875 50.484375 15.96875 35.984375 \n",
       "Q 15.96875 22.125 22.84375 14.15625 \n",
       "Q 29.734375 6.203125 41.703125 6.203125 \n",
       "Q 51.90625 6.203125 63.625 12.5 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-43\"/>\n",
       "     <path d=\"M 26.515625 0 \n",
       "L 26.515625 64.59375 \n",
       "L 0.875 64.59375 \n",
       "L 0.875 72.265625 \n",
       "L 62.40625 72.265625 \n",
       "L 62.40625 64.59375 \n",
       "L 36.765625 64.59375 \n",
       "L 36.765625 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-54\"/>\n",
       "     <path d=\"M 9.28125 0 \n",
       "L 9.28125 72.265625 \n",
       "L 19.53125 72.265625 \n",
       "L 19.53125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-49\"/>\n",
       "     <path d=\"M 9.328125 0 \n",
       "L 9.328125 72.265625 \n",
       "L 49.703125 72.265625 \n",
       "L 49.703125 64.59375 \n",
       "L 19.578125 64.59375 \n",
       "L 19.578125 40.375 \n",
       "L 44.875 40.375 \n",
       "L 44.875 32.8125 \n",
       "L 19.578125 32.8125 \n",
       "L 19.578125 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-46\"/>\n",
       "     <path d=\"M 0.828125 0 \n",
       "L 29.5 72.265625 \n",
       "L 39.65625 72.265625 \n",
       "L 67.875 0 \n",
       "L 56.78125 0 \n",
       "L 48.921875 20.015625 \n",
       "L 18.3125 20.015625 \n",
       "L 10.359375 0 \n",
       "z\n",
       "M 21.296875 27.640625 \n",
       "L 45.953125 27.640625 \n",
       "L 33.640625 58.796875 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-41\"/>\n",
       "    </defs>\n",
       "    <g style=\"fill:#262626;\" transform=\"translate(202.023320313 22.61875)scale(0.2 -0.2)\">\n",
       "     <use xlink:href=\"#LucidaSansUnicode-46\"/>\n",
       "     <use x=\"53.61328125\" xlink:href=\"#LucidaSansUnicode-49\"/>\n",
       "     <use x=\"82.421875\" xlink:href=\"#LucidaSansUnicode-54\"/>\n",
       "     <use x=\"145.654296875\" xlink:href=\"#LucidaSansUnicode-43\"/>\n",
       "     <use x=\"214.84375\" xlink:href=\"#LucidaSansUnicode-2d\"/>\n",
       "     <use x=\"272.705078125\" xlink:href=\"#LucidaSansUnicode-41\"/>\n",
       "    </g>\n",
       "   </g>\n",
       "   <g id=\"legend_1\">\n",
       "    <g id=\"patch_7\">\n",
       "     <path d=\"M 207.316016 94.6625 \n",
       "L 400.506641 94.6625 \n",
       "L 400.506641 32.61875 \n",
       "L 207.316016 32.61875 \n",
       "z\n",
       "\" style=\"fill:#e3dcd0;stroke:#ffffff;stroke-linejoin:miter;stroke-width:0.3;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_163\">\n",
       "     <path d=\"M 211.316016 40.951562 \n",
       "L 231.316016 40.951562 \n",
       "\" style=\"fill:none;stroke:#8a170f;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_164\"/>\n",
       "    <g id=\"text_14\">\n",
       "     <!-- O1 -->\n",
       "     <defs>\n",
       "      <path d=\"M 38.875 -1.8125 \n",
       "Q 23.484375 -1.8125 14.28125 8.515625 \n",
       "Q 5.078125 18.84375 5.078125 36.140625 \n",
       "Q 5.078125 53.421875 14.28125 63.75 \n",
       "Q 23.484375 74.078125 38.875 74.078125 \n",
       "Q 54.25 74.078125 63.453125 63.75 \n",
       "Q 72.65625 53.421875 72.65625 36.140625 \n",
       "Q 72.65625 18.84375 63.453125 8.515625 \n",
       "Q 54.25 -1.8125 38.875 -1.8125 \n",
       "M 38.875 5.859375 \n",
       "Q 49.65625 5.859375 55.703125 13.890625 \n",
       "Q 61.765625 21.921875 61.765625 36.234375 \n",
       "Q 61.765625 50.4375 55.703125 58.421875 \n",
       "Q 49.65625 66.40625 38.875 66.40625 \n",
       "Q 28.078125 66.40625 22.015625 58.421875 \n",
       "Q 15.96875 50.4375 15.96875 36.234375 \n",
       "Q 15.96875 21.921875 22.015625 13.890625 \n",
       "Q 28.078125 5.859375 38.875 5.859375 \n",
       "\" id=\"LucidaSansUnicode-4f\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(239.316015625 44.4515625)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"line2d_165\">\n",
       "     <path d=\"M 211.316016 55.589062 \n",
       "L 231.316016 55.589062 \n",
       "\" style=\"fill:none;stroke:#458a0f;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_166\"/>\n",
       "    <g id=\"text_15\">\n",
       "     <!-- O2 -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(239.316015625 59.0890625)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"line2d_167\">\n",
       "     <path d=\"M 211.316016 70.226562 \n",
       "L 231.316016 70.226562 \n",
       "\" style=\"fill:none;stroke:#0f828a;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_168\"/>\n",
       "    <g id=\"text_16\">\n",
       "     <!-- O3 -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(239.316015625 73.7265625)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"line2d_169\">\n",
       "     <path d=\"M 211.316016 84.864062 \n",
       "L 231.316016 84.864062 \n",
       "\" style=\"fill:none;stroke:#540f8a;stroke-linecap:round;stroke-width:2.0;\"/>\n",
       "    </g>\n",
       "    <g id=\"line2d_170\"/>\n",
       "    <g id=\"text_17\">\n",
       "     <!-- Oid -->\n",
       "     <defs>\n",
       "      <path d=\"M 9.625 0 \n",
       "L 9.625 53.03125 \n",
       "L 19.234375 53.03125 \n",
       "L 19.234375 0 \n",
       "z\n",
       "M 9.625 62.640625 \n",
       "L 9.625 72.265625 \n",
       "L 19.234375 72.265625 \n",
       "L 19.234375 62.640625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-69\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(239.316015625 88.3640625)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-69\"/>\n",
       "      <use x=\"106.591796875\" xlink:href=\"#LucidaSansUnicode-64\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"PathCollection_5\">\n",
       "     <path d=\"M 286.269141 44.06263 \n",
       "C 286.862153 44.06263 287.430957 43.827024 287.850279 43.407701 \n",
       "C 288.269602 42.988378 288.505209 42.419575 288.505209 41.826562 \n",
       "C 288.505209 41.23355 288.269602 40.664747 287.850279 40.245424 \n",
       "C 287.430957 39.826101 286.862153 39.590495 286.269141 39.590495 \n",
       "C 285.676128 39.590495 285.107325 39.826101 284.688002 40.245424 \n",
       "C 284.268679 40.664747 284.033073 41.23355 284.033073 41.826562 \n",
       "C 284.033073 42.419575 284.268679 42.988378 284.688002 43.407701 \n",
       "C 285.107325 43.827024 285.676128 44.06263 286.269141 44.06263 \n",
       "z\n",
       "\" style=\"fill:#8a170f;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 44.06263 \n",
       "C 286.862153 44.06263 287.430957 43.827024 287.850279 43.407701 \n",
       "C 288.269602 42.988378 288.505209 42.419575 288.505209 41.826562 \n",
       "C 288.505209 41.23355 288.269602 40.664747 287.850279 40.245424 \n",
       "C 287.430957 39.826101 286.862153 39.590495 286.269141 39.590495 \n",
       "C 285.676128 39.590495 285.107325 39.826101 284.688002 40.245424 \n",
       "C 284.268679 40.664747 284.033073 41.23355 284.033073 41.826562 \n",
       "C 284.033073 42.419575 284.268679 42.988378 284.688002 43.407701 \n",
       "C 285.107325 43.827024 285.676128 44.06263 286.269141 44.06263 \n",
       "z\n",
       "\" style=\"fill:#8a170f;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 44.06263 \n",
       "C 286.862153 44.06263 287.430957 43.827024 287.850279 43.407701 \n",
       "C 288.269602 42.988378 288.505209 42.419575 288.505209 41.826562 \n",
       "C 288.505209 41.23355 288.269602 40.664747 287.850279 40.245424 \n",
       "C 287.430957 39.826101 286.862153 39.590495 286.269141 39.590495 \n",
       "C 285.676128 39.590495 285.107325 39.826101 284.688002 40.245424 \n",
       "C 284.268679 40.664747 284.033073 41.23355 284.033073 41.826562 \n",
       "C 284.033073 42.419575 284.268679 42.988378 284.688002 43.407701 \n",
       "C 285.107325 43.827024 285.676128 44.06263 286.269141 44.06263 \n",
       "z\n",
       "\" style=\"fill:#8a170f;fill-opacity:0.7;\"/>\n",
       "    </g>\n",
       "    <g id=\"text_18\">\n",
       "     <!-- O1 flow cytometer -->\n",
       "     <defs>\n",
       "      <path d=\"M 15.765625 0 \n",
       "L 0.59375 53.03125 \n",
       "L 10.015625 53.03125 \n",
       "L 21.625 11.96875 \n",
       "L 34.1875 53.03125 \n",
       "L 43.796875 53.03125 \n",
       "L 54.78125 11.96875 \n",
       "L 68.109375 53.03125 \n",
       "L 76.375 53.03125 \n",
       "L 59.078125 0 \n",
       "L 49.421875 0 \n",
       "L 38.1875 41.0625 \n",
       "L 25.484375 0 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-77\"/>\n",
       "      <path d=\"M 33.25 0 \n",
       "Q 28.8125 -1.21875 25.53125 -1.21875 \n",
       "Q 18.21875 -1.21875 14.109375 2.96875 \n",
       "Q 10.015625 7.171875 10.015625 14.65625 \n",
       "L 10.015625 45.796875 \n",
       "L 3.375 45.796875 \n",
       "L 3.375 53.03125 \n",
       "L 10.015625 53.03125 \n",
       "L 10.015625 62.640625 \n",
       "L 19.625 63.578125 \n",
       "L 19.625 53.03125 \n",
       "L 33.5 53.03125 \n",
       "L 33.5 45.796875 \n",
       "L 19.625 45.796875 \n",
       "L 19.625 16.40625 \n",
       "Q 19.625 6 28.609375 6 \n",
       "Q 30.515625 6 33.25 6.640625 \n",
       "z\n",
       "\" id=\"LucidaSansUnicode-74\"/>\n",
       "     </defs>\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(304.269140625 44.4515625)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-31\"/>\n",
       "      <use x=\"140.91796875\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"172.55859375\" xlink:href=\"#LucidaSansUnicode-66\"/>\n",
       "      <use x=\"209.326171875\" xlink:href=\"#LucidaSansUnicode-6c\"/>\n",
       "      <use x=\"238.232421875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"299.658203125\" xlink:href=\"#LucidaSansUnicode-77\"/>\n",
       "      <use x=\"376.708984375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"408.349609375\" xlink:href=\"#LucidaSansUnicode-63\"/>\n",
       "      <use x=\"459.5703125\" xlink:href=\"#LucidaSansUnicode-79\"/>\n",
       "      <use x=\"511.81640625\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"549.21875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"610.64453125\" xlink:href=\"#LucidaSansUnicode-6d\"/>\n",
       "      <use x=\"704.00390625\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"759.716796875\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"797.119140625\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"852.83203125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"PathCollection_6\">\n",
       "     <path d=\"M 286.269141 58.823568 \n",
       "C 286.862153 58.823568 287.430957 58.587962 287.850279 58.168639 \n",
       "C 288.269602 57.749316 288.505209 57.180512 288.505209 56.5875 \n",
       "C 288.505209 55.994488 288.269602 55.425684 287.850279 55.006361 \n",
       "C 287.430957 54.587038 286.862153 54.351432 286.269141 54.351432 \n",
       "C 285.676128 54.351432 285.107325 54.587038 284.688002 55.006361 \n",
       "C 284.268679 55.425684 284.033073 55.994488 284.033073 56.5875 \n",
       "C 284.033073 57.180512 284.268679 57.749316 284.688002 58.168639 \n",
       "C 285.107325 58.587962 285.676128 58.823568 286.269141 58.823568 \n",
       "z\n",
       "\" style=\"fill:#458a0f;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 58.823568 \n",
       "C 286.862153 58.823568 287.430957 58.587962 287.850279 58.168639 \n",
       "C 288.269602 57.749316 288.505209 57.180512 288.505209 56.5875 \n",
       "C 288.505209 55.994488 288.269602 55.425684 287.850279 55.006361 \n",
       "C 287.430957 54.587038 286.862153 54.351432 286.269141 54.351432 \n",
       "C 285.676128 54.351432 285.107325 54.587038 284.688002 55.006361 \n",
       "C 284.268679 55.425684 284.033073 55.994488 284.033073 56.5875 \n",
       "C 284.033073 57.180512 284.268679 57.749316 284.688002 58.168639 \n",
       "C 285.107325 58.587962 285.676128 58.823568 286.269141 58.823568 \n",
       "z\n",
       "\" style=\"fill:#458a0f;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 58.823568 \n",
       "C 286.862153 58.823568 287.430957 58.587962 287.850279 58.168639 \n",
       "C 288.269602 57.749316 288.505209 57.180512 288.505209 56.5875 \n",
       "C 288.505209 55.994488 288.269602 55.425684 287.850279 55.006361 \n",
       "C 287.430957 54.587038 286.862153 54.351432 286.269141 54.351432 \n",
       "C 285.676128 54.351432 285.107325 54.587038 284.688002 55.006361 \n",
       "C 284.268679 55.425684 284.033073 55.994488 284.033073 56.5875 \n",
       "C 284.033073 57.180512 284.268679 57.749316 284.688002 58.168639 \n",
       "C 285.107325 58.587962 285.676128 58.823568 286.269141 58.823568 \n",
       "z\n",
       "\" style=\"fill:#458a0f;fill-opacity:0.7;\"/>\n",
       "    </g>\n",
       "    <g id=\"text_19\">\n",
       "     <!-- O2 flow cytometer -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(304.269140625 59.2125)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-32\"/>\n",
       "      <use x=\"140.91796875\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"172.55859375\" xlink:href=\"#LucidaSansUnicode-66\"/>\n",
       "      <use x=\"209.326171875\" xlink:href=\"#LucidaSansUnicode-6c\"/>\n",
       "      <use x=\"238.232421875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"299.658203125\" xlink:href=\"#LucidaSansUnicode-77\"/>\n",
       "      <use x=\"376.708984375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"408.349609375\" xlink:href=\"#LucidaSansUnicode-63\"/>\n",
       "      <use x=\"459.5703125\" xlink:href=\"#LucidaSansUnicode-79\"/>\n",
       "      <use x=\"511.81640625\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"549.21875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"610.64453125\" xlink:href=\"#LucidaSansUnicode-6d\"/>\n",
       "      <use x=\"704.00390625\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"759.716796875\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"797.119140625\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"852.83203125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"PathCollection_7\">\n",
       "     <path d=\"M 286.269141 73.584505 \n",
       "C 286.862153 73.584505 287.430957 73.348899 287.850279 72.929576 \n",
       "C 288.269602 72.510253 288.505209 71.94145 288.505209 71.348437 \n",
       "C 288.505209 70.755425 288.269602 70.186622 287.850279 69.767299 \n",
       "C 287.430957 69.347976 286.862153 69.11237 286.269141 69.11237 \n",
       "C 285.676128 69.11237 285.107325 69.347976 284.688002 69.767299 \n",
       "C 284.268679 70.186622 284.033073 70.755425 284.033073 71.348437 \n",
       "C 284.033073 71.94145 284.268679 72.510253 284.688002 72.929576 \n",
       "C 285.107325 73.348899 285.676128 73.584505 286.269141 73.584505 \n",
       "z\n",
       "\" style=\"fill:#0f828a;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 73.584505 \n",
       "C 286.862153 73.584505 287.430957 73.348899 287.850279 72.929576 \n",
       "C 288.269602 72.510253 288.505209 71.94145 288.505209 71.348437 \n",
       "C 288.505209 70.755425 288.269602 70.186622 287.850279 69.767299 \n",
       "C 287.430957 69.347976 286.862153 69.11237 286.269141 69.11237 \n",
       "C 285.676128 69.11237 285.107325 69.347976 284.688002 69.767299 \n",
       "C 284.268679 70.186622 284.033073 70.755425 284.033073 71.348437 \n",
       "C 284.033073 71.94145 284.268679 72.510253 284.688002 72.929576 \n",
       "C 285.107325 73.348899 285.676128 73.584505 286.269141 73.584505 \n",
       "z\n",
       "\" style=\"fill:#0f828a;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 73.584505 \n",
       "C 286.862153 73.584505 287.430957 73.348899 287.850279 72.929576 \n",
       "C 288.269602 72.510253 288.505209 71.94145 288.505209 71.348437 \n",
       "C 288.505209 70.755425 288.269602 70.186622 287.850279 69.767299 \n",
       "C 287.430957 69.347976 286.862153 69.11237 286.269141 69.11237 \n",
       "C 285.676128 69.11237 285.107325 69.347976 284.688002 69.767299 \n",
       "C 284.268679 70.186622 284.033073 70.755425 284.033073 71.348437 \n",
       "C 284.033073 71.94145 284.268679 72.510253 284.688002 72.929576 \n",
       "C 285.107325 73.348899 285.676128 73.584505 286.269141 73.584505 \n",
       "z\n",
       "\" style=\"fill:#0f828a;fill-opacity:0.7;\"/>\n",
       "    </g>\n",
       "    <g id=\"text_20\">\n",
       "     <!-- O3 flow cytometer -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(304.269140625 73.9734375)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-33\"/>\n",
       "      <use x=\"140.91796875\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"172.55859375\" xlink:href=\"#LucidaSansUnicode-66\"/>\n",
       "      <use x=\"209.326171875\" xlink:href=\"#LucidaSansUnicode-6c\"/>\n",
       "      <use x=\"238.232421875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"299.658203125\" xlink:href=\"#LucidaSansUnicode-77\"/>\n",
       "      <use x=\"376.708984375\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"408.349609375\" xlink:href=\"#LucidaSansUnicode-63\"/>\n",
       "      <use x=\"459.5703125\" xlink:href=\"#LucidaSansUnicode-79\"/>\n",
       "      <use x=\"511.81640625\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"549.21875\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"610.64453125\" xlink:href=\"#LucidaSansUnicode-6d\"/>\n",
       "      <use x=\"704.00390625\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"759.716796875\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"797.119140625\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"852.83203125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "    <g id=\"PathCollection_8\">\n",
       "     <path d=\"M 286.269141 88.345443 \n",
       "C 286.862153 88.345443 287.430957 88.109837 287.850279 87.690514 \n",
       "C 288.269602 87.271191 288.505209 86.702387 288.505209 86.109375 \n",
       "C 288.505209 85.516363 288.269602 84.947559 287.850279 84.528236 \n",
       "C 287.430957 84.108913 286.862153 83.873307 286.269141 83.873307 \n",
       "C 285.676128 83.873307 285.107325 84.108913 284.688002 84.528236 \n",
       "C 284.268679 84.947559 284.033073 85.516363 284.033073 86.109375 \n",
       "C 284.033073 86.702387 284.268679 87.271191 284.688002 87.690514 \n",
       "C 285.107325 88.109837 285.676128 88.345443 286.269141 88.345443 \n",
       "z\n",
       "\" style=\"fill:#540f8a;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 88.345443 \n",
       "C 286.862153 88.345443 287.430957 88.109837 287.850279 87.690514 \n",
       "C 288.269602 87.271191 288.505209 86.702387 288.505209 86.109375 \n",
       "C 288.505209 85.516363 288.269602 84.947559 287.850279 84.528236 \n",
       "C 287.430957 84.108913 286.862153 83.873307 286.269141 83.873307 \n",
       "C 285.676128 83.873307 285.107325 84.108913 284.688002 84.528236 \n",
       "C 284.268679 84.947559 284.033073 85.516363 284.033073 86.109375 \n",
       "C 284.033073 86.702387 284.268679 87.271191 284.688002 87.690514 \n",
       "C 285.107325 88.109837 285.676128 88.345443 286.269141 88.345443 \n",
       "z\n",
       "\" style=\"fill:#540f8a;fill-opacity:0.7;\"/>\n",
       "     <path d=\"M 286.269141 88.345443 \n",
       "C 286.862153 88.345443 287.430957 88.109837 287.850279 87.690514 \n",
       "C 288.269602 87.271191 288.505209 86.702387 288.505209 86.109375 \n",
       "C 288.505209 85.516363 288.269602 84.947559 287.850279 84.528236 \n",
       "C 287.430957 84.108913 286.862153 83.873307 286.269141 83.873307 \n",
       "C 285.676128 83.873307 285.107325 84.108913 284.688002 84.528236 \n",
       "C 284.268679 84.947559 284.033073 85.516363 284.033073 86.109375 \n",
       "C 284.033073 86.702387 284.268679 87.271191 284.688002 87.690514 \n",
       "C 285.107325 88.109837 285.676128 88.345443 286.269141 88.345443 \n",
       "z\n",
       "\" style=\"fill:#540f8a;fill-opacity:0.7;\"/>\n",
       "    </g>\n",
       "    <g id=\"text_21\">\n",
       "     <!-- Oid flow cytometer -->\n",
       "     <g style=\"fill:#262626;\" transform=\"translate(304.269140625 88.734375)scale(0.1 -0.1)\">\n",
       "      <use xlink:href=\"#LucidaSansUnicode-4f\"/>\n",
       "      <use x=\"77.685546875\" xlink:href=\"#LucidaSansUnicode-69\"/>\n",
       "      <use x=\"106.591796875\" xlink:href=\"#LucidaSansUnicode-64\"/>\n",
       "      <use x=\"169.53125\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"201.171875\" xlink:href=\"#LucidaSansUnicode-66\"/>\n",
       "      <use x=\"237.939453125\" xlink:href=\"#LucidaSansUnicode-6c\"/>\n",
       "      <use x=\"266.845703125\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"328.271484375\" xlink:href=\"#LucidaSansUnicode-77\"/>\n",
       "      <use x=\"405.322265625\" xlink:href=\"#LucidaSansUnicode-20\"/>\n",
       "      <use x=\"436.962890625\" xlink:href=\"#LucidaSansUnicode-63\"/>\n",
       "      <use x=\"488.18359375\" xlink:href=\"#LucidaSansUnicode-79\"/>\n",
       "      <use x=\"540.4296875\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"577.83203125\" xlink:href=\"#LucidaSansUnicode-6f\"/>\n",
       "      <use x=\"639.2578125\" xlink:href=\"#LucidaSansUnicode-6d\"/>\n",
       "      <use x=\"732.6171875\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"788.330078125\" xlink:href=\"#LucidaSansUnicode-74\"/>\n",
       "      <use x=\"825.732421875\" xlink:href=\"#LucidaSansUnicode-65\"/>\n",
       "      <use x=\"881.4453125\" xlink:href=\"#LucidaSansUnicode-72\"/>\n",
       "     </g>\n",
       "    </g>\n",
       "   </g>\n",
       "  </g>\n",
       " </g>\n",
       " <defs>\n",
       "  <clipPath id=\"pf345afa094\">\n",
       "   <rect height=\"342.8\" width=\"338.626015625\" x=\"66.880625\" y=\"27.61875\"/>\n",
       "  </clipPath>\n",
       " </defs>\n",
       "</svg>\n"
      ],
      "text/plain": [
       "<matplotlib.figure.Figure at 0x118b9f438>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "# define variables to use over the script\n",
    "date = 20160725\n",
    "username = 'mrazomej'\n",
    "\n",
    "# read the CSV file with the mean fold change\n",
    "df_preprocess = pd.read_csv('../../data/' + str(date) +\\\n",
    "                            '_lacI_titration_MACSQuant.csv', comment='#')\n",
    "\n",
    "rbs = df_preprocess.rbs.unique()\n",
    "replica = df_preprocess.replica.unique()\n",
    "\n",
    "# compute the theoretical repression level\n",
    "repressor_array = np.logspace(0, 3, 100)\n",
    "epsilon_array = np.array([-15.3, -13.9, -9.7, -17])\n",
    "operators = np.array(['O1', 'O2', 'O3', 'Oid'])\n",
    "\n",
    "colors = sns.hls_palette(len(operators), l=.3, s=.8)\n",
    "# plot theoretical curve\n",
    "# First for the A channel\n",
    "plt.figure(figsize=(6,6))\n",
    "for i, o in enumerate(operators):\n",
    "    fold_change_theor = 1 / (1 + 2 * repressor_array / 5E6 \\\n",
    "            * np.exp(-epsilon_array[i]))\n",
    "    plt.plot(repressor_array, fold_change_theor, label=o,\n",
    "            color=colors[i])\n",
    "    plt.scatter(df_preprocess[(df_preprocess.operator == o) & \\\n",
    "                              (df_preprocess.rbs != 'auto') & \\\n",
    "            (df_preprocess.rbs != 'delta')].repressors, \n",
    "            df_preprocess[(df_preprocess.operator == o) & \\\n",
    "                          (df_preprocess.rbs != 'auto') & \\\n",
    "            (df_preprocess.rbs != 'delta')].fold_change_A,\n",
    "            marker='o', linewidth=0, color=colors[i], \n",
    "            label=o + ' flow cytometer',\n",
    "            alpha=0.7)\n",
    "plt.xscale('log')\n",
    "plt.yscale('log')\n",
    "plt.xlabel('repressor copy number')\n",
    "plt.ylabel('fold-change')\n",
    "plt.title('FITC-A')\n",
    "plt.xlim([1, 1E3])\n",
    "plt.legend(loc=0, ncol=2, fontsize=10)\n",
    "plt.tight_layout()"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "It looks quite decent and it didn't involve manually choosing gates for the scattering data. The only parameter we set was the fraction $\\alpha$ that we wanted to keep of the data.\n",
    "\n",
    "Let's finally define a function that returns a thresholded `DataFrame`."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 52,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": [
    "def auto_gauss_gate(df, alpha, x_val='FSC-A', y_val='SSC-A', log=False):\n",
    "    '''\n",
    "    Function that applies an \"unsupervised bivariate Gaussian gate\" to the data\n",
    "    over the channels x_val and y_val.\n",
    "    \n",
    "    Parameters\n",
    "    ----------\n",
    "    df : DataFrame.\n",
    "        dataframe containing the data from which to fit the distribution\n",
    "    alpha : float. [0, 1]\n",
    "        fraction of data aimed to keep. Used to compute the chi^2 quantile function\n",
    "    x_val, y_val : str.\n",
    "        name of the dataframe columns to be used in the function\n",
    "    log : bool.\n",
    "        indicate if the log of the data should be use for the fit or not \n",
    "    '''\n",
    "    data = df[[x_val, y_val]]\n",
    "    # Fit the bivariate Gaussian distribution\n",
    "    mu, cov = fit_2D_gaussian(data, log=log)\n",
    "\n",
    "    # Compute the statistic for each of the pair of log scattering data\n",
    "    interval_array = gauss_interval(data, mu, cov, log=log)\n",
    "    \n",
    "    # Find which data points fall inside the interval\n",
    "    idx = interval_array <= scipy.stats.chi2.ppf(alpha, 2)\n",
    "    \n",
    "    return df[idx]"
   ]
  }
 ],
 "metadata": {
  "anaconda-cloud": {},
  "kernelspec": {
   "display_name": "Python [default]",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.4.5"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 0
}
